<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.bigData"></cv:cvMessages>
	<cv:cvMessages bundle="localization.alerts"></cv:cvMessages>
	<cv:cvMessages bundle="localization.genApp"></cv:cvMessages>
</script>
<div class="setup-title">
	<h3 data-ng-if="!params.placeholder"><cv:msg key="label.configure" bundle="bigData"/></h3>
	<h3 data-ng-if="params.placeholder"><cv:msg key="label.addPlaceholder" bundle="bigData"/></h3>
</div>
<div calss="setup-content">
	<span class="{{serverMessage.type}}" data-ng-bind="serverMessage.message"></span>
	<div class="modal-list bootstrap-wrapper">
		<form id="configureNodeForm" name="configureNodeForm" class="margin-top-15">
			<div data-ng-if="!params.multiNode" class="form-group row">
				<label class="col-xs-12 col-sm-4" for="clientNode"><cv:msg key="label.serverName" bundle="genApp" /></label>
				<div class="col-xs-12 col-sm-8">
				<isteven-multi-select id="configureNode_isteven-multi-select_#9384"    
					directive-id="clientNode"
					input-model="params.clientNodes"
					output-model="params.node.selectedNode"
					button-label="clientName"
					item-label="clientName"
					search-property = "clientName"
					selection-mode="single"
					on-item-click="clickClientNode(data)"
					tick-property="selected"
				>
				</isteven-multi-select>
					<span class="help-block" data-ng-if="inputAlertFlags.clientNode"><cv:msg key="error.clientNode" bundle="bigData" /></span>
				</div>
			</div>
			<div class="form-group row">
				<label class="col-xs-12 col-sm-4" for="javaHome"><cv:msg key="label.javaHome2" bundle="bigData" /></label>
				<div class="col-xs-12 col-sm-8">
					<input type="text" name="javaHome" data-ng-class="text-right" id="javaHome" data-ng-model="params.node.javaHome" data-ng-change="inputAlertFlags.javaHome = false;" required autofocus >
					<span class="help-block" data-ng-if="inputAlertFlags.javaHome"><cv:msg key="error.javaHome" bundle="bigData" /></span>
				</div>
			</div>
			<div class="form-group row">
				<label class="col-xs-12 col-sm-4" for="configFile"><cv:msg key="label.configFile" bundle="bigData" /></label>
				<div class="col-xs-12 col-sm-8">
					<input type="text" name="configFile" data-ng-class="text-right" id="configFile" data-ng-model="params.node.configFile" data-ng-change="inputAlertFlags.configFile = false;" required autofocus >
					<span class="help-block" data-ng-if="inputAlertFlags.configFile"><cv:msg key="error.configFile" bundle="bigData" /></span>
				</div>
			</div>
			<div class="form-group row">
				<label class="col-xs-12 col-sm-4" for="dataDir"><cv:msg key="label.dataDir" bundle="bigData" /></label>
				<div class="col-xs-12 col-sm-8">
					<input type="text" name="dataDir" data-ng-class="text-right" id="dataDir" data-ng-model="params.node.dataDir" data-ng-change="inputAlertFlags.dataDir = false;" required autofocus >
					<span class="help-block" data-ng-if="inputAlertFlags.dataDir"><cv:msg key="error.dataDir" bundle="bigData" /></span>
				</div>
			</div>
		</form>
	</div>
	<div class="modal-footer">
		<button id="configureNode_button_#0858" type="button" class="btn btn-default" ng-click="cancel()"><cv:msg key="label.cancel" bundle="alerts" /></button> 
		<button id="configureNode_button_#1840" class="btn btn-primary" ng-click="ok()"><cv:msg key="label.save" bundle="alerts" /></button> 
	</div> 
</div>