<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.bigData"></cv:cvMessages>
	<cv:cvMessages bundle="localization.servers"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.alerts"></cv:cvMessages>
</script>
	<div class="bootstrap-wrapper form-horizontal padding-bottom-0">
		<form id="createSplunkGeneral" name="createSplunkGeneral" autocomplete="off" novalidate>
			<div class="modal-list">
			 <!--  Client Name -->
				<div class="form-group row">
					<label class="col-xs-12 col-sm-4" for="clientName">
						<cv:msg key="header.name" bundle="servers" />
						<cv-help-component  class="help-component" help-text='<cv:msg key="helpText.splunkname" bundle="bigData" />'></cv-help-component>
					</label>
					<div class="col-xs-12 col-sm-8">
						<input type="text" name="clientName" data-ng-class="text-right" id="clientName" data-ng-model="model.clientName" data-ng-change="inputAlertFlags.clientName = false" required autofocus >
						<span class="help-block" data-ng-show="inputAlertFlags.clientName"><cv:msg key="error.name" bundle="bigData" /></span>
					</div>
				</div>
				<!-- Primary Node -->
                <div class="form-group row">
                    <label class="col-xs-12 col-sm-4" for="clientNode">
                        <cv:msg key="label.masterNode" bundle="bigData" />
                        <cv-help-component class="help-component" help-text='<cv:msg key="helpText.primaryNode" bundle="bigData" />'></cv-help-component>
                    </label>
                    <div class="col-xs-12 col-sm-7">
						<isteven-multi-select 
							input-model="dummyModel.clientNodes" 
							output-model="model.clientNode" 
							tick-property="selected"
							item-label="clientName" 
							class="isteven-multi-select user-group-select" 
							on-item-click="clickClientNode()"
							button-label="clientName" 
							id="splunkClients" 
							helper-elements="filter" 
							selection-mode="single"
							translation="localLangMasterNode" 
							disable-property="disabled">
						</isteven-multi-select>

                        <span class="help-block" data-ng-show="inputAlertFlags.clientNode"><cv:msg key="error.clientNode" bundle="bigData" /></span>
                    </div>
                    <div class="col-xs-12 col-sm-1  padding-left-0" >
                         <span class="input-group-btn">
                            <button id="btnAddNewSplunkNode"
                                type="button"
                                class="icon-style cv-material-button browse"
                                data-ng-click="openPushInstallDialog()">
                                <div class="cv-material-button-icon cursor-pointer">
                                    <span class="k-icon k-i-plus font-size-page-title primary-theme-color cursor-pointer"> </span>
                                </div>
                            </button>
                        </span>
                    </div>

				</div>
				<!-- url  -->
				<div class="form-group row">
					<label class="col-xs-12 col-sm-4" for="url">
						<cv:msg key="label.url" bundle="bigData" />
						<cv-help-component class="help-component" help-text='<cv:msg key="helpText.url" bundle="bigData" />'></cv-help-component>
					</label>
					<div class="col-xs-12 col-sm-8">
						<input type="text" id="url" name="url"  data-ng-class="text-right" data-ng-model="model.url"  data-ng-change="inputAlertFlags.url = false" required>
						<span class="help-block" data-ng-show="inputAlertFlags.url"><cv:msg key="error.splunk.url" bundle="bigData" /></span>
					</div>
				</div>
			   <!-- User Name -->
			   <div class="form-group row">
                <label class="col-xs-12 col-sm-4" for="userName"><cv:msg key="label.userName" bundle="bigData" /></label>
                 <div class="col-xs-12 col-sm-8">
                     <input type="text" name="userName" data-ng-class="text-right" id="userName" data-ng-model="model.userName" data-ng-change="inputAlertFlags.userName = false" required autofocus >
                     <span class="help-block" data-ng-show="inputAlertFlags.userName"><cv:msg key="error.userName" bundle="bigData" /></span>
                 </div>
             </div>
			   <!-- Password -->
			    <div class="form-group row">
                  <label class="col-xs-12 col-sm-4" for="password"><cv:msg key="label.password" bundle="bigData" /></label>
                 <div class="col-xs-12 col-sm-8">
                    <input type="password" name="password" data-ng-class="text-right" id="password" data-ng-model="model.password" data-ng-change="inputAlertFlags.password = false; inputAlertFlags.passwordNotMatch = false" required autofocus >
                    <span class="help-block" data-ng-show="inputAlertFlags.password"><cv:msg key="error.password" bundle="bigData" /></span>
                </div>
               </div>
			   <!--Confirm Password -->
			   <div class="form-group row">
                 <label class="col-xs-12 col-sm-4" for="confirmPassword"><cv:msg key="label.confirmPassword" bundle="bigData" /></label>
                <div class="col-xs-12 col-sm-8">
                     <input type="password" name="confirmPassword" data-ng-class="text-right" id="confirmPassword" data-ng-model="model.confirmPassword" data-ng-change="inputAlertFlags.confirmPassword = false; inputAlertFlags.passwordNotMatch = false" required autofocus >
                     <span class="help-block" data-ng-show="inputAlertFlags.confirmPassword"><cv:msg key="error.confirmPassword" bundle="bigData" /></span>
                     <span class="help-block" data-ng-show="inputAlertFlags.passwordNotMatch"><cv:msg key="error.passwordNotMatch" bundle="messagesJs" /></span>
                 </div>
              </div>
			 <!--  Plan -->
				<div class="form-group row">
					<label class="col-xs-12 col-sm-4" for="plan">
						<cv:msg key="label.plan" bundle="bigData" />
						<cv-help-component class="help-component" help-text='<cv:msg key="helpText.plan" bundle="bigData" />'></cv-help-component>
					</label>
					<div class="col-xs-12 col-sm-8">
						<isteven-multi-select
							input-model="dummyModel.plans"
							output-model="model.plan"
							tick-property="selected"
							item-label="planName"
							class="isteven-multi-select user-group-select"
							on-item-click="clickPlan()"
							button-label="planName"
							id="plan"
							helper-elements="filter"
							selection-mode="single"
							translation="localLangPlan"
							disable-property="disabled">
						</isteven-multi-select>
						<span class="help-block" data-ng-show="inputAlertFlags.plan"><cv:msg key="error.plan" bundle="bigData" /></span>
					</div>
				</div>
			</div>
		</form>
	</div>
