<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
<cv:cvMessages bundle="localization.browseJs"></cv:cvMessages>
<cv:cvMessages bundle="localization.collectionsJs"></cv:cvMessages>
<cv:cvMessages bundle="localization.restoreJs"></cv:cvMessages>
<cv:cvMessages bundle="localization.restore"></cv:cvMessages>
<cv:cvMessages bundle="localization.browse"></cv:cvMessages>
</script>
<fmt:bundle basename="localization.browse">
<fmt:setBundle basename="localization.servers" var="servers"/>
<script type="text/ng-template"  id="breadcrumbItem">
	<a ng-hide="item.isApplicationBrowse || $last" ui-sref="browse.table({path: '{{item.path | escape}}', currentPage:null, vmname:item.vmname, bc:item.bc, vendor:item.vendor, objectGuid:item.objectGuid, versions:item.versions})">{{item.display}}</a>
	<a ng-hide="!item.isApplicationBrowse || $last" ui-sref="kubernetesbrowse.table({path: '{{item.path | escape}}', currentPage:null, vmname:item.vmname, bc:item.bc, vendor:item.vendor, objectGuid:item.objectGuid, versions:item.versions})">{{item.display}}</a>
	<span ng-show="$last">{{item.display}}</span>
</script>
<div data-ng-controller="browseTableController" class="browse-table" data-ng-class="{'fullWidthTable':inFullWidthTableMode}">
	<span  data-ng-controller="actionsController">
		<span id="browseActions" data-ng-class="{'disabled': !restoreAllowed }">
			<a href="" data-ng-click="doShowRestoreDialog(selectedRows)" class="btn cvBusyOnAjax cv-main-bar-action">
	    		<cv:msg key="Restore" bundle="browse"/>
	    	</a>
	    	<a href="" data-ng-if="showDownloadOption()" data-ng-click="downloadSelections(selectedRows)" class="btn cvBusyOnAjax cv-main-bar-action" >
	    		<cv:msg key="label.download" bundle="servers"/>
			</a>
	     	<div data-ng-controller="browseOptionsController" class="page-action-item">
				<span id="viewActions" class="page-action-item spacing-right float-none margin-0" data-ng-if="showViewActions()">
					<span data-uib-dropdown class="uib-dropdown" ng-if="showMoreAction()">
						<a href class="uib-dropdown-toggle" data-uib-dropdown-toggle>
							<span class="right">
								<svg class="vertical-align-text-top" width="20" height="20" fill="currentColor" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M10.1 0C4.6-.1.1 4.4 0 9.9s4.4 10 9.9 10.1 10-4.4 10.1-9.9v-.2C19.9 4.5 15.5.1 10.1 0zm0 18.9c-5 0-9-4-9-9s4-9 9-9 9 4 9 9-4 9-9 9z" /><path d="M6.1 8.8h2v2h-2zM9.1 8.8h2v2h-2zM12.1 8.8h2v2h-2z" /></svg>
							</span>
						</a>
						<ul data-uib-dropdown-menu class="dropdown-menu">
							<li data-ng-if="showVersionAction()">
								<a data-ng-click="showVersions(selectedRows)"><cv:msg key="label.viewVersions" bundle="browse" /></a>
							</li>
							<li data-ng-if="showDeletedItemAction()">
								<a data-ng-click="showDeletedItems(!isShowDeletedItems)">{{deletedItemsLabel}}</a>
							</li>
						</ul>
					</span>
				</span>
	     		<!-- <span id="viewActions" data-ng-if="showViewActions()">
	     	   		<span class="ui-grid-action-items" data-ng-if="showVersionAndHiddenButton">
			   			<a data-ng-if="enableVersions" data-ng-click="showVersions(selectedRows)"><cv:msg key="label.viewVersions" bundle="browse"/></a>
			   		</span>

			   		<span class="ui-grid-action-items" data-ng-if="(showVersionAndHiddenButton || isAppSupportedVendor) && showDeletedItemsOption">
		   				<a data-ng-click="showDeletedItems(!isShowDeletedItems)">{{deletedItemsLabel}}</a>
			   		</span> -->
			   		
			   		<!-- 
	     	   		<span class="ui-grid-action-items" data-ng-if="showVersionAndHiddenButton ">
		     	   		<a data-ng-hide="isShowHiddenItems" data-ng-click="showHiddenItems(true)"><cv:msg key="label.showHiddenItems" bundle="browse"/></a>
				   		<a data-ng-show="isShowHiddenItems" data-ng-click="showHiddenItems(false)"><cv:msg key="label.hideHiddenItems" bundle="browse"/></a>
			   		</span>	 -->
			    <!-- </span> -->
				<span class="uib-dropdown" on-toggle="toggled(open)" uib-dropdown data-ng-if="isTenantHasAccess">
				      <a href class="uib-dropdown-toggle" uib-dropdown-toggle>
				      	{{timeRangeLabel}}<span class="dropdownArrow"></span>
				      </a>
				      <ul uib-dropdown-menu class="dropdown-menu">
				        <li data-ng-if ="!isLatestBackup" data-ng-click="changeDateOption('latest')"><a href=""><cv:msg key="Show_latest_backups" bundle="browse"/></a></li>
				        <li data-ng-click="changeDateOption('date')"><a href=""><cv:msg key="Restore_from_specific_time" bundle="browse"/></a></li>
							<cv:comp name="show.dataRangeDropdownRestore">
								<li data-ng-click="changeDateOption('range')" data-ng-if="showDateRangeDropDown">
									<a href=""><cv:msg key="Restore_from_date_range" bundle="browse"/></a>
								</li>
							</cv:comp>
				      </ul>
				   </span>
				   <div class="display-inline margin-left-25" data-ng-show="showCopyPrecedence">
						<span class="uib-dropdown" on-toggle="toggled(open)" uib-dropdown>
							<a href class="uib-dropdown-toggle" uib-dropdown-toggle>{{copyPrecedenceLabel}}<span class="dropdownArrow right"></span></a>
							<ul data-uib-dropdown-menu class="dropdown-menu">
								<li role="menuitem"  data-ng-click="setSelectedCopy(0,defaultCopyPrecedenceLabel)" title="{{copyPrecedenceIdLabel}}:0"><a href>{{defaultCopyPrecedenceLabel}}</a></li>
								<li role="menuitem" ng-repeat="copy in storage.copy | orderBy: 'copyPrecedence'" data-ng-click="setSelectedCopy(copy.copyPrecedence,copy.StoragePolicyCopy.copyName)" title="{{copyPrecedenceIdLabel}}: {{copy.copyPrecedence}}, {{getCopyTypeInfo(copy.copyType)}}"><a href><cv:msg key="label.restoreFrom" bundle="browse"/> {{copy.StoragePolicyCopy.copyName}}</a></li>
							</ul>
						</span>
				    </div>
				 <!--   <a ng-hide="{{isShowDeletedItems}}" ng-click="showDeletedItems(true)">Show Deleted Items</a>
			   <a ng-show="{{isShowDeletedItems}}" ng-click="showDeletedItems(false)">Hide Deleted Items</a>  <!-- show deleted items is not supported for vsa -->
			</div>
	     </span>
	 </span>
	 <span cv-browser-grid-loader data-ng-hide="browseResp" grid-loader="gridLoader" loading="isLoading" class="browse-grid-loader">
		<span class="server-message {{serverMessage.type}}">{{serverMessage.message}}</span>
	 </span>
     <div cv-breadcrumb data-ng-if="browseResp" data-ng-model="breadcrumbModel" item-template="'breadcrumbItem'"></div>
<%-- 	<div data-cv-page-height id="browseTable" show-empty-msg='<cv:msg key="No_backups_available" bundle="browse"/>' class="grid-style" data-ng-grid="gridOptions" data-ng-init="initResize()">
	</div>
 --%>
	<div id="browseTable" data-ng-if="browseResp" data-show-empty-msg='<cv:msg key="No_backups_available" bundle="browse"/>' class="grid-style users-grid bottom-grid-fix" data-ui-grid="gridOptions" data-ui-grid-pagination data-ui-grid-selection data-ui-grid-auto-resize data-cv-page-height data-cv-ui-grid-resize >
	</div>
</div>
</fmt:bundle>
