<%@ page contentType="text/css; charset=UTF-8" %>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%-- Place a condition to load the file only if either a reqParam or theme is set from tenant --%>
<c:if test="${(theme.headerColor != null && theme.headerColor != '') || (param.headerColor != null && param.headerColor != '')}">
.header {
	background: ${ (param.headerColor != null && param.headerColor != "") ? param.headerColor : theme.headerColor };
}
.header-dropdown-wrapper .hamburger.opened .hamburger-list {
	background-color: ${ (param.headerColor != null && param.headerColor != "") ? param.headerColor : theme.headerColor };
}
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary,
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .cv-k-grid-search-input {
	background-color: ${ (param.headerColor != null && param.headerColor != "") ? param.headerColor : theme.headerColor };
}
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary.cv-k-grid-search-active:not(.cv-k-grid-search-focus) .cv-k-grid-search-input + .k-i-search {
	color: ${ (param.headerColor != null && param.headerColor != "") ? param.headerColor : theme.headerColor };
}
</c:if>
<c:if test="${theme.customLogo != null && theme.customLogo != ''}">
.header #custom-logo {
	background-image: url("data:image/${theme.customLogo}");
	display: block;
}
</c:if>
<c:if test="${theme.customLogoSmall != null && theme.customLogoSmall != ''}">
.header #custom-logo-small {
	background-image: url("data:image/${theme.customLogoSmall}");
}
</c:if>
<%-- primary color effect --%>
<c:if test="${(theme.loginAndBannerBg != null && theme.loginAndBannerBg != '') || (param.loginAndBannerBg != null && param.loginAndBannerBg != '')}">
.feedback_content, #loading-bar .bar, body.login-page, body.logout-page, body .btn.btn-primary-flat,
[drag-select] .eng-selected-item, .page-details-box .list-style-secondary .manage-activity.toggleBtn,
.confirm-dialog .modal-content .setup-title, #time-range-wrapper .uib-daypicker tbody tr td .btn.active,
#time-range-wrapper .uib-daypicker tbody tr .uib-day .btn.active,
.cv-main-bar-tab::after, .cv-dropdown-style-2 li:hover::before, .cv-dropdown-style-2 li:focus::before,
.job-start-time-container .job-start-time-controls .job-start-time-picker button.btn,
#apps-backup-history-calendar-view .uib-daypicker tr .uib-day.valid-backup .btn.active,
#timeSlotCarousel .cv-ProductNav_Contents span.selected {
	background: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.app-switch-wrapper svg, .app-switch-wrapper li svg, .manage-activity .enabled, .add-new-placeholder, .cls-loding2, .cv-material-button svg,
.setup-selection-panel.panel .panel-body svg, .svg-primary-fill, .tile-container svg, .report-title-list__UL li svg,
.app-tiles svg, .select-icon-longDesc svg, .time-obj thead .label-time .moon {
	fill: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.nav-breadcrumbs__sub-tabs li.selected a, .nav-breadcrumbs__sub-tabs li:hover a,
.calendar-wrapper.date-picker .uib-daypicker tbody tr td .btn.active,
.calendar-wrapper.date-picker .uib-daypicker tbody tr .uib-day .btn.active,
.setup-selection-panel.panel, #timeSlotCarousel .cv-ProductNav_Contents span,
.resultCheckReadiness .checkReadinessTable thead .heading th{
	border-color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.getting-started .core-setup-block, .modal:not(.confirm-dialog) .modal-content .setup-title, .modal:not(.confirm-dialog) .modal-content .modal-header, .archive-header {
	background: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.setup-container .setup-banner, #apps-backup-history-calendar-view .backup-history-slider.rzslider .rz-pointer:after, .metallic-cta-wrapper .glyphicon-container .cv-plus {
	background: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
#initial-loading-screen, .permission-report-content .filter-btn.selected, .permission-report-content .apply-btn,
.permission-report-content .filter-btn .filter-header, .archivingReport .custom-slider.rzslider .rz-pointer,
.k-column-menu .k-header .k-item:not(.k-columns-item):not(.k-filter-item)::before,
#reportArea.archivingReport .cv-material-toggle.enabled .cv-material-toggle-bar,
#reportArea.archivingReport .cv-material-toggle.enabled .cv-material-toggle-round,
.toolbar #batch-action-menu-container .k-widget.k-menu.k-menu-horizontal .k-item .k-animation-container > .k-group .k-item:before,
#reportArea.archivingReport .cv-material-toggle.enabled .cv-material-toggle-bar,
.permission-report-content .filter-btn .filter-header, #from-picker .uib-time.am-pm .btn, #to-picker .uib-time.am-pm .btn,
#globalSearch .dropdown-menu .global-search-item:hover, #globalSearch .dropdown-menu .global-search-item:focus,
#reportArea #inputElements .date-range-button.date-range-selected,
#reportArea #inputElements .action-btn-panel .btn.apply-btn,
#reportArea ul#inputElements input[type=radio]:checked:after,
.reports-list-header .page-action-item.store-updates-action-item .store-updates-label,
.reports-list-header .page-action-item.store-updates-action-item .store-updates-label:hover,
.reports-list-header .page-action-item.store-updates-action-item .store-updates-label:active,
.reports-list-header .page-action-item.store-updates-action-item .store-updates-label:focus,
.dashboard-tile-list-panel, .metallic-cta-wrapper  {
	background-color : ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.loading-spinner:before, .loading-spinner:after, .please-note-wrapper .please-note-header {
	background-color : ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}

.nav__list li.separator span, .header li.separator span, .feedback, #feedback-wrapper,
#apps-backup-history-calendar-view .backup-history-slider.rzslider .rz-pointer,
.resultCheckReadiness .checkReadinessTable thead .heading {
	background-color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.landing-page-tile:hover::after {
	border-right-color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
	border-top-color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.k-column-menu .k-header .k-item:not(.k-columns-item):not(.k-filter-item)::before,
ul.k-context-menu.k-menu-vertical .k-header .k-item:not(.k-columns-item):not(.k-filter-item)::before,
.k-widget.k-menu.k-menu-horizontal .k-item .k-animation-container > .k-group .k-item:before, .cv-dropdown-style-2 li::before,
.k-grid-content .permittedActions .dropdown-menu li::before, .view-selection .dropdown-menu li::before,
.page-action-item.spacing-right .dropdown-menu li::before, .select2-drop .select2-results li:before,
#reportArea .table-action-btns .action-item .action-item-div .action-item-label,
#reportArea ul.k-group.k-menu-group.k-popup .glyphicon.glyphicon-search,
#reportArea .component-actions .colum-list li.column-selector.k-state-default.ng-scope.active-column:before,
#reportArea .table-action-btns .action-item .action-item-div.k-content,
#reportArea .table-action-btns .action-icon,
#reportArea .component .component-actions #expandButton,
#reportArea .component .component-actions .show-on-hover,
#reportArea a.glyphicon, .k-menu .k-popup,
.k-column-menu.reports-column-menu .column-selector.active-column:before {
	color : ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.cv-wizard-wrapper-view.wrapper-view, .cv-wizard .cv-wizard-step-tracker-step, .cv-wizard .cv-wizard-step-tracker-bar {
	background-color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.cv-wizard .cv-wizard-step-tracker-step.cv-wizard-step-complete, .cv-wizard .cv-wizard-step-tracker-step.cv-wizard-step-complete a,
.cv-wizard .cv-wizard-step-tracker-step.cv-wizard-step-active, .cv-wizard .cv-wizard-step-tracker-step.cv-wizard-step-active a {
	color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}

.cvStepperProgressView-2 > .cvStepper:nth-child(4n + 4).cvStepper-completed,
.cvStepperProgressView-3 > .cvStepper:nth-child(6n + 5).cvStepper-completed,
.cvStepperProgressView-3 > .cvStepper:nth-child(6n + 6).cvStepper-completed,
.cvStepperProgressView-4 > .cvStepper:nth-child(8n + 6).cvStepper-completed,
.cvStepperProgressView-4 > .cvStepper:nth-child(8n + 7).cvStepper-completed,
.cvStepperProgressView-4 > .cvStepper:nth-child(8n + 8).cvStepper-completed {
	border-top-color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg } !important;
	transition: border-top-color 3000ms linear;
}
.cvStepperProgressView-2 > .cvStepper:nth-child(2n - 1).cvStepper-completed,
.cvStepperProgressView-3 > .cvStepper:nth-child(3n - 1).cvStepper-completed,
.cvStepperProgressView-3 > .cvStepper:nth-child(3n - 2).cvStepper-completed,
.cvStepperProgressView-4 > .cvStepper:nth-child(4n - 1).cvStepper-completed,
.cvStepperProgressView-4 > .cvStepper:nth-child(4n - 2).cvStepper-completed,
.cvStepperProgressView-4 > .cvStepper:nth-child(4n - 3).cvStepper-completed {
	border-top-color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
	transition: border-top-color 3000ms linear;
}
.cvStepperProgressView-2 > .cvStepper:nth-child(2n).cvStepper-completed,
.cvStepperProgressView-3 > .cvStepper:nth-child(3n).cvStepper-completed,
.cvStepperProgressView-4 > .cvStepper:nth-child(4n).cvStepper-completed {
	border-left-color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
	transition: border-left-color 3000ms linear;
}
.cvStepperProgressView-2 > .cvStepper.cvStepper-completed > .cvStepper-step,
.cvStepperProgressView-3 > .cvStepper.cvStepper-completed > .cvStepper-step,
.cvStepperProgressView-4 > .cvStepper.cvStepper-completed > .cvStepper-step {
	background: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.cvStepperProgressView-2 > .cvStepper.cvStepper-completed > .cvStepper-step > .cvStepper-step-label:not(a),
.cvStepperProgressView-3 > .cvStepper.cvStepper-completed > .cvStepper-step > .cvStepper-step-label:not(a),
.cvStepperProgressView-4 > .cvStepper.cvStepper-completed > .cvStepper-step > .cvStepper-step-label:not(a) {
	color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}

.cvSearchFilter .cvSearchFilter-label .icon,
.cvSearchFilter .cvSearchFilter-icon.active {
	color: ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}

ul#user-header-dropdown.k-context-menu.k-menu-vertical .k-item:before,
#user-header-lang + div .lang-dropdown:before, .primary-theme-bg, .primary-theme-before-bg:before {
	background-color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
</c:if>

<c:if test="${(theme.iconColor != null && theme.iconColor != '') || (param.iconColor != null && param.iconColor != '')}" >
.svg-primary-fill {
	fill: ${ (param.iconColor != null && param.iconColor != "") ? param.iconColor : theme.iconColor };
}
</c:if>
<c:if test="${(theme.pageHeaderText != null && theme.pageHeaderText != '') || (param.pageHeaderText != null && param.pageHeaderText != '')}">
.app-type-text, .app-switch-wrapper li a, .app-switch-wrapper li a:hover, .app-switch-wrapper li a:focus, .page-details-box .page-details .name,
.page-details-list .name, .header .evaluation-mode, h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6,
.header .evaluation-mode:hover, .header .evaluation-mode:focus, .theme-message, .nav-tabs > li.active >a, .tile-container h3, .download-tracker li,
#gdpr .menu-body > div h3, .cv-main-bar-tab-menu-link, .dashboard .dash-pane .dash-pane-wrapper .dash-pane-header-title,
.plain-accordion > .cv-accordion-header, .getting-started .app-tiles .app-setup-container .panel .panel-body .ion-android-done,
.k-column-menu .k-header .k-item > .k-link, .k-column-menu .k-header .k-item.k-state-border-right > .k-link {
	color: ${ (param.pageHeaderText != null && param.pageHeaderText != "") ? param.pageHeaderText : theme.pageHeaderText };
}
</c:if>
<%-- Nav Icon color effect --%>
<c:if test="${(theme.navIconColor != null && theme.navIconColor != '') || (param.navIconColor != null && param.navIconColor != '')}">
.side-nav-menu-icon > svg, .svg-primary-fill {
	fill: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor };
}
.please-note-wrapper .please-note-header .please-note-svg-container svg,
.getting-started .app-tiles .app-setup-container .panel .panel-heading table.app-setup-heading-table td svg {
	fill: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor };
}
.leftnav-group-separator:after, .cv-drag-button .dots, .cv-drag-button .dots::after {
	background: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor };
}
.please-note-header-text, .getting-started .app-tiles .app-setup-container .panel .panel-heading table.app-setup-heading-table td.app-name,
.app-tiles .app-setup-heading-table .ion-android-done:before, .confirm-dialog .modal-content .setup-title h5,
#time-range-wrapper .uib-daypicker tbody tr td .btn.active, #time-range-wrapper .uib-daypicker tbody tr .uib-day .btn.active,
#time-range-wrapper .dropdown-menu .btn-info.active .text-info,
.permission-report-content .filter-btn.selected, .permission-report-content .apply-btn,
.permission-report-content .filter-btn .filter-header, .permission-report-content .filter-btn.post-filter .filter-content .btn-primary,
.permission-report-content .filter-btn .filter-header .close-filter-btn {
	color: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor };
}
#side-nav-wrapper .side-nav-item, #side-nav-wrapper .side-nav-item:hover, #side-nav-wrapper .side-nav-item:focus,
#nav-search-field,.side-nav-search, .no-search-item.side-nav-item, .dashboard-tile-list-panel .dashboard-tile-panel-item,
.metallic-cta-wrapper .glyphicon-container .cv-plus, .metallic-cta-wrapper {
	color: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor };
}
#nav-search-field, #nav-search-field:hover, #nav-search-field:focus, .dashboard-tile-list-panel .dashboard-tile-panel-item {
	border-color: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor };
}
#nav-search-field:-moz-placeholder {
	color: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor } !important;
}
#nav-search-field::-moz-placeholder {
	color: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor } !important;
}
#nav-search-field:-ms-input-placeholder {
	color: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor } !important;
}
#nav-search-field::-webkit-input-placeholder {
	color: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor } !important;
}
#initial-loading-text {
	color: ${ (param.navIconColor != null && param.navIconColor != "") ? param.navIconColor : theme.navIconColor };
}
</c:if>
<c:if test="${(theme.actionBtnBg != null && theme.actionBtnBg != '') || (param.actionBtnBg != null && param.actionBtnBg != '')}">
.btn-primary, .select-filter-wrapper .btn-primary, .btn-primary--light, .btn-primary:hover, .btn-primary--light:hover,
.btn-primary:focus, .btn-primary--light:focus, .btn-primary:active,
.btn-primary--light:active, .btn-primary.active, .active.btn-primary--light, .btn-primary.disabled, .btn-primary[disabled],
.btn-primary[disabled]:active, .btn-primary[disabled]:hover, .btn-primary[disabled]:focus, .btn-primary.disabled:active,
.btn-primary.disabled:hover, .btn-primary.disabled:focus, .button-container .btn-primary, .modal-footer .btn-primary,
.wrapper-view .k-checkbox[aria-checked="true"] + label.k-checkbox-label:before, .modal-dialog .k-checkbox[aria-checked="true"] + label.k-checkbox-label:before,
.k-filter-menu .k-button.k-primary, #nav-views-wrapper li.active, #nav-views-wrapper li, #from-picker .uib-time.am-pm .btn, #to-picker .uib-time.am-pm .btn {
	border-color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg } !important;
	background: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg } !important;
}

.getting-started .app-tiles .app-setup-container .panel .panel-heading, .time-obj .week-time.selected,
[type="checkbox"]:checked + label:before, .browse-tree .browse-item .selected span::before,
.multiSelectVMs .browse-tree .browse-item .selected span::before,
.k-filterable .select-filter-wrapper.select-string-filter-wrapper .panel-primary .panel-heading,
#reportArea #inputElements .value-selected,
#reportArea #inputElements .applyButton,
#reportArea #inputElements .panel-primary > .panel-heading,
#reportArea #inputElements .action-btn-panel .btn.apply-btn,
#reportArea #inputElements .date-range-selected,
#reportArea .view-area input[type=radio]:checked:after,
#reportArea #reportViewerArea .tabs .page-tab-active,
#reportArea .k-grid .k-pager-wrap > .k-pager-numbers .k-state-selected,
#reportArea #inputElements .action-btn-panel .btn.apply-btn,
#reportArea .reports-date-picker .uib-daypicker tbody tr .uib-day .btn.active,
#reportArea .reports-date-picker .uib-daypicker tbody tr td .btn.active,
#reportArea .buttonPanel li .default-button {
    background-color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg } !important;
    border-color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus {
    background-color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
.cv-material-toggle.enabled .cv-material-toggle-round, .cv-material-toggle.enabled .cv-material-toggle-bar,
.cv-toggle-check:checked + .cv-toggle .cv-material-toggle-round,
.cv-toggle-check:checked + .cv-toggle .cv-material-toggle-bar, .nav-tabs > li.active::after {
	background-color : ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
html:not(.k-ie) input[type="radio"]:checked::before,
#reportArea .view-area input[type=radio]:checked:before,
#reportArea #inputElements .panel-primary {
	border-color : ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
html:not(.k-ie) input[type="radio"]:checked::after {
	background-color : ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
input[type=radio]::-ms-check {
	color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
.navigation-preferences input[type="checkbox"].partial-selection + label:after {
	border-bottom-color : ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
	border-left-color : ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
.multiSelectVMs .browse-tree .browse-item .partial span::after {
	border-bottom-color : ${ (param.loginAndBannerBg != null && param.loginAndBannerBg != "") ? param.loginAndBannerBg : theme.loginAndBannerBg };
}
.uib-daypicker tbody tr td .btn.active, .uib-daypicker tbody tr .uib-day .btn.active {
	background : ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}

#reportArea .table-action-btns .action-item-div {
	fill : ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}

.cv-dropdown-style-2 li > a, .k-grid-content .permittedActions .dropdown-menu li > a,
.view-selection .dropdown-menu li > a, .page-action-item.spacing-right .dropdown-menu li > a,
.k-widget.k-menu.k-menu-horizontal .k-item .k-animation-container > .k-group .k-item a,
.cv-dropdown-style-2 li > a:hover, .k-grid-content .permittedActions .dropdown-menu li > a:hover,
.view-selection .dropdown-menu li > a:hover, .page-action-item.spacing-right .dropdown-menu li > a:hover,
.cv-dropdown-style-2 li > a:focus, .k-grid-content .permittedActions .dropdown-menu li > a:focus,
.view-selection .dropdown-menu li > a:focus, .page-action-item.spacing-right .dropdown-menu li > a:focus,
.k-grid-content .permittedActions .uib-dropdown-toggle, .view-selection .uib-dropdown-toggle,
.k-widget.k-menu.k-menu-horizontal .k-item .k-animation-container > .k-group .k-item .k-link {
	color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
.cv-isteven-material-select .multiSelect .helperButton, isteven-multi-select .multiSelect .helperButton {
	border-color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
	color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
.cv-isteven-material-select .multiSelect .helperButton:hover, isteven-multi-select .multiSelect .helperButton:hover {
	background : ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
.k-column-menu .k-header .k-columns-item li.k-item[role='menuitemcheckbox']:before, ul.k-context-menu.k-menu-vertical .k-header .k-columns-item li.k-item[role='menuitemcheckbox']:before, .cv-isteven-material-select .multiSelect .multiSelectItem:not(.multiSelectGroup) .acol > label:before, isteven-multi-select .multiSelect .multiSelectItem:not(.multiSelectGroup) .acol > label:before {
	border-right-color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
	border-bottom-color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
.cv-isteven-material-select .multiSelect .inputFilter[type="text"]:focus, isteven-multi-select .multiSelect .inputFilter[type="text"]:focus {
	border-color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg } !important;
}
.cv-isteven-material-select .multiSelect .line-searchOk, isteven-multi-select .multiSelect .line-searchOk, .cv-k-header-dropdown .dropdown-toggle:hover, .cv-k-header-dropdown.open .dropdown-toggle {
    background-color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
.cv-k-header-dropdown .dropdown-toggle {
	border-color :${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
	color: ${ (param.actionBtnBg != null && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
.cv-k-header-dropdown.view-selection .dropdown-toggle.uib-dropdown-toggle,
.kpi-wrapper .kpi-entities .kpi-entity .kpi-entity-value, .wrapper-view svg {
	color: ${ (param.actionBtnBg != actionBtnBg && param.actionBtnBg != "") ? param.actionBtnBg : theme.actionBtnBg };
}
</c:if>
<c:if test="${(theme.actionBtnText != null && theme.actionBtnText != '') || (param.actionBtnText != null && param.actionBtnText != '')}">
.btn-primary, .select-filter-wrapper .btn-primary, .btn-primary--light, .btn-primary:hover, .btn-primary--light:hover,
.btn-primary:focus, .btn-primary--light:focus, .btn-primary:active,
.btn-primary--light:active, .btn-primary.active, .active.btn-primary--light, .btn-primary.disabled, .btn-primary[disabled],
.btn-primary[disabled]:active, .btn-primary[disabled]:hover, .btn-primary[disabled]:focus, .btn-primary.disabled:active,
.btn-primary.disabled:hover, .btn-primary.disabled:focus, .button-container .btn-primary, .modal-footer .btn-primary,
.k-filter-menu .k-button.k-primary, #from-picker .uib-time.am-pm .btn, #to-picker .uib-time.am-pm .btn {
	color: ${ (param.actionBtnText != null && param.actionBtnText != "") ? param.actionBtnText : theme.actionBtnText } !important;
}

#reportArea #inputElements .applyButton,
#reportArea #inputElements .action-btn-panel .btn.apply-btn,
#reportArea #inputElements .action-btn-panel .btn.apply-btn,
#reportArea .reports-date-picker .uib-daypicker tbody tr .uib-day .btn.active,
#reportArea .reports-date-picker .uib-daypicker tbody tr td .btn.active,
#reportArea .buttonPanel li .default-button {
    color: ${ (param.actionBtnText != null && param.actionBtnText != "") ? param.actionBtnText : theme.actionBtnText } !important;
}
</c:if>
<%-- link color --%>
<c:if test="${(theme.linkText != null && theme.linkText != '') || (param.linkText != null && param.linkText != '')}">
.cv-kendo-grid .cv-k-grid-toolbar .refreshBtnContainer .k-pager-refresh{
	color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText } !important;
}
.cv-kendo-grid .cv-k-grid-toolbar .cv-k-header-dropdown .dropdown-toggle.uib-dropdown-toggle{
	color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText } ;
	border-color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText } ;
}
ul.k-context-menu.k-menu-vertical .k-item .k-link, ul.k-context-menu.k-menu-vertical .k-item .k-link a{
    color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText } !important;
}
ul#user-header-dropdown.k-context-menu.k-menu-vertical .k-item:before{
	background-color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText } !important;
}
#company-setting-dropdown.k-context-menu.k-menu-vertical .k-item:before{
	background-color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText } ;
}
a, a:hover, a:focus, .grid-style .uib-dropdown-menu li a, .grid-style .uib-dropdown-menu li a:hover,
.btn.btn-link, .grid-style .dropdown-menu li a, .grid-style .dropdown-menu li a:hover,
.dropdown-menu:not(.cv-dropdown-style-2) li a, .dropdown-menu:not(.cv-dropdown-style-2) li a:hover,
.dropdown-menu:not(.cv-dropdown-style-2) li a:focus, .reports-list-grid a.list-group-item .list-group-item-heading,
.reports-list-grid a.list-group-item .list-group-item-heading:hover, .reports-list-grid a.list-group-item.active,
.reports-list-grid a.list-group-item.active:hover, .reports-list-grid a.list-group-item.active:focus, .grid-action-icon,
#apps-backup-history-calendar-view .uib-daypicker tr .uib-day.valid-backup .btn,
.k-grid-content .cv-permitted-actions .uib-dropdown-toggle, .view-selection .uib-dropdown-toggle,
.dashboard .dash-pane .dash-pane-wrapper .dash-pane-content .entities .entity-title.entity-link {
	color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
.grid-style .grid-action-icon svg .list-group-item-heading {
	fill: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
<%-- Used for the collapse button with the cv-browse directive. --%>
#wrapper.browse-page .browse-for-restore .browse-tree-collapse-button svg, .main-tab-menu-toggle > svg {
	fill: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
.page-action-item.spacing-right .moreAction li:before, .cv-main-bar-action {
	background-color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
.cv-main-bar-dropdown-menu, .btn-ternary, .icon-computer.active, .k-link-column, .cv-main-bar-action:hover, .cv-main-bar-action:focus,
.wrapper-inner cv-tab-nav .cv-main-bar-action {
	color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
.cv-main-bar-action, .cv-main-bar-action:hover, .cv-main-bar-action:focus {
	border-color : ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
#moreActions > .k-item.k-state-hover:before, #moreActions > .k-item:before, #moreActions > .k-item.k-state-hover:hover:before,
.wrapper-inner cv-tab-nav .cv-main-bar-action:hover, .wrapper-inner cv-tab-nav .cv-main-bar-action:focus {
	background-color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
.page-details-box-links a:hover, .page-details-box-links a:active, a.page-action-item:hover, a.page-action-item:active, div.page-action-item:not(.spacing-right) > a:hover, div.page-action-item:not(.spacing-right) > a:active,.page-details-box-links.multiLinks a:active,.page-details-box-links.multiLinks a:hover,
.inline-editor-button:hover, .edit-link-float-right-action:hover, .edit-link-float-right:hover, .btn.btn-ternary:hover, .inline-editor-button:active, .edit-link-float-right-action:active, .edit-link-float-right:active,  .btn.btn-ternary:active,
span.page-action-item:not(.spacing-right) a:hover, span.page-action-item:not(.spacing-right) a:active {
	background-color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
.cv-permitted-actions-append-to-body.dropdown-menu li:before, .cv-permitted-actions .cv-dropdown-style-2.dropdown-menu li:before,
.cv-dropdown-style-append-to-body.dropdown-menu li:before {
	background-color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
ul:not(#user-header-dropdown).k-context-menu.k-menu-vertical .k-header .k-item:not(.k-columns-item):not(.k-filter-item)::before,
.k-widget.k-menu.k-menu-horizontal .k-item .k-animation-container > .k-group .k-item:before, .cv-dropdown-style-2 li::before,
.k-grid-content .permittedActions .dropdown-menu li::before, .view-selection .dropdown-menu li::before, .page-action-item.spacing-right .dropdown-menu li::before, .select2-drop .select2-results li:before {
	background-color : ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
.cv-kendo-grid .cv-k-grid-toolbar .cv-k-header-dropdown .dropdown-toggle.uib-dropdown-toggle:hover,
.cv-kendo-grid .cv-k-grid-toolbar .cv-k-header-dropdown.open .dropdown-toggle.uib-dropdown-toggle,
.cv-kendo-grid .cv-k-grid-toolbar .cv-k-header-dropdown .dropdown-toggle.uib-dropdown-toggle.k-state-border-down,
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .toolbar-menu-container > .k-menu > .k-item.k-state-hover:not(.toolbar-menu-more-item):not(.disabled),
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .toolbar-menu-container > .k-menu > .k-item.k-state-border-down:not(.toolbar-menu-more-item) {
	border-color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
	background-color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}

.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .toolbar-menu-container > .k-menu-horizontal > .toolbar-menu-more-item.k-state-hover > .k-link {
	color: ${ (param.linkText != null && param.linkText != "") ? param.linkText : theme.linkText };
}
</c:if>
<c:if test="${(theme.headerTextColor != null && theme.headerTextColor != '') || (param.headerTextColor != null && param.headerTextColor != '')}">
.logo-text, .header-menu .header-menu-item,
.global-search-icon .glyphicon.glyphicon-search,.nlp-feedback .nlp-icon, .header-menu .header-svg, #user-header-dropdown {
	color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}
.header-menu .header-svg {
	fill: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}
.header-menu .header-checkbox-menu > li input[type="checkbox"]:checked + label:before {
	background-color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
	border-color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}

.header .global-search.opened, .monitor-noti-booklet {
    border-bottom-color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}

#globalSearch .dropdown-menu > .active > a:not(.global-search-type), .header-text-theme-bg, .primary-theme-bg, #monitor-notification .monitor-noti-go-to-list > a,
#user-header-dropdown.k-context-menu.k-menu-vertical .k-item:before, .company-selection .cv-dropdown-style-2 li::before,
#user-header-lang + div .lang-dropdown:before, .primary-theme-before-bg:before {
	background-color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}

.cv-dropdown-style-2 li:hover::before, ul#user-header-dropdown.k-context-menu.k-menu-vertical .k-item:before, {
	background: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}

.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary,
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary #grid-title-text,
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .toolbar-menu-container .k-menu-horizontal,
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .toolbar-menu-container .k-menu-horizontal > .k-item > .k-link a,
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .cv-k-grid-search-input,
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .cv-k-grid-search-input ~ .k-icon, .cv-k-header-dropdown-label
{
	color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}

.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .toolbar-menu-container > .k-menu > .k-item,
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .toolbar-search-container label::before {
	border-color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}

.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .batch-action-menu-container {
	border-right-color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}

.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .cv-k-grid-search-input,
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary.cv-k-grid-search-focus .batch-action-menu-container.hidden + .toolbar-search-container .cv-k-grid-search-input,
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary.cv-k-grid-search-focus .cv-k-grid-search-input {
	border-left-color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}

.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .cv-k-grid-search-input::placeholder {
	color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .cv-k-grid-search-input:-ms-input-placeholder {
	color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}
.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary .cv-k-grid-search-input::-ms-input-placeholder {
	color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}

.cv-kendo-grid .k-grid-toolbar .cv-k-grid-toolbar-primary.cv-k-grid-search-active:not(.cv-k-grid-search-focus) .cv-k-grid-search-input + .k-i-search {
	background-color: ${ (param.headerTextColor != null && param.headerTextColor != "") ? param.headerTextColor : theme.headerTextColor };
}
</c:if>

<c:if test="${theme.customBg != null && theme.customBg != ''}">
	.logout-page {
		background-image: url("data:image/${theme.customBg}") !important;
		background-size: cover !important;
	}
</c:if>

<c:if test="${(theme.navBg != null && theme.navBg != '') || (param.navBg != null && param.navBg != '')}">
.side-nav, .dashboard-tile-list-panel {
	background-color: ${ (param.navBg != null && param.navBg != "") ? param.navBg : theme.navBg };
}
</c:if>

<c:if test="${theme.customizeCSS != null && theme.customizeCSS != ''}">
${theme.getDecodedCustomizeCSS()};
</c:if>
<c:if test="${param.customizeCSS != null && param.customizeCSS != ''}">
${param.customizeCSS};
</c:if>
