<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script type="text/ng-template"  id="browse_tree_item_renderer.html">
	<div ng-class="{selected: (!selectMultiple && item == selectedItem) || (selectMultiple && selectedItems[getPath(item)] !== undefined) || (!selectMultiple && getPath(item) === preSelectedPath)}" >
		<button id="machineBrowse_button_#6209" ng-if="!dontGetChildren && item.state!='LEAF'" ng-class="item.state | lowercase" ng-click="folderDrilledDown(item)"></button>
		<span ng-click="(item.state != 'LEAF' && fileSelectionOnly) || folderSelected(item)">
			<span class="path-title">{{item.label}}</span>
		</span>
	</div>
    <div class="children" ng-class="item.state">
	    <div data-ng-if="getPageCount(item.children.length) >1" class="custom-paging-div">
	    	<button ng-disabled="item.currentPage == 0" ng-click="item.currentPage=item.currentPage-1" title='<cv:msg key="previous" bundle="messages"/>'><div class="prev-page-triangle" >&nbsp;</div></button>
			<span class="page-count-container">{{item.currentPage+1}} <cv:msg key="label.of" bundle="browse"/> {{getPageCount(item.children.length)}} <cv:msg key="label.pages" bundle="browse"/></span>
			<button ng-disabled="item.currentPage >= item.children.length/pageSize - 1" ng-click="item.currentPage=item.currentPage+1" title='<cv:msg key="Next" bundle="messages"/>'><div class="next-page-triangle">&nbsp</div></button>
    	</div>
        <div data-ng-disabled="item.state == 'LEAF' && isFileToBeExcluded(item)" class="browse-item" ng-repeat="item in item.children  | startFrom:item.currentPage*pageSize | limitTo:pageSize" ng-include="'browse_tree_item_renderer.html'"></div>
	    <div data-ng-if="getPageCount(item.children.length) >1" class="custom-paging-div">
	    	<button ng-disabled="item.currentPage == 0" ng-click="item.currentPage=item.currentPage-1" title="<cv:msg key="previous" bundle="messages"/>"><div class="prev-page-triangle" >&nbsp;</div></button>
			<span class="page-count-container">{{item.currentPage+1}} <cv:msg key="label.of" bundle="browse"/> {{getPageCount(item.children.length)}} <cv:msg key="label.pages" bundle="browse"/></span>
			<button ng-disabled="item.currentPage >= item.children.length/pageSize - 1" ng-click="item.currentPage=item.currentPage+1" title="<cv:msg key="Next" bundle="messages"/>"><div class="next-page-triangle">&nbsp</div></button>
    	</div>
    </div>
</script>
<script nonce="${sessionScope.cspNonce}">
<cv:cvMessages bundle="localization.collections"></cv:cvMessages>
<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
<cv:cvMessages bundle="localization.browse"></cv:cvMessages>
</script>
<div class="setup-title">
	<h3 ng-if="!isBackupLocation && !isDDBackupLocation && !customTitle"><cv:msg key="label.selectAPath" bundle="browse" /></h3>
	<h3 ng-if="isBackupLocation && !customTitle"><cv:msg key="label.selectAPathForBackupLocation" bundle="browse" /></h3>
	<h3 ng-if="isDDBackupLocation && !customTitle"><cv:msg key="label.selectAPathForDedupeBackupLocation" bundle="browse" /></h3>
	<h3 ng-if="customTitle" ng-bind="customTitle | cvLoc"></h3>
</div>
<div class="browse-selection setup-content" >
	<div>
		<span class="server-message {{serverMessage.type}}" data-ng-bind-html="serverMessage.message"></span>
	</div>
   <div  data-ng-if="isForSubclientPolicy" class="global-options remove-border-padding">
		<label for="client" class="select-label"><cv:msg key="label.client" bundle="profiles"/>
					<select id="client" name="client" data-ng-model="selectedClient"  data-ng-change="changeClient(selectedClient)"
						data-ng-options="client.client.clientEntity.clientId as client.client.clientEntity.clientName for client in clientList"
						>
						<option value=""><cv:msg key="placeholder.selectClient" bundle="collections"/></option>
					</select>
		</label>
	</div>
	<div class="browse-tree">
		<span class="{{browseServerMessage.type}} serverMessage">{{browseServerMessage.message}}</span>
	    <div ng-repeat="item in tree.children" class="browse-item" ng-include="'browse_tree_item_renderer.html'"></div>
	</div>
	<div class="modal-footer">
	  <button data-ng-if="!viewLogs && !isCloudStorageAppContentGroup && !epicServerState" id="machineBrowse_button_#5674" type="button" class="btn btn-default cvBusyOnAjax" data-ng-show="canCreateFolder && !dontGetChildren"
	          ng-click="createNewFolder()" ng-disabled="canCreateNewFolder()"><cv:msg key="label.newFolder" bundle="browse" /></button>
	  <button id="machineBrowse_button_#1757" type="button" class="btn btn-default"
	          ng-click="cancel()"><cv:msg key="action.cancel" bundle="users" /></button>
	  <button data-ng-if="!viewLogs" id="machineBrowse_button_#2266" class="btn btn-primary cvBusyOnAjax"
	          ng-click="ok()" ng-disabled="validatePath && !isValidPath()"><cv:msg key="action.save" bundle="users" /></button>
	  <button data-ng-if="viewLogs" id="machineBrowse_button_viewLogs" class="btn btn-primary cvBusyOnAjax"
	          ng-click="openLog()"><cv:msg key="label.view" bundle="clients" /></button>
	</div>
</div>