<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.dr"></cv:cvMessages>
	<cv:cvMessages bundle="localization.restore"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1>
		<span data-ng-if="::!dgCreateCtrl.isEditMode"><cv:msg key="label.adddevtestGroup" bundle="dr"/></span>
		<span data-ng-if="::dgCreateCtrl.isEditMode"><cv:msg key="label.editdevtestGroup" bundle="dr"/></span>
		<cv-help-component data-help-text="<cv:msg key='label.devtestGroupDescription' bundle='dr' />"></cv-help-component>
	</h1>
</div>
<form class="bootstrap-wrapper" name="devtestGroupForm" id="devtestGroupForm" data-cv-submit="dgCreateCtrl.createDevtestGroup()">
	<div class="form-group">
		<label class="col-xs-12 col-sm-5" for="vAppName"><cv:msg key="label.name" bundle="dr"/></label>
		<div class="col-xs-12 col-sm-7">
			<input type="text" data-ng-model="dgCreateCtrl.vApp.vAppEntity.vAppName" id="vAppName" name="vAppName" data-ng-required autofocus novalidate />
			<div class="help-block" data-ng-if="cv.devtestGroupForm.getAttempted() && !dgCreateCtrl.vApp.vAppEntity.vAppName">
				<i class="ion-alert-circled"></i>
				<cv:msg key="msg.groupNameRequired" bundle="dr"/>
			</div>
		</div>
	</div>
	<div class="form-group" data-ng-show="false">
		<label class="col-xs-12 col-sm-5"><cv:msg key="label.source" bundle="dr"/></label>
		<div class="col-xs-12 col-sm-7">
			<div class="multiple-radio-group">
				<label><input name="radio" data-ng-value="{{dgCreateCtrl.vAppSourceValues['ARRAYREPLICATION']}}" type="radio" data-ng-model="dgCreateCtrl.vApp.source"/>
				<span class="block-indent"><cv:msg key="label.source.arrayreplication" bundle="dr"/></span></label>
			</div>
		</div>
	</div>
	<div data-ng-if="dgCreateCtrl.vApp.source === dgCreateCtrl.vAppSourceValues['ARRAYREPLICATION']">
		<dr-array-replication ctrl="dgCreateCtrl.ctrl" v-app="dgCreateCtrl.vApp"></dr-array-replication>
	</div>
	<cv-plain-accordion accordion-label="title.advancedOptions" collapsed="dgCreateCtrl.collapseAdvancedOptions">
		<div class="form-group">
			<span class="col-xs-12 col-sm-5 margin-top-15">
				<cv-help-text help-text="label.priorityInterval" help-label="label.priorityIntervalInMins"></cv-help-text>
			</span>
			<span class="col-xs-12 col-sm-7">
				<input type="number" name="delay" id="delay" data-ng-model="dgCreateCtrl.vApp.delay" min="0">
			</span>
		</div>
		<div class="form-group">
			<div class="col-xs-12">
				<div class="margin-top-10">
					<cv-toggle toggle-name="continueOnFailure" toggle-label="label.continueOnFailure" value="dgCreateCtrl.vApp.continueOnFailure"></cv-toggle>
				</div>
			</div>
		</div>
	</cv-plain-accordion>
	<div class="button-container">
		<button id="devtestGroupCreate_button_#4114" type="button" class="btn btn-default" data-ng-click="dgCreateCtrl.close()"> 
			<cv:msg key="Cancel" bundle="messages"/>
		</button>
		<button id="devtestGroupCreate_button_#7014" type="submit" class="btn btn-primary cvBusyOnAjax"> 
			<cv:msg key="Save" bundle="messages"/>
		</button>
	</div>
</form>