<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.ebsApp"></cv:cvMessages>
</script>
<div class="panel">
	<div class="panel-body">
		<div class="form-group" >
			<label class="col-xs-12 col-lg-6" for="cloudType">
				<cv:msg key="label.cloudType" bundle="oracle"/>
			</label >
			<div class="col-xs-12 col-lg-6">
				<select name="cloudType" id="cloudType" 
					data-ng-options="cloud.cloudId as cloud.name for cloud in migrateGenApp.cloudTypes" 
					data-ng-change="migrateGenApp.cloudTypechange(migrateGenApp.data.cloudType)"
					data-ng-model="migrateGenApp.data.cloudType" 
					data-ng-required="true" >
					<option value=""><cv:msg key="options.cloudType" bundle="oracle"/></option>
				</select>
				<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.cloudType)">
					<cv:msg key="error.cloudType" bundle="oracle"/>
				</span>
			</div>
		</div>
		<div class="form-group" data-ng-if="!migrateGenApp.data.preRegistore">
			<label class="col-xs-12 col-lg-6" for="AllocPolicyId">
				<cv:msg key="label.policyName" bundle="oracle"/>
			</label >
			<div class="col-xs-12 col-lg-6">
				<select name="AllocPolicyId" id="AllocPolicyId" 
					data-ng-options="policy as policy.entity.vmAllocPolicyName for policy in migrateGenApp.policyList | orderBy:'policy.entity.vmAllocPolicyName'" 
					data-ng-model="migrateGenApp.data.policyId"  data-ng-required="true" >
					<option value=""><cv:msg key="options.policyName" bundle="oracle"/></option>
				</select>
				<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.AllocPolicyId)">
					 <cv:msg key="error.policyName" bundle="oracle"/>
				</span>
			</div>
		</div>
	</div>
</div>
