<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
</script>
<div  class="setup-content " >
<h1>{{steps[getCurrentStep()].name}}</h1>
<div class="{{backupContentMessage.type}} serverMessage">{{backupContentMessage.message}}</div>
<div class="panel form-panel-holder migration-options">
<div class="row">
  <form name="wizardForm" novalidate autocomplete="off" data-cv-submit="goNextPage()">
	<uib-accordion close-others="true" class="text-left">
		    <div uib-accordion-group is-open="tileState.dataConfigState" >
			   	 <uib-accordion-heading>
			        <cv:msg key="label.dbConfig" bundle="oracle"/>  <i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': tileState.dataConfigState, 'glyphicon-chevron-right': !tileState.dataConfigState}"></i>
			      </uib-accordion-heading>
			      <div>
					<label >
						<span class="page-detail-column "><cv:msg key="label.dbName" bundle="oracle"/>
							<cv-help-component help-text="<cv:msg key="help.dbName" bundle="oracle" />"></cv-help-component>
						</span>
						<span class="page-detail-column float-right">
							<input type="text" name="dbName" id="dbName" data-ng-required="true" data-ng-pattern="/^[A-Za-z]([a-zA-Z0-9]){1,8}$/"
							data-ng-model="appMigrate.cloudDBService.dbConfig.dbName"/>
							<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.dbName)">
						 		<cv:msg key="error.dbName" bundle="oracle"/>
							</span>
						</span>
					</label>
					<label >
						<span class="page-detail-column "><cv:msg key="label.adminPassword" bundle="oracle"/>
							<cv-help-component help-text="<cv:msg key="help.adminPassword" bundle="oracle" />"></cv-help-component>
						</span>
						<span class="page-detail-column float-right">
							<input type="password" name="adminPassword" id="adminPassword"
							data-ng-model="appMigrate.cloudDBService.dbConfig.dbPasswordValue"
							data-ng-pattern="/^[A-Za-z](?=.*[0-9])([a-zA-Z0-9#_]){7,29}$/"
							data-ng-required="true"/>
						</span>
						<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.adminPassword)">
							<cv:msg key="error.adminPassword" bundle="oracle"/>
						</span>
					</label>
					<label >
						<span class="page-detail-column "><cv:msg key="label.usableDbStorage" bundle="oracle"/>
							<cv-help-component help-text="<cv:msg key="help.dbSizeGB" bundle="oracle" />"></cv-help-component>
						</span>
						<span class="page-detail-column float-right">
							<input type="number" name="dbSizeGB" id="dbSizeGB"  min="15" max="2048" required
							data-ng-model="appMigrate.cloudDBService.dbConfig.dbSizeGB" />
						</span>
						<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.dbSizeGB)">
							<cv:msg key="error.usableDbStorage" bundle="oracle"/>
						</span>
					</label>
					<!-- <label >
						<span class="page-detail-column ">Total data file storage</span>
						<span class="page-detail-column float-right">
							<input type="number" name="totalDataStorageGB" id="totalDataStorageGB"
							data-ng-model="appMigrate.cloudDBService.dbConfig.totalDataStorageGB" />
						</span>
					</label> -->
					<label >
						<span class="page-detail-column "><cv:msg key="label.computeShape" bundle="oracle"/></span>
						<span class="page-detail-column float-right select-label">
							<select name="dbConfigVmInstType" id="dbConfigVmInstType" required
								data-ng-options="instanceType as instanceType.instanceType.vmInstanceTypeName for instanceType in vmTeplPolicy.amazonPolicy.instanceType"
								data-ng-change="isValidComputeShape()"
								data-ng-model="appMigrate.cloudDBService.dbConfig.vmInstType" data-ng-required="true" >
								<option value=""><cv:msg key="options.computeShape" bundle="oracle"/> </option>
							</select>
						</span>
						<span class="help-block" data-ng-show="errors.vmInstType">
							<cv:msg key="error.computeShape" bundle="oracle"/>
						</span>
					</label>
					<!-- <label >
						<span class="page-detail-column ">SSH Public key</span>
						<span class="page-detail-column float-right">
							<input type="text" name="dbName" id="dbName" />
						</span>
					</label> -->
					<label >
						<span class="page-detail-column "><cv:msg key="label.listenPort" bundle="oracle"/>
							<cv-help-component help-text="<cv:msg key="help.listenPort" bundle="oracle" />">
						</span>
						<span class="page-detail-column float-right">
							<input type="number" name="listenPort" id="listenPort"  min="1521" max="5499"
							data-ng-model="appMigrate.cloudDBService.dbConfig.listenerPort" required />
						</span>
						<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.listenPort)">
							<cv:msg key="error.port" bundle="storage"/>
						</span>
					</label>
					<label >
						<span class="page-detail-column "><cv:msg key="label.accessRule" bundle="oracle"/></span>
						<span class="page-detail-column float-right">
							<textarea name="accessRule" id="accessRule"
								data-ng-model="appMigrate.cloudDBService.accessRule"></textarea>
						</span>
					</label>
				  </div>
			</div>
			    <div uib-accordion-group is-open="tileState.backupConfigState" >
			   	 <uib-accordion-heading>
			       <cv:msg key="label.backupConfig" bundle="oracle"/>  <i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': tileState.backupConfigState, 'glyphicon-chevron-right': !tileState.backupConfigState}"></i>
			      </uib-accordion-heading>
				<div>
					<label >
						<span class="page-detail-column "><cv:msg key="label.backupDest" bundle="oracle"/></span>
						<span class="page-detail-column float-right  select-label">
							<select name="swEdition" id="swEdition"
									data-ng-options="backup.backupType as backup.backupName for backup in backupTypes"
									data-ng-model="appMigrate.cloudDBService.dbBackupConfig.dbBackupDestination" >
									<option value=""><cv:msg key="options.backupDest" bundle="oracle"/></option>
								</select>
						</span>
					</label>
					<label data-ng-hide="appMigrate.cloudDBService.dbBackupConfig.dbBackupDestination==3">
						<span class="page-detail-column ">
							<cv:msg key="label.cloudStorage" bundle="oracle"/>
							<cv-help-component help-text="<cv:msg key="label.cloudStorageHint" bundle="oracle" />"></cv-help-component>
						</span>
						<span class="page-detail-column float-right">
							<input type="text" title="{{appMigrate.cloudDBService.dbBackupConfig.cloudStorageContainer}}" name="cloudStorage" id="cloudStorage"
							data-ng-change="isValidStorageContainer()"
							data-ng-model="appMigrate.cloudDBService.dbBackupConfig.cloudStorageContainer"  />
							<span class="help-block" data-ng-show="errors.cloudStorageContainer">
						 		<cv:msg key="error.cloudStorage" bundle="oracle"/>
							</span>
						</span>
					</label>
					<%-- <label >
						<span class="page-detail-column "><cv:msg key="label.userName" bundle="users"/></span>
						<span class="page-detail-column float-right">
							<input type="text" name="storageUserName" id="storageUserName"
							data-ng-model="appMigrate.cloudDBService.dbBackupConfig.storageUser.userName" />
						</span>
					</label>
					<label >
						<span class="page-detail-column "><cv:msg key="label.password" bundle="users"/></span>
						<span class="page-detail-column float-right">
							<input type="password" name="storageUserPassword" id="storageUserPassword"
							data-ng-model="appMigrate.cloudDBService.dbBackupConfig.storageUser.userNamePassowrd"  />
						</span>
					</label>
					<label >
						<span class="page-detail-column ">
							<cv:msg key="label.createNewStorage" bundle="oracle"/>
						</span>
						<span class="page-detail-column float-right">
							<input type="checkbox" name="createInstanceFromBackup" id="createInstanceFromBackup"
							data-ng-model="appMigrate.cloudDBService.dbBackupConfig.createInstanceFromBackup" style="visibility: visible; left: 263px;" />
						</span>
					</label> --%>
				</div>
		</div>
	</uib-accordion>
<div class="button-container">
	<button id="appMigrationNodeConfiPage_button_#8737" type="button" data-ng-click="goPreviousStep()" class="btn cvBusyOnAjax"><cv:msg key="action.previous" bundle="profiles"/></button> 
	<button id="appMigrationNodeConfiPage_button_#9778" type="button" data-ng-click="validateNodePage()" class="btn btn-primary cvBusyOnAjax"><cv:msg key="action.next" bundle="profiles"/></button> 
</div>
</div>
</div>
</div>