<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
</script>
<div class="row bootstrap-wrapper" >
	<div class="col-xs-12 col-md-6 col-md-offset-3 col-lg-6 col-lg-offset-3" style="max-width: 600px;margin-left: 30%;">
	<div class="{{backupContentMessage.type}} serverMessage">{{backupContentMessage.message}}</div>
	<h1>{{steps[getCurrentStep()].name}}</h1>
	<form class="form-horizontal" name="wizardForm" novalidate autocomplete="off" data-cv-submit="goNextPage()" autocomplete="off">
	<div class="panel form-panel-holder">
		<div class="panel-body" >
			<div class="form-group" data-ng-show="false">
				<label class="col-xs-5 col-lg-5" for="serviceLevel">
					 <cv:msg key="label.serviceLevel" bundle="oracle"/>
				</label>
				<div class="col-xs-7 col-lg-7">
					<select name="serviceLevel" id="serviceLevel" data-ng-required="true"
						data-ng-options="serviceLevel.serviceType as serviceLevel.serviceName for serviceLevel in dbBaseServiceLevels"
						data-ng-model="appMigrate.cloudDBService.oraServiceLevel" >
					</select>
					<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.serviceLevel)">
						<cv:msg key="error.serviceLevel" bundle="oracle"/>
					</span>
				</div>
			</div>
			<div class="form-group">
				<label class="col-xs-5 col-lg-5" for="meterFrequency">
					 <cv:msg key="label.meterFrequency" bundle="oracle"/> 
				</label>
				<div class="col-xs-7 col-lg-7">
					<select name="meterFrequency" id="meterFrequency" data-ng-required="true"
						data-ng-options="metering.meteringType as metering.meteringName for metering in meteringFrequencys"
						data-ng-model="appMigrate.cloudDBService.mFrequency" >
					</select>
					<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.meterFrequency)">
						<cv:msg key="error.meterFrequency" bundle="oracle"/>
					</span>
				</div>
			</div>
			<div class="form-group"> 
					<label class="col-xs-5 col-lg-5" for="swRelease">
						<cv:msg key="label.swRelease" bundle="oracle"/>
					</label> 
					<div class="col-xs-7 col-lg-7"> 
						<select name="swRelease" id="swRelease"  
							data-ng-options="release.releaseType as release.releaseName for release in softwareReleases" 
							data-ng-model="appMigrate.cloudDBService.oraSoftwareRelease" >
						</select>
						<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.swRelease)">
							<cv:msg key="error.swRelease" bundle="oracle"/>
						</span>
					</div> 
			</div>
			<div class="form-group"> 
					<label class="col-xs-5 col-lg-5" for="sEdition">
						<cv:msg key="label.swEdition" bundle="oracle"/>
					</label> 
					<div class="col-xs-7 col-lg-7"> 
						<select name="swEdition" id="swEdition" data-ng-required="true"
							data-ng-options="edition.editionType as edition.editionName for edition in softwareEditions" 
							data-ng-model="appMigrate.cloudDBService.oraSoftwareEdition" >
						</select>
						<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.swEdition)">
							<cv:msg key="error.swEdition" bundle="oracle"/>
						</span>
					</div> 
			</div>
			<div class="form-group"> 
					<label class="col-xs-5 col-lg-5" for="dbType">
						<cv:msg key="label.dbType" bundle="oracle"/>
					</label> 
					<div class="col-xs-7 col-lg-7"> 
						<select name="dbType" id="dbType" data-ng-required="true"
							data-ng-options="dbType.dbTypeValue as dbType.dbTypeName for dbType in databseTypes"
							data-ng-model="appMigrate.cloudDBService.oraDatabaseType" >
						</select>
						<span class="help-block" data-ng-show="cv.wizardForm.needsAttention(wizardForm.dbType)">
							<cv:msg key="error.dbType" bundle="oracle"/>
						</span>
					</div> 
			</div>
		</div>
<div class="button-container">
	<button id="appMigrationServiceConfiPage_button_#3735" type="button" data-ng-click="goPreviousStep()" class="btn btn-primary cvBusyOnAjax"><cv:msg key="action.previous" bundle="profiles"/></button> 
	<button id="appMigrationServiceConfiPage_button_#9361" type="submit" class="btn btn-primary cvBusyOnAjax"><cv:msg key="action.next" bundle="profiles"/></button> 
</div>
</div>
</form>
</div>	
</div>