<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.browseJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.search"></cv:cvMessages>
	<cv:cvMessages bundle="localization.restore"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.servers"></cv:cvMessages>
	<cv:cvMessages bundle="localization.databaseClone"></cv:cvMessages>
</script>
<div class="margin-bottom ">
	<div data-ng-disabled="!cvBrowseController.dontSpin">
		<cv-browse-facets class="browse-tree" data-cv-browse-sync-height
			data-ng-class="{'collapsed': cvBrowseController.collapseTree}"
			data-facets="cvBrowseController.facets"
			data-on-change="cvBrowseController.onFacetsChanged()"
			data-ng-if="cvBrowseController.hasSearched"></cv-browse-facets>
		<cv-browse-tree class="browse-tree" data-cv-browse-sync-height
			data-ng-class="{'collapsed': cvBrowseController.collapseTree}"
			data-ng-if="!cvBrowseController.hasSearched"
			data-tree="cvBrowseController.tree"
			data-breadcrumbs="cvBrowseController.breadcrumbs"></cv-browse-tree>
	</div>
	<div class="browse-table exchange-table"
		data-ng-class="{'full-width-table': cvBrowseController.collapseTree}"
		data-ng-if="cvBrowseController.options.showTable">
		<div id="browseActions" class="backup-content" data-ng-disabled="!cvBrowseController.loaded">
			<button id="cv-browse_button_#7288"
				data-ng-if="cvBrowseController.options.showCollapseTreeButton"
				class="btn btn-link browse-tree-collapse-button"
				data-uib-tooltip="{{cvBrowseController.collapseTree ? '' : '<cv:msg key="label.expand" bundle="messages" />'}}"
				data-ng-click="cvBrowseController.onCollapseButtonClick(!cvBrowseController.collapseTree)">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 22"
					data-ng-class="{'flipped': cvBrowseController.collapseTree}">
	                    <path transform="translate(-386.2 -295.4)"
						d="M 386.2 295.4 v 22 h 20 v -22 h -20 Z m 4 20 h -2 v -18 h 2 v 18 Z m 13.9 -10 h -6.9 v -3 h -1.1 v 1 h -0.9 v 1 h -1.1 v 1 h -1 v 2 h 1 v 1 h 1.1 v 1 h 1 v 1 h 1 v -3 h 6.9 v 8 H 392.2 v -18 h 12 v 8 Z" /></svg>
			</button>
			<span data-uib-tooltip="{{options.restoreTooltip}}"
					ng-if="!cvBrowseController.options.useExternalRestore"
					data-ng-disabled="cvBrowseController.noneSelected() || !cvBrowseController.dontSpin || cvBrowseController.disableSearchActions"><a href="" class="btn btn-primary"
					data-ng-click="cvBrowseController.restore()"><span
					data-ng-if="cvBrowseController.options.restoreButtonText">{{cvBrowseController.options.restoreButtonText}}</span><span
					data-ng-if="!cvBrowseController.options.restoreButtonText"><cv:msg
							key="label.restore" bundle="restore"></cv:msg></span></a></span> <span
				ng-transclude="browseActions"></span>
			<span ng-if="cvBrowseController.options.showDownload" data-ng-disabled="cvBrowseController.noneSelected() || !cvBrowseController.dontSpin || cvBrowseController.disableSearchActions"><a href="" class="btn cvBusyOnAjax btn-primary"
					data-ng-click="cvBrowseController.download()"><span
					data-ng-if="cvBrowseController.options.downloadButtonText">{{cvBrowseController.options.downloadButtonText}}</span>
					<span data-ng-if="!cvBrowseController.options.downloadButtonText"><cv:msg key="label.download" bundle="servers"/></span>
				</a>
			</span>
			<!-- Sharepoint granular browse -->
			<div id="spCloneActions" class="btn-group" uib-dropdown uib-dropdown-append-to-body data-ng-if="cvBrowseController.options.showRestoreGranular">
			   <a class="btn btn-link" href=" " uib-dropdown-toggle data-ng-disabled="(cvBrowseController.options.disableActions ) || !cvBrowseController.dontSpin">
      				  <cv:msg key="label.instantClone" bundle="databaseClone"/> <span class="caret"></span>
     			 </a>
     			 <ul class="dropdown-menu" role="menu" aria-labelledby="btn-append-to-body">
      			  <li role="menuitem" id="listclone">
      			    <a class="nowrap" data-ng-click="cvBrowseController.listClones()" href="javascript:void(0);">
      			    <cv:msg key="label.listClones" bundle="sharepoint"/></li>
      			  <li role="menuitem" id="createclone">
      			      <a class="nowrap" data-ng-click="cvBrowseController.granularRestore()">
      			      <span data-ng-disabled="cvBrowseController.noneSelected()">
      			      <cv:msg key="label.createClone" bundle="sharepoint"/></a></span></li>
     			 </ul>
			</div>
			<!-- Restore Selected and Restore all items matching search criteria for Exchange-->
			<div class="btn-group" uib-dropdown uib-dropdown-append-to-body data-ng-if="cvBrowseController.options.showRestoreActions">
     			 <a class="btn btn-link" href=" " uib-dropdown-toggle data-ng-disabled="(cvBrowseController.options.disableActions && cvBrowseController.noneSelected()) || !cvBrowseController.dontSpin">
      				  <cv:msg key="label.restore" bundle="restore"/> <span class="caret"></span>
     			 </a>
     			 <ul class="dropdown-menu" role="menu" aria-labelledby="btn-append-to-body">
      			  <li role="menuitem"><a class="nowrap" data-ng-click="cvBrowseController.restore()" href="javascript:void(0);"><span data-ng-if="!cvBrowseController.allSelected() && cvBrowseController.noneSelected()"><cv:msg key="label.selectedFolder" bundle="restore"/></span><span data-ng-if="!cvBrowseController.allSelected() && !cvBrowseController.noneSelected()"><cv:msg key="label.selectedItems" bundle="restore"/></span><span data-ng-if="cvBrowseController.allSelected()"><cv:msg  key="label.itemsInPage" bundle="restore"/></span></a></li>
      			  <li data-ng-if="cvBrowseController.options.showRestoreAllMatching && cvBrowseController.allSelected()" role="menuitem"><a class="nowrap" data-ng-click="cvBrowseController.restoreAllMatching()" href="javascript:void(0);"><cv:msg key="label.itemsAcrossPages" bundle="restore"/></a></li>
     			 </ul>
  		    </div>
  		    <!-- Delete Selected items and Delete all items matching search criteria for Exchange-->
			 <div  class="btn-group" uib-dropdown uib-dropdown-append-to-body data-ng-if="cvBrowseController.options.showDelete">
     			 <a class="btn btn-link" href=" " uib-dropdown-toggle data-ng-disabled="(cvBrowseController.options.disableActions && cvBrowseController.noneSelected()) || !cvBrowseController.dontSpin"
					>
      				  <cv:msg key="action.delete" bundle="servers"/> <span class="caret"></span>
     			 </a>
     			 <ul class="dropdown-menu" role="menu" aria-labelledby="btn-append-to-body">
      			  <li role="menuitem"><a class="nowrap" data-ng-click="cvBrowseController.ondelete()" href="javascript:void(0);"><span data-ng-if="!cvBrowseController.allSelected() && cvBrowseController.noneSelected()"><cv:msg key="label.selectedFolder" bundle="restore"/></span><span data-ng-if="!cvBrowseController.allSelected() && !cvBrowseController.noneSelected()"><cv:msg key="label.selectedItems" bundle="restore"/></span><span data-ng-if="cvBrowseController.allSelected()"><cv:msg  key="label.itemsInPage" bundle="restore"/></span></a></li>
      			  <li data-ng-if="cvBrowseController.options.showDeleteAllMatching && cvBrowseController.allSelected()" role="menuitem"><a class="nowrap" data-ng-click="cvBrowseController.deleteAllMatching()" href="javascript:void(0);"><cv:msg key="label.itemsAcrossPages" bundle="restore"/></a></li>
     			 </ul>
  		    </div>
  		   	<div class="btn-group margin-left-20 margin-bottom-5"  data-ng-if="cvBrowseController.options.isUserMailbox">
  		   	<span class="dropdown cv-main-bar-dropdown-menu menu" data-uib-dropdown>
						<a href="" class="uib-dropdown-toggle main-tab-menu-toggle dropdown-toggle" data-uib-dropdown-toggle aria-haspopup="true" aria-expanded="false">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" width="20" height="20"><path d="M10.1 0C4.6-.1.1 4.4 0 9.9s4.4 10 9.9 10.1 10-4.4 10.1-9.9v-.2C19.9 4.5 15.5.1 10.1 0zm0 18.9c-5 0-9-4-9-9s4-9 9-9 9 4 9 9-4 9-9 9z"></path><path d="M6.1 8.8h2v2h-2zM9.1 8.8h2v2h-2zM12.1 8.8h2v2h-2z"></path></svg>
				</a>
				<ul uib-dropdown-menu class="dropdown-menu cv-dropdown-style-2">
				<li><a href=""
							data-ng-click="cvBrowseController.options.isShowDeletedItems = !cvBrowseController.options.isShowDeletedItems;cvBrowseController.showDeletedItems(cvBrowseController.options.isShowDeletedItems)">
						<span data-ng-if="!cvBrowseController.options.isShowDeletedItems"><cv:msg key="label.includeDeletedItems" bundle="restore"/></span><span data-ng-if="cvBrowseController.options.isShowDeletedItems"><cv:msg key="label.excludeDeletedItems" bundle="restore"/></span></a></li>
				</ul>
				</span>
			</div>
			<div class="page-action-item" data-ng-if="cvBrowseController.options.showResultsHeaderLabel">
				<span class="page-action-item-right-margin">{{cvBrowseController.options.showResultsHeaderLabel}}</span>
			</div>
			<div class="page-action-item"
				data-ng-if="cvBrowseController.options.showDateFilter">
				<span class="uib-dropdown page-action-item-right-margin"
					data-uib-dropdown> <a href="" class="uib-dropdown-toggle"
					data-uib-dropdown-toggle> {{cvBrowseController.timeRangeLabel}}
						<span class="dropdownArrow"></span>
				</a>
					<ul uib-dropdown-menu class="dropdown-menu">
						<li><a href=""
							data-ng-click="cvBrowseController.resetTimeRange()"><cv:msg
									key="Show_latest_backups" bundle="browse" /></a></li>
						<li data-cv-date-time
							data-heading-label="<cv:msg key="label.toTime" bundle="messages"></cv:msg>"
							data-show-from-time="false"
							data-result-function="cvBrowseController.updateTimeRange"><a
							href=""><cv:msg key="Show_backups_specific_date"
									bundle="browse" /></a></li>
						<li data-ng-hide="cvBrowseController.options.hideTimeRange"
							data-cv-date-time
							data-heading-label="<cv:msg key="label.toTime" bundle="messages"></cv:msg>"
							data-show-from-time="true"
							data-result-function="cvBrowseController.updateTimeRange"><a
							href=""><cv:msg key="Show_backups_date_range" bundle="browse" /></a></li>
					</ul>
				</span>
			</div>
		</div>
		<div data-ng-disabled="!cvBrowseController.dontSpin">
			<span>
				<ul class="breadcrumb breadcrumb-fix"
					data-ng-if="!cvBrowseController.serverError && !cvBrowseController.gridOptions.cvBreadcrumbs">
					<li data-ng-repeat="item in cvBrowseController.breadcrumbs"><a
						data-ng-hide="$last" title="{{item.label}}"
						data-ng-click="cvBrowseController.breadcrumbSelected(item)"
						data-ng-class="item.class !== undefined ? item.class : ''">{{item.label}}</a>
						<span data-ng-show="$last"
						data-ng-class="item.class !== undefined ? item.class : ''">{{item.label}}</span></li>
				</ul>
			</span>	<span data-cv-loading-spinner
				data-ng-model="cvBrowseController.dontSpin"></span>
			<cv-grid ng-if="cvBrowseController.data"
				cv-grid-options="cvBrowseController.gridOptions"> </cv-grid>
			<div ng-if="cvBrowseController.serverError" class="error horz-center extra-top-padding" ng-bind="cvBrowseController.serverError"/>
		</div>
	</div>
</div>
