<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
		<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
		<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
		<cv:cvMessages bundle="localization.oracle"></cv:cvMessages>
		<cv:cvMessages bundle="localization.informix"></cv:cvMessages>
</script>
<script type="text/ng-template"  id="browseTree_item_renderer.html">
	<div data-ng-class="{selected: informixCreateSubclient.isNodeSelected(item)}">
		<button data-ng-if="!item.leafNode" id="informixCreateSubclient_button_#3769"  data-ng-class="item.state | lowercase" data-ng-click="informixCreateSubclient.folderDrilledDown(item,$event)"></button>
 		<span data-ng-click="informixCreateSubclient.folderSelected(item)" data-ng-bind="item.label"></span>
	</div>
    <div class="children" data-ng-class="item.state">
         <div class="browse-item" data-ng-repeat="item in item.children" data-ng-include="'browseTree_item_renderer.html'"></div>
 			<!--<a data-ng-class="{hidePlease :!item.partiallyLoaded}" data-ng-click="informixCreateSubclient.loadMore(item)">More</a>-->
    </div>
</script>
<div class="bootstrap-wrapper">
	<div class="setup-title">
		<h1 data-ng-hide="informixCreateSubclient.editing" ><cv:msg key="action.subclientCreation" bundle="clients" /></h1>
		<h1 data-ng-show="informixCreateSubclient.editing" ><cv:msg key="label.EditContent" bundle="fs"/></h1>
	</div>
	<span class="{{informixCreateSubclient.serverMessage.type}} serverMessage">{{informixCreateSubclient.serverMessage.message}}</span>
	<form name="createSubclientForm" novalidate autocomplete="off" data-cv-submit="informixCreateSubclient.createSubclient()" >
		<div class="panel" >
			<div class="panel-body" >
				<div class="form-group" data-ng-if="!informixCreateSubclient.editing">
					<label for="subclientName" class="col-xs-12 col-lg-5">
						<cv:msg key="label.SubclientName" bundle="clients" />
					</label>
					<div class="col-xs-12 col-lg-7"  data-ng-disabled="informixCreateSubclient.editing">
						<input type="text" name="subclientName" id="subclientName" data-ng-model="informixCreateSubclient.entity.subclientName" required autofocus />
						<span class="help-block" data-ng-show="cv.createSubclientForm.needsAttention(createSubclientForm.subclientName)">
							<cv:msg key="error.subclientName" bundle="clients" />
						</span>
					</div>
				</div>
                <span data-ng-if="!informixCreateSubclient.editing" >
					<cv-entity-plan-policy-select data-ng-if="informixCreateSubclient.planPolicyModel" data-cv-model="informixCreateSubclient.planPolicyModel" no-bootstrap-wrapper-class='true'
							data-cv-show-plan="informixCreateSubclient.showPlan" data-cv-app-id="informixCreateSubclient.entity.applicationId" data-cv-client-id="informixCreateSubclient.entity.clientId" cv-wrapper-class="'form-group padding-left-15 padding-right-15'"
							data-cv-label-class="'col-xs-12 col-sm-5 col-lg-5 col-md-5'" data-cv-select-class="'col-xs-12 col-sm-7 col-lg-7 col-md-7'" cv-hide-policy-toggle-option="true">
					</cv-entity-plan-policy-select>
				</span>
				<div class="form-group" >
					<label for="restoreMode" class="col-xs-12 col-lg-5">
						<cv:msg key="label.backupMode" bundle="informix"/>
					</label>
					<div class="col-xs-12 col-lg-7">
						<select id="restoreMode" name="restoreMode"  data-ng-required="true"
							data-ng-model="informixCreateSubclient.subclientInfo.backupMode"
							data-ng-change="informixCreateSubclient.updateSelectiveOption()"
							data-ng-options="restoreMode.value as restoreMode.name for restoreMode in informixCreateSubclient.restoreModeList " >
						</select>
					</div>
				</div>
				<div class="form-group" data-ng-if="informixCreateSubclient.subclientInfo.backupMode ==  '3' ">
					<div class="col-xs-12 col-lg-12 padding-top-10 margin-bottom-15 " >
						<label for="restoreMode">
							<cv:msg key="label.selectDBSpace" bundle="informix" />
						</label>
						 <div  class="browse-tree" data-ng-class="item.state" style="height: 200px;">
							 <div class="browse-item">
								<div data-ng-class="{selected: informixCreateSubclient.isNodeSelected(informixCreateSubclient.tree)}" >
									<button id="informixCreateSubclient_button_#2444" data-ng-class="informixCreateSubclient.tree.state | lowercase" data-ng-click="informixCreateSubclient.folderDrilledDown(informixCreateSubclient.tree,$event)"></button>
									<span class="padding-right-50" data-ng-click="informixCreateSubclient.folderSelected(informixCreateSubclient.tree)" data-ng-bind="informixCreateSubclient.tree.label"></span>
									<a title="<cv:msg key="label.refreshTableSpace" bundle="oracle" />" data-ng-click="informixCreateSubclient.loadChildren(informixCreateSubclient.tree,true)" >
										<i class="k-icon k-i-refresh"></i>
									</a>
								</div>
								<div class="children" data-ng-class="informixCreateSubclient.tree.state">
									<div data-ng-repeat="item in informixCreateSubclient.tree.children" class="browse-item" data-ng-include="'browseTree_item_renderer.html'"></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="form-group" data-ng-hide="informixCreateSubclient.subclientInfo.backupMode == '4' ||  informixCreateSubclient.subclientInfo.backupMode == '5' " >
					<label for="backupLevel" class="col-xs-12 col-lg-5">
						<cv:msg key="label.backupLevel" bundle="informix" />
					</label>
					<div class="col-xs-12 col-lg-7"  >
						<input min="1" max="2" step="1" type="number" name="backupLevel" id="backupLevel" data-ng-model="informixCreateSubclient.subclientInfo.incrementalLevel" />
					</div>
				</div>
			</div>
		</div>
		<div class="modal-footer" >
			<button id="informixCreateSubclient_button_Cancel" type="button" class="btn btn-default cvBusyOnAjax" data-ng-click="informixCreateSubclient.closeModal()">
				<cv:msg key="Cancel" bundle="messages" />
			</button>
			<button id="informixCreateSubclient_button_Save" type="submit" class="btn btn-primary cvBusyOnAjax" >
				<cv:msg key="Save" bundle="messages" />
			</button>
		</div>
	</form>
</div>