<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<div data-ng-controller="createHanaInstanceCtrl" class="bootstrap-wrapper form-horizontal">
	<p class="{{addServerMessage.type}} serverMessage">{{addServerMessage.message}}</p>
	<form name="addHanaServer" novalidate autocomplete="nope" data-cv-submit="createInstance()" data-cv-validate="validateInputs(addHanaServer)">
		<div class="panel panel-default">
		  <div class="panel-body">
			<div class="form-group" data-ng-if="hanaInsInfo.showNewServerOption">
				<div class="col-xs-12">
					<toggle-control status="hanaInsInfo.newServer==true?'enabled-activity':'disabled-activity'"
              				data-ng-click="newServerSelected()"
              				title="<cv:msg key="label.createNewServer" bundle="saphana"/>" id="ssl">
           			</toggle-control>
					<label for="ssl" class="inline-label">
						&nbsp;<cv:msg key="label.createNewServer" bundle="saphana"/>
					</label>
				</div>
			</div>
			<div class="form-group" data-ng-if="isAddHanaClient || addInstance">
				<label for="clientName" class="col-xs-12 col-lg-4" >
					<cv-help-text help-label="<cv:msg key="label.sapHanaSystem" bundle="saphana"/>" help-text="'<cv:msg key='help.pseudoClient' bundle='saphana'/>'"></cv-help-text>
				</label>
				<div class="col-xs-12 col-lg-8" data-ng-if="hanaInsInfo.newServer">
					<input data-ng-disabled="editDialog == false "  type="text" name="clientName" id="clientName" data-ng-model="instanceEntity.clientName" data-ng-blur="validateClinetName(instanceEntity.clientName)"/>
					<span class="help-block" data-ng-show="cv.addHanaServer.getAttempted() && errors.showServerName" data-ng-bind="errors.showServerNameMesage">
					</span>
				</div>
				<div class="col-xs-12 col-lg-8" data-ng-if="!hanaInsInfo.newServer">
					<cv-client-picker nothing-selected-loc-key="error.selectSapHanaSystem" select-none-by-default="true" clients-loaded="clientSelection.clientLoaded(listOfClients)"  selected-clients="clientSelection.selectedClients" valide-client-selection="clientSelection.valideClientSelection"
							selection-changed="clientSelection.selectionChanged(clientEntity)"  app-id="135" ></cv-client-picker>
					<span class="help-block" data-ng-show="cv.addHanaServer.getAttempted() && !clientSelection.valideClientSelection" >
						<cv:msg key="error.selectSapHanaSystem" bundle="saphana"/>
					</span>
				</div>
			</div>
			<div class="form-group" >
				<label for="databaseName" class="col-xs-12 col-lg-4">
					<cv:msg key="label.sidValue" bundle="saphana"/>
				</label>
				<div class="col-xs-12 col-lg-8" >
				 	<input type="text" id="databaseName" name="databaseName" data-ng-model="instanceEntity.instanceName" data-ng-pattern="/^([A-Za-z0-9]){0,3}$/"
					data-ng-change="hdbSQLLocationUpdate()"  required />
					<span class="help-block" data-ng-show="cv.addHanaServer.needsAttention(addHanaServer.databaseName)">
						<cv:msg key="error.DatabaseName" bundle="saphana"/>
					</span>
				</div>
			</div>
			<%-- <div class="form-group" >
				<label for="databaseNumber" class="col-xs-12 col-lg-4">
					<cv:msg key="label.DatabaseNumber" bundle="saphana"/>
				</label>
				<div class="col-xs-12 col-lg-8" >
				 	<input type="text" id="databaseNumber" name="databaseNumber" data-ng-model="hanaInsInfo.dbInstanceNumber" data-ng-pattern="/^([0-9]){0,2}$/"
				 		required data-ng-change="hdbSQLLocationUpdate()" placeholder="<cv:msg key="label.DatabaseNumber" bundle="saphana"/>" />
					<span class="help-block" data-ng-show="cv.addHanaServer.needsAttention(addHanaServer.databaseNumber)">
						<cv:msg key="error.DatabaseNumber" bundle="saphana"/>
					</span>
				</div>
			</div> --%>
			<div class="form-group" data-ng-if="!dataModel.isMetallicSetup" >
				<label for="plan" class="col-xs-12 col-lg-4">
					<cv:msg key="label.profile" bundle="profiles"/>
				</label>
				<div class="col-xs-12 col-lg-8" data-ng-if="hanaInsInfo.profileList">
					<cv-plan-summary-dropdown
						input-model="hanaInsInfo.profileList"
						output-model="hanaInsInfo.selectedProfileList"
						item-label="'name'"
						button-label="'name'"
						tick-property="'selected'"
						group-property="'msGroup'"
						selection-mode="'single'"
						on-close="showPlanErrorParseIStevenOutput()">
					</cv-plan-summary-dropdown>
					<span class="help-block" data-ng-show="cv.addHanaServer.getAttempted() && errors.showPlanError">
						<cv:msg key="error.selectPlan" bundle="profiles"/>
					</span>
				</div>
			</div>
			<div class="form-group" data-ng-if="!dataModel.isMetallicSetup" >
				<label for="hanaPhysicalClients" class="col-xs-12 col-lg-4">
					<cv-help-text help-label="<cv:msg key="label.physicalClients" bundle="saphana"/>" help-text="'<cv:msg key='help.sapHANAHost' bundle='saphana'/>'"></cv-help-text>
				</label>
				<div class="col-xs-12 col-lg-8" >
					<div class="input-group" >
					<isteven-multi-select
		   				  input-model="hanaPhysicalClients"
		  				  button-label="clientName"
		  				  item-label="clientName"
		   				  tick-property="ticked"
		   				  class="isteven-multi-select user-group-select"
		   				  id="hanaPhysicalClients"
		   				  name="hanaPhysicalClients"
		   				  helper-elements="all none reset filter"
		   				  max-labels="1"
		   				  translation="localLang"
		   				  on-close="validateClientSelection()">
					</isteven-multi-select>
					<span class="input-group-btn" >
						<a class="btn btn-ternary rounded-border-radius" data-ng-click="openAddNewHostDialog()" title="<cv:msg key="label.addPhysicalClients" bundle="saphana"/>">
							<span class="k-icon k-i-plus font-size-page-title"> </span>
						</a>
					</span>
					</div>
					<span class="help-block" data-ng-show="cv.addHanaServer.getAttempted() && errors.showPhysicalClients">
						<cv:msg key="error.physicalClients" bundle="saphana"/>
					</span>
				</div>
			</div>
			<div class="form-group" >
				<label class="col-xs-12 col-lg-4" for="dbUserType">
					<input type="radio" data-ng-model="hanaInsInfo.userType" name="dbUserType" id="dbUserType" value="DB" name="DBUser" />
					<cv:msg key="label.connectionDetails" bundle="saphana"/>
				</label>
				<label class="col-xs-12 col-lg-8" for="DBUser">
					<input type="radio" data-ng-model="hanaInsInfo.userType" value="HDB" id="DBUser" name="DBUser" />
					<cv-help-text help-label="<cv:msg key="label.hdbUser" bundle="saphana"/>" help-text="'<cv:msg key='help.sapHANAHost' bundle='saphana'/>'"></cv-help-text>
				</label>
			</div>
			<div class="form-group" data-ng-if=" hanaInsInfo.userType == 'HDB' " >
				<label class="col-xs-12 col-lg-4 padding-left-50" for="hdbStorekey">
					<cv:msg key="label.HdbStorekey" bundle="saphana"/>
				</label>
				<div class="col-xs-12 col-lg-8">
					<input type="text" name="hdbStorekey" id="hdbStorekey" data-ng-model="hanaInsInfo.hdbStoreKey"
						data-ng-required="hanaInsInfo.userType == 'HDB'" />
					<span class="help-block" data-ng-show="cv.addHanaServer.needsAttention(addHanaServer.hdbStorekey)">
						<cv:msg key="error.HdbStorekey" bundle="saphana"/>
					</span>
				</div>
			</div>
			<div class="form-group" data-ng-if=" hanaInsInfo.userType == 'DB' ">
				<label class="col-xs-12 col-lg-4 padding-left-50" for="dbUsername">
					<cv:msg key="label.hanaDBUsername" bundle="saphana"/>
				</label>
				<div class="col-xs-12 col-lg-8">
					<input type="text" name="dbUsername" id="dbUsername" data-ng-model="hanaInsInfo.dbUserName"
					data-ng-required="hanaInsInfo.userType == 'DB' "
					data-ng-disabled="hanaInsInfo.userType == 'HDB' " />
					<span class="help-block" data-ng-show="cv.addHanaServer.needsAttention(addHanaServer.dbUsername)">
						<cv:msg key="error.DbUsername" bundle="saphana"/>
					</span>
				</div>
			</div>
			<div class="form-group" data-ng-if=" hanaInsInfo.userType == 'DB' ">
				<label class="col-xs-12 col-lg-4 padding-left-50" for="dbPassword">
					<cv:msg key="label.DbPassword" bundle="saphana"/>
				</label>
				<div class="col-xs-12 col-lg-8">
					 <input type="password" name="dbPassword" id="dbPassword" data-ng-model="hanaInsInfo.dbUserPassword"
						data-ng-required="hanaInsInfo.userType == 'DB' && (isAddHanaClient || addInstance)"
						data-ng-disabled="hanaInsInfo.userType == 'HDB' "/>
					<span class="help-block" data-ng-show="cv.addHanaServer.needsAttention(addHanaServer.dbPassword)">
						<cv:msg key="error.DbPassword" bundle="saphana"/>
					</span>
				</div>
			</div>
			<div class="form-group" data-ng-if="!dataModel.isMetallicSetup">
					<label for="hdbSqlLocation" class="col-xs-12 col-lg-4">
					<cv:msg key="label.HdbSqlLocation" bundle="saphana"/>
				</label>
					<div class="col-xs-12 col-lg-8" >
					 <input type="text"  id="hdbSqlLocation" name="hdbSqlLocation" data-ng-model="hanaInsInfo.hdbLocation"
						data-ng-required="editDialog" />
					<span class="help-block" data-ng-show="cv.addHanaServer.needsAttention(addHanaServer.hdbSqlLocation)">
						<cv:msg key="error.HdbSqlLocation" bundle="saphana"/>
					</span>
				</div>
			</div>
			<div class="form-group" data-ng-if="!dataModel.isMetallicSetup">
					<label for="osUsername" class="col-xs-12 col-lg-4">
					<cv:msg key="label.OsUsername" bundle="saphana"/>
				</label>
					<div class="col-xs-12 col-lg-8" >
					<input type="text" name="osUsername" id="osUsername" data-ng-model="hanaInsInfo.osUser"
						data-ng-required="editDialog" />
					<span class="help-block" data-ng-show="cv.addHanaServer.needsAttention(addHanaServer.osUsername)">
						<cv:msg key="error.OsUsername" bundle="saphana"/>
					</span>
				</div>
			</div>
			<div class="form-group">
				<div class="col-xs-12">
					<toggle-control status="hanaInsInfo.enableSSL==true?'enabled-activity':'disabled-activity'"
              				data-ng-click="enableSSLSelection()"
              				title="<cv:msg key="label.enableSSL" bundle="saphana"/>" id="saphana">
           			</toggle-control>
					<label for="saphana" class="inline-label">
						&nbsp;<cv-help-text help-label="<cv:msg key="label.enableSSL" bundle="saphana"/>" help-text="'<cv:msg key='help.enableSSL' bundle='saphana'/>'"></cv-help-text>
					</label>
				</div>
			</div>
			<div class="form-group" data-ng-if="hanaInsInfo.enableSSL">
				<label class="col-xs-12 col-lg-4 padding-left-50" for="sslProvider">
					<cv:msg key="label.sslProvider" bundle="saphana"/>
				</label>
				<div class="col-xs-12 col-lg-8">
					<input type="text" name="sslProvider" id="sslProvider" data-ng-model="hanaInsInfo.sslProvider"
					data-ng-required="hanaInsInfo.enableSSL" />
					<span class="help-block" data-ng-show="cv.addHanaServer.needsAttention(addHanaServer.sslProvider)">
						<cv:msg key="error.sslProvider" bundle="saphana"/>
					</span>
				</div>
			</div>
			<div class="form-group" data-ng-if="hanaInsInfo.enableSSL">
				<label class="col-xs-12 col-lg-4 padding-left-50" for="sslTrustStore">
					<cv:msg key="label.sslTrustStore" bundle="saphana"/>
				</label>
				<div class="col-xs-12 col-lg-8">
					 <input type="text" name="sslTrustStore" id="sslTrustStore" data-ng-model="hanaInsInfo.sslTrustStore"
						data-ng-required="hanaInsInfo.enableSSL" />
					<span class="help-block" data-ng-show="cv.addHanaServer.needsAttention(addHanaServer.sslTrustStore)">
						<cv:msg key="error.sslTrustStore" bundle="saphana"/>
					</span>
				</div>
			</div>
			<%-- <div class="form-group" >
				<label class="col-xs-12 col-lg-12" >
				</label>
			</div>
			<uib-accordion  data-ng-show="editDialog" close-others="true" class="text-left" data-ng-init="accordionOpen = (hanaInsInfo.hdbLocation || hanaInsInfo.osUser)">
				<div uib-accordion-group data-is-open="accordionOpen">
					<uib-accordion-heading>
					<cv:msg key="header.othersetting" bundle="saphana"/>
					<i class="float-right glyphicon" data-ng-class="{'glyphicon-chevron-down': accordionOpen, 'glyphicon-chevron-right': !accordionOpen}"></i>
					</uib-accordion-heading>
				</div>
			</uib-accordion> --%>
		</div>
		<div class="button-container" >
			<button id="sapHanaCreateInstanceTemplate_button_#7394" type="button" data-ng-hide="isSetup" class="btn btn-default cvBusyOnAjax" data-ng-click="closeModal()"><cv:msg key="Cancel" bundle="messages" /></button>
			<button id="sapHanaCreateInstanceTemplate_button_#3303" type="button" data-ng-if="showDoItLater" class="btn btn-default cvBusyOnAjax" data-ng-click="skipSetup()">
					<cv:msg key="action.doItLater" bundle="profiles" />
			</button>
			<button id="sapHanaCreateInstanceTemplate_button_#2428" type="submit" class="btn btn-primary cvBusyOnAjax" data-ng-class="{'busy':loading}" >
				<span data-ng-if="isSetup && !showDoItLater"><cv:msg key="Save" bundle="messages" /> </span>
				<span data-ng-if="!isSetup && !showDoItLater"><cv:msg key="Add" bundle="messages" /> </span>
				<span data-ng-if="showDoItLater && isSetup"><cv:msg key="Finish" bundle="messages" /> </span>
			</button>
		</div>
	</form>
</div>