<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
</script>
<form
	data-ng-submit="cvVsaBrowseSearchController.dropdownOpen = false; cvVsaBrowseSearchController.prepareForSearch(); cvVsaBrowseSearchController.onSearch({searchTerm: searchTerm});">
	<div data-uib-dropdown data-auto-close="disabled"
		class=""
		data-is-open="cvVsaBrowseSearchController.dropdownOpen">
		<input type="text" class="search-field" data-uib-dropdown-toggle
			data-ng-attr-title="{{cvVsaBrowseSearchController.searchParams.fileName}}" data-ng-model="cvVsaBrowseSearchController.searchParams.fileName"
			placeholder="<cv:msg key="label.globalSearch.filesPlaceholder" bundle="messages"></cv:msg>"/>
		<span
			data-ng-click="searchTerm = ''; cvVsaBrowseSearchController.initializeSearchParams(true) ;cvVsaBrowseSearchController.dropdownOpen = false; cvVsaBrowseSearchController.onSearch({searchTerm: searchTerm});cvVsaBrowseSearchController.onClearSearch();"
			data-uib-tooltip="<cv:msg key="label.clear" bundle="search"></cv:msg>"
			class="form-control-clear glyphicon glyphicon-remove form-control-feedback"></span>
		<div id="search-filter-dropdown" class="dropdown-menu"
			data-uib-dropdown-menu>
			<div class="scrollable">
				<div class="col-xs-12">
					<div class="form-group">
						<label for="fileName"><cv:msg key="fs.keyword.name"
								bundle="search"></cv:msg></label> <input type="text"
							data-ng-model="cvVsaBrowseSearchController.searchParams.fileName"
							data-ng-blur="cvVsaBrowseSearchController.formatSearch()" autocomplete="off"
							id="fileName" />
					</div>
				</div>
				<!-- 
					User can't run content indexing so hiding this for now
				<div class="col-xs-12">
					<div class="form-group">
						<label for="contains"><cv:msg key="fs.keyword.contains"
								bundle="search"></cv:msg></label> <input type="text"
							data-ng-model="cvVsaBrowseSearchController.searchParams.contains"
							data-ng-blur="cvVsaBrowseSearchController.formatSearch()" autocomplete="off"
							id="contains" />
					</div>
				</div>
				
				-->
				
				<div class="col-xs-12">
					<div class="form-group">
						<label for="fileType"><cv:msg key="fs.keyword.fileextension"
								bundle="search"></cv:msg></label> <select id="fileType"
							data-ng-model="cvVsaBrowseSearchController.searchParams.fileType"
							data-ng-options="value for value in cvVsaBrowseSearchController.fileTypeOptions track by value"
							data-ng-change="cvVsaBrowseSearchController.formatSearch();cvVsaBrowseSearchController.fileTypeChanged();">
						</select>
					</div>
				</div>
				
				<div class="col-xs-12">
					<div class="form-group">
						<label for="modified"><cv:msg key="fs.keyword.modTime"
								bundle="search"></cv:msg></label> <select id="modified"
							data-ng-model="cvVsaBrowseSearchController.searchParams.modified"
							data-ng-options="value for value in cvVsaBrowseSearchController.modifiedOptions track by value"
							data-ng-change="cvVsaBrowseSearchController.formatSearch();cvVsaBrowseSearchController.modifiedChanged();">
						</select>
					</div>
				</div>
				<div
					data-ng-if="cvVsaBrowseSearchController.searchParams.modified === cvVsaBrowseSearchController.timeRangeLabel">
					<div class="col-xs-12">
						<div class="form-group">
							<label for="fromTime"><cv:msg key="label.fromTime"
									bundle="search"></cv:msg></label>
							<div class="calendar-wrapper date-picker">
								<input type="text" id="fromTime" name="fromTime"
									data-ng-change="cvVsaBrowseSearchController.onFromDateChanged()"
									class="date-box cursor-pointer"
									data-datetime-picker="MM/dd/yyyy"
									placeholder="<cv:msg key="label.clickToSelectADate" bundle="search"></cv:msg>"
									data-ng-model="cvVsaBrowseSearchController.searchParams.fromTime"
									data-datepicker-options="cvVsaBrowseSearchController.fromDateOptions"
									data-is-open="cvVsaBrowseSearchController.isFromTimeDatePickerOpen"
									data-enable-time="false"
									data-when-closed="cvVsaBrowseSearchController.formatSearch()"
									data-ng-click="cvVsaBrowseSearchController.isFromTimeDatePickerOpen = true"
									readonly />
							</div>
						</div>
					</div>
					<div class="col-xs-12">
						<div class="form-group">
							<label for="toTime"><cv:msg key="label.toTime"
									bundle="search"></cv:msg></label>
							<div class="calendar-wrapper date-picker">
								<input type="text" id="toTime" name="toTime"
									data-ng-change="cvVsaBrowseSearchController.onToDateChanged()"
									class="date-box cursor-pointer"
									data-datetime-picker="MM/dd/yyyy"
									placeholder="<cv:msg key="label.clickToSelectADate" bundle="search"></cv:msg>"
									data-ng-model="cvVsaBrowseSearchController.searchParams.toTime"
									data-datepicker-options="cvVsaBrowseSearchController.toDateOptions"
									data-is-open="cvVsaBrowseSearchController.isToTimeDatePickerOpen"
									data-when-closed="cvVsaBrowseSearchController.formatSearch()"
									data-enable-time="false"
									data-ng-click="cvVsaBrowseSearchController.isToTimeDatePickerOpen = true"
									readonly />
							</div>
						</div>
					</div>
				</div>
				<div class="col-xs-12">
					<div class="form-group">
						<input type="checkbox" id="includeFolders"
							data-ng-model="cvVsaBrowseSearchController.searchParams.includeFolders"
							data-ng-change="cvVsaBrowseSearchController.formatSearch()" /> <label
							for="includeFolders"><cv:msg key="fs.keywords.showFolders"
								bundle="search"></cv:msg></label>
					</div>
				</div>
			</div>
			<div class="col-xs-12 search-button-container">
				<div class="form-group">
					<button id="vsaSearchBox_button_#0225" class="btn btn-block btn-primary" type="submit"> 
						<cv:msg key="label.search" bundle="search"></cv:msg>
					</button>
				</div>
			</div>
		</div>
	</div>
</form>
