<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
</script>
<div class="form-group no-margin"  data-ng-if="!isEdit">
	<label><cv-toggle toggle-label="{{'label.customCleanupSettings' | cvLoc}}"  value="cleanupPolicy.enableMessageRules"></cv-toggle></label>
</div>
<div data-uib-collapse="!cleanupPolicy.enableMessageRules">
	<cv-exchange-plan-mailbox-types data-ng-if="!archivePolicy" data-mailbox-types="cleanupPolicy" data-is-edit="isEdit" data-id-name="'cleanupSettings'"></cv-exchange-plan-mailbox-types>
	<div class="form-group" ng-if="isEdit">
		<label class="col-xs-5" data-ng-class="{'col-sm-4': !inModal}"><cv:msg key="label.afterArchiving" bundle="exchange"/></label>
		<div class="col-xs-7">
			<cv-radio-group class="text-left" radio-obj="defaultObj" is-vertical="true" radio-model="cleanupPolicy.createStubs" on-click="clickMailboxType(data)"></cv-radio-group>
		</div>
	</div>
	<div class="form-group" ng-if="isEdit" data-ng-disabled="!cleanupPolicy.createStubs">
		<div class="col-xs-12">
			<cv-checkbox checkbox-model="cleanupPolicy.addRecallLink" checkbox-label="label.addRecallLinkToStubBody"></cv-checkbox>
		</div>
		<div class="col-xs-12">
			<cv-checkbox checkbox-model="cleanupPolicy.leaveMsgBody" checkbox-label="label.leaveMessageBodyInStub"></cv-checkbox>
		</div>
		<div data-uib-collapse="!cleanupPolicy.leaveMsgBody">
			<div class="col-xs-5" data-ng-class="{'col-sm-4' : !inModal}" data-ng-class="">
				<cv-checkbox checkbox-model="cleanupPolicy.truncateBody" checkbox-label="label.truncateBodyTo"></cv-checkbox>
			</div>
			<div class="col-xs-7" data-ng-class="{'col-sm-8' : !inModal}">
				<input type="number" id="truncateBodyToBytes" name="truncateBodyToBytes" data-ng-disabled="!cleanupPolicy.truncateBody" min="0"
					data-ng-required="cleanupPolicy.enableMessageRules && cleanupPolicy.leaveMsgBody && cleanupPolicy.truncateBody"
					data-ng-class="{'has-error' : cv.exchangeForm.needsAttention(exchangeForm.truncateBodyToBytes)}" data-ng-model="cleanupPolicy.truncateBodyToBytes" />
				<span class="help"><cv:msg key="label.bytes" bundle="exchange"/></span>
				<div class="help-block" data-ng-show="cv.exchangeForm.needsAttention(exchangeForm.truncateBodyToBytes)">
					<i class="ion-alert-circled"></i><cv:msg key="error.validBytes" bundle="exchange"/>
				</div>
			</div>
		</div>
	</div>
	<div class="form-group">
		<label class="col-xs-5" data-ng-class="{'col-sm-4' : !inModal}">
			<cv:msg key="label.cleanupMessagesOlderThan" bundle="exchange"/>
		</label>
		<div class="col-xs-7" data-ng-class="{'col-sm-8' : !inModal}">
			<input type="number" id="cleanupMessagesOlderThan" data-ng-required="cleanupPolicy.enableMessageRules" name="collectMsgsDaysAfter" min="0" data-ng-model="cleanupPolicy.collectMsgsDaysAfter" />
			<cv:msg key="label.days" bundle="exchange"/>
			<div class="help-block" data-ng-show="cv.exchangeForm.needsAttention(exchangeForm.collectMsgsDaysAfter)">
				<i class="ion-alert-circled"></i><cv:msg key="error.validDays" bundle="exchange"/>
			</div>
		</div>
	</div>
	<div class="form-group">
		<label class="col-xs-5" data-ng-class="{'col-sm-4' : !inModal}">
			<cv:msg key="label.cleanupMessagesLargerThan" bundle="exchange"/>
		</label>
		<div class="col-xs-7" data-ng-class="{'col-sm-8' : !inModal}">
			<input type="number" id="cleanupMessagesLargerThan" name="collectMsgsLargerThan" data-ng-required="cleanupPolicy.enableMessageRules" min="0"
				data-ng-model="cleanupPolicy.collectMsgsLargerThan" min="0" data-ng-class="{'has-error' : cv.exchangeForm.needsAttention(exchangeForm.collectMsgsLargerThan)}"/>
			<cv:msg key="labelKB" bundle="messagesJs"/>
			<div class="help-block" data-ng-show="cv.exchangeForm.needsAttention(exchangeForm.collectMsgsLargerThan)">
				<i class="ion-alert-circled"></i><cv:msg key="error.validKB" bundle="exchange"/>
			</div>
		</div>
	</div>
	<div class="form-group" ng-if="isEdit">
		<div class="col-xs-12">
			<cv-checkbox checkbox-model="cleanupPolicy.collectMsgWithAttach" checkbox-label="label.onlyCleanupMessagesContainingAttachments"></cv-checkbox>
		</div>
	</div>
	<div class="form-group" ng-if="isEdit">
		<div class="col-xs-12">
			<cv-checkbox checkbox-model="cleanupPolicy.skipUnreadMsgs" checkbox-label="label.dontCleanupUnreadMessages"></cv-checkbox>
		</div>
	</div>
</div>