<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
</script>
<div class="form-group" ng-if="usedDiskSpace">
	<div class="col-xs-12 text-left">
		<cv-toggle toggle-label="{{'label.usedDiskSpace' | cvLoc}}" value="cleanupPolicy.usedDiskSpace"></cv-toggle>
	</div>
	<div data-uib-collapse="!cleanupPolicy.usedDiskSpace">
		<label class="col-xs-7" data-ng-class="{'col-lg-9' : !inModal}"><cv:msg key="label.diskSpaceQuota" bundle="exchange" /></label>
		<div class="col-xs-5" data-ng-class="{'col-lg-3' : !inModal}">
			<input type="number" id="usedDiskSpaceValue" data-ng-required="cleanupPolicy.usedDiskSpace" name="usedDiskSpaceValue" min="0" max="100" data-ng-model="cleanupPolicy.usedDiskSpaceValue" />
			<div class="col-xs-12"data-ng-show="submitController.needsAttention(formController.usedDiskSpaceValue)">
				<label class="help-block"><cv:msg key="error.diskSpaceQuota" bundle="exchange"/></label>
			</div>
		</div>
	</div>
</div>
<div class="form-group margin-bottom-0">
	<div class="col-xs-12 text-left">
		<cv-toggle toggle-label="{{'label.mailboxQuota' | cvLoc}}" value="cleanupPolicy.mailboxQuota"></cv-toggle>
	</div>
</div>
<div data-uib-collapse="!cleanupPolicy.mailboxQuota">
	<div class="form-group">
		<label class="col-xs-7" data-ng-class="{'col-lg-9' : !inModal}"><cv:msg key="label.startMBQuota" bundle="exchange"/></label>
		<div class="col-xs-5" data-ng-class="{'col-lg-3' : !inModal}">
			<input type="number" id="startMBQuota" data-ng-required="cleanupPolicy.mailboxQuota" name="startMBQuota" min="0" max="100" data-ng-model="cleanupPolicy.archiveIfSize" />
			<div class="col-xs-12" data-ng-show="submitController.needsAttention(formController.startMBQuota)">
				<label class="help-block"><cv:msg key="error.startMBQuota" bundle="exchange"/></label>
			</div>
		</div>
		<label class="col-xs-7" data-ng-class="{'col-lg-9' : !inModal}"><cv:msg key="label.stopMBQuota" bundle="exchange"/></label>
		<div class="col-xs-5" data-ng-class="{'col-lg-3' : !inModal}">
			<input type="number" id="stopMBQuota" data-ng-required="cleanupPolicy.mailboxQuota"
				name="stopMBQuota" min="0" max="100" data-ng-model="cleanupPolicy.stopArchiveIfSize" />
			<div class="col-xs-12" data-ng-show="submitController.needsAttention(formController.stopMBQuota)">
				<label class="help-block"><cv:msg key="error.stopMBQuota" bundle="exchange"/></label>
			</div>
		</div>
		<div class="col-xs-12">
			<input id="processOldestEmailsFirst" name="processOldestEmailsFirst" data-ng-model="cleanupPolicy.processOldestEmailsFirst" type="checkbox" />
			<label for="processOldestEmailsFirst"><cv:msg key="label.cleanupStrategy" bundle="exchange"/></label>
		</div>
	</div>
</div>