<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}">
	<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
</script>
<div class="bootstrap-wrapper form-horizontal">
	<div class="setup-input-group">
		<cv-exchange-plan-cleanup-messages
			data-cleanup-policy="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy"
			data-is-edit="true"
			data-archive-policy="false"
		></cv-exchange-plan-cleanup-messages>
	</div>
	<cv-plain-accordion accordion-label="label.cleanupQuota">
		<div class="setup-input-group">
			<cv-exchange-plan-cleanup-quota
				data-cleanup-policy="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy"
				data-used-disk-space="exchangeEditModalController.plan.originalPlanInfo.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.usedDiskSpace"
			></cv-exchange-plan-cleanup-quota>
		</div>
	</cv-plain-accordion>
	<cv-plain-accordion accordion-label="label.sourcePruning">
		<div class="setup-input-group">
			<div class="form-group">
				<div class="col-xs-12">
					<cv-toggle
						toggle-label="{{ 'label.pruneFromMailboxOnExchangeServerStubs' | cvLoc }}"
						value="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.pruneStubs"
						on-click="
							exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.pruneStubs = !exchangeEditModalController
								.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.pruneStubs
						"
					></cv-toggle>
				</div>
				<div class="col-xs-12">
					<cv-toggle
						toggle-label="{{ 'label.pruneFromMailboxOnExchangeServerMessages' | cvLoc }}"
						value="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.pruneMsgs"
						on-click="
							exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.pruneMsgs = !exchangeEditModalController
								.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.pruneMsgs
						"
					></cv-toggle>
				</div>
				<div
					data-ng-if="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.pruneStubs || exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.pruneMsgs"
				>
					<label class="col-xs-8"><cv:msg key="label.pruneStubsOlderThan" bundle="exchange"/></label>
					<div class="col-xs-4">
						<input
							type="number"
							required="required"
							id="numOfDaysForSourcePruning"
							name="numOfDaysForSourcePruning"
							data-ng-model="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.numOfDaysForSourcePruning"
						/>
						<cv:msg key="label.days" bundle="exchange" />
						<div
							class="help-block"
							data-ng-show="cv.exchangeForm.needsAttention(exchangeFrom.numOfDaysForSourcePruning)"
						>
							{{ 'error.validDays' | cvLoc }}
						</div>
					</div>
				</div>
			</div>
		</div>
	</cv-plain-accordion>
	<cv-plain-accordion accordion-label="label.filters">
		<uib-tabset justified="true" active="defaultTab">
			<uib-tab heading="Folder filters">
				<fieldset class="toggle-inner-links">
					<div id="backup-content-wrapper">
						<div class="content-checkboxes">
							<div id="backup-content-folders">
								<div class="content-header clearfix">
									<h4>
										<cv:msg key="label.includeFolders" bundle="profiles" />
										<cv-help-component
											help-text='<cv:msg key="label.includeFolderFilterHelpText" bundle="profiles"/>'
										></cv-help-component>
									</h4>
									<div class="content-header-actions">
										<span
											class="page-action-item"
											data-ng-if="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter.folderPatternsSelected.length > 0"
										>
											<a
												href=""
												data-ng-click="exchangeEditModalController.removeFilterValues(['exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter','exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter'], '', true)"
											>
												<span><cv:msg key="label.removeAll" bundle="profiles"/></span>
											</a>
										</span>
									</div>
								</div>
								<div class="peopleInfos ownerInfo content-to-backup">
									<div class="cv-modal-wrapper O365-modal  select-mode interactive-install-link no-margin">
										<label class="cv-label filter-label" for="includefolderName"
											><cv:msg key="label.customFolderName" bundle="profiles"
										/></label>
										<div class="cv-inline-wrapper filter-name-input-wrapper">
											<input class="display-inline filter-input" type="text" list="includeFolder"
											name="includefolderName" id="includefolderName"
											data-ng-model="exchangeEditModalController.includeFolderName" placeholder="<cv:msg
												key="label.enterFolderName"
												bundle="profiles"
											/>">
											<datalist id="includeFolder">
												<option
													data-ng-repeat="data in exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter.folderPatternsAvailable"
												>
													{{ data }}
												</option>
											</datalist>
											<i
												class="k-icon k-i-plus cursor-pointer"
												id="filter-buttons"
												title="Add"
												ng-click="exchangeEditModalController.addFilterValues(['exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter','exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter'], 'includeFolderName')"
											></i>
											<i
												class="k-icon k-i-close cursor-pointer"
												id="filter-buttons"
												title="Remove"
												ng-click="exchangeEditModalController.includeFolderName = ''"
											></i>
										</div>
									</div>
									<ul
										class="users-list limit-modal-height"
										data-ng-if="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter.folderPatternsSelected.length > 0"
									>
										<li
											data-ng-repeat="includeFolder in exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter.folderPatternsSelected"
											title="{{ includeFolder }}"
										>
											<span class="content-library-folder content-library-folder">
												<label
													for="windows-{{ includeFolder }}"
													class="ellipsis-parent ellipsis-content"
													data-ng-if="includeFolder === '*'"
												>
													<span data-ng-if="includeFolder === '*'"><cv:msg key="label.all" bundle="exchange"/></span>
												</label>
												<span data-ng-if="includeFolder !== '*'">
													<span>
														<label
															for="windows-{{ includeFolder }}"
															class="ellipsis-parent ellipsis-content name-break-all"
														>
															<span ng-bind="includeFolder"></span>
														</label>
													</span>
													<span class="delete-row"
														><a
															href=""
															data-ng-click="exchangeEditModalController.removeFilterValues(['exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter','exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter'], includeFolder, false)"
															title="<cv:msg key='label.removeContent' bundle='collectionsJs'/> {{ includeFile }}"
															><span class="k-icon k-i-close"></span></a
													></span>
												</span>
											</span>
										</li>
									</ul>
									<label
										data-ng-if="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter.folderPatternsSelected.length === 0"
										class="users-list limit-modal-height"
									>
										<span class="content-library-folder content-library-folder">
											<label for="windows-{{ includeFolder }}" class="ellipsis-parent ellipsis-content">
												<span><cv:msg key="label.all" bundle="exchange"/></span>
											</label>
										</span>
									</label>
								</div>
							</div>
							<div id="exclude-folders">
								<div class="content-header clearfix">
									<h4><cv:msg key="label.excludeFolders" bundle="profiles" /></h4>
									<div class="content-header-actions">
										<span
											class="page-action-item"
											data-ng-if="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter.folderPatternsSelected.length > 0"
										>
											<a
												href=""
												data-ng-click="exchangeEditModalController.removeFilterValues(['exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter', 'exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter'], '', true)"
											>
												<span><cv:msg key="label.removeAll" bundle="profiles"/></span>
											</a>
										</span>
									</div>
								</div>
								<div class="peopleInfos ownerInfo content-to-backup">
									<div class="cv-modal-wrapper O365-modal select-mode interactive-install-link no-margin">
										<label class="cv-label filter-label" for="excludefolderName"
											><cv:msg key="label.customFolderName" bundle="profiles"
										/></label>
										<div class="cv-inline-wrapper filter-name-input-wrapper">
											<input class="display-inline filter-input" type="text" list="excludeFolder"
											name="excludefolderName" id="excludefolderName"
											data-ng-model="exchangeEditModalController.excludeFolderName" placeholder="<cv:msg
												key="label.enterFolderName"
												bundle="profiles"
											/>">
											<datalist id="excludeFolder">
												<option
													data-ng-repeat="data in exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter.folderPatternsAvailable"
												>
													{{ data }}
												</option>
											</datalist>
											<i
												class="k-icon k-i-plus cursor-pointer"
												id="filter-buttons"
												title="Add"
												ng-click="exchangeEditModalController.addFilterValues(['exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter', 'exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter'], 'excludeFolderName')"
											></i>
											<i
												class="k-icon k-i-close cursor-pointer"
												id="filter-buttons"
												title="Remove"
												ng-click="exchangeEditModalController.excludeFolderName = ''"
											></i>
										</div>
									</div>
									<ul
										class="users-list limit-modal-height"
										ng-if="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter.folderPatternsSelected.length > 0"
									>
										<li
											data-ng-repeat="excludeFolder in exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter.folderPatternsSelected"
											title="{{ excludeFolder }}"
										>
											<span class="content-library-folder content-library-folder">
												<label
													for="windows-{{ excludeFolder }}"
													class="ellipsis-parent ellipsis-content"
													data-ng-if="excludeFolder === '*'"
												>
													<span data-ng-if="excludeFolder === '*'"><cv:msg key="label.all" bundle="exchange"/></span>
												</label>
												<span data-ng-if="excludeFolder !== '*'">
													<span>
														<label
															for="windows-{{ excludeFolder }}"
															class="ellipsis-parent ellipsis-content name-break-all"
														>
															<span ng-bind="excludeFolder"></span>
														</label>
													</span>
													<span class="delete-row"
														><a
															href=""
															data-ng-click="exchangeEditModalController.removeFilterValues(['exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter', 'exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.includeFolderFilter'], excludeFolder, false)"
															title="<cv:msg key='label.removeContent' bundle='collectionsJs'/> {{ excludeFolder }}"
															><span class="k-icon k-i-close"></span></a
													></span>
												</span>
											</span>
										</li>
									</ul>
									<label
										data-ng-if="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeFolderFilter.folderPatternsSelected.length === 0"
										class="users-list limit-modal-height"
									>
										<span class="k-icon k-i-cancel-outline error"></span>
										<span><cv:msg key="label.none" bundle="profiles"/></span>
									</label>
								</div>
							</div>
						</div>
					</div>
				</fieldset>
			</uib-tab>
			<uib-tab heading="Message filters">
				<fieldset class="toggle-inner-links">
					<div id="backup-content-wrapper">
						<div class="content-checkboxes">
							<div id="backup-content-folders">
								<div class="content-header clearfix">
									<h4>
										<cv:msg key="label.excludeMessagesTypes" bundle="profiles" />
									</h4>
									<div class="content-header-actions">
										<span
											class="page-action-item"
											data-ng-if="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeMessageClassFilter.folderPatternsSelected.length > 0"
										>
											<a
												href=""
												data-ng-click="exchangeEditModalController.removeFilterValues(['exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeMessageClassFilter'], '', true)"
											>
												<span><cv:msg key="label.removeAll" bundle="profiles"/></span>
											</a>
										</span>
									</div>
								</div>
								<div class="peopleInfos ownerInfo content-to-backup">
									<div class="cv-modal-wrapper O365-modal select-mode interactive-install-link no-margin">
										<label class="cv-label filter-label" for="excludeMessageName"
											><cv:msg key="label.messageTypes" bundle="profiles"
										/></label>
										<div class="cv-inline-wrapper filter-name-input-wrapper">
											<input class="display-inline filter-input" type="text" list="excludeMessage"
											name="excludeMessageName" id="excludeMessageName"
											data-ng-model="exchangeEditModalController.excludeMessageName" placeholder="<cv:msg
												key="label.enterMessageTypes"
												bundle="profiles"
											/>">
											<datalist id="excludeMessage">
												<option
													data-ng-repeat="data in exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeMessageClassFilter.folderPatternsAvailable"
												>
													{{ data }}
												</option>
											</datalist>
											<i
												class="k-icon k-i-plus cursor-pointer"
												id="filter-buttons"
												title="Add"
												ng-click="exchangeEditModalController.addFilterValues(['exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeMessageClassFilter'], 'excludeMessageName')"
											></i>
											<i
												class="k-icon k-i-close cursor-pointer"
												id="filter-buttons"
												title="Remove"
												ng-click="exchangeEditModalController.excludeMessageName = ''"
											></i>
										</div>
									</div>
									<ul
										class="users-list limit-modal-height"
										ng-if="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeMessageClassFilter.folderPatternsSelected.length > 0"
									>
										<li
											data-ng-repeat="excludeMessageClass in exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeMessageClassFilter.folderPatternsSelected"
											title="{{ excludeMessageClass }}"
										>
											<span class="content-library-folder content-library-folder">
												<label
													for="windows-{{ excludeMessageClass }}"
													class="ellipsis-parent ellipsis-content"
													data-ng-if="excludeMessageClass === '*'"
												>
													<span data-ng-if="excludeMessageClass === '*'"
														><cv:msg key="label.all" bundle="exchange"
													/></span>
												</label>
												<span data-ng-if="excludeMessageClass !== '*'">
													<span>
														<label
															for="windows-{{ excludeMessageClass }}"
															class="ellipsis-parent ellipsis-content name-break-all"
														>
															<span ng-bind="excludeMessageClass"></span>
														</label>
													</span>
													<span class="delete-row"
														><a
															href=""
															data-ng-click="exchangeEditModalController.removeFilterValues(['exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeMessageClassFilter'], excludeMessageClass, false)"
															title="<cv:msg key='label.removeContent' bundle='collectionsJs'/> {{ excludeFolder }}"
															><span class="k-icon k-i-close"></span></a
													></span>
												</span>
											</span>
										</li>
									</ul>
									<label
										data-ng-if="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.excludeMessageClassFilter.folderPatternsSelected.length === 0"
										class="users-list limit-modal-height"
									>
										<span class="k-icon k-i-cancel-outline error"></span>
										<span><cv:msg key="label.none" bundle="profiles"/></span>
									</label>
								</div>
							</div>
						</div>
					</div>
				</fieldset>
			</uib-tab>
			<!-- // file filter ends // -->
		</uib-tabset>
	</cv-plain-accordion>

	<cv-plain-accordion accordion-label="label.advancedCleanupOptions">
		<div class="setup-input-group">
			<div class="form-group">
				<div class="col-xs-12 text-left">
					<cv-checkbox
						checkbox-model="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.useExchangeRestriction"
						checkbox-label="'label.useExchangeRestriction'"
						checkbox-name="{{ 'label.useExchangeRestriction' | cvLoc }}"
						check-click="exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.useExchangeRestriction = !exchangeEditModalController.exchangeDetails.mbCleanup.detail.emailPolicy.cleanupPolicy.useExchangeRestriction"
					></cv-checkbox>
				</div>
			</div>
		</div>
	</cv-plain-accordion>
</div>
