<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
	<cv:cvMessages bundle="localization.office365"></cv:cvMessages>
</script>
<div class="bootstrap-wrapper form-horizontal padding-bottom-0 margin-bottom-0">

		<div class="form-group margin-bottom-0">
			<label data-ng-click="retainIndefinitely()" for="disabledMailboxRetention" class="col-xs-12">
				<input id="disabledMailboxRetention" type="radio" ng-model="retentionSelection.select" ng-value="0" />
				<span ng-if="!isOffice365Plan" class="block-indent"><cv:msg key="label.retainMessagesIndefinitely" bundle="exchange"/></span>
				<span ng-if="isOffice365Plan" class="block-indent"><cv:msg key="label.retailIndefinetely" bundle="office365"/></span>
			</label>
		</div>

		<div class="form-group margin-bottom-0" ng-if="!isOffice365Plan">
			<label for="retainBasedOnReceivedTime" class="col-xs-5"
				data-ng-class="{'col-sm-3': !inModal}" for="retainBasedOnReceivedTime">
				<input id="retainBasedOnReceivedTime" type="radio" ng-model = "retentionSelection.select" ng-value="1" data-ng-click="setRetention('received')" />
				 <span class="block-indent"><cv:msg key="label.retainMessagesFor" bundle="exchange"/></span>
			</label>
			<div class="col-xs-7 margin-top-5" data-ng-class="{'col-sm-9 margin-top-5': !inModal}">
				<cv-time-relative-picker picker-id="retentionDays" is-disabled="retentionPolicy.numOfDaysForMediaPruning < 0"
				 validation-func="onRetentionPolicyDaysChange(pickerId,seconds, selectedValues)" time-list-values="timeValues" default-values="retentionPolicyDays"></cv-time-relative-picker>
				<div class="help-block" data-ng-show="retentionPolicyDays[0]<=0">
					<i class="ion-alert-circled"></i><cv:msg key="error.validDays" bundle="exchange"/>
				</div>
			</div>
		</div>

		<div class="form-group margin-bottom-0" ng-if="isArchivingMailbox">
			<label for="retainBasedOnDeletionTime" class="col-xs-5"
				data-ng-class="{'col-sm-3': !inModal}">
				<input id="retainBasedOnDeletionTime" type="radio" ng-model="retentionSelection.select" ng-value="2" data-ng-click="setRetention('deleted')" />
				<span ng-if="!isOffice365Plan" class="block-indent"><cv:msg key="label.retainDeletedMessagesFor" bundle="exchange"/></span>
				<span ng-if="isOffice365Plan" class="block-indent"><cv:msg key="label.retainBasedOnDeletedItems" bundle="office365"/></span>
			</label>
			<div class="col-xs-7 margin-top-5" data-ng-class="{'col-sm-9 margin-top-5': !inModal}">
				<cv-time-relative-picker picker-id="deletedRetentionDays" is-disabled="retentionPolicy.numOfDaysForDeletedMediaPruning < 0"
				 validation-func="onRetentionDeletedMsgPolicyDaysChange(pickerId, seconds, selectedValues)" time-list-values="timeValues" default-values="retentionDeletedMsgPolicyDays"></cv-time-relative-picker>
				<div class="help-block" data-ng-show="retentionDeletedMsgPolicyDays[0]<=0">
					<i class="ion-alert-circled"></i> <cv:msg key="error.validDays" bundle="exchange"/>
				</div>
			</div>
		</div>

</div>
