<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
</script>
<div class="row">
	<div class="col-md-12">
		<h1 class='page-title'>{{plan.name}}</h1>
		<a class="page-action-item"
			href="" data-ng-click="plan.destroy()"><cv:msg
					key="action.delete" bundle="profiles" /></a>
	</div>
</div>
<div class="row">
	<div class="col-xs-12 col-md-6">
		<!-- Archive Mailbox Types Tile -->
		<cv-tile-component data-ac-id="label_archiveMailboxTypes-exchange" data-title="<cv:msg key="label.archiveMailboxTypes" bundle="exchange" />">
			<ul class="list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.primaryMailbox" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.archiveMailbox" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10008;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.disabledMailbox" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
			</ul>
			<div class="page-details-box-links">
				<a href="" data-ng-click="plan.openEditArchiveMailboxTypes()"><cv:msg key="action.edit" bundle="profiles" /></a>
			</div>
		</cv-tile-component>
		<!-- End Archive Mailbox Types Tile -->
		<!-- Advanced Archiving Options -->
		<cv-tile-component data-ac-id="label_advancedArchiveOptions-exchange" data-title="<cv:msg key="label.advancedArchiveOptions" bundle="exchange" />">
			<ul class="list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.processStubs" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.backupDeletedItemRetention" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10008;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.mailboxQuotas" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10008;</span>
				</li>
			</ul>
			<div class="page-details-box-links">
				<a href="" data-ng-click="plan.openEditAdvancedArchiveOptions()"><cv:msg key="action.edit" bundle="profiles" /></a>
			</div>
		</cv-tile-component>
		<!-- End Archive Mailbox Types Tile -->
		<!-- Source Pruning Tile -->
		<cv-tile-component data-ac-id="label_sourcePruning-exchange" data-title="<cv:msg key="label.sourcePruning" bundle="exchange" />">
			<ul class="list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.pruneFromMailboxOnExchangeServerStubs" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10008;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.pruneFromMailboxOnExchangeServerMessages" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.pruneStubsOlderThan" bundle="exchange" /></span>
					<span class="pageDetailColumn">730 <cv:msg key="label.daysBasedOnReceivedTime" bundle="exchange" /></span>
				</li>
			</ul>
			<div class="page-details-box-links">
				<a href="" data-ng-click="plan.openEditSourcePruningModal()"><cv:msg key="action.edit" bundle="profiles" /></a>
			</div>
		</cv-tile-component>
		<!-- End Filters Tile -->
		<!-- Content Indexing Tile -->
		<cv-tile-component data-ac-id="label_contentIndexing-exchange" data-title="<cv:msg key="label.contentIndexing" bundle="exchange" />">
			<ul class="list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.contentIndexing" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.daysBasedOnReceivedTime" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.uncPath" bundle="exchange" /></span>
					<span class="pageDetailColumn">blah blah blah</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.deferContentIndexingFor" bundle="exchange" /></span>
					<span class="pageDetailColumn">10 <cv:msg key="label.days" bundle="exchange" /></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.backupsOnAndAfter" bundle="exchange" /></span>
					<span class="pageDetailColumn">Thu 03/02/2017</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.syncUpActiveDirectory" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
			</ul>
			<div class="page-details-box-links">
				<a href="" data-ng-click="plan.openEditContentIndexingModal()"><cv:msg key="action.edit" bundle="profiles" /></a>
			</div>
		</cv-tile-component>
		<!-- End Content Indexing Tile -->
	</div>
	<div class="col-xs-12 col-md-6">
		<!-- Archive Mailbox Types -->
		<cv-tile-component data-ac-id="label_cleanupMailboxTypes-exchange" data-title="<cv:msg key="label.cleanupMailboxTypes" bundle="exchange" />">
			<ul class="list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.processStubs" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10008;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.backupDeletedItemRetention" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10008;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.mailboxQuotas" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
			</ul>
			<div class="page-details-box-links">
				<a href="" data-ng-click="plan.openEditCleanupMailboxTypes()"><cv:msg key="action.edit" bundle="profiles" /></a>
			</div>
		</cv-tile-component>
		<!-- End General Tile -->
		<!-- Archive Messages Tile -->
		<cv-tile-component data-ac-id="label_archiveMessages-exchange" data-title="<cv:msg key="label.archiveMessages" bundle="exchange" />">
			<ul class="list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.includeMessagesOlderThan" bundle="exchange" /></span>
					<span class="pageDetailColumn">0 <cv:msg key="label.days" bundle="exchange" /></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.includeMessagesLargerThan" bundle="exchange" /></span>
					<span class="pageDetailColumn">0 <cv:msg key="labelKB" bundle="messagesJs" /></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.includeOnlyMessagesThatContainAttachments" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10008;</span>
				</li>
			</ul>
			<div class="page-details-box-links">
				<a href="" data-ng-click="plan.openEditArchiveMessagesModal()"><cv:msg key="action.edit" bundle="profiles" /></a>
			</div>
		</cv-tile-component>
		<!-- End Archive Messages Tile -->
		<!-- Cleanup Messages Tile -->
		<cv-tile-component data-ac-id="label_cleanupMessages-exchange" data-title="<cv:msg key="label.cleanupMessages" bundle="exchange" />">
			<ul class="list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.replaceAllMessagesWithAStub" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.addRecallLinkToStubBody" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.leaveMessageBodyInStub" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10003;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.truncateBodyTo" bundle="exchange" /></span>
					<span class="pageDetailColumn">1024 <cv:msg key="label.bytes" bundle="exchange" /></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.cleanupMessagesOlderThan" bundle="exchange" /></span>
					<span class="pageDetailColumn">365 <cv:msg key="label.days" bundle="exchange" /></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.cleanupMessagesLargerThan" bundle="exchange" /></span>
					<span class="pageDetailColumn">5000 <cv:msg key="labelKB" bundle="messagesJs" /></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.onlyCleanupMessagesContainingAttachments" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10008;</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.dontCleanupUnreadMessages" bundle="exchange" /></span>
					<span class="pageDetailColumn">&#10008;</span>
				</li>
			</ul>
			<div class="page-details-box-links">
				<a href="" data-ng-click="plan.openEditCleanupMessagesModal()"><cv:msg key="action.edit" bundle="profiles" /></a>
			</div>
		</cv-tile-component>
		<!-- End Cleanup Messages -->
		<!-- Retention Tile -->
		<cv-tile-component data-ac-id="label_retention-exchange" data-title="<cv:msg key="label.retention" bundle="exchange" />">
			<ul class="list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.retainMessagesFor" bundle="exchange" /></span>
					<span class="pageDetailColumn">X <cv:msg key="label.daysBasedOnReceivedTime" bundle="exchange" /></span>
				</li>
			</ul>
			<div class="page-details-box-links">
				<a href="" data-ng-click="plan.openEditRetentionRulesModal()"><cv:msg key="action.edit" bundle="profiles" /></a>
			</div>
		</cv-tile-component>
		<!-- End Retention Tile -->
	</div>
</div>