<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.schedule"></cv:cvMessages>
	<cv:cvMessages bundle="localization.scheduleJs"></cv:cvMessages>
</script>
<div class="row">
	<div class="col-md-12">
			<span data-ng-if="showEdit"><cv-changename obj='changeNameObj' service-method="renamePlan.do" class="float-left"></cv-changename></span>
			<h1 class='page-title' data-ng-if="!showEdit">{{profileName}}</h1>
			<span data-ng-if="showDelete"><a class="page-action-item" href="" data-ng-click="deleteProfile(profileId,profileName)"><cv:msg key="action.delete" bundle="profiles" /></a></span>
	</div>
</div>
<span class="server-message {{serverMessage.type}}">{{serverMessage.message}}</span>
<div class="row">
	<div class="col-md-6">
		<cv-security-component entity-type='entityType' generic-entity = 'genericEntity'
				associations='formattedSecurityAssociations' associations-loaded="associationsLoaded" hide-inherited-associations="isTenantAdmin">
		</cv-security-component>
		 <%-- <cv-storage-pool-tile data-ng-if="logPrimaryStoragePoolInfo" plan-sub-type="planSubType" show-edit="showEdit" profile-id="profileId" storage-type="Log"
							  primary-storage-pool-info="logPrimaryStoragePoolInfo" secondary-storage-pool-info="logSecondaryStoragePoolInfo" showExtendedRetention="true" ></cv-storage-pool-tile> --%>
		<cv-plan-storage-pool profile-details="profileDetails" master-profile="masterProfile" plan-sub-type="planSubType" show-edit="showEdit && !hideEditStorage" storage-type="Log"></cv-plan-storage-pool>
		<!-- Log SLA -->
		<cv-tile-component data-ac-id="label_logSla-profiles" data-title='<cv:msg key="label.logSla" bundle="profiles"/>' help-text="{{slaHelpText}}" loader="logSlaInfo">
			<ul class="list-style-secondary">
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.backupSla" bundle="profiles" /></span>
					 <span class="pageDetailColumn">
					 	<span>{{logSlaInfo.slaHours}} <cv:msg key="label.hours" bundle="schedule" /> &nbsp;&nbsp;
					 	</span>{{logSlaInfo.slaMinutes}} <cv:msg key="label.minutes" bundle="schedule" />
				 	  </span>
				 </li>
			</ul>
			<span data-ng-if="!showAssociatedLogSchedules" class="tile-link-wrapper">
				<a class="tile-content-link" data-ng-click="getAssociatedLogSchedule()"><cv:msg key="label.showAssociatedSchedules" bundle="profiles" /></a>
			</span>
			<div class="page-details-box-links">
				<a href="" data-ng-click="modifySla(logSlaInfo,true)"><cv:msg key="action.edit" bundle="profiles" />
				</a>
			</div>
		</cv-tile-component>
		<cv-schedule-tile data-ng-if="showAssociatedLogSchedules" task-id="logTaskId"  data-profile-id="profileId" scheduleIdentifierList="scheduleIdentifierList" show-edit="showEdit" plan-sub-type="planSubType" sla="true" is-log="true"></cv-schedule-tile>
		<cv-schedule-tile data-ng-if="logSecondaryStoragePoolInfo" data-profile-id="profileId"  policy-id="logPolicyId" show-edit="showEdit" plan-sub-type="planSubType" show-loader="policyId" is-log="true"></cv-schedule-tile>
	</div>
	<div class="col-md-6">
		<cv-schedule-tile data-ng-if="!slaInfo && taskId" task-id="taskId" data-profile-id="profileId" show-edit="showEdit" plan-sub-type="planSubType" show-loader="taskId"></cv-schedule-tile>
	    <cv-tile-component data-ac-id="label_storage-profiles" data-ng-if="storageInfo" data-title='<cv:msg key="label.storage" bundle="profiles"/>' loader="storageInfo">
			<span data-ng-if="storageInfo.libraryName==''">
				<p class="info-place-holder"><cv:msg key="error.noStorageConfigured" bundle="profiles"/></p>
			</span>
			<ul class="list-style-secondary" data-ng-if="storageInfo.libraryName!=''">
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.library" bundle="profiles" /></span>
					 <span class="pageDetailColumn">{{storageInfo.libraryName}}</span></li>
				<li class="group" data-ng-if="storageInfo.retentionInDays && planSubType == 'Laptop'"><span class="pageDetailColumn"><cv:msg key="label.retentionPeriod" bundle="profiles" /></span>
					 <span class="pageDetailColumn">{{storageInfo.retentionInDays}} <cv:msg key="label.days" bundle="profiles" /></span></li>
				<li class="group" data-ng-if="storageInfo.retentionInDays && planSubType == 'Server'"><span class="pageDetailColumn"><cv:msg key="label.retentionDays" bundle="collections" /></span>
					 <span class="pageDetailColumn">{{storageInfo.retentionInDays}} <cv:msg key="label.days" bundle="profiles" /></span></li>
				<li class="group" data-ng-if="storageInfo.snapRecoveryPoints && snapPlan"><span class="pageDetailColumn"><cv:msg key="label.snapRecoveryPoints" bundle="profiles" /></span>
					 <span class="pageDetailColumn">{{storageInfo.snapRecoveryPoints}}</span></li>
			</ul>
			<div class="page-details-box-links" data-ng-if="storageInfo && showEdit">
				<a href="" data-ng-click="modifyStorage()"><cv:msg key="action.edit" bundle="profiles" />
				</a>
			</div>
		</cv-tile-component>
		<%-- <cv-storage-pool-tile data-ng-if="primaryStoragePoolInfo" plan-sub-type="planSubType" show-edit="showEdit" profile-id="profileId"
							  primary-storage-pool-info="primaryStoragePoolInfo" secondary-storage-pool-info="secondaryStoragePoolInfo" snap-storage-info="snapStorageInfo" showExtendedRetention="true" ></cv-storage-pool-tile> --%>
		<cv-plan-storage-pool profile-details="profileDetails" master-profile="masterProfile" plan-sub-type="planSubType" show-edit="showEdit && !hideEditStorage"></cv-plan-storage-pool>
		<cv-tile-component data-ac-id="label_sla-profiles" data-title='<cv:msg key="label.sla" bundle="profiles"/>' help-text="{{slaHelpText}}" loader="slaInfo">
			<ul class="list-style-secondary">
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.backupSla" bundle="profiles" /></span>
					 <span class="pageDetailColumn"><span>{{slaInfo.slaHours}} <cv:msg key="label.hours" bundle="schedule" /> <%-- &nbsp;&nbsp;</span>{{slaInfo.slaMinutes}}  <cv:msg key="label.minutes" bundle="schedule" /></span> --%></li>
			</ul>
			<span data-ng-if="!showAssociatedSchedules" class="tile-link-wrapper">
				<a class="tile-content-link" data-ng-click="getAssociatedSchedule()"><cv:msg key="label.showAssociatedSchedules" bundle="profiles" /></a>
			</span>
			<div class="page-details-box-links">
				<a href="" data-ng-click="modifySla()"><cv:msg key="action.edit" bundle="profiles" />
				</a>
			</div>
		</cv-tile-component>
		<cv-data-schedule-tile model="dataModel" data-ng-if="showAssociatedSchedules" ></cv-data-schedule-tile>
		<cv-schedule-tile data-ng-if="secondaryStoragePoolInfo" data-profile-id="profileId" policy-id="policyId" show-edit="showEdit" plan-sub-type="planSubType" show-loader="policyId"></cv-schedule-tile>
	</div>
</div>