<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.collectionsJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.restore"></cv:cvMessages>
	<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.replicationGroups"></cv:cvMessages>
	<cv:cvEnum name="App.TransportModeForVMWare"></cv:cvEnum>
	<cv:cvEnum name="TMMsg.DiskOption"></cv:cvEnum>
</script>
<p class="{{serverMessage.type}} serverMessage text-center">{{serverMessage.message}}</p>
<div class="bootstrap-wrapper">
	<div class="col-xs-12 col-md-10 col-md-offset-1 col-lg-8 col-lg-offset-2">
		<div class="form-horizontal">
			<div class="form-group"  data-ng-if="showBLRInfoMessage && (!replicationType || replicationType === 'LiveSyncIO')">
				<div class="col-xs-12 col-lg-12 ">
				<div class="please-note-wrapper" >
						<div class="please-note-header">
							<div class="please-note-svg-container">
								<svg xmlns="http://www.w3.org/2000/svg" width="18" height="20" viewBox="0 0 18 20">
								  <rect y="7.6" width="2.5" height="1.2" />
								  <rect x="15.4" y="7.6" width="2.6" height="1.2" />
								  <polygon points="3.4 12 1.2 12.9 0.7 11.8 2.9 10.9 3.4 12" />
								  <polygon points="15 10.9 17.2 11.8 16.8 13 14.5 12 15 10.9" />
								  <polygon points="17 4.2 15 5.6 14.3 4.7 16.3 3.3 17 4.2" />
								  <polygon points="13.9 1.2 12.8 3.2 11.7 2.6 12.8 0.6 13.9 1.2" />
								  <polygon points="3 5.6 0.9 4.1 1.6 3.1 3.7 4.6 3 5.6" />
								  <polygon points="5.2 3.2 4 1.2 5.1 0.6 6.3 2.7 5.2 3.2" />
								  <rect x="7.9" y="0.5" width="2.3" height="1.22" transform="translate(7.9 10.2) rotate(-90)" />
								  <rect x="6.8" y="16.1" width="4.5" height="0.86" rx="0.3" ry="0.3" />
								  <rect x="6.9" y="17.6" width="4.2" height="0.86" rx="0.3" ry="0.3" />
								  <polygon points="7.3 19.1 10.6 19.1 9.6 20 8.4 20 7.3 19.1" />
								  <path d="M9,3.5a7.8,7.8,0,0,1,2.9.8,5.3,5.3,0,0,1,1.9,2.2,9.6,9.6,0,0,1,.3,1.7A6.5,6.5,0,0,1,14,9.6a7.1,7.1,0,0,1-.4,1.1c-0.3.7-.8,1.6-0.8,1.6a7.1,7.1,0,0,0-1,1.6,3.9,3.9,0,0,0-.2,1.5H10.3a10.6,10.6,0,0,1,.4-1.8,12.2,12.2,0,0,1,.8-1.7,10.3,10.3,0,0,0,.8-1.3A13.7,13.7,0,0,0,12.9,9a6.4,6.4,0,0,0-.2-2A3.9,3.9,0,0,0,8.8,4.6,3.8,3.8,0,0,0,5.1,7.3a4.2,4.2,0,0,0,.4,3.1c0.4,0.8.9,1.6,0.9,1.6a9.5,9.5,0,0,1,1,1.9,6.4,6.4,0,0,1,.3,1.8H6.4a4.1,4.1,0,0,0-.3-1.7,12.2,12.2,0,0,0-1.3-2.3,6.1,6.1,0,0,1-.8-2.2A10.2,10.2,0,0,1,3.9,7,5.9,5.9,0,0,1,5.8,4.4,6.9,6.9,0,0,1,9,3.5Z" style="fill-rule: evenodd"/>
								</svg>
							</div>
							<div class="please-note-header-text"><cv:msg key="action.note" bundle="restoreJs" /></div>
						</div>
						<div class="please-note-body"><cv:msg key="info.clustersNotSupportedForLiveSyncIOMsg" bundle="restoreJs" /></div>
					</div>
				</div>
			</div>
			<!-- // Backup source // -->
			<div class="form-group" data-ng-if="!copyDetails">
				<label class="col-xs-12 col-sm-5" for="backupSource"><cv:msg
						key="label.backupSource" bundle="profiles" /></label>
				<div class="col-xs-12 col-sm-7">
					<select id="backupSource" name="backupSource"
						data-ng-model="model.source"
						data-ng-options="storage.name as storage.name for storage in storages">
					</select>
				</div>
			</div>
			<div class="text-center"><span data-ng-if=noBucketSelected  class="col-xs-12 server-message {{serverMessage.type}}">{{noBucketSelected.message}}</div>
			<!-- // target // -->
			<div class="form-group" data-ng-disabled="disabledTarget" data-ng-if="initModel.showTarget">
				<label class="col-xs-12 col-sm-5" for="target"><cv:msg
						key="label.replicationTarget" bundle="restoreJs" /></label>
				<div class="col-xs-12 col-sm-7">
					<div class="input-group">
						<isteven-multi-select id="vsaPlanReplicationTemplate_isteven-multi-select_#0954" input-model="targets"
							output-model="selectedTargets" button-label="vmAllocPolicyName"
							item-label="vmAllocPolicyName" tick-property="selected"
							class="isteven-multi-select user-group-select"
							helper-elements="filter" selection-mode="single"
							on-close="parseIStevenOutput()" translation="localLang"
							max-height="300px" group-property="msGroup"
							on-item-click="checkingNewTarget()"
							disable-property="disabled">
						</isteven-multi-select>
						<span class="input-group-btn">
						<a class="create-new-button" data-ng-if="!disabledTarget" data-ng-click="showAddReplicationTarget()">
							<cv:msg key="string.createNew" bundle="archiving" /></a>
						</span>
					</div>
					<span class="help-block" data-ng-if="initModel.targetErrorMessage && initModel.targetErrorMessage.message">
						<i class="ion-alert-circled"></i>
						{{initModel.targetErrorMessage.message}}
					</span>
					<div class="error serverMessage" data-ng-show="((model.target) && (model.target.isDestinationSameAsSource))"><cv:msg
						key="error.sourceDestinationSame" bundle="serversJs" /></div>
				</div>
			</div>
			<div>
				<div class="form-group" data-ng-if="isSimplifiedLiveSync && enableContinuousReplication">
					<label class="col-xs-12 col-sm-5"><cv:msg key="label.replicationType" bundle="replicationGroups"/></label>
					<div class="col-xs-12 col-sm-7">
						<div class="multiple-radio-group">
							<label>
								<input name="radio" id="replicationType" data-ng-value="{{REP_TYPES.PERIODIC}}" type="radio" data-ng-model="replicationGroup.replicationType" data-ng-change="onReplicationTypeSelect(replicationGroup.replicationType)"/>
								<span class="block-indent"><cv-help-text help-text="help.periodic" help-label="label.periodic"></cv-help-text></span>
							</label>
						</div>
						<div class="multiple-radio-group">
							<label>
								<input name="radio" id="replicationType" data-ng-value="{{REP_TYPES.CONTINUOUS}}" type="radio" data-ng-model="replicationGroup.replicationType" data-ng-change="onReplicationTypeSelect(replicationGroup.replicationType)"/>
								<span class="block-indent"><cv-help-text help-text="help.continuous" help-label="label.continuous"></cv-help-text></span>
							</label>
						</div>
					</div>
				</div>
				<div data-ng-if="isSimplifiedLiveSync && replicationGroup.replicationType === REP_TYPES.PERIODIC">
					<div class="form-group">
						<label class="col-xs-12 col-sm-5">
							<cv:msg key="label.frequency" bundle="schedule"/>
						</label>
						<span class="col-xs-12 col-sm-7">
							<div class="col-xs-3 col-sm-4 padding-left-0">
								<label><cv:msg key="label.incrementalFrequencyText" bundle="profiles"/></label>
							</div>
							<div class="col-xs-3">
								<input type="number" id="rpo" name="rpo"
									data-ng-model="replicationGroup.rpo.count" min="1"
									data-ng-change="onRPOChange()"/>
							</div>
							<div class="col-xs-3 col-sm-5">
								<select name="rpoTime" id="rpoTime"
									data-ng-options="option.name for option in replicationGroup.availableRPOFreq track by option.value"
									data-ng-model="replicationGroup.rpo.freq"
									data-ng-change="onRPOChange()" />
							</div>
							<div class="error" data-ng-show="replicationGroup.rpo.errorMessage">
								<span data-ng-bind="replicationGroup.rpo.errorMessage"/>
							</div>
						</span>
					</div>
				</div>
			</div>
			<div class="form-group" data-ng-if="showCreateVMDuringFailover">
				<div class="col-xs-12">
					<cv-toggle name="createVmsDuringFailover" 
						id="createVmsDuringFailover"
						toggle-name="createVmsDuringFailover" 
						toggle-label="label.createVMFailover"
						value="model.diskRestoreOption.createVmsDuringFailover">
					</cv-toggle>
				</div>
			</div>
			<!-- Destination Proxy -->
			<div class="form-group" data-ng-show="showProxySelect && hideAccessNode">
				<label class="col-xs-12 col-sm-5"  for="destinationProxy">
					<cv:msg key="label.accessNode" bundle="restore"/>
					<span data-ng-show="replicationGroup.isAmazonProxy && replicationGroup.isAWSCrossRestore">
						<cv-help-component  help-placement="right" help-text="<cv:msg key="error.amazonProxyRequirements" bundle="restore"/>">
						</cv-help-component>
					</span>
				</label>
				<div class="col-xs-12 col-sm-7" >
					 <cv-select-proxy
						id="destinationProxy"
						name="destinationProxy"
						model="replicationGroup"
						ctrl="ctrl"
						selection="single"
						is-replication="distributeWorkloadSupportedVendor"
						automatic-proxy="distributeWorkload">
					 </cv-select-proxy>
				</div>
			</div>
			<div class="form-group" data-ng-disabled="disabledTarget" data-ng-if="initModel.showTarget && replicationType && (replicationType === 'LiveSyncIO')&& model.target.targetInfo && model.target.targetInfo.destinationHyperV">
				<div class="col-xs-12 col-sm-5"><cv:msg	key="label.selectedTargetHypervisor" bundle="serversJs" /></div>
				<div class="col-xs-12 col-sm-7">{{model.target.targetInfo.destinationHyperV.clientName}}</div>
			</div>
	<%-- 		<!-- // Backup schedule // -->
			<div class="form-group"  data-ng-if='replicationType !== "LiveSyncIO" && hideAccessNode'>
				<label class="col-xs-12 col-sm-5 pageDetailColumn" for="schedule"><cv:msg
						key="label.schedule" bundle="profiles" /></label>
				<div class="col-xs-12 col-sm-7">
					<!-- <select id="schedule" name="schedule"
						data-ng-model="model.replicationSchedule"
						data-ng-options="schedule as schedule.subTask.subTaskName for schedule in replicationSchedules">
						<!-- data-ng-change="changeReplicationSchedule(model.replicationSchedule)">
					</select>-->
					<label for="schedule">
						<span>{{replicationScheduleUI}}</span>
					</label>
				</div>
			</div> --%>
			<!-- Advanced Options -->
			<div data-ng-if='showAdvancedOptions' class="form-header cursor-pointer push-down"
				data-ng-click="model.options = !model.options" ng-init="model.options=true">
				<cv:msg key="label.advanced.options" bundle="restore" />
				<i class="pull-right"
					data-ng-class="{'ion-chevron-down': model.options, 'ion-chevron-right': !model.options}"></i>
			</div>
			<div data-uib-collapse="!model.options">
			<!-- Removing buckets from the replication group screen -->
			<!-- <div class="col-xs-12">
				<div class="form-group" data-ng-disabled="disabled" data-ng-show="showAdvanceOptionsAmazon">
                    <cv-amazon-buckets
                       selected-availability-zone ="model.target.entity.selectedAvailabilityZone"
                       selected-amazon-bucket = "model.target.entity.selectedAmazonBucket"
	                   restore-target-model = "model.target.entity.restoreTargetModel"
	                   selected-hypervisor = "model.target.destinationHyperV">
	                 </cv-amazon-buckets>
	            </div>
	         </div>
	         -->
				<div data-ng-if="replicationGroup.replicationType === REP_TYPES.CONTINUOUS && showAdvancedOptions" class="col-xs-12">
					<cv-credential-manager
						model="replicationGroup.credentialsModel"
						input-name="replicationGroup.credentialsModel.inputName"
						label-class="replicationGroup.credentialsModel.labelClass"
						input-class="replicationGroup.credentialsModel.inputClass"
						is-optional="true">
					</cv-credential-manager>
				</div>
				<div class="form-group" data-ng-if="showPowerOnOption && replicationType !== 'LiveSyncIO' && replicationGroup.replicationType != REP_TYPES.CONTINUOUS" >
					<div class="col-xs-12">
						<cv-toggle name="powerOn" 
							id="powerOn"
							toggle-name="powerOn" 
							toggle-label="label.powerOn.replication"
							value="model.diskRestoreOption.powerOnVmAfterRestore">
						</cv-toggle>
					</div>
				</div>
				<div class="form-group" data-ng-if="replicationGroup.replicationType != REP_TYPES.CONTINUOUS">
					<div class="col-xs-12">
						<cv-toggle name="overwrite" 
							id="overwrite"
							toggle-name="overwrite" 
							toggle-label="warning.overwriteVM"
							help-text="'info.overwriteVM'"
							value="model.diskRestoreOption.passUnconditionalOverride">
						</cv-toggle>
					</div>
				</div>
				<div class="form-group" data-ng-if="showAdvanceOptionsVMWare && replicationType != 'LiveSyncDirect' && replicationGroup.replicationType != REP_TYPES.CONTINUOUS">
					<label for="nMaxSnapshotsPerDRVM" class="col-xs-12 col-sm-5"><cv-help-text help-text="help.noOfRecoveryPoints" help-label="label.noOfRecoveryPoints"></cv-help-text></label>
					<div class="col-xs-12 col-sm-7">
						<input type="number"
						id="nMaxSnapshotsPerDRVM"
						name="nMaxSnapshotsPerDRVM" data-ng-model="model.diskRestoreOption.nMaxSnapshotsPerDRVM" min="0" max="10" step="1"
						data-ng-change="maxSnapshotChanged(model.diskRestoreOption.nMaxSnapshotsPerDRVM)"
						data-ng-init="model.diskRestoreOption.nMaxSnapshotsPerDRVM = model.diskRestoreOption.nMaxSnapshotsPerDRVM ? model.diskRestoreOption.nMaxSnapshotsPerDRVM : 0">

						<span class="help-block" data-ng-if="nMaxSnapshotsError.message">
							<i class="ion-alert-circled"></i>{{nMaxSnapshotsError.message}}
						</span>
					</div>
				</div>
				<div class="form-group" data-ng-if="showDeployVmWhenFailover && replicationGroup.replicationType != REP_TYPES.CONTINUOUS" >
					<div class="col-xs-12">
						<cv-toggle name="deployVmWhenFailover" 
							id="deployVmWhenFailover"
							toggle-name="deployVmWhenFailover" 
							toggle-label="label.deployVmDuringFailover"
							value="model.diskRestoreOption.deployVmWhenFailover">
						</cv-toggle>
					</div>
				</div>
				<!-- Disk provisioning options  -->
				<div class="form-group" data-ng-if="showAdvanceOptionsVMWare && replicationGroup.replicationType != REP_TYPES.CONTINUOUS">
					<label for="diskProvOption" class="col-xs-12 col-sm-5"><cv:msg
							key="label.diskProvisioning" bundle="collectionsJs" /> </label>
					<div class="col-xs-12 col-sm-7">
						<select name="diskProvOption" id="diskProvOption"
							data-ng-options="+(diskOption.value) as diskOption.name for diskOption in diskProvisionOptions"
							data-ng-model="model.diskRestoreOption.diskOption"
							data-ng-disabled="initModel && initModel.editMode">
						</select>
					</div>
				</div>
				<div class="form-group" data-ng-if="showAdvanceOptionsVMWare && replicationGroup.replicationType != REP_TYPES.CONTINUOUS">
					<label for="transportMode" class="col-xs-12 col-sm-5"><cv:msg
							key="label.transportMode" bundle="collectionsJs" /></label>
					<div class="col-xs-12 col-sm-7">
						<select name="transportMode" id="transportMode"
							data-ng-options="+(transportMd.id) as transportMd.name for transportMd in transportModeTypes"
							data-ng-model="model.diskRestoreOption.transportMode">
						</select>
					</div>
				</div>
				<div class="form-group" data-ng-if="copyDetails.storage && replicationGroup.replicationType != REP_TYPES.CONTINUOUS" >
					<label for="copyPrecedence" class="col-xs-12 col-sm-5"><cv:msg
							key="label.selectCopy" bundle="restore" /></label>
					<div class="col-xs-12 col-sm-7">
						<select name="copyPredecence" id="copyPrecedence"
							data-ng-options="+(copy.copyPrecedence) as copy.StoragePolicyCopy.copyName for copy in filteredCopyDetails.storage.copy"
							data-ng-model="model.diskRestoreOption.copyPrecedence">
						</select>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>