<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<p data-ng-if="serverMessage.message" class="{{serverMessage.type}} serverMessage">{{serverMessage.message}}</p>
<div class="panel panel-default no-border">
	<div class="panel-body">
		<div class="form-group">
			<label class="col-xs-12 col-lg-6" for="storageName"><cv:msg key="label.name" bundle="profiles"/></label>
			<div class="col-xs-12 col-lg-6">
				<input id="storageName" name="storageName" type="text" data-ng-model="model.storageName"/>
			</div>
		</div>

		<div data-ng-if="isSnapshotCopy">
			<!-- Snap vendor -->
			<div class="form-group" data-ng-if="(!initModel || !initModel.isSnapPrimary) && model.selectedVendor !== 28">
				<label class="col-xs-12 col-lg-6"><cv:msg key="label.copyType" bundle="profiles"/></label>
				<label data-ng-show="initModel && initModel.editMode" class="col-xs-12 col-lg-6" data-ng-bind="getCopyTypeLabel(model.snapCopyType)"></label>
				<span data-ng-show="!initModel || !initModel.editMode" class="col-xs-12 col-lg-6" data-ng-disabled="::editMode">
					<cv-radio-group radio-obj="copyTypeRadioObj" radio-model="model.snapCopyType" on-click="copyTypeChanged(data)"></cv-radio-group>
				</span>
			</div>

			<div class="form-group" data-ng-if="!initModel || !initModel.isSnapPrimary">
				<label class="col-xs-12 col-lg-6"><cv:msg key="label.snapVendor" bundle="profiles"/></label>
				<label class="col-xs-12 col-lg-6" data-ng-bind="vendorLabel"></label>
			</div>

			<div class="form-group" data-ng-if="!initModel || !initModel.isSnapPrimary">
				<label class="col-xs-12 col-lg-6"><cv:msg key="label.source" bundle="profiles"/></label>
				<span class="col-xs-12 col-lg-6" data-ng-disabled="::editMode">
					<select id="sourceCopy" name="sourceCopy" data-ng-model="model.snapSourceCopy"
					data-ng-options="sourceCopy.StoragePolicyCopy.copyName for sourceCopy in sourceCopyList"></select>
				</span>
			</div>
		</div>

		<!-- // Storage // -->
		<div class="form-group" > <!-- // data-ng-show="globalTemplate.storages.length > 1" // -->
			<label class="col-xs-12 col-lg-6" for="storage" ><cv:msg key="label.storage" bundle="storage"/></label>
			<div class="col-xs-12 col-lg-6">
				<label id="storage" name="storage" data-ng-if="initModel.storagePool && !initModel.enableStoragePool">{{model.storagePool.storagePoolEntity.storagePoolName}}</label>
				<isteven-multi-select
					data-ng-if="!initModel.storagePool || initModel.enableStoragePool"
					id="storage"
					name="storage"
					class="isteven-multi-select user-group-select"
					input-model="inputStoragePoolsModel"
					item-label="name"
					button-label="name"
					tick-property="selected"
					selection-mode="single"
					max-labels="1"
					group-property="msGroup"
					on-item-click="updateModelWithStoragePool(data)">
				</isteven-multi-select>

<%-- 				<select id="storage" name="storage" data-ng-model="model.storagePool"
					data-ng-options="storagePool.storagePoolEntity.storagePoolName for storagePool in storagePools" data-ng-if="!initModel.storagePool || initModel.enableStoragePool">
				<option value=""><cv:msg key="placeholder.selectStorage" bundle="profiles"/></option>
				</select> --%>
			</div>
			<!--  
			<label class="col-xs-12 col-lg-6" for="no_label" ></label>
			<div data-ng-if="model.storagePool.storageSubType === 'HEDVIG'" class="col-xs-12 col-lg-6">
				<cv:msg key="label.optimizeInstantClone" bundle="storage"/> &nbsp;
				<toggle-control class="{{model.optimizeForInstantCloneClass}}" status="model.optimizeForInstantCloneClass" data-ng-click="toggleOptimizeInstantClone()"></toggle-control>
			</div>
			-->
		</div>
		<!--  optimize for instant clone -->
		<div data-ng-if="model.storagePool.storageSubType === 'HEDVIG' && isPrimaryCopy()" class="form-group enable-extended-retention-area">
			<toggle-control class="extended-retention-toggle" data-ng-class="{'enabled-activity': model.optimizeForInstantClone, 'disabled-activity': !model.optimizeForInstantClone}" status="model.optimizeForInstantCloneClass" data-ng-click="toggleOptimizeInstantClone()"></toggle-control>
			<label class="extended-retention-label"><cv-help-text help-label="<cv:msg key="label.optimizeInstantClone" bundle="storage" />" help-text="'<cv:msg key='info.help.optimizeInstantClone' bundle='storage' />'"></cv-help-text></label>
		</div>
		<!-- backup source -->
		<div data-ng-if="showSource" class="form-group" data-ng-show="model.source && !isSnapshotCopy">
			<label class="col-xs-12 col-lg-6" for="backupSource" ><cv:msg key="label.source" bundle="profiles"/></label>
			<div class="col-xs-12 col-lg-6">
				<select id="backupSource" name="backupSource" data-ng-model="model.source"
				data-ng-options="storage.name as storage.name for storage in storages" data-ng-disabled="!model.source">
		</select>
			</div>
		</div>

		<!-- // Retention // -->
		<!-- // Retention // -->
		<div data-ng-hide="!initModel && (!storages || !storages.length) || initModel.isPrimary" class="form-group" data-ng-if="showRetention()">
			<div class="col-xs-12 col-lg-6 text-align-left">
				<input type="checkbox" id="overrideRetention" data-ng-model = "model.overrideRetention">
				<label class = "padding-right-20 inline-label" for="overrideRetention"><cv:msg key="label.overrideRetention" bundle="profiles"/></label>
			</div>
		</div>

<%-- 		<div data-ng-show="planSubType == 'Server' && !initModel.isPrimary && storages.length > 0" class="form-group selective-copy-area">
			<toggle-control class="selective-copy-toggle"
					data-ng-class="{'enabled-activity': model.selectiveCopy, 'disabled-activity': !model.selectiveCopy, 'noToggle': !editing.general}"
					status="model.selectiveCopy ? 'enabled-activity' : 'disabled-activity'"
					data-ng-click="model.selectiveCopy = !model.selectiveCopy"
			>
			</toggle-control>
			<label class="selective-copy-label"><cv:msg key="label.selectiveCopy" bundle="storage" /></label>
		</div> --%>
		<div data-ng-hide="planSubType != 'Server' || !initModel && (!storages || !storages.length) || initModel.isPrimary || initModel.isSnapPrimary || model.snapCopyType === 1" class="form-group selective-frequency"> <!-- // data-ng-show="globalTemplate.storages.length > 1" // -->
			<label class="col-xs-12 col-lg-6 selecitve-frequency-label" for="selectiveCopyFreq"><cv:msg key="label.backupsToCopy" bundle="storage" /></label>
			<div class="col-xs-12 col-lg-6">
				<select id="selectiveCopyFreq" name="selectiveCopyFreq" data-ng-disabled="initModel.isPrimary === true" data-ng-change="backupsToCopyChanged()" data-ng-model="model.selectedSelectiveFreq" data-ng-options="selectiveFreq.value as selectiveFreq.label for selectiveFreq in selectiveFreqs"></select>
			</div>
		</div>

		<div data-ng-disabled="model.selectedSelectiveFreq != 'SYNCRONOUS'" data-ng-hide="planSubType != 'Server'  || !initModel || !initModel.editMode || initModel.isPrimary || initModel.isSnapPrimary" class="form-group enable-extended-retention-area">
			<toggle-control class="extended-retention-toggle"
			data-ng-class="{'enabled-activity': model.enableBackupsOnAndAfter, 'disabled-activity': !model.enableBackupsOnAndAfter, 'noToggle': !editing.general}"
			status="model.enableBackupsOnAndAfter ? 'enabled-activity' : 'disabled-activity'"
			data-ng-click="model.enableBackupsOnAndAfter = !model.enableBackupsOnAndAfter">
			</toggle-control>
			<span class="padding-left-5"><cv:msg key="label.backupsOn" bundle="storage"/></span>
		</div>

		<div data-ng-if="model.enableBackupsOnAndAfter === true" data-ng-hide="planSubType != 'Server'  || !initModel || !initModel.editMode || initModel.isPrimary || initModel.isSnapPrimary"  class="input-group date full-width selective-start-time-area">
			<label class="selective-start-time-label col-xs-12 col-lg-6 ">Start time (mm/dd/yyyy)</label>
					<div class="col-xs-12 col-lg-6 cv-inline-wrapper calendar-wrapper date-picker date-input-icon selective-start-time-control">
							<input type="text" class="date-box" data-datetime-picker="MM/dd/yyyy" data-ng-model="model.datepicker.value" data-is-open="model.datepicker.open" data-datepicker-options="model.datepicker.dateOptions" enable-time="false" append-to-body="false" ng-change="changeDate(model.datepicker.value)"/>
								<span class="input-group-btn calendar-span">
									<button type="button" class="btn btn-default" data-ng-click="openDateModal()">
										<i class="glyphicon glyphicon-calendar"></i>
									</button>
								</span>
					</div>
		</div>


		<div data-ng-if="showRetentionOverrideTitle()" class="extended-retention-title">
			<h4 class="plan" data-ng-if="!repGrp">
				<span><cv:msg key="label.extended.retention.title" bundle="storage"/></span>
			</h4>
			<div data-ng-if="repGrp">
				<div class="form-group">
					<div class="col-xs-12">
						<cv-toggle id="enableRetention" toggle-name="enableRetention" toggle-label="label.enableLongTermRetention" value="enableRetention" on-click="onEnableRetentionClick()"></cv-toggle>
					</div>
				</div>
			</div>
		</div>

		<div class="form-group extended-retention-area" data-ng-if="showRetentionOverrideContent()">
			<label class="col-xs-12 col-lg-6" for="retention-non-jobs-mode" >
				<input data-ng-hide="model.retentionMode === 'NON_JOBS' && !model.showRadioBtns" value="NON_JOBS" id="retention-non-jobs-mode" name="retentionMode" type="radio" data-ng-change="retentionModeChanged()" data-ng-model="model.retentionMode"/>
				<span><cv:msg key="label.retentionDays" bundle="collections"/></span>
			</label>
			<div data-ng-disabled="model.retentionMode !== 'NON_JOBS'" data-ng-if="!model.storagePool.oCustomRetentionInformation" class="col-xs-12 col-lg-6 text-align-left">
				<input class="policy-retention" ng-if="!model.infiniteSelected" type="number" min="{{minRetentionPeriod}}" max="9999" data-ng-model="retentionInfo.value" data-ng-change="changePolicyRetention()"/>
				<select class="retention-type" data-ng-model="retentionInfo.type" data-ng-change='changePolicyRetention()' data-ng-options="unit.type as unit.label for unit in unitTypes"></select>
			</div>
			<label data-ng-hide="model.retentionMode === 'NON_JOBS' && !model.showRadioBtns" for="retention-jobs-mode" class="col-xs-12 col-lg-6">
						<input id="retention-jobs-mode" name="retentionMode" type="radio" value="JOBS" data-ng-model="model.retentionMode" data-ng-change="retentionModeChanged()" class="ng-pristine ng-untouched ng-valid ng-empty">
							Number of snap recovery points
			</label>
			<div data-ng-disabled="model.retentionMode !== 'JOBS'" data-ng-hide="model.retentionMode === 'NON_JOBS' && !model.showRadioBtns" class="col-xs-12 col-lg-6 text-align-left ng-scope">
				<input id="snapRecoveryPoints" name="snapRecoveryPoints" type="number" min="1" data-ng-model="model.noOfSnapRecoveryPoints" class="addon-option-input ng-pristine ng-untouched ng-valid ng-valid-min ng-empty" style="">
			</div>
			<div data-ng-if="model.storagePool.oCustomRetentionInformation" class="col-xs-12 col-lg-8 text-align-left">
				<div data-ng-if="model.storagePool.oCustomRetentionInformation.showInfiniteRetention">
					<input type="checkbox" id="infinite" data-ng-model = "model.infiniteSelected">
					<label class = "padding-right-20 inline-label" for="infinite"><cv:msg key="label.infinite" bundle="profiles"/></label>
				</div>
				<isteven-multi-select data-ng-if="!model.infiniteSelected" input-model="model.storagePool.oCustomRetentionInformation.aRetentionPeriodArray" output-model="model.customRetentionPeriodOutput" output-properties="value parentCategory" button-label="value + parentCategory" item-label="value" tick-property="ticked" id="tenantRetention" search-property="value" name="tenantRetention" helper-elements="reset" max-labels="1" selection-mode="single" translation="localLang" group-property="category" on-item-click="valueSelected(data)" ></isteven-multi-select>
			</div>
			<p ng-if="model.extendedErrors.hasMaxRetentionError" class="error" ng-bind="getAppropriateMaxError()">
						<cv:msg key="error.maxRetentionError" bundle="storage" />
			</p>
			<p ng-if="model.extendedErrors.hasMainRetError" class="error">
						<cv:msg key="error.mainRetentionGreaterError" bundle="storage" />
			</p>
		</div>
		<div data-ng-if="showRetentionOverrideContent() && planSubType == 'Server' && model.snapCopyType !== 1" data-ng-hide="model.infiniteSelected || retentionInfo.value === 0" class="form-group enable-extended-retention-area">
			<toggle-control class="extended-retention-toggle"
			data-ng-class="{'enabled-activity': model.enableExtendedRetention, 'disabled-activity': !model.enableExtendedRetention, 'noToggle': !editing.general}"
			status="model.enableExtendedRetention ? 'enabled-activity' : 'disabled-activity'"
			data-ng-click="toggleEnableExtendedRetentionRules()">
			</toggle-control>
			<label class="extended-retention-label"><cv-help-text help-label="<cv:msg key="label.extendedRetention" bundle="storage" />" help-text="'<cv:msg key='info.help.extendedRetention' bundle='storage' />'"></cv-help-text></label>
		</div>
		<div data-ng-if="(planSubType == 'Server') && showRetentionOverrideContent() && !(!model.enableExtendedRetention || model.infiniteSelected)" class="extended-rules-area">
			<h4 class="plan">
				<span><cv:msg key="label.extended.retention..rules.title" bundle="storage"/></span>
			</h4>
			<div class="add-retention" >
				<a ng-if="extendedRetentionCount < 3" ng-click="AddExtended()" class="ng-scope"><cv:msg key="label.addExtendedRetention" bundle="storage"/></a>
			</div>
		</div>

		<div data-ng-if="(planSubType == 'Server') && showRetentionOverrideContent() && !(model.infiniteSelected || !model.enableExtendedRetention || extendedRetentionCount === 0)" class="form-group extended-retention-rule-area">
			<ul class="list-style-secondary retention-rule-list">
				<li class="retention-rule-item">
					<div class="retention-rule-table">
						<span class="small-retention-text retention-rule-item-type"><cv:msg key="label.extended.retention.type" bundle="storage"/></span>
						<span class="small-retention-text retention-rule-period"><cv:msg key="label.extended.retention.period" bundle="storage"/></span>
					</div>
					<div>
						<hr class="retention-header-seperator"/>
					</div>
				</li>
				<li>
 		 		  	<div class="retention-rule-item-area" data-ng-if="!ret.isHide" ng-repeat="ret in model.extendedRetention">
						<span>
							<select data-ng-disabled="!ret.isEnabled" class="retention-frequency-type" data-ng-model="ret.selected" data-ng-change="changeSelection($index,ret.selected)" data-ng-options="extendedFreq.value as extendedFreq.label for extendedFreq in extendedFreqs"></select>
    					</span>
						<input class="retention-value" data-ng-hide="ret.isInfinite" data-ng-disabled="!ret.isEnabled" type="number" data-ng-model="ret.retention" data-ng-change="changeRetention($index,ret.retention)"/>
						<span>
							<select data-ng-disabled="!ret.isEnabled" class="extended-retention-unit" data-ng-model="ret.unitType" data-ng-change="changeRetentionUnit($index,ret)" data-ng-options="unitType.type as unitType.label for unitType in unitTypes"></select>
						</span>
						<span class="retentionErrors" data-ng-if="model.extendedErrors.retentionError[$index]">
							<cv-help-component help-text="{{model.extendedErrors.retentionError[$index]}}" help-placement="top"></cv-help-component>
						</span>
						<span class="retentionErrors" data-ng-if="model.extendedErrors.typeError[$index]">
							<cv-help-component help-text="{{model.extendedErrors.typeError[$index]}}" help-placement="top"></cv-help-component>
						</span>
						<span class="retentionErrors" data-ng-if="model.extendedErrors.emptyError[$index]">
							<cv-help-component help-text="{{model.extendedErrors.emptyError[$index]}}" help-placement="top"></cv-help-component>
						</span>
						<span class="remove-retention small-retention-text retentionRulesTag" data-ng-click="removeRetention($index)">
								<a class="remove-retention-icon" href="" ng-if="$index === (model.extendedRetention.length - 1) && model.extendedRetention.length > 1" title="Delete">&times;</a>
						</span>
					</div>
				</li>
			</ul>
		</div>

		<div data-ng-if="isSnapshotCopy && (!initModel || !initModel.isSnapPrimary)">
			<span data-ng-show="isSVMLoading" class="grid-data-spinner ng-hide">
				<img src="${pageContext.request.contextPath}/common/img/ajax-loader.gif">
			</span>
			<cv-kendo-grid class="storage-mapping-grid" data-ng-if="isSVMGridReinitialized" cv-grid-options="svmGridOptions"></cv-kendo-grid>
		</div>
	</div>
</div>