<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	  <cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	  <cv:cvMessages bundle="localization.schedule"></cv:cvMessages>
    <cv:cvMessages bundle="localization.messages"></cv:cvMessages>
    <cv:cvMessages bundle="localization.navJs"></cv:cvMessages>
    <cv:cvMessages bundle="localization.usersJs"></cv:cvMessages>
    <cv:cvMessages bundle="localization.genApp"></cv:cvMessages>
    <cv:cvMessages bundle="localization.blrJs"></cv:cvMessages>
    <cv:cvMessages bundle="localization.job"></cv:cvMessages>
    <cv:cvMessages bundle="localization.clients"></cv:cvMessages>
</script>
<div class="row">
    <div class="col-xs-12" data-ng-if="::ctrl.model.scheduleLoaded">        
        <span><cv-changename obj='ctrl.model.changeNameObj' service-method="renameSchedule.do" class="float-left"></cv-changename></span>
        <span data-ng-if="!ctrl.isSchedulePartOfSchedulePolicy()"><a class="page-action-item" ng-click="ctrl.deleteSchedule()"><cv:msg key="action.deleteSchedule" bundle="schedule" /></a></span>
        <span data-ng-if="ctrl.isWebReportSchedule()"><a class="page-action-item" data-ng-click="ctrl.editWebReportSchedule()"><cv:msg key="action.edit" bundle="profiles" /></a></span>
        <span><a class="page-action-item" ng-click="ctrl.toggleScheduleStatus()" data-ng-if="ctrl.model.isEnabled && !ctrl.isSchedulePartOfSchedulePolicy()"><cv:msg key="action.disable" bundle="schedule" /></a></span>
        <span><a class="page-action-item" ng-click="ctrl.toggleScheduleStatus()" data-ng-if="!ctrl.model.isEnabled && !ctrl.isSchedulePartOfSchedulePolicy()"><cv:msg key="action.enable" bundle="schedule" /></a></span>
        <span><a class="page-action-item" ng-click="ctrl.runSchedule()"><cv:msg key="action.run" bundle="schedule" /></a></span>
    </div>
</div>
<div class="row">
    <div class="col-xs-12 col-sm-6">
        <cv-tile-component data-ng-if="!ctrl.model.scheduleLoaded" data-loader="ctrl.model.scheduleLoaded" data-title='<cv:msg key="label.pattern" bundle="schedule" />'></cv-tile-component>
        <cv-tile-component ac-id="schedule-pattern" data-ng-if="::ctrl.model.scheduleLoaded" data-title='<cv:msg key="label.pattern" bundle="schedule" />'>
            <ul class="list-style-secondary">
                <li class="group">
                    <span class="pageDetailColumn" ng-bind-html="'<cv:msg key="label.frequency" bundle="schedule"/>'"></span>
                    <span class="pageDetailColumn" ng-bind="::ctrl.model.pattern.frequencyDisplayStr"></span>
                </li>
                <li class="group" data-ng-if="::ctrl.model.pattern.showTimeString">
                    <span class="pageDetailColumn" ng-bind-html="'<cv:msg key="label.timeInAnyTimeZone" bundle="schedule"/>'"></span>
                    <span class="pageDetailColumn" ng-bind="::ctrl.model.pattern.timeStr"></span>
                </li>
                <li class="group" data-ng-if="::ctrl.model.pattern.showRepeatString">
                    <span class="pageDetailColumn" ng-bind-html="'<cv:msg key="label.repeat" bundle="schedule"/>'"></span>
                    <span class="pageDetailColumn" ng-bind="::ctrl.model.pattern.repeatInfoString"></span>
                </li>
                <li class="group" data-ng-if="::ctrl.model.pattern.showStartDate">
                    <span class="pageDetailColumn" ng-bind-html="'<cv:msg key="label.startDate" bundle="schedule"/>'"></span>
                    <span class="pageDetailColumn" ng-bind="::ctrl.model.pattern.startDate"></span>
                </li>
                <li class="group" data-ng-if="::ctrl.model.pattern.showIntervalBetweenTwoJobs">
                    <span class="pageDetailColumn" ng-bind-html="'<cv:msg key="label.intervalBetweenTwoJobs" bundle="schedule"/>'"></span>
                    <span class="pageDetailColumn" ng-bind="::ctrl.model.pattern.intervalBetweenTwoJobs"></span>
                </li>
                <li class="group" data-ng-if="::ctrl.model.pattern.showMinBackupInterval">
                    <span class="pageDetailColumn" ng-bind-html="'<cv:msg key="label.min.interval" bundle="schedule"/>'"></span>
                    <span class="pageDetailColumn" ng-bind="::ctrl.model.pattern.minBackupInterval"></span>
                </li>
                <li class="group" data-ng-if="::ctrl.model.pattern.showMaxBackupInterval">
                    <span class="pageDetailColumn" ng-bind-html="'<cv:msg key="label.max.interval" bundle="schedule"/>'"></span>
                    <span class="pageDetailColumn" ng-bind="::ctrl.model.pattern.maxBackupInterval"></span>
                </li>
            </ul>
            <div class="page-details-box-links" data-ng-if="!ctrl.isWebReportSchedule()">
                <a data-ng-click="ctrl.editSchedulePattern()"><cv:msg key="action.edit" bundle="profiles" /></a>
            </div>
        </cv-tile-component>
    </div>    
    <div class="col-xs-12 col-sm-6">
        <cv-tile-component data-ng-if="(!ctrl.model.scheduleLoaded)" data-loader=""></cv-tile-component>
        <cv-schedule-specific-options 
            data-ng-if="::ctrl.model.showScheduleSpecificOptions"
            data-task-info="ctrl.model.taskInfo"
            data-sub-task-info="ctrl.model.subTaskInfo">
        </cv-schedule-specific-options>
    </div>
    
</div>