<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.schedule"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1>{{title}}</h1>
</div>
<div class="setup-content schedule">
	<div class="{{addScheduleServerMessage.type}} serverMessage">{{addScheduleServerMessage.message}}</div>
	<form name="addScheduleForm" data-cv-submit="addSchedule()" novalidate autocomplete="off" class="schedules-form" id="schedules-form">
		<!-- // scrolling div start // -->
		<div class="overflow-scroll">
		<div data-ng-disabled="!model.showEdit">
		<!-- // name // -->
		<div class="modal-wrapper">
			<label for="name" class="label"><cv:msg key="label.name" bundle="schedule"/></label>
			<div class="inline-wrapper">
				<input type="text" name="name" data-ng-model="model.name" id="name" required />
				<span class="help-block schedule-name" data-ng-show="cv.addScheduleForm.needsAttention(addScheduleForm.name)"><cv:msg key="error.scheduleName" bundle="schedule"/></span>
			</div>
		</div>
		<!-- // min intervals // -->
		<%-- <div class="modal-wrapper extra-top-spacing" data-ng-if="model.freqType == 'AUTOMATIC_SCHEDULE'" data-ng-hide="model.backupLevel=='SYNTHETIC_FULL' ||
																													(model.planSubType == 'Database' && isSlaSchedule)">
			<label for="minBackupIntervalHours" class="label"><cv:msg key="label.min.interval" bundle="schedule"/></label>
			<div class="inline-wrapper">
				<div>
					<input type="number" name="minBackupIntervalHours" min="0" max="{{model.maxBackupIntervalHours}}" id="minBackupIntervalHours" data-ng-model="model.minBackupIntervalHours"/>&nbsp;<label for="minBackupIntervalHours" class="inline-label"><cv:msg key="label.hours" bundle="schedule" /></label>
					<input data-ng-hide="isSlaSchedule" type="number" min="0" max="60" name="minBackupIntervalMinutes" id="minBackupIntervalMinutes" data-ng-model="model.minBackupIntervalMinutes"/>&nbsp;<label data-ng-hide="isSlaSchedule" for="minBackupIntervalMinutes" class="inline-label"><cv:msg key="label.minutes" bundle="schedule" /></label>
				</div>
			</div>
		</div>
		<!-- // max intervals // -->
		<div class="modal-wrapper" data-ng-if="model.freqType == 'AUTOMATIC_SCHEDULE'" data-ng-hide="model.backupLevel=='SYNTHETIC_FULL' || isSlaSchedule">
			<label for="maxBackupIntervalHours" class="label"><cv:msg key="label.max.interval" bundle="schedule"/></label>
			<div class="inline-wrapper">
				<div>
					<input type="number" name="maxBackupIntervalHours" id="maxBackupIntervalHours" data-ng-model="model.maxBackupIntervalHours"/>&nbsp;<label for="maxBackupIntervalHours" class="inline-label"><cv:msg key="label.hours" bundle="schedule" /></label>
					<input type="number" min="0" max="60" name="maxBackupIntervalMinutes" id="maxBackupIntervalMinutes" data-ng-model="model.maxBackupIntervalMinutes"/>&nbsp;<label for="maxBackupIntervalMinutes" class="inline-label"><cv:msg key="label.minutes" bundle="schedule" /></label>
				</div>
			</div>
		</div> --%>
		<!-- // time // -->
		<div class="modal-wrapper" data-ng-if="model.freqType == 'WEEKLY' || model.freqType == 'DAILY' || model.freqType == 'MONTHLY' || model.freqType == 'MONTHLY_RELATIVE' || model.isLogSla">
			<label for="scheduleTime" class="label"><cv:msg key="label.time" bundle="schedule"/></label>
			<div class="inline-wrapper">
				<div uib-timepicker id="scheduleTime" name="scheduleTime" data-ng-model="model.scheduleTime" hour-step="1" minute-step="15" show-meridian="true" show-spinners="false"></div>
			</div>
			<span class="help-block schedule-timer" data-ng-show="cv.addScheduleForm.needsAttention(addScheduleForm.scheduleTime)"><cv:msg key="error.scheduleTime" bundle="schedule"/></span>
		</div>
		<!-- // days // -->
		<div class="modal-wrapper" data-ng-hide="isSlaSchedule" data-ng-if="model.freqType == 'WEEKLY'">
			<label for="daysOfWeek" class="label"><cv:msg key="label.daysOfWeek" bundle="settingsJs"/></label>
			<div class="inline-wrapper">
				<!-- <label class="multiple-inline-checkboxes" data-ng-repeat="dayOfWeek in model.daysOfWeek">
	      				<input type="checkbox" name="daysOfWeek" id="{{dayOfWeek.name}}" data-ng-model="dayOfWeek.selected" /><label class="checkbox-label" for="{{dayOfWeek.name}}">{{dayOfWeek.name}}</label>
	  			</label> -->
	  			<isteven-multi-select
	   				  input-model="model.daysOfWeek"
	  				  button-label="name"
	  				  item-label="name"
	   				  tick-property="ticked"
	   				  class="isteven-multi-select user-group-select"
	   				  id="isteven-multi-select2"
	   				  max-labels="2"
	   				  on-open="fOpen()"
	   				  on-close="fClose()" translation="localLang">
				</isteven-multi-select>
			</div>
		</div>
		<!-- // Months -->
		<%-- <div class="modal-wrapper extra-top-spacing" data-ng-if="model.freqType == 'MONTHLY' || model.freqType == 'MONTHLY_RELATIVE'">
			<label for="monthly" class="label">
				<input id="monthly" type="radio" name="monthly" value="MONTHLY" data-ng-model="model.freqType" />
				<cv:msg key="label.onDay" bundle="schedule"/></label>
			<div class="inline-wrapper">
				<input data-ng-disabled="model.freqType=='MONTHLY_RELATIVE'" type="number" max="31" min="1" name="dayOfMonth" id="dayOfMonth" data-ng-model="model.dayOfMonth"/>
				<span class="help-block on-day" data-ng-show="cv.addScheduleForm.needsAttention(addScheduleForm.dayOfMonth)"><cv:msg key="error.invalidOnday" bundle="schedule"/></span>
			</div>
		</div>
		<div class="modal-wrapper" data-ng-if="model.freqType == 'MONTHLY' || model.freqType == 'MONTHLY_RELATIVE'">
			<label for="monthly_relative" class="label">
				<input id="monthly_relative" type="radio" name="monthly_relative" value="MONTHLY_RELATIVE" data-ng-model="model.freqType" />
				<cv:msg key="label.onThe" bundle="schedule"/></label>
			<div class="inline-wrapper">
				<label class="select-label week-days-label">
					<select data-ng-disabled="model.freqType=='MONTHLY'" id="weekOfMonth" name="weekOfMonth" data-ng-model="model.weekOfMonth"
						data-ng-options="day.name for day in model.prefixDayList" class="week-days-select">
					</select>
				</label>
				<label class="select-label week-days-label">
					<select data-ng-disabled="model.freqType=='MONTHLY'" id="dayOfWeek" name="dayOfWeek" data-ng-model="model.dayOfWeek"
						data-ng-options="day.name for day in model.days" class="week-days-select">
					</select>
				</label>
			</div>
		</div> --%>
		<!--//  Job Interval start //-->
		<%-- <div data-ng-if="model.planSubType == 'Laptop' && model.freqType == 'AUTOMATIC_SCHEDULE'" data-ng-hide="model.backupLevel=='SYNTHETIC_FULL'">
		<h4><cv:msg key="label.jobInterval" bundle="schedule"/></h4>
			<div class="modal-wrapper">
				<label for="minSyncIntervalHours" class="label"><cv:msg key="label.min.syncInterval" bundle="schedule"/></label>
					<div class="inline-wrapper">
						<div>
							<input type="number" min="0" max="24" name="minSyncIntervalHours" id="minSyncIntervalHours" data-ng-model="model.minSyncIntervalHours"/>&nbsp;<label for="minSyncIntervalHours" class="inline-label"><cv:msg key="label.hours" bundle="schedule" /></label>
							<input type="number" min="0" max="60" name="minSyncIntervalMinutes" id="minSyncIntervalMinutes" data-ng-model="model.minSyncIntervalMinutes"/>&nbsp;<label for="minSyncIntervalMinutes" class="inline-label"><cv:msg key="label.minutes" bundle="schedule" /></label>
						</div>
					</div>
			</div>
			<div class="modal-wrapper">
					<input id="ignoreAtMaxInterval" type="checkbox" name="ignoreAtMaxInterval" value="ignoreAtMaxInterval" data-ng-model="model.ignoreAtMaxInterval" />
					<label for="ignoreAtMaxInterval"><cv:msg bundle="schedule" key="option.ignoreAtMaxInterval"/></label>
			</div>
		</div> --%>
		<!--//  Job Interval end //-->
		<!--//  Network Management start //-->
		<%-- <div data-ng-if="model.planSubType == 'Laptop' && model.freqType == 'AUTOMATIC_SCHEDULE'" data-ng-hide="model.backupLevel=='SYNTHETIC_FULL'">
		<h4><cv:msg key="label.networkManagement" bundle="schedule"/></h4>
			<div class="modal-wrapper">
				<input id="onlyWiredWork" type="checkbox" name="onlyWiredWork" value="onlyWiredWork" data-ng-model="model.useOnlyWiredWork" />
				<label for="onlyWiredWork"><cv:msg bundle="schedule" key="option.onlyWiredWork"/></label>
			</div>
			<div class="modal-wrapper">
				<input id="minBandwidth" type="checkbox" name="minBandwidth" value="minBandwidth" data-ng-model="model.minNetworkBandwidth" />
				<label for="minBandwidth" class="label extra-left-padding"><cv:msg bundle="schedule" key="option.minBandwidth"/></label>
				<div class="inline-wrapper">
					<div>
						<input type="number" min="0" name="bandwidth" id="bandwidth" data-ng-model="model.networkBandwidth" data-ng-disabled="!model.minNetworkBandwidth"/>&nbsp;<label for="bandwidth" class="inline-label"><cv:msg key="label.bandwidth" bundle="schedule" /></label>
					</div>
				</div>
			</div>
			<div class="modal-wrapper">
				<input id="specificNetwork" type="checkbox" name="specificNetwork" value="specificNetwork"
						data-ng-model="model.useSpecificNetwork" />
				<label for="specificNetwork" class="label extra-left-padding"><cv:msg bundle="schedule" key="option.specificNetwork"/></label>
				<div class="inline-wrapper">
					<div>
						<input type="text"
							class="ip-text-input"
							name="specificNetworkIpAddress" data-ng-model="model.specificNetworkIp"
							data-ng-pattern="ipPattern"
							data-ng-disabled="!model.useSpecificNetwork" placeholder="___.___.___.___" />&nbsp;:&nbsp;
						<input type="number" min="0" name="specificNetwork" id="specificNetwork" data-ng-model="model.specificNetworkNumber" data-ng-disabled="!model.useSpecificNetwork"/>
						<span class="help-block" data-ng-show="model.useSpecificNetwork && cv.addScheduleForm.needsAttention(addScheduleForm.specificNetworkIpAddress)"><cv:msg key="error.ipAddress" bundle="schedule"/></span>
					</div>
				</div>
			</div>
		</div> --%>
		<!--//  Network Management end //-->
		<!--//  Power Management start //-->
		<%-- <div data-ng-if="model.planSubType == 'Laptop' && model.freqType == 'AUTOMATIC_SCHEDULE'" data-ng-hide="model.backupLevel=='SYNTHETIC_FULL'">
		<h4><cv:msg key="label.powerManagement" bundle="schedule"/></h4>
			<div class="modal-wrapper">
				<input id="startOnAC" type="checkbox" name="startOnAC" value="startOnAC" data-ng-model="model.startOnlyOnAc" data-ng-change="model.changeStopTask()"/>
				<label for="startOnAC"><cv:msg bundle="schedule" key="option.startOnAC"/></label>
			</div>
			<div class="modal-wrapper">
				<input id="StopTask" type="checkbox" name="StopTask" value="StopTask" data-ng-model="model.stopIfBatteryMode" data-ng-disabled="!model.startOnlyOnAc"/>
				<label for="StopTask"><cv:msg bundle="schedule" key="option.stopTask"/></label>
			</div>
			<div class="modal-wrapper">
				<input id="preventSleep" type="checkbox" name="preventSleep" value="preventSleep"data-ng-model="model.preventSleep" />
				<label for="preventSleep" ><cv:msg bundle="schedule" key="option.preventSleep"/></label>
			</div>
		</div>
		 --%>
		<!--//  Power Management end //-->
		<!--//  Resource Utilization start //-->
		<%-- <div data-ng-if="model.planSubType == 'Laptop' && model.freqType == 'AUTOMATIC_SCHEDULE'" data-ng-hide="model.backupLevel=='SYNTHETIC_FULL'">
		<h4><cv:msg key="label.resourceUtilization" bundle="schedule"/></h4>
			<div class="modal-wrapper">
				<input id="cpuBelowThresholdEnabled" type="checkbox" name="cpuBelowThresholdEnabled" value="cpuBelowThresholdEnabled" data-ng-model="model.cpuBelowThresholdEnabled" />
				<label for="cpuBelowThresholdEnabled" class="label extra-left-padding"><cv:msg bundle="schedule" key="option.cpuBelowThresholdEnabled"/></label>
				<div class="inline-wrapper">
					<div>
						<input type="number" min="0" max="100" name="cpuBelowThreshold" id="cpuBelowThreshold" data-ng-model="model.cpuBelowThreshold" data-ng-disabled="!model.cpuBelowThresholdEnabled"/>&nbsp;<label for="cpuBelowThreshold" class="inline-label"><cv:msg key="label.cpuBelowThreshold" bundle="schedule" /></label>
					</div>
				</div>
			</div>
		</div> --%>
		<!--//  Resource Utilization end //-->
		<!--//  File Management start //-->
		<%-- <div data-ng-if="model.planSubType == 'Laptop' && model.freqType == 'AUTOMATIC_SCHEDULE'" data-ng-hide="model.backupLevel=='SYNTHETIC_FULL'">
		<h4><cv:msg key="label.fileManagement" bundle="schedule"/></h4>
			<div class="modal-wrapper">
					<input id="startOnlyFileBackUp" type="checkbox" name="startOnlyFileBackUp" value="startOnlyFileBackUp" data-ng-model="model.startOnlyfileBackUp" />
					<label for="startOnlyFileBackUp"><cv:msg bundle="schedule" key="option.startOnlyFileBackUp"/></label>
			</div>
		</div>
		 --%>
		<!--//  File Management end //-->
		<!--// Synthetic Full Only //-->
		<%-- <div data-ng-if="model.planSubType == 'Laptop' && model.freqType == 'AUTOMATIC_SCHEDULE' && model.backupLevel=='SYNTHETIC_FULL'">
			<div class="modal-wrapper extra-top-spacing">
				<label for="daysBetweenSyntheticBackup" class="label wrap-normal"><cv:msg bundle="schedule" key="label.daysBetweenSyntheticBackup"/></label>
				<div class="inline-wrapper">
					<div>
						<input type="number" min="0" name="daysBetweenSyntheticBackup" id="daysBetweenSyntheticBackup" data-ng-model="model.daysBetweenSyntheticBackup" />
					</div>
				</div>
			</div>
		</div> --%>
		<div data-ng-if="model.freqType != 'AUTOMATIC_SCHEDULE'">
			<h4 data-ng-if="isSlaSchedule"><cv:msg key="label.rpo" bundle="profiles"/></h4>
			<div class="modal-wrapper" >
				<label for="repeat" class="label"> <cv:msg key="label.rpo" bundle="profiles" /></label>
				<div class="inline-wrapper" >
					<span>{{model.repeat.hrs}}&nbsp;&nbsp;<cv:msg key="label.hours" bundle="schedule" /></span></label>
				</div>
			</div>
		</div>
		<!--//  Database management start //-->
		<div data-ng-if="model.planSubType == 'Database' && model.freqType == 'AUTOMATIC_SCHEDULE' && islogSlaSchedule" >
			<h4 data-ng-if="isSlaSchedule"><cv:msg key="label.logSla" bundle="profiles"/></h4>
			<div class="modal-wrapper" data-ng-if="isSlaSchedule">
				<label for="repeat" class="label"><cv:msg key="label.logBackupSla" bundle="profiles" /> </label>
				<div class="inline-wrapper" >
					<span>{{model.repeat.hrs}}&nbsp;&nbsp;&nbsp;&nbsp;<cv:msg key="label.hours" bundle="schedule" /></span>&nbsp;&nbsp;
					<span>{{model.repeat.mins}}&nbsp;&nbsp;&nbsp;&nbsp;<cv:msg key="label.minutes" bundle="schedule" /></span>
				</div>
			</div>
			<h4> <cv:msg key="label.databaseManagement" bundle="schedule"/></h4>
			<div class="modal-wrapper">
				<input id="noOfLogs" type="checkbox" name="noOfLogs" value="ignoreAtMaxInterval" data-ng-model="model.automaticSchedulePattern.logFileNum.enabled" />
				<label style="display: inline-block; max-width: 35%;" for="noOfLogs" ><cv:msg key="label.noOfLogsInDest" bundle="schedule"/></label>
				<div class="inline-wrapper">
					<div data-ng-disabled="!model.automaticSchedulePattern.logFileNum.enabled" >
						<input type="number" min="0" max="100" name="noOfLogsValue" id="noOfLogsValue" data-ng-model="model.automaticSchedulePattern.logFileNum.threshold"/>&nbsp;
					</div>
				</div>
			</div>
			<div class="modal-wrapper">
				<input id="diskAtLog" type="checkbox" name="diskAtLog" value="ignoreAtMaxInterval" data-ng-model="model.automaticSchedulePattern.logPercent.enabled" />
				<label style="display: inline-block; max-width: 35%;" for="diskAtLog" ><cv:msg key="label.logFileSizeOnDisk" bundle="schedule"/> </label>
				<div class="inline-wrapper">
					<div data-ng-disabled="!model.automaticSchedulePattern.logPercent.enabled" >
						<input type="number" min="0" max="100" name="noOfLogs" id="diskAtLog" data-ng-model="model.automaticSchedulePattern.logPercent.threshold"/>&nbsp;
						<label for="minSyncIntervalHours" class="inline-label">&nbsp; % &nbsp;<cv:msg key="label.utilized" bundle="schedule"/> </label>
					</div>
				</div>
			</div>
		</div>
		<!--//  Database management end //-->
		<!-- Repeat End -->
		<br /><br /></div>
		</div><!--//  scrolling div closes //-->
		<div class="button-container">
			<button id="addSlaScheduleModal_button_#7699" data-ng-disabled="nonBackupSchedule" type="button" class="btn btn-primary cvBusyOnAjax float-left" data-ng-hide="model.hideDelete" data-ng-click="deleteSchedule()"><cv:msg key="action.deleteSchedule" bundle="schedule"/></button> 
			<button id="addSlaScheduleModal_button_#3404" type="button" class="btn btn-default cvBusyOnAjax" data-ng-click="cancel()"><cv:msg key="action.cancel" bundle="profiles"/></button> 
			<button id="addSlaScheduleModal_button_#7511" type="submit" class="btn btn-primary cvBusyOnAjax" data-ng-if="model.showEdit"><cv:msg key="action.save" bundle="profiles"/></button> 
		</div>
	</form>
</div>