<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
    <div>
        <script nonce="${sessionScope.cspNonce}">
            <cv:cvMessages bundle="localization.security"></cv:cvMessages>
        </script>
        <div class="setup-title">
        
                <h1>
                    {{titlePassphrase}}
                </h1>
           
        </div>
        
        <div class="bootstrap-wrapper form-horizontal modal-margin">
            <span ng-if="serverErrorMessage" class="error serverMessage">{{serverErrorMessage}}</span>
            <form name="passphraseForm" novalidate data-cv-submit="addPASSPHRASE()" autocomplete="off">
                <div data-ng-if="typeToShow === 'general' || typeToShow === 'all'" class="form-group">
                    <label class="col-xs-12 col-md-4 col-lg-4" for="passphraseName">
                        
                            <cv:msg key="label.name" bundle="security" />
                        
                    </label>
                    <div class="col-xs-12 col-md-8 col-lg-8">
                        <input data-ng-readonly="false" type="text" name="passphraseName" id="passphraseName" data-ng-model="data.name.value" required maxlength="128" data-ng-change="changedName()" />
                        <span class="error" data-ng-if="data.name.hasError">
                            <cv:msg key="error.name" bundle="security" />
                        </span>
                    </div>
                </div>
 				 <div data-ng-if="(typeToShow === 'general' || typeToShow === 'all') && isEditing" class="form-group">
                    <label class="col-xs-12 col-md-4 col-lg-4">
                        
                            <cv:msg key="label.EncryptionType" bundle="security" />
                        
                    </label>
                   <label class="col-xs-12 col-md-8 col-lg-8">
                         
                            {{typeCipher[data.encryptionType.value]}}
                        
                    </label>
                </div>
                <div data-ng-if="typeToShow === 'general' || typeToShow === 'all'"  class="form-group">
                    <label class="col-xs-12 col-md-4 col-lg-4" for="keyLength">
                       
                            <cv:msg key="label.encruption" bundle="security" />
                      
                    </label>
                    <div class="col-xs-12 col-md-8 col-lg-8">
                        <select id="keyLength" name="keyLength" data-ng-model="data.encruption.value" data-ng-disabled="false">
                            <option ng-repeat="option in keylengthValues" value="{{option.value}}">{{option.name}}</option>
                        </select>
                        <span class="error float-left margin-0" data-ng-if="data.encruption.hasError">
                            <cv:msg key="error.encruption" bundle="security" />
                        </span>
                    </div>
                </div>
                <div data-ng-if="(typeToShow === 'general' || typeToShow === 'all') && !isEditing" class="form-group">
                    <label class="col-xs-12 col-md-4 col-lg-4" for="passphrasePhrase">
                       
                            <cv:msg key="label.passphrase" bundle="security" />
                        
                    </label>
                    <div class="col-xs-12 col-md-8 col-lg-8">
                        <input data-ng-readonly="false" type="password" id="passphrasePhrase" name="passphraseName"
                        data-ng-model="data.passphrase.value" maxlength="128" data-ng-change="changedPassphrase()"
                        />
                        <span class="error" data-ng-if="data.passphrase.hasError">
                            <cv:msg key="error.oldPassphrase" bundle="security" />
                        </span>
                    </div>
                </div>
                <div data-ng-if="(typeToShow === 'location' && keyManagementGridOptions) || typeToShow === 'all'" class="margin-left-25 padding-left-10 margin-rigth-25 padding-rigth-10 text-left" >
                    <cv-grid cv-grid-options="keyManagementGridOptions"></cv-grid>
                    <span class="error float-left margin-0" data-ng-if="errorClient">
                        <cv:msg key="error.errorClient" bundle="security" />
                    </span>
                    <span class="error float-left margin-0" data-ng-if="errorMaxClient">
                        <cv:msg key="error.errorMaxClient" bundle="security" />
                    </span>
                </div>
                <div class="modal-footer">
                    <button id="modalPassphrase_button_#4449" type="button" class="btn btn-default cvBusyOnAjax" data-ng-click="close()"> 
                        <cv:msg key="Cancel" />
                    </button>
                    <button id="modalPassphrase_button_#5765" type="submit" class="btn btn-primary cvBusyOnAjax" data-ng-click="save()"> 
                        <cv:msg key="Save" />
                    </button>
                </div>
            </form>
        </div>
    </div>