<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.settingsJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
</script>
<cv-tile-component data-title='{{metricsReportingTitle}}' data-loader="configuration">
	<span data-ng-if="serverMessage">
		<p class="info-place-holder"><span class="{{serverMessage.type}}" data-ng-bind="serverMessage.message"></span></p>
	</span>
	<ul class="list-style-secondary">
		<li class="group">
			<span class="pageDetailColumn"><cv:msg key="label.commcellDiagnosticsAndUsage" bundle="settingsJs" /></span>
           	<span class="pageDetailColumn">
           		<toggle-control status="configuration.commcellDiagUsage ? 'enabled-activity' : 'disabled-activity'" title="{{'label.enableDisable' | cvLoc}}" data-ng-click="toggleMetricsReporting()"></toggle-control>
           		<a class="no-index-server-error" data-ng-if="configuration.commcellDiagUsage" data-ng-click="editMetrics()"><cv:msg key="label.settings" bundle="profiles"/></a>
           	</span>
		</li>

		<li class="group" data-ng-if="configuration.commcellDiagUsage && isPrivate && configuration.cloud.metricsServerURL">
			<span class="pageDetailColumn"><cv:msg key="label.metricsServerURL" bundle="settingsJs" /></span>
			<span class="pageDetailColumn" data-ng-bind="configuration.cloud.metricsServerURL"></span>
		</li>

		<li class="group" data-ng-if="configuration.commcellDiagUsage">
			<span class="pageDetailColumn"><cv:msg key="label.lastCollectionTime" bundle="settingsJs" /></span>
			<span class="pageDetailColumn" data-ng-if="configuration.lastCollectionTime > 0" data-ng-bind="configuration.lastCollectionTime * 1000 | date:'medium'"></span>
			<span class="pageDetailColumn" data-ng-if="!(configuration.lastCollectionTime > 0)"><cv:msg key="label.N_SLASH_A" bundle="storage"/></span>
		</li>
		<li class="group" data-ng-if="configuration.commcellDiagUsage">
			<span class="pageDetailColumn"><cv:msg key="label.lastUploadTime" bundle="settingsJs" /></span>
			<span class="pageDetailColumn" data-ng-if="configuration.lastUploadTime > 0" data-ng-bind="configuration.lastUploadTime * 1000 | date:'medium'"></span>
			<span class="pageDetailColumn" data-ng-if="!(configuration.lastUploadTime>0)"><cv:msg key="label.N_SLASH_A" bundle="storage"/></span>
		</li>
		<li class="group" data-ng-if="configuration.commcellDiagUsage">
			<span class="pageDetailColumn"><cv:msg key="label.nextUploadTime" bundle="settingsJs" /></span>
			<span class="pageDetailColumn" data-ng-if="configuration.nextUploadTime > 0" data-ng-bind="configuration.nextUploadTime * 1000 | date:'medium'"></span>
			<span class="pageDetailColumn" data-ng-if="!(configuration.nextUploadTime>0)"><cv:msg key="label.N_SLASH_A" bundle="storage"/></span>
		</li>
	</ul>
	<div class="page-details-box-links">
		<a data-ng-if="configuration.commcellDiagUsage" data-ng-click="uploadMetrics()"><cv:msg key="label.uploadNow" bundle="settingsJs" /></a>
	</div>
</cv-tile-component>