<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<script nonce="${sessionScope.cspNonce}" >
  <cv:cvMessages bundle="localization.storage"></cv:cvMessages>
  <cv:cvMessages bundle="localization.schedule"></cv:cvMessages>
</script>
<div class="row">
    <div class="col-md-12">
        <span ><cv-changename 
            obj='changeNameObj'
            callback="updateTapeLibrayName"
            service-method="updateTapeLibrayDetails.do" 
            class="float-left"></cv-changename></span>
    </div>
</div>
<div>
    <cv-tab-nav></cv-tab-nav>
</div>
<div class="row">
    <div class="col-md-6">
        <cv-tile-component data-ac-id="tapeLibraryDetails-title_mediaDetails-storage" data-title='<cv:msg key="title.mediaDetails" bundle="storage" />'>
            <ul class="group list-style-secondary">
                <li class="group"><span class="pageDetailColumn"><cv:msg
                        key="label.totalMedia" bundle="storage" /></span> <a
                        href='#MediaInLibrary?input.libraryId={{libDetails.library.libraryId}}&input.filterType={{filtermediaInLibrary}}&libraryId={{libDetails.library.libraryId}}&model={{libDetails.model}}&libraryName={{libDetails.library.libraryName | encodeParam}}
                    '>{{libDetails.tapeLibSummary.numOfMedia}}</a>
                </li>
                <li class="group"><span class="pageDetailColumn"><cv:msg key="label.spareMedia" bundle="storage" /></span>
                    </span> <a
                            href='#MediaInLibrary?input.libraryId={{libDetails.library.libraryId}}&input.filterType={{filterDefaultScratch}}&libraryId={{libDetails.library.libraryId}}&model={{libDetails.model}}&libraryName={{libDetails.library.libraryName | encodeParam}}
                    '>{{libDetails.tapeLibSummary.numOfSpareMedia}}</a>
                <li class="group"><span class="pageDetailColumn"><cv:msg key="label.cleaningMedia" bundle="storage" /></span>
                    <a
                            href='#MediaInLibrary?input.libraryId={{libDetails.library.libraryId}}&input.filterType={{filtercleaningMedia}}&libraryId={{libDetails.library.libraryId}}&model={{libDetails.model}}&libraryName={{libDetails.library.libraryName | encodeParam}}
                    '>{{libDetails.tapeLibSummary.numOfCleaningMedia}}</a>
                <li class="group"><span class="pageDetailColumn"><cv:msg key="label.agedMedia" bundle="storage" /></span>
                    <a
                            href='#MediaInLibrary?input.libraryId={{libDetails.library.libraryId}}&input.filterType={{filteragedMedia}}&libraryId={{libDetails.library.libraryId}}&model={{libDetails.model}}&libraryName={{libDetails.library.libraryName | encodeParam}}
                    '>{{libDetails.tapeLibSummary.numOfAgedMedia}}</a>
                <li class="group"><span class="pageDetailColumn"><cv:msg key="label.assignedMedia" bundle="storage" /></span>
                    <a
                            href='#MediaInLibrary?input.libraryId={{libDetails.library.libraryId}}&input.filterType={{filterAssignedMedia}}&libraryId={{libDetails.library.libraryId}}&model={{libDetails.model}}&libraryName={{libDetails.library.libraryName | encodeParam}}
                    '>{{libDetails.tapeLibSummary.numOfAssignedMedia}}</a>
            </ul>
        
            <div class="page-details-box-links" ng-if="!bShowVaultTrackerChanges">
                <a href ng-click="exportLibraryList(libDetails.library.libraryId, libDetails.library.libraryName, libDetails.model)">
                    <cv:msg key="title.exportMedia" bundle="storage" />
                </a>
            </div>
            <div class="page-details-box-links" ng-if="bShowVaultTrackerChanges">
                <div class="page-action-item uib-dropdown no-margin" uib-dropdown>
                    <a href="" class="uib-dropdown-toggle" data-uib-dropdown-toggle>
                        <span><cv:msg key="title.exportMedia" bundle="storage" /><span class="k-icon k-i-arrow-60-down"></span></span>
                    </a>
                    <ul uib-dropdown-menu class="dropdown-menu cv-dropdown-style-2 margin-top-10">
                        <li class="padding-left-10"><a href ng-click="exportLibraryList(libDetails.library.libraryId, libDetails.library.libraryName, libDetails.model)">
                            <cv:msg key="label.listBased" bundle="storage" />
                        </a></li>
                        <li  class="padding-left-10"><a href ng-click="exportLibraryCriteria(libDetails.library.libraryId)">
                            <cv:msg key="title.exportMediaCriteria" bundle="storage" />
                        </a></li>
                    </ul>
                </div>
                <div class="page-action-item no-margin" >
                <a ng-href='#/vaultTrackerActions?input.LibraryId={{libraryId}}&input.model={{model}}&libraryId={{libraryId}}&libraryName={{libraryName}}&model={{libDetails.model}}'>
                    <cv:msg key="label.pendingActions" bundle="storage" />
                </a>
                </div>
            </div>
        </cv-tile-component>
    </div>
</div>
<div ng-if="bShowVaultTrackerChanges">
    <span class="{{libraryMessage.type}}">{{libraryMessage.message}}</span>
    <div>
        <cv-kendo-grid cv-grid-options="gridVaultTracker.options">
            <svg data-cv-on-grid-empty class="add-new-placeholder" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 160 200" xml:space="preserve"><path d="M122.815,166.783h-92.24V33.217H93.69v27.966h29.08h0.046v52.496l2-2.155V58.376L96.589,31.217 H30.575h-2v2v133.566v2h2h92.24h2v-2V127.24l-2,2.815V166.783z M95.69,33.217v-0.09l0.094,0.09l26.986,25.966H95.69V33.217z"/><rect x="41.686" y="73.696" width="72" height="3"/> <rect x="41.686" y="85.696" width="72" height="3"/> <rect x="41.686" y="96.696" width="72" height="3"/><path d="M131.051,108.074c-0.193,0-0.449,0.154-0.745,0.472l-15.325,16.516v-1.99h-2H80.858h-2v2v32.124v2 h2h32.124h2v-2v-19.57l14.464-20.355c0.627-0.882,1.249-2.483,1.381-3.557l0.576-4.657 C131.483,108.414,131.338,108.074,131.051,108.074z M112.982,157.196H80.858v-32.124h32.124v2.145l-12.13,13.073 c-0.393,0.424-0.939,0.64-1.485,0.64c-0.476,0-0.953-0.164-1.331-0.496l-8.414-7.393c-0.362-0.318-0.806-0.474-1.246-0.474 c-0.548,0-1.09,0.241-1.466,0.708l-3.875,4.815c-0.679,0.843-0.601,2.152,0.173,2.909l13.323,13.031 c0.76,0.743,2.237,1.335,3.314,1.335c0.02,0,0.04,0,0.06-0.001l0.542-0.011c1.082-0.023,2.48-0.763,3.107-1.645l9.429-13.269 V157.196z"/></svg>
        </cv-kendo-grid>
    </div>
</div>
