<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<div class="row">
	<div class="col-md-6">
		<cv-tile-component data-ac-id="lcPolicyDetails-hyperv"
			data-title='<cv:msg key="label.summary" bundle="profiles" />'
			loader="policyDetails.details">
		<ul class="list-style-secondary">
			<li class="group"><span class="pageDetailColumn"><cv:msg
						key="label.destinationServer" bundle="restore" /></span> <span
				class="pageDetailColumn">{{::policyDetails.details.destinationHyperV.clientName}}</span>
			</li>
			<li class="group"><span class="pageDetailColumn"><cv:msg
						key="label.accessNode" bundle="restore" /></span> <span
				class="pageDetailColumn">{{::policyDetails.details.proxyClientEntity.clientName}}</span>
			</li>
			<li class="group"
				data-ng-if="policyDetails.details.securityAssociations.users && policyDetails.details.securityAssociations.users.length > 0">
				<span class="pageDetailColumn"><cv:msg key="label.users"
						bundle="restore" /></span> <span class="pageDetailColumn">{{::policyDetails.getUserNamesInCSV(policyDetails.details.securityAssociations.users)}}</span>
			</li>
			<li class="group"
				data-ng-if="policyDetails.details.securityAssociations.userGroups && policyDetails.details.securityAssociations.userGroups.length">
				<span class="pageDetailColumn"><cv:msg key="label.userGroups"
						bundle="restore" /></span> <span class="pageDetailColumn">{{::policyDetails.getUserGroupNamesInCSV(policyDetails.details.securityAssociations.userGroups)}}</span>
			</li>
			<li class="group"><span class="pageDetailColumn"><cv:msg
						key="label.changeVmDisplayName" bundle="restore" /> ( <span
					data-ng-if="policyDetails.details.vmNameEditType === 'PREFIX'"><cv:msg
							key="label.prefix" bundle="restore" /></span> <span
					data-ng-if="policyDetails.details.vmNameEditType === 'SUFFIX'"><cv:msg
							key="label.suffix" bundle="restore" /></span> ) </span> <span
				class="pageDetailColumn">{{::policyDetails.details.vmNameEditString
					? policyDetails.details.vmNameEditString : '<cv:msg
						key="label.notSet" bundle="restore" />'}}
			</span></li>
			<li class="group"><span class="pageDetailColumn"><cv:msg
						key="label.destinationCluster" bundle="vmManagementJs" /></span> <span
				class="pageDetailColumn">{{::policyDetails.redHatDetails.esxServers}}</span></li>
			<li class="group" data-ng-if="policyDetails.details.networkNames"><span
				class="pageDetailColumn"><cv:msg
						key="label.destinationNetworkModal" bundle="restore" /></span> <span
				class="pageDetailColumn">{{::policyDetails.details.networkNames[0].displayName}}</span></li>
			<li class="group" data-ng-if="::policyDetails.redHatDetails.advanceOptions.noOfCPUs"><span class="pageDetailColumn"><cv:msg
						key="label.noOfCPUs" bundle="restore" /></span> <span
				class="pageDetailColumn">{{::policyDetails.redHatDetails.advanceOptions.noOfCPUs}}</span></li>
			<li class="group" data-ng-if="::policyDetails.redHatDetails.advanceOptions.maxMemory"><span class="pageDetailColumn"><cv:msg
						key="label.maxMemoryRHEV" bundle="restore" /></span> <span
				class="pageDetailColumn">{{::policyDetails.redHatDetails.advanceOptions.maxMemory}}
					<cv:msg key="label.GB" bundle="restore" />
			</span></li>
			<li class="group"><span class="pageDetailColumn"><cv:msg
						key="label.noOfVMsRHEV" bundle="vmManagement" /></span> <span
				class="pageDetailColumn">{{::policyDetails.redHatDetails.advanceOptions.noOfVms}}
					<cv:msg key="label.perUser" bundle="vmManagement" />
			</span></li>
			<li class="group"
				data-ng-if="::policyDetails.redHatDetails.advanceOptions.minutesRetainUntil">
				<span class="pageDetailColumn"> <cv:msg
						key="label.expirationTime" bundle="restore" />
			</span> <span class="pageDetailColumn">
					{{::policyDetails.redHatDetails.advanceOptions.minutesRetainUntil}}
					<cv:msg key="label.hours" bundle="restore" />
			</span>
			</li>
			<li class="group"
				data-ng-if="::policyDetails.redHatDetails.advanceOptions.mediaAgent.clientName"><span
				class="pageDetailColumn"><cv:msg key="label.mediaAgent"
						bundle="storage" /></span> <span class="pageDetailColumn">{{::policyDetails.redHatDetails.advanceOptions.mediaAgent.clientName}}</span></li>
			<li class="group"
				data-ng-if="::policyDetails.details.vmPolicyAppType" id="redhat_vmPolicyAppType_id"><span
				class="pageDetailColumn"><cv:msg key="label.PolicyType" bundle="restore" /></span> <span class="pageDetailColumn">{{::policyDetails.policyAppType}}</span></li>
		</ul>
		<div class="page-details-box-links">
			<span> <a class="page-action-item" href=""
				data-ng-click="policyDetails.openEditModal()" data-ng-if="!policyDetails.hideEdit"> <cv:msg
						key="action.edit" bundle="collections" />
			</a>
			</span>
		</div>
		</cv-tile-component>
	</div>
</div>