export function onSpecialCharClick(e, editor) {
	var charData = [
		{
			category: "Basic Latin",
			chars: [{code: '\u0020', name: 'Space'}, {code: '\u0021', name: 'Exclamation Mark'}, {code: '\u0022', name: 'Quotation Mark'}, {code: '\u0023', name: 'Number Sign'}, {code: '\u0024', name: 'Dollar Sign'}, {code: '\u0025', name: 'Percent Sign'}, {code: '\u0026', name: 'Ampersand'}, {code: '\u0027', name: 'Apostrophe'}, {code: '\u0028', name: 'Left Parenthesis'}, {code: '\u0029', name: 'Right Parenthesis'}, {code: '\u002A', name: 'Asterisk'}, {code: '\u002B', name: 'Plus Sign'}, {code: '\u002C', name: 'Comma'}, {code: '\u002D', name: 'Hyphen-minus'}, {code: '\u002E', name: 'Full Stop'}, {code: '\u002F', name: 'Solidus'}, {code: '\u0030', name: 'Digit Zero'}, {code: '\u0031', name: 'Digit One'}, {code: '\u0032', name: 'Digit Two'}, {code: '\u0033', name: 'Digit Three'}, {code: '\u0034', name: 'Digit Four'}, {code: '\u0035', name: 'Digit Five'}, {code: '\u0036', name: 'Digit Six'}, {code: '\u0037', name: 'Digit Seven'}, {code: '\u0038', name: 'Digit Eight'}, {code: '\u0039', name: 'Digit Nine'}, {code: '\u003A', name: 'Colon'}, {code: '\u003B', name: 'Semicolon'}, {code: '\u003C', name: 'Less-than Sign'}, {code: '\u003D', name: 'Equals Sign'}, {code: '\u003E', name: 'Greater-than Sign'}, {code: '\u003F', name: 'Question Mark'}, {code: '\u0040', name: 'Commercial At'}, {code: '\u0041', name: 'Latin Capital Letter A'}, {code: '\u0042', name: 'Latin Capital Letter B'}, {code: '\u0043', name: 'Latin Capital Letter C'}, {code: '\u0044', name: 'Latin Capital Letter D'}, {code: '\u0045', name: 'Latin Capital Letter E'}, {code: '\u0046', name: 'Latin Capital Letter F'}, {code: '\u0047', name: 'Latin Capital Letter G'}, {code: '\u0048', name: 'Latin Capital Letter H'}, {code: '\u0049', name: 'Latin Capital Letter I'}, {code: '\u004A', name: 'Latin Capital Letter J'}, {code: '\u004B', name: 'Latin Capital Letter K'}, {code: '\u004C', name: 'Latin Capital Letter L'}, {code: '\u004D', name: 'Latin Capital Letter M'}, {code: '\u004E', name: 'Latin Capital Letter N'}, {code: '\u004F', name: 'Latin Capital Letter O'}, {code: '\u0050', name: 'Latin Capital Letter P'}, {code: '\u0051', name: 'Latin Capital Letter Q'}, {code: '\u0052', name: 'Latin Capital Letter R'}, {code: '\u0053', name: 'Latin Capital Letter S'}, {code: '\u0054', name: 'Latin Capital Letter T'}, {code: '\u0055', name: 'Latin Capital Letter U'}, {code: '\u0056', name: 'Latin Capital Letter V'}, {code: '\u0057', name: 'Latin Capital Letter W'}, {code: '\u0058', name: 'Latin Capital Letter X'}, {code: '\u0059', name: 'Latin Capital Letter Y'}, {code: '\u005A', name: 'Latin Capital Letter Z'}, {code: '\u005B', name: 'Left Square Bracket'}, {code: '\u005C', name: 'Reverse Solidus'}, {code: '\u005D', name: 'Right Square Bracket'}, {code: '\u005E', name: 'Circumflex Accent'}, {code: '\u005F', name: 'Low Line'}, {code: '\u0060', name: 'Grave Accent'}, {code: '\u0061', name: 'Latin Small Letter A'}, {code: '\u0062', name: 'Latin Small Letter B'}, {code: '\u0063', name: 'Latin Small Letter C'}, {code: '\u0064', name: 'Latin Small Letter D'}, {code: '\u0065', name: 'Latin Small Letter E'}, {code: '\u0066', name: 'Latin Small Letter F'}, {code: '\u0067', name: 'Latin Small Letter G'}, {code: '\u0068', name: 'Latin Small Letter H'}, {code: '\u0069', name: 'Latin Small Letter I'}, {code: '\u006A', name: 'Latin Small Letter J'}, {code: '\u006B', name: 'Latin Small Letter K'}, {code: '\u006C', name: 'Latin Small Letter L'}, {code: '\u006D', name: 'Latin Small Letter M'}, {code: '\u006E', name: 'Latin Small Letter N'}, {code: '\u006F', name: 'Latin Small Letter O'}, {code: '\u0070', name: 'Latin Small Letter P'}, {code: '\u0071', name: 'Latin Small Letter Q'}, {code: '\u0072', name: 'Latin Small Letter R'}, {code: '\u0073', name: 'Latin Small Letter S'}, {code: '\u0074', name: 'Latin Small Letter T'}, {code: '\u0075', name: 'Latin Small Letter U'}, {code: '\u0076', name: 'Latin Small Letter V'}, {code: '\u0077', name: 'Latin Small Letter W'}, {code: '\u0078', name: 'Latin Small Letter X'}, {code: '\u0079', name: 'Latin Small Letter Y'}, {code: '\u007A', name: 'Latin Small Letter Z'}, {code: '\u007B', name: 'Left Curly Bracket'}, {code: '\u007C', name: 'Vertical Line'}, {code: '\u007D', name: 'Right Curly Bracket'}, {code: '\u007E', name: 'Tilde'}]
		},
		{
			category: "Latin-1 Supplement",
			chars: [{code: '\u00A0', name: 'No-break Space'}, {code: '\u00A1', name: 'Inverted Exclamation Mark'}, {code: '\u00A2', name: 'Cent Sign'}, {code: '\u00A3', name: 'Pound Sign'}, {code: '\u00A4', name: 'Currency Sign'}, {code: '\u00A5', name: 'Yen Sign'}, {code: '\u00A6', name: 'Broken Bar'}, {code: '\u00A7', name: 'Section Sign'}, {code: '\u00A8', name: 'Diaeresis'}, {code: '\u00A9', name: 'Copyright Sign'}, {code: '\u00AA', name: 'Feminine Ordinal Indicator'}, {code: '\u00AB', name: 'Left-pointing Double Angle Quotation Mark'}, {code: '\u00AC', name: 'Not Sign'}, {code: '\u00AD', name: 'Soft Hyphen'}, {code: '\u00AE', name: 'Registered Sign'}, {code: '\u00AF', name: 'Macron'}, {code: '\u00B0', name: 'Degree Sign'}, {code: '\u00B1', name: 'Plus-minus Sign'}, {code: '\u00B2', name: 'Superscript Two'}, {code: '\u00B3', name: 'Superscript Three'}, {code: '\u00B4', name: 'Acute Accent'}, {code: '\u00B5', name: 'Micro Sign'}, {code: '\u00B6', name: 'Pilcrow Sign'}, {code: '\u00B7', name: 'Middle Dot'}, {code: '\u00B8', name: 'Cedilla'}, {code: '\u00B9', name: 'Superscript One'}, {code: '\u00BA', name: 'Masculine Ordinal Indicator'}, {code: '\u00BB', name: 'Right-pointing Double Angle Quotation Mark'}, {code: '\u00BC', name: 'Vulgar Fraction One Quarter'}, {code: '\u00BD', name: 'Vulgar Fraction One Half'}, {code: '\u00BE', name: 'Vulgar Fraction Three Quarters'}, {code: '\u00BF', name: 'Inverted Question Mark'}, {code: '\u00C0', name: 'Latin Capital Letter A With Grave'}, {code: '\u00C1', name: 'Latin Capital Letter A With Acute'}, {code: '\u00C2', name: 'Latin Capital Letter A With Circumflex'}, {code: '\u00C3', name: 'Latin Capital Letter A With Tilde'}, {code: '\u00C4', name: 'Latin Capital Letter A With Diaeresis'}, {code: '\u00C5', name: 'Latin Capital Letter A With Ring Above'}, {code: '\u00C6', name: 'Latin Capital Letter Ae'}, {code: '\u00C7', name: 'Latin Capital Letter C With Cedilla'}, {code: '\u00C8', name: 'Latin Capital Letter E With Grave'}, {code: '\u00C9', name: 'Latin Capital Letter E With Acute'}, {code: '\u00CA', name: 'Latin Capital Letter E With Circumflex'}, {code: '\u00CB', name: 'Latin Capital Letter E With Diaeresis'}, {code: '\u00CC', name: 'Latin Capital Letter I With Grave'}, {code: '\u00CD', name: 'Latin Capital Letter I With Acute'}, {code: '\u00CE', name: 'Latin Capital Letter I With Circumflex'}, {code: '\u00CF', name: 'Latin Capital Letter I With Diaeresis'}, {code: '\u00D0', name: 'Latin Capital Letter Eth'}, {code: '\u00D1', name: 'Latin Capital Letter N With Tilde'}, {code: '\u00D2', name: 'Latin Capital Letter O With Grave'}, {code: '\u00D3', name: 'Latin Capital Letter O With Acute'}, {code: '\u00D4', name: 'Latin Capital Letter O With Circumflex'}, {code: '\u00D5', name: 'Latin Capital Letter O With Tilde'}, {code: '\u00D6', name: 'Latin Capital Letter O With Diaeresis'}, {code: '\u00D7', name: 'Multiplication Sign'}, {code: '\u00D8', name: 'Latin Capital Letter O With Stroke'}, {code: '\u00D9', name: 'Latin Capital Letter U With Grave'}, {code: '\u00DA', name: 'Latin Capital Letter U With Acute'}, {code: '\u00DB', name: 'Latin Capital Letter U With Circumflex'}, {code: '\u00DC', name: 'Latin Capital Letter U With Diaeresis'}, {code: '\u00DD', name: 'Latin Capital Letter Y With Acute'}, {code: '\u00DE', name: 'Latin Capital Letter Thorn'}, {code: '\u00DF', name: 'Latin Small Letter Sharp S'}, {code: '\u00E0', name: 'Latin Small Letter A With Grave'}, {code: '\u00E1', name: 'Latin Small Letter A With Acute'}, {code: '\u00E2', name: 'Latin Small Letter A With Circumflex'}, {code: '\u00E3', name: 'Latin Small Letter A With Tilde'}, {code: '\u00E4', name: 'Latin Small Letter A With Diaeresis'}, {code: '\u00E5', name: 'Latin Small Letter A With Ring Above'}, {code: '\u00E6', name: 'Latin Small Letter Ae'}, {code: '\u00E7', name: 'Latin Small Letter C With Cedilla'}, {code: '\u00E8', name: 'Latin Small Letter E With Grave'}, {code: '\u00E9', name: 'Latin Small Letter E With Acute'}, {code: '\u00EA', name: 'Latin Small Letter E With Circumflex'}, {code: '\u00EB', name: 'Latin Small Letter E With Diaeresis'}, {code: '\u00EC', name: 'Latin Small Letter I With Grave'}, {code: '\u00ED', name: 'Latin Small Letter I With Acute'}, {code: '\u00EE', name: 'Latin Small Letter I With Circumflex'}, {code: '\u00EF', name: 'Latin Small Letter I With Diaeresis'}, {code: '\u00F0', name: 'Latin Small Letter Eth'}, {code: '\u00F1', name: 'Latin Small Letter N With Tilde'}, {code: '\u00F2', name: 'Latin Small Letter O With Grave'}, {code: '\u00F3', name: 'Latin Small Letter O With Acute'}, {code: '\u00F4', name: 'Latin Small Letter O With Circumflex'}, {code: '\u00F5', name: 'Latin Small Letter O With Tilde'}, {code: '\u00F6', name: 'Latin Small Letter O With Diaeresis'}, {code: '\u00F7', name: 'Division Sign'}, {code: '\u00F8', name: 'Latin Small Letter O With Stroke'}, {code: '\u00F9', name: 'Latin Small Letter U With Grave'}, {code: '\u00FA', name: 'Latin Small Letter U With Acute'}, {code: '\u00FB', name: 'Latin Small Letter U With Circumflex'}, {code: '\u00FC', name: 'Latin Small Letter U With Diaeresis'}, {code: '\u00FD', name: 'Latin Small Letter Y With Acute'}, {code: '\u00FE', name: 'Latin Small Letter Thorn'}, {code: '\u00FF', name: 'Latin Small Letter Y With Diaeresis'}]
		},
		{
			category: "Latin Extended-A",
			chars: [{code: '\u0100', name: 'Latin Capital Letter A With Macron'}, {code: '\u0101', name: 'Latin Small Letter A With Macron'}, {code: '\u0102', name: 'Latin Capital Letter A With Breve'}, {code: '\u0103', name: 'Latin Small Letter A With Breve'}, {code: '\u0104', name: 'Latin Capital Letter A With Ogonek'}, {code: '\u0105', name: 'Latin Small Letter A With Ogonek'}, {code: '\u0106', name: 'Latin Capital Letter C With Acute'}, {code: '\u0107', name: 'Latin Small Letter C With Acute'}, {code: '\u0108', name: 'Latin Capital Letter C With Circumflex'}, {code: '\u0109', name: 'Latin Small Letter C With Circumflex'}, {code: '\u010A', name: 'Latin Capital Letter C With Dot Above'}, {code: '\u010B', name: 'Latin Small Letter C With Dot Above'}, {code: '\u010C', name: 'Latin Capital Letter C With Caron'}, {code: '\u010D', name: 'Latin Small Letter C With Caron'}, {code: '\u010E', name: 'Latin Capital Letter D With Caron'}, {code: '\u010F', name: 'Latin Small Letter D With Caron'}, {code: '\u0110', name: 'Latin Capital Letter D With Stroke'}, {code: '\u0111', name: 'Latin Small Letter D With Stroke'}, {code: '\u0112', name: 'Latin Capital Letter E With Macron'}, {code: '\u0113', name: 'Latin Small Letter E With Macron'}, {code: '\u0114', name: 'Latin Capital Letter E With Breve'}, {code: '\u0115', name: 'Latin Small Letter E With Breve'}, {code: '\u0116', name: 'Latin Capital Letter E With Dot Above'}, {code: '\u0117', name: 'Latin Small Letter E With Dot Above'}, {code: '\u0118', name: 'Latin Capital Letter E With Ogonek'}, {code: '\u0119', name: 'Latin Small Letter E With Ogonek'}, {code: '\u011A', name: 'Latin Capital Letter E With Caron'}, {code: '\u011B', name: 'Latin Small Letter E With Caron'}, {code: '\u011C', name: 'Latin Capital Letter G With Circumflex'}, {code: '\u011D', name: 'Latin Small Letter G With Circumflex'}, {code: '\u011E', name: 'Latin Capital Letter G With Breve'}, {code: '\u011F', name: 'Latin Small Letter G With Breve'}, {code: '\u0120', name: 'Latin Capital Letter G With Dot Above'}, {code: '\u0121', name: 'Latin Small Letter G With Dot Above'}, {code: '\u0122', name: 'Latin Capital Letter G With Cedilla'}, {code: '\u0123', name: 'Latin Small Letter G With Cedilla'}, {code: '\u0124', name: 'Latin Capital Letter H With Circumflex'}, {code: '\u0125', name: 'Latin Small Letter H With Circumflex'}, {code: '\u0126', name: 'Latin Capital Letter H With Stroke'}, {code: '\u0127', name: 'Latin Small Letter H With Stroke'}, {code: '\u0128', name: 'Latin Capital Letter I With Tilde'}, {code: '\u0129', name: 'Latin Small Letter I With Tilde'}, {code: '\u012A', name: 'Latin Capital Letter I With Macron'}, {code: '\u012B', name: 'Latin Small Letter I With Macron'}, {code: '\u012C', name: 'Latin Capital Letter I With Breve'}, {code: '\u012D', name: 'Latin Small Letter I With Breve'}, {code: '\u012E', name: 'Latin Capital Letter I With Ogonek'}, {code: '\u012F', name: 'Latin Small Letter I With Ogonek'}, {code: '\u0130', name: 'Latin Capital Letter I With Dot Above'}, {code: '\u0131', name: 'Latin Small Letter Dotless I'}, {code: '\u0132', name: 'Latin Capital Ligature Ij'}, {code: '\u0133', name: 'Latin Small Ligature Ij'}, {code: '\u0134', name: 'Latin Capital Letter J With Circumflex'}, {code: '\u0135', name: 'Latin Small Letter J With Circumflex'}, {code: '\u0136', name: 'Latin Capital Letter K With Cedilla'}, {code: '\u0137', name: 'Latin Small Letter K With Cedilla'}, {code: '\u0138', name: 'Latin Small Letter Kra'}, {code: '\u0139', name: 'Latin Capital Letter L With Acute'}, {code: '\u013A', name: 'Latin Small Letter L With Acute'}, {code: '\u013B', name: 'Latin Capital Letter L With Cedilla'}, {code: '\u013C', name: 'Latin Small Letter L With Cedilla'}, {code: '\u013D', name: 'Latin Capital Letter L With Caron'}, {code: '\u013E', name: 'Latin Small Letter L With Caron'}, {code: '\u013F', name: 'Latin Capital Letter L With Middle Dot'}, {code: '\u0140', name: 'Latin Small Letter L With Middle Dot'}, {code: '\u0141', name: 'Latin Capital Letter L With Stroke'}, {code: '\u0142', name: 'Latin Small Letter L With Stroke'}, {code: '\u0143', name: 'Latin Capital Letter N With Acute'}, {code: '\u0144', name: 'Latin Small Letter N With Acute'}, {code: '\u0145', name: 'Latin Capital Letter N With Cedilla'}, {code: '\u0146', name: 'Latin Small Letter N With Cedilla'}, {code: '\u0147', name: 'Latin Capital Letter N With Caron'}, {code: '\u0148', name: 'Latin Small Letter N With Caron'}, {code: '\u0149', name: 'Latin Small Letter N Preceded By Apostrophe'}, {code: '\u014A', name: 'Latin Capital Letter Eng'}, {code: '\u014B', name: 'Latin Small Letter Eng'}, {code: '\u014C', name: 'Latin Capital Letter O With Macron'}, {code: '\u014D', name: 'Latin Small Letter O With Macron'}, {code: '\u014E', name: 'Latin Capital Letter O With Breve'}, {code: '\u014F', name: 'Latin Small Letter O With Breve'}, {code: '\u0150', name: 'Latin Capital Letter O With Double Acute'}, {code: '\u0151', name: 'Latin Small Letter O With Double Acute'}, {code: '\u0152', name: 'Latin Capital Ligature Oe'}, {code: '\u0153', name: 'Latin Small Ligature Oe'}, {code: '\u0154', name: 'Latin Capital Letter R With Acute'}, {code: '\u0155', name: 'Latin Small Letter R With Acute'}, {code: '\u0156', name: 'Latin Capital Letter R With Cedilla'}, {code: '\u0157', name: 'Latin Small Letter R With Cedilla'}, {code: '\u0158', name: 'Latin Capital Letter R With Caron'}, {code: '\u0159', name: 'Latin Small Letter R With Caron'}, {code: '\u015A', name: 'Latin Capital Letter S With Acute'}, {code: '\u015B', name: 'Latin Small Letter S With Acute'}, {code: '\u015C', name: 'Latin Capital Letter S With Circumflex'}, {code: '\u015D', name: 'Latin Small Letter S With Circumflex'}, {code: '\u015E', name: 'Latin Capital Letter S With Cedilla'}, {code: '\u015F', name: 'Latin Small Letter S With Cedilla'}, {code: '\u0160', name: 'Latin Capital Letter S With Caron'}, {code: '\u0161', name: 'Latin Small Letter S With Caron'}, {code: '\u0162', name: 'Latin Capital Letter T With Cedilla'}, {code: '\u0163', name: 'Latin Small Letter T With Cedilla'}, {code: '\u0164', name: 'Latin Capital Letter T With Caron'}, {code: '\u0165', name: 'Latin Small Letter T With Caron'}, {code: '\u0166', name: 'Latin Capital Letter T With Stroke'}, {code: '\u0167', name: 'Latin Small Letter T With Stroke'}, {code: '\u0168', name: 'Latin Capital Letter U With Tilde'}, {code: '\u0169', name: 'Latin Small Letter U With Tilde'}, {code: '\u016A', name: 'Latin Capital Letter U With Macron'}, {code: '\u016B', name: 'Latin Small Letter U With Macron'}, {code: '\u016C', name: 'Latin Capital Letter U With Breve'}, {code: '\u016D', name: 'Latin Small Letter U With Breve'}, {code: '\u016E', name: 'Latin Capital Letter U With Ring Above'}, {code: '\u016F', name: 'Latin Small Letter U With Ring Above'}, {code: '\u0170', name: 'Latin Capital Letter U With Double Acute'}, {code: '\u0171', name: 'Latin Small Letter U With Double Acute'}, {code: '\u0172', name: 'Latin Capital Letter U With Ogonek'}, {code: '\u0173', name: 'Latin Small Letter U With Ogonek'}, {code: '\u0174', name: 'Latin Capital Letter W With Circumflex'}, {code: '\u0175', name: 'Latin Small Letter W With Circumflex'}, {code: '\u0176', name: 'Latin Capital Letter Y With Circumflex'}, {code: '\u0177', name: 'Latin Small Letter Y With Circumflex'}, {code: '\u0178', name: 'Latin Capital Letter Y With Diaeresis'}, {code: '\u0179', name: 'Latin Capital Letter Z With Acute'}, {code: '\u017A', name: 'Latin Small Letter Z With Acute'}, {code: '\u017B', name: 'Latin Capital Letter Z With Dot Above'}, {code: '\u017C', name: 'Latin Small Letter Z With Dot Above'}, {code: '\u017D', name: 'Latin Capital Letter Z With Caron'}, {code: '\u017E', name: 'Latin Small Letter Z With Caron'}, {code: '\u017F', name: 'Latin Small Letter Long S'}]
		},
		{
			category: "Latin Extended-B",
			chars: [{code: '\u0180', name: 'Latin Small Letter B With Stroke'}, {code: '\u0181', name: 'Latin Capital Letter B With Hook'}, {code: '\u0182', name: 'Latin Capital Letter B With Topbar'}, {code: '\u0183', name: 'Latin Small Letter B With Topbar'}, {code: '\u0184', name: 'Latin Capital Letter Tone Six'}, {code: '\u0185', name: 'Latin Small Letter Tone Six'}, {code: '\u0186', name: 'Latin Capital Letter Open O'}, {code: '\u0187', name: 'Latin Capital Letter C With Hook'}, {code: '\u0188', name: 'Latin Small Letter C With Hook'}, {code: '\u0189', name: 'Latin Capital Letter African D'}, {code: '\u018A', name: 'Latin Capital Letter D With Hook'}, {code: '\u018B', name: 'Latin Capital Letter D With Topbar'}, {code: '\u018C', name: 'Latin Small Letter D With Topbar'}, {code: '\u018D', name: 'Latin Small Letter Turned Delta'}, {code: '\u018E', name: 'Latin Capital Letter Reversed E'}, {code: '\u018F', name: 'Latin Capital Letter Schwa'}, {code: '\u0190', name: 'Latin Capital Letter Open E'}, {code: '\u0191', name: 'Latin Capital Letter F With Hook'}, {code: '\u0192', name: 'Latin Small Letter F With Hook'}, {code: '\u0193', name: 'Latin Capital Letter G With Hook'}, {code: '\u0194', name: 'Latin Capital Letter Gamma'}, {code: '\u0195', name: 'Latin Small Letter Hv'}, {code: '\u0196', name: 'Latin Capital Letter Iota'}, {code: '\u0197', name: 'Latin Capital Letter I With Stroke'}, {code: '\u0198', name: 'Latin Capital Letter K With Hook'}, {code: '\u0199', name: 'Latin Small Letter K With Hook'}, {code: '\u019A', name: 'Latin Small Letter L With Bar'}, {code: '\u019B', name: 'Latin Small Letter Lambda With Stroke'}, {code: '\u019C', name: 'Latin Capital Letter Turned M'}, {code: '\u019D', name: 'Latin Capital Letter N With Left Hook'}, {code: '\u019E', name: 'Latin Small Letter N With Long Right Leg'}, {code: '\u019F', name: 'Latin Capital Letter O With Middle Tilde'}, {code: '\u01A0', name: 'Latin Capital Letter O With Horn'}, {code: '\u01A1', name: 'Latin Small Letter O With Horn'}, {code: '\u01A2', name: 'Latin Capital Letter Oi'}, {code: '\u01A3', name: 'Latin Small Letter Oi'}, {code: '\u01A4', name: 'Latin Capital Letter P With Hook'}, {code: '\u01A5', name: 'Latin Small Letter P With Hook'}, {code: '\u01A6', name: 'Latin Letter Yr'}, {code: '\u01A7', name: 'Latin Capital Letter Tone Two'}, {code: '\u01A8', name: 'Latin Small Letter Tone Two'}, {code: '\u01A9', name: 'Latin Capital Letter Esh'}, {code: '\u01AA', name: 'Latin Letter Reversed Esh Loop'}, {code: '\u01AB', name: 'Latin Small Letter T With Palatal Hook'}, {code: '\u01AC', name: 'Latin Capital Letter T With Hook'}, {code: '\u01AD', name: 'Latin Small Letter T With Hook'}, {code: '\u01AE', name: 'Latin Capital Letter T With Retroflex Hook'}, {code: '\u01AF', name: 'Latin Capital Letter U With Horn'}, {code: '\u01B0', name: 'Latin Small Letter U With Horn'}, {code: '\u01B1', name: 'Latin Capital Letter Upsilon'}, {code: '\u01B2', name: 'Latin Capital Letter V With Hook'}, {code: '\u01B3', name: 'Latin Capital Letter Y With Hook'}, {code: '\u01B4', name: 'Latin Small Letter Y With Hook'}, {code: '\u01B5', name: 'Latin Capital Letter Z With Stroke'}, {code: '\u01B6', name: 'Latin Small Letter Z With Stroke'}, {code: '\u01B7', name: 'Latin Capital Letter Ezh'}, {code: '\u01B8', name: 'Latin Capital Letter Ezh Reversed'}, {code: '\u01B9', name: 'Latin Small Letter Ezh Reversed'}, {code: '\u01BA', name: 'Latin Small Letter Ezh With Tail'}, {code: '\u01BB', name: 'Latin Letter Two With Stroke'}, {code: '\u01BC', name: 'Latin Capital Letter Tone Five'}, {code: '\u01BD', name: 'Latin Small Letter Tone Five'}, {code: '\u01BE', name: 'Latin Letter Inverted Glottal Stop With Stroke'}, {code: '\u01BF', name: 'Latin Letter Wynn'}, {code: '\u01C0', name: 'Latin Letter Dental Click'}, {code: '\u01C1', name: 'Latin Letter Lateral Click'}, {code: '\u01C2', name: 'Latin Letter Alveolar Click'}, {code: '\u01C3', name: 'Latin Letter Retroflex Click'}, {code: '\u01C4', name: 'Latin Capital Letter Dz With Caron'}, {code: '\u01C5', name: 'Latin Capital Letter D With Small Letter Z With Caron'}, {code: '\u01C6', name: 'Latin Small Letter Dz With Caron'}, {code: '\u01C7', name: 'Latin Capital Letter Lj'}, {code: '\u01C8', name: 'Latin Capital Letter L With Small Letter J'}, {code: '\u01C9', name: 'Latin Small Letter Lj'}, {code: '\u01CA', name: 'Latin Capital Letter Nj'}, {code: '\u01CB', name: 'Latin Capital Letter N With Small Letter J'}, {code: '\u01CC', name: 'Latin Small Letter Nj'}, {code: '\u01CD', name: 'Latin Capital Letter A With Caron'}, {code: '\u01CE', name: 'Latin Small Letter A With Caron'}, {code: '\u01CF', name: 'Latin Capital Letter I With Caron'}, {code: '\u01D0', name: 'Latin Small Letter I With Caron'}, {code: '\u01D1', name: 'Latin Capital Letter O With Caron'}, {code: '\u01D2', name: 'Latin Small Letter O With Caron'}, {code: '\u01D3', name: 'Latin Capital Letter U With Caron'}, {code: '\u01D4', name: 'Latin Small Letter U With Caron'}, {code: '\u01D5', name: 'Latin Capital Letter U With Diaeresis And Macron'}, {code: '\u01D6', name: 'Latin Small Letter U With Diaeresis And Macron'}, {code: '\u01D7', name: 'Latin Capital Letter U With Diaeresis And Acute'}, {code: '\u01D8', name: 'Latin Small Letter U With Diaeresis And Acute'}, {code: '\u01D9', name: 'Latin Capital Letter U With Diaeresis And Caron'}, {code: '\u01DA', name: 'Latin Small Letter U With Diaeresis And Caron'}, {code: '\u01DB', name: 'Latin Capital Letter U With Diaeresis And Grave'}, {code: '\u01DC', name: 'Latin Small Letter U With Diaeresis And Grave'}, {code: '\u01DD', name: 'Latin Small Letter Turned E'}, {code: '\u01DE', name: 'Latin Capital Letter A With Diaeresis And Macron'}, {code: '\u01DF', name: 'Latin Small Letter A With Diaeresis And Macron'}, {code: '\u01E0', name: 'Latin Capital Letter A With Dot Above And Macron'}, {code: '\u01E1', name: 'Latin Small Letter A With Dot Above And Macron'}, {code: '\u01E2', name: 'Latin Capital Letter Ae With Macron'}, {code: '\u01E3', name: 'Latin Small Letter Ae With Macron'}, {code: '\u01E4', name: 'Latin Capital Letter G With Stroke'}, {code: '\u01E5', name: 'Latin Small Letter G With Stroke'}, {code: '\u01E6', name: 'Latin Capital Letter G With Caron'}, {code: '\u01E7', name: 'Latin Small Letter G With Caron'}, {code: '\u01E8', name: 'Latin Capital Letter K With Caron'}, {code: '\u01E9', name: 'Latin Small Letter K With Caron'}, {code: '\u01EA', name: 'Latin Capital Letter O With Ogonek'}, {code: '\u01EB', name: 'Latin Small Letter O With Ogonek'}, {code: '\u01EC', name: 'Latin Capital Letter O With Ogonek And Macron'}, {code: '\u01ED', name: 'Latin Small Letter O With Ogonek And Macron'}, {code: '\u01EE', name: 'Latin Capital Letter Ezh With Caron'}, {code: '\u01EF', name: 'Latin Small Letter Ezh With Caron'}, {code: '\u01F0', name: 'Latin Small Letter J With Caron'}, {code: '\u01F1', name: 'Latin Capital Letter Dz'}, {code: '\u01F2', name: 'Latin Capital Letter D With Small Letter Z'}, {code: '\u01F3', name: 'Latin Small Letter Dz'}, {code: '\u01F4', name: 'Latin Capital Letter G With Acute'}, {code: '\u01F5', name: 'Latin Small Letter G With Acute'}, {code: '\u01F6', name: 'Latin Capital Letter Hwair'}, {code: '\u01F7', name: 'Latin Capital Letter Wynn'}, {code: '\u01F8', name: 'Latin Capital Letter N With Grave'}, {code: '\u01F9', name: 'Latin Small Letter N With Grave'}, {code: '\u01FA', name: 'Latin Capital Letter A With Ring Above And Acute'}, {code: '\u01FB', name: 'Latin Small Letter A With Ring Above And Acute'}, {code: '\u01FC', name: 'Latin Capital Letter Ae With Acute'}, {code: '\u01FD', name: 'Latin Small Letter Ae With Acute'}, {code: '\u01FE', name: 'Latin Capital Letter O With Stroke And Acute'}, {code: '\u01FF', name: 'Latin Small Letter O With Stroke And Acute'}, {code: '\u0200', name: 'Latin Capital Letter A With Double Grave'}, {code: '\u0201', name: 'Latin Small Letter A With Double Grave'}, {code: '\u0202', name: 'Latin Capital Letter A With Inverted Breve'}, {code: '\u0203', name: 'Latin Small Letter A With Inverted Breve'}, {code: '\u0204', name: 'Latin Capital Letter E With Double Grave'}, {code: '\u0205', name: 'Latin Small Letter E With Double Grave'}, {code: '\u0206', name: 'Latin Capital Letter E With Inverted Breve'}, {code: '\u0207', name: 'Latin Small Letter E With Inverted Breve'}, {code: '\u0208', name: 'Latin Capital Letter I With Double Grave'}, {code: '\u0209', name: 'Latin Small Letter I With Double Grave'}, {code: '\u020A', name: 'Latin Capital Letter I With Inverted Breve'}, {code: '\u020B', name: 'Latin Small Letter I With Inverted Breve'}, {code: '\u020C', name: 'Latin Capital Letter O With Double Grave'}, {code: '\u020D', name: 'Latin Small Letter O With Double Grave'}, {code: '\u020E', name: 'Latin Capital Letter O With Inverted Breve'}, {code: '\u020F', name: 'Latin Small Letter O With Inverted Breve'}, {code: '\u0210', name: 'Latin Capital Letter R With Double Grave'}, {code: '\u0211', name: 'Latin Small Letter R With Double Grave'}, {code: '\u0212', name: 'Latin Capital Letter R With Inverted Breve'}, {code: '\u0213', name: 'Latin Small Letter R With Inverted Breve'}, {code: '\u0214', name: 'Latin Capital Letter U With Double Grave'}, {code: '\u0215', name: 'Latin Small Letter U With Double Grave'}, {code: '\u0216', name: 'Latin Capital Letter U With Inverted Breve'}, {code: '\u0217', name: 'Latin Small Letter U With Inverted Breve'}, {code: '\u0218', name: 'Latin Capital Letter S With Comma Below'}, {code: '\u0219', name: 'Latin Small Letter S With Comma Below'}, {code: '\u021A', name: 'Latin Capital Letter T With Comma Below'}, {code: '\u021B', name: 'Latin Small Letter T With Comma Below'}, {code: '\u021C', name: 'Latin Capital Letter Yogh'}, {code: '\u021D', name: 'Latin Small Letter Yogh'}, {code: '\u021E', name: 'Latin Capital Letter H With Caron'}, {code: '\u021F', name: 'Latin Small Letter H With Caron'}, {code: '\u0220', name: 'Latin Capital Letter N With Long Right Leg'}, {code: '\u0221', name: 'Latin Small Letter D With Curl'}, {code: '\u0222', name: 'Latin Capital Letter Ou'}, {code: '\u0223', name: 'Latin Small Letter Ou'}, {code: '\u0224', name: 'Latin Capital Letter Z With Hook'}, {code: '\u0225', name: 'Latin Small Letter Z With Hook'}, {code: '\u0226', name: 'Latin Capital Letter A With Dot Above'}, {code: '\u0227', name: 'Latin Small Letter A With Dot Above'}, {code: '\u0228', name: 'Latin Capital Letter E With Cedilla'}, {code: '\u0229', name: 'Latin Small Letter E With Cedilla'}, {code: '\u022A', name: 'Latin Capital Letter O With Diaeresis And Macron'}, {code: '\u022B', name: 'Latin Small Letter O With Diaeresis And Macron'}, {code: '\u022C', name: 'Latin Capital Letter O With Tilde And Macron'}, {code: '\u022D', name: 'Latin Small Letter O With Tilde And Macron'}, {code: '\u022E', name: 'Latin Capital Letter O With Dot Above'}, {code: '\u022F', name: 'Latin Small Letter O With Dot Above'}, {code: '\u0230', name: 'Latin Capital Letter O With Dot Above And Macron'}, {code: '\u0231', name: 'Latin Small Letter O With Dot Above And Macron'}, {code: '\u0232', name: 'Latin Capital Letter Y With Macron'}, {code: '\u0233', name: 'Latin Small Letter Y With Macron'}, {code: '\u0234', name: 'Latin Small Letter L With Curl'}, {code: '\u0235', name: 'Latin Small Letter N With Curl'}, {code: '\u0236', name: 'Latin Small Letter T With Curl'}, {code: '\u0237', name: 'Latin Small Letter Dotless J'}, {code: '\u0238', name: 'Latin Small Letter Db Digraph'}, {code: '\u0239', name: 'Latin Small Letter Qp Digraph'}, {code: '\u023A', name: 'Latin Capital Letter A With Stroke'}, {code: '\u023B', name: 'Latin Capital Letter C With Stroke'}, {code: '\u023C', name: 'Latin Small Letter C With Stroke'}, {code: '\u023D', name: 'Latin Capital Letter L With Bar'}, {code: '\u023E', name: 'Latin Capital Letter T With Diagonal Stroke'}, {code: '\u023F', name: 'Latin Small Letter S With Swash Tail'}, {code: '\u0240', name: 'Latin Small Letter Z With Swash Tail'}, {code: '\u0241', name: 'Latin Capital Letter Glottal Stop'}, {code: '\u0242', name: 'Latin Small Letter Glottal Stop'}, {code: '\u0243', name: 'Latin Capital Letter B With Stroke'}, {code: '\u0244', name: 'Latin Capital Letter U Bar'}, {code: '\u0245', name: 'Latin Capital Letter Turned V'}, {code: '\u0246', name: 'Latin Capital Letter E With Stroke'}, {code: '\u0247', name: 'Latin Small Letter E With Stroke'}, {code: '\u0248', name: 'Latin Capital Letter J With Stroke'}, {code: '\u0249', name: 'Latin Small Letter J With Stroke'}, {code: '\u024A', name: 'Latin Capital Letter Small Q With Hook Tail'}, {code: '\u024B', name: 'Latin Small Letter Q With Hook Tail'}, {code: '\u024C', name: 'Latin Capital Letter R With Stroke'}, {code: '\u024D', name: 'Latin Small Letter R With Stroke'}, {code: '\u024E', name: 'Latin Capital Letter Y With Stroke'}, {code: '\u024F', name: 'Latin Small Letter Y With Stroke'}]
		},
		{
			category: "IPA Extensions",
			chars: [{code: '\u0250', name: 'Latin Small Letter Turned A'}, {code: '\u0251', name: 'Latin Small Letter Alpha'}, {code: '\u0252', name: 'Latin Small Letter Turned Alpha'}, {code: '\u0253', name: 'Latin Small Letter B With Hook'}, {code: '\u0254', name: 'Latin Small Letter Open O'}, {code: '\u0255', name: 'Latin Small Letter C With Curl'}, {code: '\u0256', name: 'Latin Small Letter D With Tail'}, {code: '\u0257', name: 'Latin Small Letter D With Hook'}, {code: '\u0258', name: 'Latin Small Letter Reversed E'}, {code: '\u0259', name: 'Latin Small Letter Schwa'}, {code: '\u025A', name: 'Latin Small Letter Schwa With Hook'}, {code: '\u025B', name: 'Latin Small Letter Open E'}, {code: '\u025C', name: 'Latin Small Letter Reversed Open E'}, {code: '\u025D', name: 'Latin Small Letter Reversed Open E With Hook'}, {code: '\u025E', name: 'Latin Small Letter Closed Reversed Open E'}, {code: '\u025F', name: 'Latin Small Letter Dotless J With Stroke'}, {code: '\u0260', name: 'Latin Small Letter G With Hook'}, {code: '\u0261', name: 'Latin Small Letter Script G'}, {code: '\u0262', name: 'Latin Letter Small Capital G'}, {code: '\u0263', name: 'Latin Small Letter Gamma'}, {code: '\u0264', name: 'Latin Small Letter Rams Horn'}, {code: '\u0265', name: 'Latin Small Letter Turned H'}, {code: '\u0266', name: 'Latin Small Letter H With Hook'}, {code: '\u0267', name: 'Latin Small Letter Heng With Hook'}, {code: '\u0268', name: 'Latin Small Letter I With Stroke'}, {code: '\u0269', name: 'Latin Small Letter Iota'}, {code: '\u026A', name: 'Latin Letter Small Capital I'}, {code: '\u026B', name: 'Latin Small Letter L With Middle Tilde'}, {code: '\u026C', name: 'Latin Small Letter L With Belt'}, {code: '\u026D', name: 'Latin Small Letter L With Retroflex Hook'}, {code: '\u026E', name: 'Latin Small Letter Lezh'}, {code: '\u026F', name: 'Latin Small Letter Turned M'}, {code: '\u0270', name: 'Latin Small Letter Turned M With Long Leg'}, {code: '\u0271', name: 'Latin Small Letter M With Hook'}, {code: '\u0272', name: 'Latin Small Letter N With Left Hook'}, {code: '\u0273', name: 'Latin Small Letter N With Retroflex Hook'}, {code: '\u0274', name: 'Latin Letter Small Capital N'}, {code: '\u0275', name: 'Latin Small Letter Barred O'}, {code: '\u0276', name: 'Latin Letter Small Capital Oe'}, {code: '\u0277', name: 'Latin Small Letter Closed Omega'}, {code: '\u0278', name: 'Latin Small Letter Phi'}, {code: '\u0279', name: 'Latin Small Letter Turned R'}, {code: '\u027A', name: 'Latin Small Letter Turned R With Long Leg'}, {code: '\u027B', name: 'Latin Small Letter Turned R With Hook'}, {code: '\u027C', name: 'Latin Small Letter R With Long Leg'}, {code: '\u027D', name: 'Latin Small Letter R With Tail'}, {code: '\u027E', name: 'Latin Small Letter R With Fishhook'}, {code: '\u027F', name: 'Latin Small Letter Reversed R With Fishhook'}, {code: '\u0280', name: 'Latin Letter Small Capital R'}, {code: '\u0281', name: 'Latin Letter Small Capital Inverted R'}, {code: '\u0282', name: 'Latin Small Letter S With Hook'}, {code: '\u0283', name: 'Latin Small Letter Esh'}, {code: '\u0284', name: 'Latin Small Letter Dotless J With Stroke And Hook'}, {code: '\u0285', name: 'Latin Small Letter Squat Reversed Esh'}, {code: '\u0286', name: 'Latin Small Letter Esh With Curl'}, {code: '\u0287', name: 'Latin Small Letter Turned T'}, {code: '\u0288', name: 'Latin Small Letter T With Retroflex Hook'}, {code: '\u0289', name: 'Latin Small Letter U Bar'}, {code: '\u028A', name: 'Latin Small Letter Upsilon'}, {code: '\u028B', name: 'Latin Small Letter V With Hook'}, {code: '\u028C', name: 'Latin Small Letter Turned V'}, {code: '\u028D', name: 'Latin Small Letter Turned W'}, {code: '\u028E', name: 'Latin Small Letter Turned Y'}, {code: '\u028F', name: 'Latin Letter Small Capital Y'}, {code: '\u0290', name: 'Latin Small Letter Z With Retroflex Hook'}, {code: '\u0291', name: 'Latin Small Letter Z With Curl'}, {code: '\u0292', name: 'Latin Small Letter Ezh'}, {code: '\u0293', name: 'Latin Small Letter Ezh With Curl'}, {code: '\u0294', name: 'Latin Letter Glottal Stop'}, {code: '\u0295', name: 'Latin Letter Pharyngeal Voiced Fricative'}, {code: '\u0296', name: 'Latin Letter Inverted Glottal Stop'}, {code: '\u0297', name: 'Latin Letter Stretched C'}, {code: '\u0298', name: 'Latin Letter Bilabial Click'}, {code: '\u0299', name: 'Latin Letter Small Capital B'}, {code: '\u029A', name: 'Latin Small Letter Closed Open E'}, {code: '\u029B', name: 'Latin Letter Small Capital G With Hook'}, {code: '\u029C', name: 'Latin Letter Small Capital H'}, {code: '\u029D', name: 'Latin Small Letter J With Crossed-tail'}, {code: '\u029E', name: 'Latin Small Letter Turned K'}, {code: '\u029F', name: 'Latin Letter Small Capital L'}, {code: '\u02A0', name: 'Latin Small Letter Q With Hook'}, {code: '\u02A1', name: 'Latin Letter Glottal Stop With Stroke'}, {code: '\u02A2', name: 'Latin Letter Reversed Glottal Stop With Stroke'}, {code: '\u02A3', name: 'Latin Small Letter Dz Digraph'}, {code: '\u02A4', name: 'Latin Small Letter Dezh Digraph'}, {code: '\u02A5', name: 'Latin Small Letter Dz Digraph With Curl'}, {code: '\u02A6', name: 'Latin Small Letter Ts Digraph'}, {code: '\u02A7', name: 'Latin Small Letter Tesh Digraph'}, {code: '\u02A8', name: 'Latin Small Letter Tc Digraph With Curl'}, {code: '\u02A9', name: 'Latin Small Letter Feng Digraph'}, {code: '\u02AA', name: 'Latin Small Letter Ls Digraph'}, {code: '\u02AB', name: 'Latin Small Letter Lz Digraph'}, {code: '\u02AC', name: 'Latin Letter Bilabial Percussive'}, {code: '\u02AD', name: 'Latin Letter Bidental Percussive'}, {code: '\u02AE', name: 'Latin Small Letter Turned H With Fishhook'}, {code: '\u02AF', name: 'Latin Small Letter Turned H With Fishhook And Tail'}]
		},
		{
			category: "Spacing Modifier Letters",
			chars: [{code: '\u02B0', name: 'Modifier Letter Small H'}, {code: '\u02B1', name: 'Modifier Letter Small H With Hook'}, {code: '\u02B2', name: 'Modifier Letter Small J'}, {code: '\u02B3', name: 'Modifier Letter Small R'}, {code: '\u02B4', name: 'Modifier Letter Small Turned R'}, {code: '\u02B5', name: 'Modifier Letter Small Turned R With Hook'}, {code: '\u02B6', name: 'Modifier Letter Small Capital Inverted R'}, {code: '\u02B7', name: 'Modifier Letter Small W'}, {code: '\u02B8', name: 'Modifier Letter Small Y'}, {code: '\u02B9', name: 'Modifier Letter Prime'}, {code: '\u02BA', name: 'Modifier Letter Double Prime'}, {code: '\u02BB', name: 'Modifier Letter Turned Comma'}, {code: '\u02BC', name: 'Modifier Letter Apostrophe'}, {code: '\u02BD', name: 'Modifier Letter Reversed Comma'}, {code: '\u02BE', name: 'Modifier Letter Right Half Ring'}, {code: '\u02BF', name: 'Modifier Letter Left Half Ring'}, {code: '\u02C0', name: 'Modifier Letter Glottal Stop'}, {code: '\u02C1', name: 'Modifier Letter Reversed Glottal Stop'}, {code: '\u02C2', name: 'Modifier Letter Left Arrowhead'}, {code: '\u02C3', name: 'Modifier Letter Right Arrowhead'}, {code: '\u02C4', name: 'Modifier Letter Up Arrowhead'}, {code: '\u02C5', name: 'Modifier Letter Down Arrowhead'}, {code: '\u02C6', name: 'Modifier Letter Circumflex Accent'}, {code: '\u02C7', name: 'Caron'}, {code: '\u02C8', name: 'Modifier Letter Vertical Line'}, {code: '\u02C9', name: 'Modifier Letter Macron'}, {code: '\u02CA', name: 'Modifier Letter Acute Accent'}, {code: '\u02CB', name: 'Modifier Letter Grave Accent'}, {code: '\u02CC', name: 'Modifier Letter Low Vertical Line'}, {code: '\u02CD', name: 'Modifier Letter Low Macron'}, {code: '\u02CE', name: 'Modifier Letter Low Grave Accent'}, {code: '\u02CF', name: 'Modifier Letter Low Acute Accent'}, {code: '\u02D0', name: 'Modifier Letter Triangular Colon'}, {code: '\u02D1', name: 'Modifier Letter Half Triangular Colon'}, {code: '\u02D2', name: 'Modifier Letter Centred Right Half Ring'}, {code: '\u02D3', name: 'Modifier Letter Centred Left Half Ring'}, {code: '\u02D4', name: 'Modifier Letter Up Tack'}, {code: '\u02D5', name: 'Modifier Letter Down Tack'}, {code: '\u02D6', name: 'Modifier Letter Plus Sign'}, {code: '\u02D7', name: 'Modifier Letter Minus Sign'}, {code: '\u02D8', name: 'Breve'}, {code: '\u02D9', name: 'Dot Above'}, {code: '\u02DA', name: 'Ring Above'}, {code: '\u02DB', name: 'Ogonek'}, {code: '\u02DC', name: 'Small Tilde'}, {code: '\u02DD', name: 'Double Acute Accent'}, {code: '\u02DE', name: 'Modifier Letter Rhotic Hook'}, {code: '\u02DF', name: 'Modifier Letter Cross Accent'}, {code: '\u02E0', name: 'Modifier Letter Small Gamma'}, {code: '\u02E1', name: 'Modifier Letter Small L'}, {code: '\u02E2', name: 'Modifier Letter Small S'}, {code: '\u02E3', name: 'Modifier Letter Small X'}, {code: '\u02E4', name: 'Modifier Letter Small Reversed Glottal Stop'}, {code: '\u02E5', name: 'Modifier Letter Extra-high Tone Bar'}, {code: '\u02E6', name: 'Modifier Letter High Tone Bar'}, {code: '\u02E7', name: 'Modifier Letter Mid Tone Bar'}, {code: '\u02E8', name: 'Modifier Letter Low Tone Bar'}, {code: '\u02E9', name: 'Modifier Letter Extra-low Tone Bar'}, {code: '\u02EA', name: 'Modifier Letter Yin Departing Tone Mark'}, {code: '\u02EB', name: 'Modifier Letter Yang Departing Tone Mark'}, {code: '\u02EC', name: 'Modifier Letter Voicing'}, {code: '\u02ED', name: 'Modifier Letter Unaspirated'}, {code: '\u02EE', name: 'Modifier Letter Double Apostrophe'}, {code: '\u02EF', name: 'Modifier Letter Low Down Arrowhead'}, {code: '\u02F0', name: 'Modifier Letter Low Up Arrowhead'}, {code: '\u02F1', name: 'Modifier Letter Low Left Arrowhead'}, {code: '\u02F2', name: 'Modifier Letter Low Right Arrowhead'}, {code: '\u02F3', name: 'Modifier Letter Low Ring'}, {code: '\u02F4', name: 'Modifier Letter Middle Grave Accent'}, {code: '\u02F5', name: 'Modifier Letter Middle Double Grave Accent'}, {code: '\u02F6', name: 'Modifier Letter Middle Double Acute Accent'}, {code: '\u02F7', name: 'Modifier Letter Low Tilde'}, {code: '\u02F8', name: 'Modifier Letter Raised Colon'}, {code: '\u02F9', name: 'Modifier Letter Begin High Tone'}, {code: '\u02FA', name: 'Modifier Letter End High Tone'}, {code: '\u02FB', name: 'Modifier Letter Begin Low Tone'}, {code: '\u02FC', name: 'Modifier Letter End Low Tone'}, {code: '\u02FD', name: 'Modifier Letter Shelf'}, {code: '\u02FE', name: 'Modifier Letter Open Shelf'}, {code: '\u02FF', name: 'Modifier Letter Low Left Arrow'}]
		},
		{
			category: "Combining Diacritical Marks",
			chars: [{code: '\u0300', name: 'Combining Grave Accent'}, {code: '\u0301', name: 'Combining Acute Accent'}, {code: '\u0302', name: 'Combining Circumflex Accent'}, {code: '\u0303', name: 'Combining Tilde'}, {code: '\u0304', name: 'Combining Macron'}, {code: '\u0305', name: 'Combining Overline'}, {code: '\u0306', name: 'Combining Breve'}, {code: '\u0307', name: 'Combining Dot Above'}, {code: '\u0308', name: 'Combining Diaeresis'}, {code: '\u0309', name: 'Combining Hook Above'}, {code: '\u030A', name: 'Combining Ring Above'}, {code: '\u030B', name: 'Combining Double Acute Accent'}, {code: '\u030C', name: 'Combining Caron'}, {code: '\u030D', name: 'Combining Vertical Line Above'}, {code: '\u030E', name: 'Combining Double Vertical Line Above'}, {code: '\u030F', name: 'Combining Double Grave Accent'}, {code: '\u0310', name: 'Combining Candrabindu'}, {code: '\u0311', name: 'Combining Inverted Breve'}, {code: '\u0312', name: 'Combining Turned Comma Above'}, {code: '\u0313', name: 'Combining Comma Above'}, {code: '\u0314', name: 'Combining Reversed Comma Above'}, {code: '\u0315', name: 'Combining Comma Above Right'}, {code: '\u0316', name: 'Combining Grave Accent Below'}, {code: '\u0317', name: 'Combining Acute Accent Below'}, {code: '\u0318', name: 'Combining Left Tack Below'}, {code: '\u0319', name: 'Combining Right Tack Below'}, {code: '\u031A', name: 'Combining Left Angle Above'}, {code: '\u031B', name: 'Combining Horn'}, {code: '\u031C', name: 'Combining Left Half Ring Below'}, {code: '\u031D', name: 'Combining Up Tack Below'}, {code: '\u031E', name: 'Combining Down Tack Below'}, {code: '\u031F', name: 'Combining Plus Sign Below'}, {code: '\u0320', name: 'Combining Minus Sign Below'}, {code: '\u0321', name: 'Combining Palatalized Hook Below'}, {code: '\u0322', name: 'Combining Retroflex Hook Below'}, {code: '\u0323', name: 'Combining Dot Below'}, {code: '\u0324', name: 'Combining Diaeresis Below'}, {code: '\u0325', name: 'Combining Ring Below'}, {code: '\u0326', name: 'Combining Comma Below'}, {code: '\u0327', name: 'Combining Cedilla'}, {code: '\u0328', name: 'Combining Ogonek'}, {code: '\u0329', name: 'Combining Vertical Line Below'}, {code: '\u032A', name: 'Combining Bridge Below'}, {code: '\u032B', name: 'Combining Inverted Double Arch Below'}, {code: '\u032C', name: 'Combining Caron Below'}, {code: '\u032D', name: 'Combining Circumflex Accent Below'}, {code: '\u032E', name: 'Combining Breve Below'}, {code: '\u032F', name: 'Combining Inverted Breve Below'}, {code: '\u0330', name: 'Combining Tilde Below'}, {code: '\u0331', name: 'Combining Macron Below'}, {code: '\u0332', name: 'Combining Low Line'}, {code: '\u0333', name: 'Combining Double Low Line'}, {code: '\u0334', name: 'Combining Tilde Overlay'}, {code: '\u0335', name: 'Combining Short Stroke Overlay'}, {code: '\u0336', name: 'Combining Long Stroke Overlay'}, {code: '\u0337', name: 'Combining Short Solidus Overlay'}, {code: '\u0338', name: 'Combining Long Solidus Overlay'}, {code: '\u0339', name: 'Combining Right Half Ring Below'}, {code: '\u033A', name: 'Combining Inverted Bridge Below'}, {code: '\u033B', name: 'Combining Square Below'}, {code: '\u033C', name: 'Combining Seagull Below'}, {code: '\u033D', name: 'Combining X Above'}, {code: '\u033E', name: 'Combining Vertical Tilde'}, {code: '\u033F', name: 'Combining Double Overline'}, {code: '\u0340', name: 'Combining Grave Tone Mark'}, {code: '\u0341', name: 'Combining Acute Tone Mark'}, {code: '\u0342', name: 'Combining Greek Perispomeni'}, {code: '\u0343', name: 'Combining Greek Koronis'}, {code: '\u0344', name: 'Combining Greek Dialytika Tonos'}, {code: '\u0345', name: 'Combining Greek Ypogegrammeni'}, {code: '\u0346', name: 'Combining Bridge Above'}, {code: '\u0347', name: 'Combining Equals Sign Below'}, {code: '\u0348', name: 'Combining Double Vertical Line Below'}, {code: '\u0349', name: 'Combining Left Angle Below'}, {code: '\u034A', name: 'Combining Not Tilde Above'}, {code: '\u034B', name: 'Combining Homothetic Above'}, {code: '\u034C', name: 'Combining Almost Equal To Above'}, {code: '\u034D', name: 'Combining Left Right Arrow Below'}, {code: '\u034E', name: 'Combining Upwards Arrow Below'}, {code: '\u034F', name: 'Combining Grapheme Joiner'}, {code: '\u0350', name: 'Combining Right Arrowhead Above'}, {code: '\u0351', name: 'Combining Left Half Ring Above'}, {code: '\u0352', name: 'Combining Fermata'}, {code: '\u0353', name: 'Combining X Below'}, {code: '\u0354', name: 'Combining Left Arrowhead Below'}, {code: '\u0355', name: 'Combining Right Arrowhead Below'}, {code: '\u0356', name: 'Combining Right Arrowhead And Up Arrowhead Below'}, {code: '\u0357', name: 'Combining Right Half Ring Above'}, {code: '\u0358', name: 'Combining Dot Above Right'}, {code: '\u0359', name: 'Combining Asterisk Below'}, {code: '\u035A', name: 'Combining Double Ring Below'}, {code: '\u035B', name: 'Combining Zigzag Above'}, {code: '\u035C', name: 'Combining Double Breve Below'}, {code: '\u035D', name: 'Combining Double Breve'}, {code: '\u035E', name: 'Combining Double Macron'}, {code: '\u035F', name: 'Combining Double Macron Below'}, {code: '\u0360', name: 'Combining Double Tilde'}, {code: '\u0361', name: 'Combining Double Inverted Breve'}, {code: '\u0362', name: 'Combining Double Rightwards Arrow Below'}, {code: '\u0363', name: 'Combining Latin Small Letter A'}, {code: '\u0364', name: 'Combining Latin Small Letter E'}, {code: '\u0365', name: 'Combining Latin Small Letter I'}, {code: '\u0366', name: 'Combining Latin Small Letter O'}, {code: '\u0367', name: 'Combining Latin Small Letter U'}, {code: '\u0368', name: 'Combining Latin Small Letter C'}, {code: '\u0369', name: 'Combining Latin Small Letter D'}, {code: '\u036A', name: 'Combining Latin Small Letter H'}, {code: '\u036B', name: 'Combining Latin Small Letter M'}, {code: '\u036C', name: 'Combining Latin Small Letter R'}, {code: '\u036D', name: 'Combining Latin Small Letter T'}, {code: '\u036E', name: 'Combining Latin Small Letter V'}, {code: '\u036F', name: 'Combining Latin Small Letter X'}]
		},
		{
			category: "Greek and Coptic",
			chars: [{code: '\u0370', name: 'Greek Capital Letter Heta'}, {code: '\u0371', name: 'Greek Small Letter Heta'}, {code: '\u0372', name: 'Greek Capital Letter Archaic Sampi'}, {code: '\u0373', name: 'Greek Small Letter Archaic Sampi'}, {code: '\u0374', name: 'Greek Numeral Sign'}, {code: '\u0375', name: 'Greek Lower Numeral Sign'}, {code: '\u0376', name: 'Greek Capital Letter Pamphylian Digamma'}, {code: '\u0377', name: 'Greek Small Letter Pamphylian Digamma'}, {code: '\u037A', name: 'Greek Ypogegrammeni'}, {code: '\u037B', name: 'Greek Small Reversed Lunate Sigma Symbol'}, {code: '\u037C', name: 'Greek Small Dotted Lunate Sigma Symbol'}, {code: '\u037D', name: 'Greek Small Reversed Dotted Lunate Sigma Symbol'}, {code: '\u037E', name: 'Greek Question Mark'}, {code: '\u037F', name: 'Greek Capital Letter Yot'}, {code: '\u0384', name: 'Greek Tonos'}, {code: '\u0385', name: 'Greek Dialytika Tonos'}, {code: '\u0386', name: 'Greek Capital Letter Alpha With Tonos'}, {code: '\u0387', name: 'Greek Ano Teleia'}, {code: '\u0388', name: 'Greek Capital Letter Epsilon With Tonos'}, {code: '\u0389', name: 'Greek Capital Letter Eta With Tonos'}, {code: '\u038A', name: 'Greek Capital Letter Iota With Tonos'}, {code: '\u038C', name: 'Greek Capital Letter Omicron With Tonos'}, {code: '\u038E', name: 'Greek Capital Letter Upsilon With Tonos'}, {code: '\u038F', name: 'Greek Capital Letter Omega With Tonos'}, {code: '\u0390', name: 'Greek Small Letter Iota With Dialytika And Tonos'}, {code: '\u0391', name: 'Greek Capital Letter Alpha'}, {code: '\u0392', name: 'Greek Capital Letter Beta'}, {code: '\u0393', name: 'Greek Capital Letter Gamma'}, {code: '\u0394', name: 'Greek Capital Letter Delta'}, {code: '\u0395', name: 'Greek Capital Letter Epsilon'}, {code: '\u0396', name: 'Greek Capital Letter Zeta'}, {code: '\u0397', name: 'Greek Capital Letter Eta'}, {code: '\u0398', name: 'Greek Capital Letter Theta'}, {code: '\u0399', name: 'Greek Capital Letter Iota'}, {code: '\u039A', name: 'Greek Capital Letter Kappa'}, {code: '\u039B', name: 'Greek Capital Letter Lamda'}, {code: '\u039C', name: 'Greek Capital Letter Mu'}, {code: '\u039D', name: 'Greek Capital Letter Nu'}, {code: '\u039E', name: 'Greek Capital Letter Xi'}, {code: '\u039F', name: 'Greek Capital Letter Omicron'}, {code: '\u03A0', name: 'Greek Capital Letter Pi'}, {code: '\u03A1', name: 'Greek Capital Letter Rho'}, {code: '\u03A3', name: 'Greek Capital Letter Sigma'}, {code: '\u03A4', name: 'Greek Capital Letter Tau'}, {code: '\u03A5', name: 'Greek Capital Letter Upsilon'}, {code: '\u03A6', name: 'Greek Capital Letter Phi'}, {code: '\u03A7', name: 'Greek Capital Letter Chi'}, {code: '\u03A8', name: 'Greek Capital Letter Psi'}, {code: '\u03A9', name: 'Greek Capital Letter Omega'}, {code: '\u03AA', name: 'Greek Capital Letter Iota With Dialytika'}, {code: '\u03AB', name: 'Greek Capital Letter Upsilon With Dialytika'}, {code: '\u03AC', name: 'Greek Small Letter Alpha With Tonos'}, {code: '\u03AD', name: 'Greek Small Letter Epsilon With Tonos'}, {code: '\u03AE', name: 'Greek Small Letter Eta With Tonos'}, {code: '\u03AF', name: 'Greek Small Letter Iota With Tonos'}, {code: '\u03B0', name: 'Greek Small Letter Upsilon With Dialytika And Tonos'}, {code: '\u03B1', name: 'Greek Small Letter Alpha'}, {code: '\u03B2', name: 'Greek Small Letter Beta'}, {code: '\u03B3', name: 'Greek Small Letter Gamma'}, {code: '\u03B4', name: 'Greek Small Letter Delta'}, {code: '\u03B5', name: 'Greek Small Letter Epsilon'}, {code: '\u03B6', name: 'Greek Small Letter Zeta'}, {code: '\u03B7', name: 'Greek Small Letter Eta'}, {code: '\u03B8', name: 'Greek Small Letter Theta'}, {code: '\u03B9', name: 'Greek Small Letter Iota'}, {code: '\u03BA', name: 'Greek Small Letter Kappa'}, {code: '\u03BB', name: 'Greek Small Letter Lamda'}, {code: '\u03BC', name: 'Greek Small Letter Mu'}, {code: '\u03BD', name: 'Greek Small Letter Nu'}, {code: '\u03BE', name: 'Greek Small Letter Xi'}, {code: '\u03BF', name: 'Greek Small Letter Omicron'}, {code: '\u03C0', name: 'Greek Small Letter Pi'}, {code: '\u03C1', name: 'Greek Small Letter Rho'}, {code: '\u03C2', name: 'Greek Small Letter Final Sigma'}, {code: '\u03C3', name: 'Greek Small Letter Sigma'}, {code: '\u03C4', name: 'Greek Small Letter Tau'}, {code: '\u03C5', name: 'Greek Small Letter Upsilon'}, {code: '\u03C6', name: 'Greek Small Letter Phi'}, {code: '\u03C7', name: 'Greek Small Letter Chi'}, {code: '\u03C8', name: 'Greek Small Letter Psi'}, {code: '\u03C9', name: 'Greek Small Letter Omega'}, {code: '\u03CA', name: 'Greek Small Letter Iota With Dialytika'}, {code: '\u03CB', name: 'Greek Small Letter Upsilon With Dialytika'}, {code: '\u03CC', name: 'Greek Small Letter Omicron With Tonos'}, {code: '\u03CD', name: 'Greek Small Letter Upsilon With Tonos'}, {code: '\u03CE', name: 'Greek Small Letter Omega With Tonos'}, {code: '\u03CF', name: 'Greek Capital Kai Symbol'}, {code: '\u03D0', name: 'Greek Beta Symbol'}, {code: '\u03D1', name: 'Greek Theta Symbol'}, {code: '\u03D2', name: 'Greek Upsilon With Hook Symbol'}, {code: '\u03D3', name: 'Greek Upsilon With Acute And Hook Symbol'}, {code: '\u03D4', name: 'Greek Upsilon With Diaeresis And Hook Symbol'}, {code: '\u03D5', name: 'Greek Phi Symbol'}, {code: '\u03D6', name: 'Greek Pi Symbol'}, {code: '\u03D7', name: 'Greek Kai Symbol'}, {code: '\u03D8', name: 'Greek Letter Archaic Koppa'}, {code: '\u03D9', name: 'Greek Small Letter Archaic Koppa'}, {code: '\u03DA', name: 'Greek Letter Stigma'}, {code: '\u03DB', name: 'Greek Small Letter Stigma'}, {code: '\u03DC', name: 'Greek Letter Digamma'}, {code: '\u03DD', name: 'Greek Small Letter Digamma'}, {code: '\u03DE', name: 'Greek Letter Koppa'}, {code: '\u03DF', name: 'Greek Small Letter Koppa'}, {code: '\u03E0', name: 'Greek Letter Sampi'}, {code: '\u03E1', name: 'Greek Small Letter Sampi'}, {code: '\u03E2', name: 'Coptic Capital Letter Shei'}, {code: '\u03E3', name: 'Coptic Small Letter Shei'}, {code: '\u03E4', name: 'Coptic Capital Letter Fei'}, {code: '\u03E5', name: 'Coptic Small Letter Fei'}, {code: '\u03E6', name: 'Coptic Capital Letter Khei'}, {code: '\u03E7', name: 'Coptic Small Letter Khei'}, {code: '\u03E8', name: 'Coptic Capital Letter Hori'}, {code: '\u03E9', name: 'Coptic Small Letter Hori'}, {code: '\u03EA', name: 'Coptic Capital Letter Gangia'}, {code: '\u03EB', name: 'Coptic Small Letter Gangia'}, {code: '\u03EC', name: 'Coptic Capital Letter Shima'}, {code: '\u03ED', name: 'Coptic Small Letter Shima'}, {code: '\u03EE', name: 'Coptic Capital Letter Dei'}, {code: '\u03EF', name: 'Coptic Small Letter Dei'}, {code: '\u03F0', name: 'Greek Kappa Symbol'}, {code: '\u03F1', name: 'Greek Rho Symbol'}, {code: '\u03F2', name: 'Greek Lunate Sigma Symbol'}, {code: '\u03F3', name: 'Greek Letter Yot'}, {code: '\u03F4', name: 'Greek Capital Theta Symbol'}, {code: '\u03F5', name: 'Greek Lunate Epsilon Symbol'}, {code: '\u03F6', name: 'Greek Reversed Lunate Epsilon Symbol'}, {code: '\u03F7', name: 'Greek Capital Letter Sho'}, {code: '\u03F8', name: 'Greek Small Letter Sho'}, {code: '\u03F9', name: 'Greek Capital Lunate Sigma Symbol'}, {code: '\u03FA', name: 'Greek Capital Letter San'}, {code: '\u03FB', name: 'Greek Small Letter San'}, {code: '\u03FC', name: 'Greek Rho With Stroke Symbol'}, {code: '\u03FD', name: 'Greek Capital Reversed Lunate Sigma Symbol'}, {code: '\u03FE', name: 'Greek Capital Dotted Lunate Sigma Symbol'}, {code: '\u03FF', name: 'Greek Capital Reversed Dotted Lunate Sigma Symbol'}]
		},
		{
			category: "Cyrillic",
			chars: [{code: '\u0400', name: 'Cyrillic Capital Letter Ie With Grave'}, {code: '\u0401', name: 'Cyrillic Capital Letter Io'}, {code: '\u0402', name: 'Cyrillic Capital Letter Dje'}, {code: '\u0403', name: 'Cyrillic Capital Letter Gje'}, {code: '\u0404', name: 'Cyrillic Capital Letter Ukrainian Ie'}, {code: '\u0405', name: 'Cyrillic Capital Letter Dze'}, {code: '\u0406', name: 'Cyrillic Capital Letter Byelorussian-ukrainian I'}, {code: '\u0407', name: 'Cyrillic Capital Letter Yi'}, {code: '\u0408', name: 'Cyrillic Capital Letter Je'}, {code: '\u0409', name: 'Cyrillic Capital Letter Lje'}, {code: '\u040A', name: 'Cyrillic Capital Letter Nje'}, {code: '\u040B', name: 'Cyrillic Capital Letter Tshe'}, {code: '\u040C', name: 'Cyrillic Capital Letter Kje'}, {code: '\u040D', name: 'Cyrillic Capital Letter I With Grave'}, {code: '\u040E', name: 'Cyrillic Capital Letter Short U'}, {code: '\u040F', name: 'Cyrillic Capital Letter Dzhe'}, {code: '\u0410', name: 'Cyrillic Capital Letter A'}, {code: '\u0411', name: 'Cyrillic Capital Letter Be'}, {code: '\u0412', name: 'Cyrillic Capital Letter Ve'}, {code: '\u0413', name: 'Cyrillic Capital Letter Ghe'}, {code: '\u0414', name: 'Cyrillic Capital Letter De'}, {code: '\u0415', name: 'Cyrillic Capital Letter Ie'}, {code: '\u0416', name: 'Cyrillic Capital Letter Zhe'}, {code: '\u0417', name: 'Cyrillic Capital Letter Ze'}, {code: '\u0418', name: 'Cyrillic Capital Letter I'}, {code: '\u0419', name: 'Cyrillic Capital Letter Short I'}, {code: '\u041A', name: 'Cyrillic Capital Letter Ka'}, {code: '\u041B', name: 'Cyrillic Capital Letter El'}, {code: '\u041C', name: 'Cyrillic Capital Letter Em'}, {code: '\u041D', name: 'Cyrillic Capital Letter En'}, {code: '\u041E', name: 'Cyrillic Capital Letter O'}, {code: '\u041F', name: 'Cyrillic Capital Letter Pe'}, {code: '\u0420', name: 'Cyrillic Capital Letter Er'}, {code: '\u0421', name: 'Cyrillic Capital Letter Es'}, {code: '\u0422', name: 'Cyrillic Capital Letter Te'}, {code: '\u0423', name: 'Cyrillic Capital Letter U'}, {code: '\u0424', name: 'Cyrillic Capital Letter Ef'}, {code: '\u0425', name: 'Cyrillic Capital Letter Ha'}, {code: '\u0426', name: 'Cyrillic Capital Letter Tse'}, {code: '\u0427', name: 'Cyrillic Capital Letter Che'}, {code: '\u0428', name: 'Cyrillic Capital Letter Sha'}, {code: '\u0429', name: 'Cyrillic Capital Letter Shcha'}, {code: '\u042A', name: 'Cyrillic Capital Letter Hard Sign'}, {code: '\u042B', name: 'Cyrillic Capital Letter Yeru'}, {code: '\u042C', name: 'Cyrillic Capital Letter Soft Sign'}, {code: '\u042D', name: 'Cyrillic Capital Letter E'}, {code: '\u042E', name: 'Cyrillic Capital Letter Yu'}, {code: '\u042F', name: 'Cyrillic Capital Letter Ya'}, {code: '\u0430', name: 'Cyrillic Small Letter A'}, {code: '\u0431', name: 'Cyrillic Small Letter Be'}, {code: '\u0432', name: 'Cyrillic Small Letter Ve'}, {code: '\u0433', name: 'Cyrillic Small Letter Ghe'}, {code: '\u0434', name: 'Cyrillic Small Letter De'}, {code: '\u0435', name: 'Cyrillic Small Letter Ie'}, {code: '\u0436', name: 'Cyrillic Small Letter Zhe'}, {code: '\u0437', name: 'Cyrillic Small Letter Ze'}, {code: '\u0438', name: 'Cyrillic Small Letter I'}, {code: '\u0439', name: 'Cyrillic Small Letter Short I'}, {code: '\u043A', name: 'Cyrillic Small Letter Ka'}, {code: '\u043B', name: 'Cyrillic Small Letter El'}, {code: '\u043C', name: 'Cyrillic Small Letter Em'}, {code: '\u043D', name: 'Cyrillic Small Letter En'}, {code: '\u043E', name: 'Cyrillic Small Letter O'}, {code: '\u043F', name: 'Cyrillic Small Letter Pe'}, {code: '\u0440', name: 'Cyrillic Small Letter Er'}, {code: '\u0441', name: 'Cyrillic Small Letter Es'}, {code: '\u0442', name: 'Cyrillic Small Letter Te'}, {code: '\u0443', name: 'Cyrillic Small Letter U'}, {code: '\u0444', name: 'Cyrillic Small Letter Ef'}, {code: '\u0445', name: 'Cyrillic Small Letter Ha'}, {code: '\u0446', name: 'Cyrillic Small Letter Tse'}, {code: '\u0447', name: 'Cyrillic Small Letter Che'}, {code: '\u0448', name: 'Cyrillic Small Letter Sha'}, {code: '\u0449', name: 'Cyrillic Small Letter Shcha'}, {code: '\u044A', name: 'Cyrillic Small Letter Hard Sign'}, {code: '\u044B', name: 'Cyrillic Small Letter Yeru'}, {code: '\u044C', name: 'Cyrillic Small Letter Soft Sign'}, {code: '\u044D', name: 'Cyrillic Small Letter E'}, {code: '\u044E', name: 'Cyrillic Small Letter Yu'}, {code: '\u044F', name: 'Cyrillic Small Letter Ya'}, {code: '\u0450', name: 'Cyrillic Small Letter Ie With Grave'}, {code: '\u0451', name: 'Cyrillic Small Letter Io'}, {code: '\u0452', name: 'Cyrillic Small Letter Dje'}, {code: '\u0453', name: 'Cyrillic Small Letter Gje'}, {code: '\u0454', name: 'Cyrillic Small Letter Ukrainian Ie'}, {code: '\u0455', name: 'Cyrillic Small Letter Dze'}, {code: '\u0456', name: 'Cyrillic Small Letter Byelorussian-ukrainian I'}, {code: '\u0457', name: 'Cyrillic Small Letter Yi'}, {code: '\u0458', name: 'Cyrillic Small Letter Je'}, {code: '\u0459', name: 'Cyrillic Small Letter Lje'}, {code: '\u045A', name: 'Cyrillic Small Letter Nje'}, {code: '\u045B', name: 'Cyrillic Small Letter Tshe'}, {code: '\u045C', name: 'Cyrillic Small Letter Kje'}, {code: '\u045D', name: 'Cyrillic Small Letter I With Grave'}, {code: '\u045E', name: 'Cyrillic Small Letter Short U'}, {code: '\u045F', name: 'Cyrillic Small Letter Dzhe'}, {code: '\u0460', name: 'Cyrillic Capital Letter Omega'}, {code: '\u0461', name: 'Cyrillic Small Letter Omega'}, {code: '\u0462', name: 'Cyrillic Capital Letter Yat'}, {code: '\u0463', name: 'Cyrillic Small Letter Yat'}, {code: '\u0464', name: 'Cyrillic Capital Letter Iotified E'}, {code: '\u0465', name: 'Cyrillic Small Letter Iotified E'}, {code: '\u0466', name: 'Cyrillic Capital Letter Little Yus'}, {code: '\u0467', name: 'Cyrillic Small Letter Little Yus'}, {code: '\u0468', name: 'Cyrillic Capital Letter Iotified Little Yus'}, {code: '\u0469', name: 'Cyrillic Small Letter Iotified Little Yus'}, {code: '\u046A', name: 'Cyrillic Capital Letter Big Yus'}, {code: '\u046B', name: 'Cyrillic Small Letter Big Yus'}, {code: '\u046C', name: 'Cyrillic Capital Letter Iotified Big Yus'}, {code: '\u046D', name: 'Cyrillic Small Letter Iotified Big Yus'}, {code: '\u046E', name: 'Cyrillic Capital Letter Ksi'}, {code: '\u046F', name: 'Cyrillic Small Letter Ksi'}, {code: '\u0470', name: 'Cyrillic Capital Letter Psi'}, {code: '\u0471', name: 'Cyrillic Small Letter Psi'}, {code: '\u0472', name: 'Cyrillic Capital Letter Fita'}, {code: '\u0473', name: 'Cyrillic Small Letter Fita'}, {code: '\u0474', name: 'Cyrillic Capital Letter Izhitsa'}, {code: '\u0475', name: 'Cyrillic Small Letter Izhitsa'}, {code: '\u0476', name: 'Cyrillic Capital Letter Izhitsa With Double Grave Accent'}, {code: '\u0477', name: 'Cyrillic Small Letter Izhitsa With Double Grave Accent'}, {code: '\u0478', name: 'Cyrillic Capital Letter Uk'}, {code: '\u0479', name: 'Cyrillic Small Letter Uk'}, {code: '\u047A', name: 'Cyrillic Capital Letter Round Omega'}, {code: '\u047B', name: 'Cyrillic Small Letter Round Omega'}, {code: '\u047C', name: 'Cyrillic Capital Letter Omega With Titlo'}, {code: '\u047D', name: 'Cyrillic Small Letter Omega With Titlo'}, {code: '\u047E', name: 'Cyrillic Capital Letter Ot'}, {code: '\u047F', name: 'Cyrillic Small Letter Ot'}, {code: '\u0480', name: 'Cyrillic Capital Letter Koppa'}, {code: '\u0481', name: 'Cyrillic Small Letter Koppa'}, {code: '\u0482', name: 'Cyrillic Thousands Sign'}, {code: '\u0483', name: 'Combining Cyrillic Titlo'}, {code: '\u0484', name: 'Combining Cyrillic Palatalization'}, {code: '\u0485', name: 'Combining Cyrillic Dasia Pneumata'}, {code: '\u0486', name: 'Combining Cyrillic Psili Pneumata'}, {code: '\u0487', name: 'Combining Cyrillic Pokrytie'}, {code: '\u0488', name: 'Combining Cyrillic Hundred Thousands Sign'}, {code: '\u0489', name: 'Combining Cyrillic Millions Sign'}, {code: '\u048A', name: 'Cyrillic Capital Letter Short I With Tail'}, {code: '\u048B', name: 'Cyrillic Small Letter Short I With Tail'}, {code: '\u048C', name: 'Cyrillic Capital Letter Semisoft Sign'}, {code: '\u048D', name: 'Cyrillic Small Letter Semisoft Sign'}, {code: '\u048E', name: 'Cyrillic Capital Letter Er With Tick'}, {code: '\u048F', name: 'Cyrillic Small Letter Er With Tick'}, {code: '\u0490', name: 'Cyrillic Capital Letter Ghe With Upturn'}, {code: '\u0491', name: 'Cyrillic Small Letter Ghe With Upturn'}, {code: '\u0492', name: 'Cyrillic Capital Letter Ghe With Stroke'}, {code: '\u0493', name: 'Cyrillic Small Letter Ghe With Stroke'}, {code: '\u0494', name: 'Cyrillic Capital Letter Ghe With Middle Hook'}, {code: '\u0495', name: 'Cyrillic Small Letter Ghe With Middle Hook'}, {code: '\u0496', name: 'Cyrillic Capital Letter Zhe With Descender'}, {code: '\u0497', name: 'Cyrillic Small Letter Zhe With Descender'}, {code: '\u0498', name: 'Cyrillic Capital Letter Ze With Descender'}, {code: '\u0499', name: 'Cyrillic Small Letter Ze With Descender'}, {code: '\u049A', name: 'Cyrillic Capital Letter Ka With Descender'}, {code: '\u049B', name: 'Cyrillic Small Letter Ka With Descender'}, {code: '\u049C', name: 'Cyrillic Capital Letter Ka With Vertical Stroke'}, {code: '\u049D', name: 'Cyrillic Small Letter Ka With Vertical Stroke'}, {code: '\u049E', name: 'Cyrillic Capital Letter Ka With Stroke'}, {code: '\u049F', name: 'Cyrillic Small Letter Ka With Stroke'}, {code: '\u04A0', name: 'Cyrillic Capital Letter Bashkir Ka'}, {code: '\u04A1', name: 'Cyrillic Small Letter Bashkir Ka'}, {code: '\u04A2', name: 'Cyrillic Capital Letter En With Descender'}, {code: '\u04A3', name: 'Cyrillic Small Letter En With Descender'}, {code: '\u04A4', name: 'Cyrillic Capital Ligature En Ghe'}, {code: '\u04A5', name: 'Cyrillic Small Ligature En Ghe'}, {code: '\u04A6', name: 'Cyrillic Capital Letter Pe With Middle Hook'}, {code: '\u04A7', name: 'Cyrillic Small Letter Pe With Middle Hook'}, {code: '\u04A8', name: 'Cyrillic Capital Letter Abkhasian Ha'}, {code: '\u04A9', name: 'Cyrillic Small Letter Abkhasian Ha'}, {code: '\u04AA', name: 'Cyrillic Capital Letter Es With Descender'}, {code: '\u04AB', name: 'Cyrillic Small Letter Es With Descender'}, {code: '\u04AC', name: 'Cyrillic Capital Letter Te With Descender'}, {code: '\u04AD', name: 'Cyrillic Small Letter Te With Descender'}, {code: '\u04AE', name: 'Cyrillic Capital Letter Straight U'}, {code: '\u04AF', name: 'Cyrillic Small Letter Straight U'}, {code: '\u04B0', name: 'Cyrillic Capital Letter Straight U With Stroke'}, {code: '\u04B1', name: 'Cyrillic Small Letter Straight U With Stroke'}, {code: '\u04B2', name: 'Cyrillic Capital Letter Ha With Descender'}, {code: '\u04B3', name: 'Cyrillic Small Letter Ha With Descender'}, {code: '\u04B4', name: 'Cyrillic Capital Ligature Te Tse'}, {code: '\u04B5', name: 'Cyrillic Small Ligature Te Tse'}, {code: '\u04B6', name: 'Cyrillic Capital Letter Che With Descender'}, {code: '\u04B7', name: 'Cyrillic Small Letter Che With Descender'}, {code: '\u04B8', name: 'Cyrillic Capital Letter Che With Vertical Stroke'}, {code: '\u04B9', name: 'Cyrillic Small Letter Che With Vertical Stroke'}, {code: '\u04BA', name: 'Cyrillic Capital Letter Shha'}, {code: '\u04BB', name: 'Cyrillic Small Letter Shha'}, {code: '\u04BC', name: 'Cyrillic Capital Letter Abkhasian Che'}, {code: '\u04BD', name: 'Cyrillic Small Letter Abkhasian Che'}, {code: '\u04BE', name: 'Cyrillic Capital Letter Abkhasian Che With Descender'}, {code: '\u04BF', name: 'Cyrillic Small Letter Abkhasian Che With Descender'}, {code: '\u04C0', name: 'Cyrillic Letter Palochka'}, {code: '\u04C1', name: 'Cyrillic Capital Letter Zhe With Breve'}, {code: '\u04C2', name: 'Cyrillic Small Letter Zhe With Breve'}, {code: '\u04C3', name: 'Cyrillic Capital Letter Ka With Hook'}, {code: '\u04C4', name: 'Cyrillic Small Letter Ka With Hook'}, {code: '\u04C5', name: 'Cyrillic Capital Letter El With Tail'}, {code: '\u04C6', name: 'Cyrillic Small Letter El With Tail'}, {code: '\u04C7', name: 'Cyrillic Capital Letter En With Hook'}, {code: '\u04C8', name: 'Cyrillic Small Letter En With Hook'}, {code: '\u04C9', name: 'Cyrillic Capital Letter En With Tail'}, {code: '\u04CA', name: 'Cyrillic Small Letter En With Tail'}, {code: '\u04CB', name: 'Cyrillic Capital Letter Khakassian Che'}, {code: '\u04CC', name: 'Cyrillic Small Letter Khakassian Che'}, {code: '\u04CD', name: 'Cyrillic Capital Letter Em With Tail'}, {code: '\u04CE', name: 'Cyrillic Small Letter Em With Tail'}, {code: '\u04CF', name: 'Cyrillic Small Letter Palochka'}, {code: '\u04D0', name: 'Cyrillic Capital Letter A With Breve'}, {code: '\u04D1', name: 'Cyrillic Small Letter A With Breve'}, {code: '\u04D2', name: 'Cyrillic Capital Letter A With Diaeresis'}, {code: '\u04D3', name: 'Cyrillic Small Letter A With Diaeresis'}, {code: '\u04D4', name: 'Cyrillic Capital Ligature A Ie'}, {code: '\u04D5', name: 'Cyrillic Small Ligature A Ie'}, {code: '\u04D6', name: 'Cyrillic Capital Letter Ie With Breve'}, {code: '\u04D7', name: 'Cyrillic Small Letter Ie With Breve'}, {code: '\u04D8', name: 'Cyrillic Capital Letter Schwa'}, {code: '\u04D9', name: 'Cyrillic Small Letter Schwa'}, {code: '\u04DA', name: 'Cyrillic Capital Letter Schwa With Diaeresis'}, {code: '\u04DB', name: 'Cyrillic Small Letter Schwa With Diaeresis'}, {code: '\u04DC', name: 'Cyrillic Capital Letter Zhe With Diaeresis'}, {code: '\u04DD', name: 'Cyrillic Small Letter Zhe With Diaeresis'}, {code: '\u04DE', name: 'Cyrillic Capital Letter Ze With Diaeresis'}, {code: '\u04DF', name: 'Cyrillic Small Letter Ze With Diaeresis'}, {code: '\u04E0', name: 'Cyrillic Capital Letter Abkhasian Dze'}, {code: '\u04E1', name: 'Cyrillic Small Letter Abkhasian Dze'}, {code: '\u04E2', name: 'Cyrillic Capital Letter I With Macron'}, {code: '\u04E3', name: 'Cyrillic Small Letter I With Macron'}, {code: '\u04E4', name: 'Cyrillic Capital Letter I With Diaeresis'}, {code: '\u04E5', name: 'Cyrillic Small Letter I With Diaeresis'}, {code: '\u04E6', name: 'Cyrillic Capital Letter O With Diaeresis'}, {code: '\u04E7', name: 'Cyrillic Small Letter O With Diaeresis'}, {code: '\u04E8', name: 'Cyrillic Capital Letter Barred O'}, {code: '\u04E9', name: 'Cyrillic Small Letter Barred O'}, {code: '\u04EA', name: 'Cyrillic Capital Letter Barred O With Diaeresis'}, {code: '\u04EB', name: 'Cyrillic Small Letter Barred O With Diaeresis'}, {code: '\u04EC', name: 'Cyrillic Capital Letter E With Diaeresis'}, {code: '\u04ED', name: 'Cyrillic Small Letter E With Diaeresis'}, {code: '\u04EE', name: 'Cyrillic Capital Letter U With Macron'}, {code: '\u04EF', name: 'Cyrillic Small Letter U With Macron'}, {code: '\u04F0', name: 'Cyrillic Capital Letter U With Diaeresis'}, {code: '\u04F1', name: 'Cyrillic Small Letter U With Diaeresis'}, {code: '\u04F2', name: 'Cyrillic Capital Letter U With Double Acute'}, {code: '\u04F3', name: 'Cyrillic Small Letter U With Double Acute'}, {code: '\u04F4', name: 'Cyrillic Capital Letter Che With Diaeresis'}, {code: '\u04F5', name: 'Cyrillic Small Letter Che With Diaeresis'}, {code: '\u04F6', name: 'Cyrillic Capital Letter Ghe With Descender'}, {code: '\u04F7', name: 'Cyrillic Small Letter Ghe With Descender'}, {code: '\u04F8', name: 'Cyrillic Capital Letter Yeru With Diaeresis'}, {code: '\u04F9', name: 'Cyrillic Small Letter Yeru With Diaeresis'}, {code: '\u04FA', name: 'Cyrillic Capital Letter Ghe With Stroke And Hook'}, {code: '\u04FB', name: 'Cyrillic Small Letter Ghe With Stroke And Hook'}, {code: '\u04FC', name: 'Cyrillic Capital Letter Ha With Hook'}, {code: '\u04FD', name: 'Cyrillic Small Letter Ha With Hook'}, {code: '\u04FE', name: 'Cyrillic Capital Letter Ha With Stroke'}, {code: '\u04FF', name: 'Cyrillic Small Letter Ha With Stroke'}]
		},
		{
			category: "Cyrillic Supplement",
			chars: [{code: '\u0500', name: 'Cyrillic Capital Letter Komi De'}, {code: '\u0501', name: 'Cyrillic Small Letter Komi De'}, {code: '\u0502', name: 'Cyrillic Capital Letter Komi Dje'}, {code: '\u0503', name: 'Cyrillic Small Letter Komi Dje'}, {code: '\u0504', name: 'Cyrillic Capital Letter Komi Zje'}, {code: '\u0505', name: 'Cyrillic Small Letter Komi Zje'}, {code: '\u0506', name: 'Cyrillic Capital Letter Komi Dzje'}, {code: '\u0507', name: 'Cyrillic Small Letter Komi Dzje'}, {code: '\u0508', name: 'Cyrillic Capital Letter Komi Lje'}, {code: '\u0509', name: 'Cyrillic Small Letter Komi Lje'}, {code: '\u050A', name: 'Cyrillic Capital Letter Komi Nje'}, {code: '\u050B', name: 'Cyrillic Small Letter Komi Nje'}, {code: '\u050C', name: 'Cyrillic Capital Letter Komi Sje'}, {code: '\u050D', name: 'Cyrillic Small Letter Komi Sje'}, {code: '\u050E', name: 'Cyrillic Capital Letter Komi Tje'}, {code: '\u050F', name: 'Cyrillic Small Letter Komi Tje'}, {code: '\u0510', name: 'Cyrillic Capital Letter Reversed Ze'}, {code: '\u0511', name: 'Cyrillic Small Letter Reversed Ze'}, {code: '\u0512', name: 'Cyrillic Capital Letter El With Hook'}, {code: '\u0513', name: 'Cyrillic Small Letter El With Hook'}, {code: '\u0514', name: 'Cyrillic Capital Letter Lha'}, {code: '\u0515', name: 'Cyrillic Small Letter Lha'}, {code: '\u0516', name: 'Cyrillic Capital Letter Rha'}, {code: '\u0517', name: 'Cyrillic Small Letter Rha'}, {code: '\u0518', name: 'Cyrillic Capital Letter Yae'}, {code: '\u0519', name: 'Cyrillic Small Letter Yae'}, {code: '\u051A', name: 'Cyrillic Capital Letter Qa'}, {code: '\u051B', name: 'Cyrillic Small Letter Qa'}, {code: '\u051C', name: 'Cyrillic Capital Letter We'}, {code: '\u051D', name: 'Cyrillic Small Letter We'}, {code: '\u051E', name: 'Cyrillic Capital Letter Aleut Ka'}, {code: '\u051F', name: 'Cyrillic Small Letter Aleut Ka'}, {code: '\u0520', name: 'Cyrillic Capital Letter El With Middle Hook'}, {code: '\u0521', name: 'Cyrillic Small Letter El With Middle Hook'}, {code: '\u0522', name: 'Cyrillic Capital Letter En With Middle Hook'}, {code: '\u0523', name: 'Cyrillic Small Letter En With Middle Hook'}, {code: '\u0524', name: 'Cyrillic Capital Letter Pe With Descender'}, {code: '\u0525', name: 'Cyrillic Small Letter Pe With Descender'}, {code: '\u0526', name: 'Cyrillic Capital Letter Shha With Descender'}, {code: '\u0527', name: 'Cyrillic Small Letter Shha With Descender'}, {code: '\u0528', name: 'Cyrillic Capital Letter En With Left Hook'}, {code: '\u0529', name: 'Cyrillic Small Letter En With Left Hook'}, {code: '\u052A', name: 'Cyrillic Capital Letter Dzzhe'}, {code: '\u052B', name: 'Cyrillic Small Letter Dzzhe'}, {code: '\u052C', name: 'Cyrillic Capital Letter Dche'}, {code: '\u052D', name: 'Cyrillic Small Letter Dche'}, {code: '\u052E', name: 'Cyrillic Capital Letter El With Descender'}, {code: '\u052F', name: 'Cyrillic Small Letter El With Descender'}]
		},
		{
			category: "Hebrew",
			chars: [{code: '\u0591', name: 'Hebrew Accent Etnahta'}, {code: '\u0592', name: 'Hebrew Accent Segol'}, {code: '\u0593', name: 'Hebrew Accent Shalshelet'}, {code: '\u0594', name: 'Hebrew Accent Zaqef Qatan'}, {code: '\u0595', name: 'Hebrew Accent Zaqef Gadol'}, {code: '\u0596', name: 'Hebrew Accent Tipeha'}, {code: '\u0597', name: 'Hebrew Accent Revia'}, {code: '\u0598', name: 'Hebrew Accent Zarqa'}, {code: '\u0599', name: 'Hebrew Accent Pashta'}, {code: '\u059A', name: 'Hebrew Accent Yetiv'}, {code: '\u059B', name: 'Hebrew Accent Tevir'}, {code: '\u059C', name: 'Hebrew Accent Geresh'}, {code: '\u059D', name: 'Hebrew Accent Geresh Muqdam'}, {code: '\u059E', name: 'Hebrew Accent Gershayim'}, {code: '\u059F', name: 'Hebrew Accent Qarney Para'}, {code: '\u05A0', name: 'Hebrew Accent Telisha Gedola'}, {code: '\u05A1', name: 'Hebrew Accent Pazer'}, {code: '\u05A2', name: 'Hebrew Accent Atnah Hafukh'}, {code: '\u05A3', name: 'Hebrew Accent Munah'}, {code: '\u05A4', name: 'Hebrew Accent Mahapakh'}, {code: '\u05A5', name: 'Hebrew Accent Merkha'}, {code: '\u05A6', name: 'Hebrew Accent Merkha Kefula'}, {code: '\u05A7', name: 'Hebrew Accent Darga'}, {code: '\u05A8', name: 'Hebrew Accent Qadma'}, {code: '\u05A9', name: 'Hebrew Accent Telisha Qetana'}, {code: '\u05AA', name: 'Hebrew Accent Yerah Ben Yomo'}, {code: '\u05AB', name: 'Hebrew Accent Ole'}, {code: '\u05AC', name: 'Hebrew Accent Iluy'}, {code: '\u05AD', name: 'Hebrew Accent Dehi'}, {code: '\u05AE', name: 'Hebrew Accent Zinor'}, {code: '\u05AF', name: 'Hebrew Mark Masora Circle'}, {code: '\u05B0', name: 'Hebrew Point Sheva'}, {code: '\u05B1', name: 'Hebrew Point Hataf Segol'}, {code: '\u05B2', name: 'Hebrew Point Hataf Patah'}, {code: '\u05B3', name: 'Hebrew Point Hataf Qamats'}, {code: '\u05B4', name: 'Hebrew Point Hiriq'}, {code: '\u05B5', name: 'Hebrew Point Tsere'}, {code: '\u05B6', name: 'Hebrew Point Segol'}, {code: '\u05B7', name: 'Hebrew Point Patah'}, {code: '\u05B8', name: 'Hebrew Point Qamats'}, {code: '\u05B9', name: 'Hebrew Point Holam'}, {code: '\u05BA', name: 'Hebrew Point Holam Haser For Vav'}, {code: '\u05BB', name: 'Hebrew Point Qubuts'}, {code: '\u05BC', name: 'Hebrew Point Dagesh Or Mapiq'}, {code: '\u05BD', name: 'Hebrew Point Meteg'}, {code: '\u05BE', name: 'Hebrew Punctuation Maqaf'}, {code: '\u05BF', name: 'Hebrew Point Rafe'}, {code: '\u05C0', name: 'Hebrew Punctuation Paseq'}, {code: '\u05C1', name: 'Hebrew Point Shin Dot'}, {code: '\u05C2', name: 'Hebrew Point Sin Dot'}, {code: '\u05C3', name: 'Hebrew Punctuation Sof Pasuq'}, {code: '\u05C4', name: 'Hebrew Mark Upper Dot'}, {code: '\u05C5', name: 'Hebrew Mark Lower Dot'}, {code: '\u05C6', name: 'Hebrew Punctuation Nun Hafukha'}, {code: '\u05C7', name: 'Hebrew Point Qamats Qatan'}, {code: '\u05D0', name: 'Hebrew Letter Alef'}, {code: '\u05D1', name: 'Hebrew Letter Bet'}, {code: '\u05D2', name: 'Hebrew Letter Gimel'}, {code: '\u05D3', name: 'Hebrew Letter Dalet'}, {code: '\u05D4', name: 'Hebrew Letter He'}, {code: '\u05D5', name: 'Hebrew Letter Vav'}, {code: '\u05D6', name: 'Hebrew Letter Zayin'}, {code: '\u05D7', name: 'Hebrew Letter Het'}, {code: '\u05D8', name: 'Hebrew Letter Tet'}, {code: '\u05D9', name: 'Hebrew Letter Yod'}, {code: '\u05DA', name: 'Hebrew Letter Final Kaf'}, {code: '\u05DB', name: 'Hebrew Letter Kaf'}, {code: '\u05DC', name: 'Hebrew Letter Lamed'}, {code: '\u05DD', name: 'Hebrew Letter Final Mem'}, {code: '\u05DE', name: 'Hebrew Letter Mem'}, {code: '\u05DF', name: 'Hebrew Letter Final Nun'}, {code: '\u05E0', name: 'Hebrew Letter Nun'}, {code: '\u05E1', name: 'Hebrew Letter Samekh'}, {code: '\u05E2', name: 'Hebrew Letter Ayin'}, {code: '\u05E3', name: 'Hebrew Letter Final Pe'}, {code: '\u05E4', name: 'Hebrew Letter Pe'}, {code: '\u05E5', name: 'Hebrew Letter Final Tsadi'}, {code: '\u05E6', name: 'Hebrew Letter Tsadi'}, {code: '\u05E7', name: 'Hebrew Letter Qof'}, {code: '\u05E8', name: 'Hebrew Letter Resh'}, {code: '\u05E9', name: 'Hebrew Letter Shin'}, {code: '\u05EA', name: 'Hebrew Letter Tav'}, {code: '\u05EF', name: 'Hebrew Yod Triangle'}, {code: '\u05F0', name: 'Hebrew Ligature Yiddish Double Vav'}, {code: '\u05F1', name: 'Hebrew Ligature Yiddish Vav Yod'}, {code: '\u05F2', name: 'Hebrew Ligature Yiddish Double Yod'}, {code: '\u05F3', name: 'Hebrew Punctuation Geresh'}, {code: '\u05F4', name: 'Hebrew Punctuation Gershayim'}]
		},
		{
			category: "Arabic",
			chars: [{code: '\u0600', name: 'Arabic Number Sign'}, {code: '\u0601', name: 'Arabic Sign Sanah'}, {code: '\u0602', name: 'Arabic Footnote Marker'}, {code: '\u0603', name: 'Arabic Sign Safha'}, {code: '\u0604', name: 'Arabic Sign Samvat'}, {code: '\u0605', name: 'Arabic Number Mark Above'}, {code: '\u0606', name: 'Arabic-indic Cube Root'}, {code: '\u0607', name: 'Arabic-indic Fourth Root'}, {code: '\u0608', name: 'Arabic Ray'}, {code: '\u0609', name: 'Arabic-indic Per Mille Sign'}, {code: '\u060A', name: 'Arabic-indic Per Ten Thousand Sign'}, {code: '\u060B', name: 'Afghani Sign'}, {code: '\u060C', name: 'Arabic Comma'}, {code: '\u060D', name: 'Arabic Date Separator'}, {code: '\u060E', name: 'Arabic Poetic Verse Sign'}, {code: '\u060F', name: 'Arabic Sign Misra'}, {code: '\u0610', name: 'Arabic Sign Sallallahou Alayhe Wassallam'}, {code: '\u0611', name: 'Arabic Sign Alayhe Assallam'}, {code: '\u0612', name: 'Arabic Sign Rahmatullah Alayhe'}, {code: '\u0613', name: 'Arabic Sign Radi Allahou Anhu'}, {code: '\u0614', name: 'Arabic Sign Takhallus'}, {code: '\u0615', name: 'Arabic Small High Tah'}, {code: '\u0616', name: 'Arabic Small High Ligature Alef With Lam With Yeh'}, {code: '\u0617', name: 'Arabic Small High Zain'}, {code: '\u0618', name: 'Arabic Small Fatha'}, {code: '\u0619', name: 'Arabic Small Damma'}, {code: '\u061A', name: 'Arabic Small Kasra'}, {code: '\u061B', name: 'Arabic Semicolon'}, {code: '\u061C', name: 'Arabic Letter Mark'}, {code: '\u061E', name: 'Arabic Triple Dot Punctuation Mark'}, {code: '\u061F', name: 'Arabic Question Mark'}, {code: '\u0620', name: 'Arabic Letter Kashmiri Yeh'}, {code: '\u0621', name: 'Arabic Letter Hamza'}, {code: '\u0622', name: 'Arabic Letter Alef With Madda Above'}, {code: '\u0623', name: 'Arabic Letter Alef With Hamza Above'}, {code: '\u0624', name: 'Arabic Letter Waw With Hamza Above'}, {code: '\u0625', name: 'Arabic Letter Alef With Hamza Below'}, {code: '\u0626', name: 'Arabic Letter Yeh With Hamza Above'}, {code: '\u0627', name: 'Arabic Letter Alef'}, {code: '\u0628', name: 'Arabic Letter Beh'}, {code: '\u0629', name: 'Arabic Letter Teh Marbuta'}, {code: '\u062A', name: 'Arabic Letter Teh'}, {code: '\u062B', name: 'Arabic Letter Theh'}, {code: '\u062C', name: 'Arabic Letter Jeem'}, {code: '\u062D', name: 'Arabic Letter Hah'}, {code: '\u062E', name: 'Arabic Letter Khah'}, {code: '\u062F', name: 'Arabic Letter Dal'}, {code: '\u0630', name: 'Arabic Letter Thal'}, {code: '\u0631', name: 'Arabic Letter Reh'}, {code: '\u0632', name: 'Arabic Letter Zain'}, {code: '\u0633', name: 'Arabic Letter Seen'}, {code: '\u0634', name: 'Arabic Letter Sheen'}, {code: '\u0635', name: 'Arabic Letter Sad'}, {code: '\u0636', name: 'Arabic Letter Dad'}, {code: '\u0637', name: 'Arabic Letter Tah'}, {code: '\u0638', name: 'Arabic Letter Zah'}, {code: '\u0639', name: 'Arabic Letter Ain'}, {code: '\u063A', name: 'Arabic Letter Ghain'}, {code: '\u063B', name: 'Arabic Letter Keheh With Two Dots Above'}, {code: '\u063C', name: 'Arabic Letter Keheh With Three Dots Below'}, {code: '\u063D', name: 'Arabic Letter Farsi Yeh With Inverted V'}, {code: '\u063E', name: 'Arabic Letter Farsi Yeh With Two Dots Above'}, {code: '\u063F', name: 'Arabic Letter Farsi Yeh With Three Dots Above'}, {code: '\u0640', name: 'Arabic Tatweel'}, {code: '\u0641', name: 'Arabic Letter Feh'}, {code: '\u0642', name: 'Arabic Letter Qaf'}, {code: '\u0643', name: 'Arabic Letter Kaf'}, {code: '\u0644', name: 'Arabic Letter Lam'}, {code: '\u0645', name: 'Arabic Letter Meem'}, {code: '\u0646', name: 'Arabic Letter Noon'}, {code: '\u0647', name: 'Arabic Letter Heh'}, {code: '\u0648', name: 'Arabic Letter Waw'}, {code: '\u0649', name: 'Arabic Letter Alef Maksura'}, {code: '\u064A', name: 'Arabic Letter Yeh'}, {code: '\u064B', name: 'Arabic Fathatan'}, {code: '\u064C', name: 'Arabic Dammatan'}, {code: '\u064D', name: 'Arabic Kasratan'}, {code: '\u064E', name: 'Arabic Fatha'}, {code: '\u064F', name: 'Arabic Damma'}, {code: '\u0650', name: 'Arabic Kasra'}, {code: '\u0651', name: 'Arabic Shadda'}, {code: '\u0652', name: 'Arabic Sukun'}, {code: '\u0653', name: 'Arabic Maddah Above'}, {code: '\u0654', name: 'Arabic Hamza Above'}, {code: '\u0655', name: 'Arabic Hamza Below'}, {code: '\u0656', name: 'Arabic Subscript Alef'}, {code: '\u0657', name: 'Arabic Inverted Damma'}, {code: '\u0658', name: 'Arabic Mark Noon Ghunna'}, {code: '\u0659', name: 'Arabic Zwarakay'}, {code: '\u065A', name: 'Arabic Vowel Sign Small V Above'}, {code: '\u065B', name: 'Arabic Vowel Sign Inverted Small V Above'}, {code: '\u065C', name: 'Arabic Vowel Sign Dot Below'}, {code: '\u065D', name: 'Arabic Reversed Damma'}, {code: '\u065E', name: 'Arabic Fatha With Two Dots'}, {code: '\u065F', name: 'Arabic Wavy Hamza Below'}, {code: '\u0660', name: 'Arabic-indic Digit Zero'}, {code: '\u0661', name: 'Arabic-indic Digit One'}, {code: '\u0662', name: 'Arabic-indic Digit Two'}, {code: '\u0663', name: 'Arabic-indic Digit Three'}, {code: '\u0664', name: 'Arabic-indic Digit Four'}, {code: '\u0665', name: 'Arabic-indic Digit Five'}, {code: '\u0666', name: 'Arabic-indic Digit Six'}, {code: '\u0667', name: 'Arabic-indic Digit Seven'}, {code: '\u0668', name: 'Arabic-indic Digit Eight'}, {code: '\u0669', name: 'Arabic-indic Digit Nine'}, {code: '\u066A', name: 'Arabic Percent Sign'}, {code: '\u066B', name: 'Arabic Decimal Separator'}, {code: '\u066C', name: 'Arabic Thousands Separator'}, {code: '\u066D', name: 'Arabic Five Pointed Star'}, {code: '\u066E', name: 'Arabic Letter Dotless Beh'}, {code: '\u066F', name: 'Arabic Letter Dotless Qaf'}, {code: '\u0670', name: 'Arabic Letter Superscript Alef'}, {code: '\u0671', name: 'Arabic Letter Alef Wasla'}, {code: '\u0672', name: 'Arabic Letter Alef With Wavy Hamza Above'}, {code: '\u0673', name: 'Arabic Letter Alef With Wavy Hamza Below'}, {code: '\u0674', name: 'Arabic Letter High Hamza'}, {code: '\u0675', name: 'Arabic Letter High Hamza Alef'}, {code: '\u0676', name: 'Arabic Letter High Hamza Waw'}, {code: '\u0677', name: 'Arabic Letter U With Hamza Above'}, {code: '\u0678', name: 'Arabic Letter High Hamza Yeh'}, {code: '\u0679', name: 'Arabic Letter Tteh'}, {code: '\u067A', name: 'Arabic Letter Tteheh'}, {code: '\u067B', name: 'Arabic Letter Beeh'}, {code: '\u067C', name: 'Arabic Letter Teh With Ring'}, {code: '\u067D', name: 'Arabic Letter Teh With Three Dots Above Downwards'}, {code: '\u067E', name: 'Arabic Letter Peh'}, {code: '\u067F', name: 'Arabic Letter Teheh'}, {code: '\u0680', name: 'Arabic Letter Beheh'}, {code: '\u0681', name: 'Arabic Letter Hah With Hamza Above'}, {code: '\u0682', name: 'Arabic Letter Hah With Two Dots Vertical Above'}, {code: '\u0683', name: 'Arabic Letter Nyeh'}, {code: '\u0684', name: 'Arabic Letter Dyeh'}, {code: '\u0685', name: 'Arabic Letter Hah With Three Dots Above'}, {code: '\u0686', name: 'Arabic Letter Tcheh'}, {code: '\u0687', name: 'Arabic Letter Tcheheh'}, {code: '\u0688', name: 'Arabic Letter Ddal'}, {code: '\u0689', name: 'Arabic Letter Dal With Ring'}, {code: '\u068A', name: 'Arabic Letter Dal With Dot Below'}, {code: '\u068B', name: 'Arabic Letter Dal With Dot Below And Small Tah'}, {code: '\u068C', name: 'Arabic Letter Dahal'}, {code: '\u068D', name: 'Arabic Letter Ddahal'}, {code: '\u068E', name: 'Arabic Letter Dul'}, {code: '\u068F', name: 'Arabic Letter Dal With Three Dots Above Downwards'}, {code: '\u0690', name: 'Arabic Letter Dal With Four Dots Above'}, {code: '\u0691', name: 'Arabic Letter Rreh'}, {code: '\u0692', name: 'Arabic Letter Reh With Small V'}, {code: '\u0693', name: 'Arabic Letter Reh With Ring'}, {code: '\u0694', name: 'Arabic Letter Reh With Dot Below'}, {code: '\u0695', name: 'Arabic Letter Reh With Small V Below'}, {code: '\u0696', name: 'Arabic Letter Reh With Dot Below And Dot Above'}, {code: '\u0697', name: 'Arabic Letter Reh With Two Dots Above'}, {code: '\u0698', name: 'Arabic Letter Jeh'}, {code: '\u0699', name: 'Arabic Letter Reh With Four Dots Above'}, {code: '\u069A', name: 'Arabic Letter Seen With Dot Below And Dot Above'}, {code: '\u069B', name: 'Arabic Letter Seen With Three Dots Below'}, {code: '\u069C', name: 'Arabic Letter Seen With Three Dots Below And Three Dots Above'}, {code: '\u069D', name: 'Arabic Letter Sad With Two Dots Below'}, {code: '\u069E', name: 'Arabic Letter Sad With Three Dots Above'}, {code: '\u069F', name: 'Arabic Letter Tah With Three Dots Above'}, {code: '\u06A0', name: 'Arabic Letter Ain With Three Dots Above'}, {code: '\u06A1', name: 'Arabic Letter Dotless Feh'}, {code: '\u06A2', name: 'Arabic Letter Feh With Dot Moved Below'}, {code: '\u06A3', name: 'Arabic Letter Feh With Dot Below'}, {code: '\u06A4', name: 'Arabic Letter Veh'}, {code: '\u06A5', name: 'Arabic Letter Feh With Three Dots Below'}, {code: '\u06A6', name: 'Arabic Letter Peheh'}, {code: '\u06A7', name: 'Arabic Letter Qaf With Dot Above'}, {code: '\u06A8', name: 'Arabic Letter Qaf With Three Dots Above'}, {code: '\u06A9', name: 'Arabic Letter Keheh'}, {code: '\u06AA', name: 'Arabic Letter Swash Kaf'}, {code: '\u06AB', name: 'Arabic Letter Kaf With Ring'}, {code: '\u06AC', name: 'Arabic Letter Kaf With Dot Above'}, {code: '\u06AD', name: 'Arabic Letter Ng'}, {code: '\u06AE', name: 'Arabic Letter Kaf With Three Dots Below'}, {code: '\u06AF', name: 'Arabic Letter Gaf'}, {code: '\u06B0', name: 'Arabic Letter Gaf With Ring'}, {code: '\u06B1', name: 'Arabic Letter Ngoeh'}, {code: '\u06B2', name: 'Arabic Letter Gaf With Two Dots Below'}, {code: '\u06B3', name: 'Arabic Letter Gueh'}, {code: '\u06B4', name: 'Arabic Letter Gaf With Three Dots Above'}, {code: '\u06B5', name: 'Arabic Letter Lam With Small V'}, {code: '\u06B6', name: 'Arabic Letter Lam With Dot Above'}, {code: '\u06B7', name: 'Arabic Letter Lam With Three Dots Above'}, {code: '\u06B8', name: 'Arabic Letter Lam With Three Dots Below'}, {code: '\u06B9', name: 'Arabic Letter Noon With Dot Below'}, {code: '\u06BA', name: 'Arabic Letter Noon Ghunna'}, {code: '\u06BB', name: 'Arabic Letter Rnoon'}, {code: '\u06BC', name: 'Arabic Letter Noon With Ring'}, {code: '\u06BD', name: 'Arabic Letter Noon With Three Dots Above'}, {code: '\u06BE', name: 'Arabic Letter Heh Doachashmee'}, {code: '\u06BF', name: 'Arabic Letter Tcheh With Dot Above'}, {code: '\u06C0', name: 'Arabic Letter Heh With Yeh Above'}, {code: '\u06C1', name: 'Arabic Letter Heh Goal'}, {code: '\u06C2', name: 'Arabic Letter Heh Goal With Hamza Above'}, {code: '\u06C3', name: 'Arabic Letter Teh Marbuta Goal'}, {code: '\u06C4', name: 'Arabic Letter Waw With Ring'}, {code: '\u06C5', name: 'Arabic Letter Kirghiz Oe'}, {code: '\u06C6', name: 'Arabic Letter Oe'}, {code: '\u06C7', name: 'Arabic Letter U'}, {code: '\u06C8', name: 'Arabic Letter Yu'}, {code: '\u06C9', name: 'Arabic Letter Kirghiz Yu'}, {code: '\u06CA', name: 'Arabic Letter Waw With Two Dots Above'}, {code: '\u06CB', name: 'Arabic Letter Ve'}, {code: '\u06CC', name: 'Arabic Letter Farsi Yeh'}, {code: '\u06CD', name: 'Arabic Letter Yeh With Tail'}, {code: '\u06CE', name: 'Arabic Letter Yeh With Small V'}, {code: '\u06CF', name: 'Arabic Letter Waw With Dot Above'}, {code: '\u06D0', name: 'Arabic Letter E'}, {code: '\u06D1', name: 'Arabic Letter Yeh With Three Dots Below'}, {code: '\u06D2', name: 'Arabic Letter Yeh Barree'}, {code: '\u06D3', name: 'Arabic Letter Yeh Barree With Hamza Above'}, {code: '\u06D4', name: 'Arabic Full Stop'}, {code: '\u06D5', name: 'Arabic Letter Ae'}, {code: '\u06D6', name: 'Arabic Small High Ligature Sad With Lam With Alef Maksura'}, {code: '\u06D7', name: 'Arabic Small High Ligature Qaf With Lam With Alef Maksura'}, {code: '\u06D8', name: 'Arabic Small High Meem Initial Form'}, {code: '\u06D9', name: 'Arabic Small High Lam Alef'}, {code: '\u06DA', name: 'Arabic Small High Jeem'}, {code: '\u06DB', name: 'Arabic Small High Three Dots'}, {code: '\u06DC', name: 'Arabic Small High Seen'}, {code: '\u06DD', name: 'Arabic End Of Ayah'}, {code: '\u06DE', name: 'Arabic Start Of Rub El Hizb'}, {code: '\u06DF', name: 'Arabic Small High Rounded Zero'}, {code: '\u06E0', name: 'Arabic Small High Upright Rectangular Zero'}, {code: '\u06E1', name: 'Arabic Small High Dotless Head Of Khah'}, {code: '\u06E2', name: 'Arabic Small High Meem Isolated Form'}, {code: '\u06E3', name: 'Arabic Small Low Seen'}, {code: '\u06E4', name: 'Arabic Small High Madda'}, {code: '\u06E5', name: 'Arabic Small Waw'}, {code: '\u06E6', name: 'Arabic Small Yeh'}, {code: '\u06E7', name: 'Arabic Small High Yeh'}, {code: '\u06E8', name: 'Arabic Small High Noon'}, {code: '\u06E9', name: 'Arabic Place Of Sajdah'}, {code: '\u06EA', name: 'Arabic Empty Centre Low Stop'}, {code: '\u06EB', name: 'Arabic Empty Centre High Stop'}, {code: '\u06EC', name: 'Arabic Rounded High Stop With Filled Centre'}, {code: '\u06ED', name: 'Arabic Small Low Meem'}, {code: '\u06EE', name: 'Arabic Letter Dal With Inverted V'}, {code: '\u06EF', name: 'Arabic Letter Reh With Inverted V'}, {code: '\u06F0', name: 'Extended Arabic-indic Digit Zero'}, {code: '\u06F1', name: 'Extended Arabic-indic Digit One'}, {code: '\u06F2', name: 'Extended Arabic-indic Digit Two'}, {code: '\u06F3', name: 'Extended Arabic-indic Digit Three'}, {code: '\u06F4', name: 'Extended Arabic-indic Digit Four'}, {code: '\u06F5', name: 'Extended Arabic-indic Digit Five'}, {code: '\u06F6', name: 'Extended Arabic-indic Digit Six'}, {code: '\u06F7', name: 'Extended Arabic-indic Digit Seven'}, {code: '\u06F8', name: 'Extended Arabic-indic Digit Eight'}, {code: '\u06F9', name: 'Extended Arabic-indic Digit Nine'}, {code: '\u06FA', name: 'Arabic Letter Sheen With Dot Below'}, {code: '\u06FB', name: 'Arabic Letter Dad With Dot Below'}, {code: '\u06FC', name: 'Arabic Letter Ghain With Dot Below'}, {code: '\u06FD', name: 'Arabic Sign Sindhi Ampersand'}, {code: '\u06FE', name: 'Arabic Sign Sindhi Postposition Men'}, {code: '\u06FF', name: 'Arabic Letter Heh With Inverted V'}]
		},
		{
			category: "Arabic Supplement",
			chars: [{code: '\u0750', name: 'Arabic Letter Beh With Three Dots Horizontally Below'}, {code: '\u0751', name: 'Arabic Letter Beh With Dot Below And Three Dots Above'}, {code: '\u0752', name: 'Arabic Letter Beh With Three Dots Pointing Upwards Below'}, {code: '\u0753', name: 'Arabic Letter Beh With Three Dots Pointing Upwards Below And Two Dots Above'}, {code: '\u0754', name: 'Arabic Letter Beh With Two Dots Below And Dot Above'}, {code: '\u0755', name: 'Arabic Letter Beh With Inverted Small V Below'}, {code: '\u0756', name: 'Arabic Letter Beh With Small V'}, {code: '\u0757', name: 'Arabic Letter Hah With Two Dots Above'}, {code: '\u0758', name: 'Arabic Letter Hah With Three Dots Pointing Upwards Below'}, {code: '\u0759', name: 'Arabic Letter Dal With Two Dots Vertically Below And Small Tah'}, {code: '\u075A', name: 'Arabic Letter Dal With Inverted Small V Below'}, {code: '\u075B', name: 'Arabic Letter Reh With Stroke'}, {code: '\u075C', name: 'Arabic Letter Seen With Four Dots Above'}, {code: '\u075D', name: 'Arabic Letter Ain With Two Dots Above'}, {code: '\u075E', name: 'Arabic Letter Ain With Three Dots Pointing Downwards Above'}, {code: '\u075F', name: 'Arabic Letter Ain With Two Dots Vertically Above'}, {code: '\u0760', name: 'Arabic Letter Feh With Two Dots Below'}, {code: '\u0761', name: 'Arabic Letter Feh With Three Dots Pointing Upwards Below'}, {code: '\u0762', name: 'Arabic Letter Keheh With Dot Above'}, {code: '\u0763', name: 'Arabic Letter Keheh With Three Dots Above'}, {code: '\u0764', name: 'Arabic Letter Keheh With Three Dots Pointing Upwards Below'}, {code: '\u0765', name: 'Arabic Letter Meem With Dot Above'}, {code: '\u0766', name: 'Arabic Letter Meem With Dot Below'}, {code: '\u0767', name: 'Arabic Letter Noon With Two Dots Below'}, {code: '\u0768', name: 'Arabic Letter Noon With Small Tah'}, {code: '\u0769', name: 'Arabic Letter Noon With Small V'}, {code: '\u076A', name: 'Arabic Letter Lam With Bar'}, {code: '\u076B', name: 'Arabic Letter Reh With Two Dots Vertically Above'}, {code: '\u076C', name: 'Arabic Letter Reh With Hamza Above'}, {code: '\u076D', name: 'Arabic Letter Seen With Two Dots Vertically Above'}, {code: '\u076E', name: 'Arabic Letter Hah With Small Arabic Letter Tah Below'}, {code: '\u076F', name: 'Arabic Letter Hah With Small Arabic Letter Tah And Two Dots'}, {code: '\u0770', name: 'Arabic Letter Seen With Small Arabic Letter Tah And Two Dots'}, {code: '\u0771', name: 'Arabic Letter Reh With Small Arabic Letter Tah And Two Dots'}, {code: '\u0772', name: 'Arabic Letter Hah With Small Arabic Letter Tah Above'}, {code: '\u0773', name: 'Arabic Letter Alef With Extended Arabic-indic Digit Two Above'}, {code: '\u0774', name: 'Arabic Letter Alef With Extended Arabic-indic Digit Three Above'}, {code: '\u0775', name: 'Arabic Letter Farsi Yeh With Extended Arabic-indic Digit Two Above'}, {code: '\u0776', name: 'Arabic Letter Farsi Yeh With Extended Arabic-indic Digit Three Above'}, {code: '\u0777', name: 'Arabic Letter Farsi Yeh With Extended Arabic-indic Digit Four Below'}, {code: '\u0778', name: 'Arabic Letter Waw With Extended Arabic-indic Digit Two Above'}, {code: '\u0779', name: 'Arabic Letter Waw With Extended Arabic-indic Digit Three Above'}, {code: '\u077A', name: 'Arabic Letter Yeh Barree With Extended Arabic-indic Digit Two Above'}, {code: '\u077B', name: 'Arabic Letter Yeh Barree With Extended Arabic-indic Digit Three Above'}, {code: '\u077C', name: 'Arabic Letter Hah With Extended Arabic-indic Digit Four Below'}, {code: '\u077D', name: 'Arabic Letter Seen With Extended Arabic-indic Digit Four Above'}, {code: '\u077E', name: 'Arabic Letter Seen With Inverted V'}, {code: '\u077F', name: 'Arabic Letter Kaf With Two Dots Above'}]
		},
		{
			category: "NKo",
			chars: [{code: '\u07C0', name: 'Nko Digit Zero'}, {code: '\u07C1', name: 'Nko Digit One'}, {code: '\u07C2', name: 'Nko Digit Two'}, {code: '\u07C3', name: 'Nko Digit Three'}, {code: '\u07C4', name: 'Nko Digit Four'}, {code: '\u07C5', name: 'Nko Digit Five'}, {code: '\u07C6', name: 'Nko Digit Six'}, {code: '\u07C7', name: 'Nko Digit Seven'}, {code: '\u07C8', name: 'Nko Digit Eight'}, {code: '\u07C9', name: 'Nko Digit Nine'}, {code: '\u07CA', name: 'Nko Letter A'}, {code: '\u07CB', name: 'Nko Letter Ee'}, {code: '\u07CC', name: 'Nko Letter I'}, {code: '\u07CD', name: 'Nko Letter E'}, {code: '\u07CE', name: 'Nko Letter U'}, {code: '\u07CF', name: 'Nko Letter Oo'}, {code: '\u07D0', name: 'Nko Letter O'}, {code: '\u07D1', name: 'Nko Letter Dagbasinna'}, {code: '\u07D2', name: 'Nko Letter N'}, {code: '\u07D3', name: 'Nko Letter Ba'}, {code: '\u07D4', name: 'Nko Letter Pa'}, {code: '\u07D5', name: 'Nko Letter Ta'}, {code: '\u07D6', name: 'Nko Letter Ja'}, {code: '\u07D7', name: 'Nko Letter Cha'}, {code: '\u07D8', name: 'Nko Letter Da'}, {code: '\u07D9', name: 'Nko Letter Ra'}, {code: '\u07DA', name: 'Nko Letter Rra'}, {code: '\u07DB', name: 'Nko Letter Sa'}, {code: '\u07DC', name: 'Nko Letter Gba'}, {code: '\u07DD', name: 'Nko Letter Fa'}, {code: '\u07DE', name: 'Nko Letter Ka'}, {code: '\u07DF', name: 'Nko Letter La'}, {code: '\u07E0', name: 'Nko Letter Na Woloso'}, {code: '\u07E1', name: 'Nko Letter Ma'}, {code: '\u07E2', name: 'Nko Letter Nya'}, {code: '\u07E3', name: 'Nko Letter Na'}, {code: '\u07E4', name: 'Nko Letter Ha'}, {code: '\u07E5', name: 'Nko Letter Wa'}, {code: '\u07E6', name: 'Nko Letter Ya'}, {code: '\u07E7', name: 'Nko Letter Nya Woloso'}, {code: '\u07E8', name: 'Nko Letter Jona Ja'}, {code: '\u07E9', name: 'Nko Letter Jona Cha'}, {code: '\u07EA', name: 'Nko Letter Jona Ra'}, {code: '\u07EB', name: 'Nko Combining Short High Tone'}, {code: '\u07EC', name: 'Nko Combining Short Low Tone'}, {code: '\u07ED', name: 'Nko Combining Short Rising Tone'}, {code: '\u07EE', name: 'Nko Combining Long Descending Tone'}, {code: '\u07EF', name: 'Nko Combining Long High Tone'}, {code: '\u07F0', name: 'Nko Combining Long Low Tone'}, {code: '\u07F1', name: 'Nko Combining Long Rising Tone'}, {code: '\u07F2', name: 'Nko Combining Nasalization Mark'}, {code: '\u07F3', name: 'Nko Combining Double Dot Above'}, {code: '\u07F4', name: 'Nko High Tone Apostrophe'}, {code: '\u07F5', name: 'Nko Low Tone Apostrophe'}, {code: '\u07F6', name: 'Nko Symbol Oo Dennen'}, {code: '\u07F7', name: 'Nko Symbol Gbakurunen'}, {code: '\u07F8', name: 'Nko Comma'}, {code: '\u07F9', name: 'Nko Exclamation Mark'}, {code: '\u07FA', name: 'Nko Lajanyalan'}, {code: '\u07FD', name: 'Nko Dantayalan'}, {code: '\u07FE', name: 'Nko Dorome Sign'}, {code: '\u07FF', name: 'Nko Taman Sign'}]
		},
		{
			category: "Thai",
			chars: [{code: '\u0E01', name: 'Thai Character Ko Kai'}, {code: '\u0E02', name: 'Thai Character Kho Khai'}, {code: '\u0E03', name: 'Thai Character Kho Khuat'}, {code: '\u0E04', name: 'Thai Character Kho Khwai'}, {code: '\u0E05', name: 'Thai Character Kho Khon'}, {code: '\u0E06', name: 'Thai Character Kho Rakhang'}, {code: '\u0E07', name: 'Thai Character Ngo Ngu'}, {code: '\u0E08', name: 'Thai Character Cho Chan'}, {code: '\u0E09', name: 'Thai Character Cho Ching'}, {code: '\u0E0A', name: 'Thai Character Cho Chang'}, {code: '\u0E0B', name: 'Thai Character So So'}, {code: '\u0E0C', name: 'Thai Character Cho Choe'}, {code: '\u0E0D', name: 'Thai Character Yo Ying'}, {code: '\u0E0E', name: 'Thai Character Do Chada'}, {code: '\u0E0F', name: 'Thai Character To Patak'}, {code: '\u0E10', name: 'Thai Character Tho Than'}, {code: '\u0E11', name: 'Thai Character Tho Nangmontho'}, {code: '\u0E12', name: 'Thai Character Tho Phuthao'}, {code: '\u0E13', name: 'Thai Character No Nen'}, {code: '\u0E14', name: 'Thai Character Do Dek'}, {code: '\u0E15', name: 'Thai Character To Tao'}, {code: '\u0E16', name: 'Thai Character Tho Thung'}, {code: '\u0E17', name: 'Thai Character Tho Thahan'}, {code: '\u0E18', name: 'Thai Character Tho Thong'}, {code: '\u0E19', name: 'Thai Character No Nu'}, {code: '\u0E1A', name: 'Thai Character Bo Baimai'}, {code: '\u0E1B', name: 'Thai Character Po Pla'}, {code: '\u0E1C', name: 'Thai Character Pho Phung'}, {code: '\u0E1D', name: 'Thai Character Fo Fa'}, {code: '\u0E1E', name: 'Thai Character Pho Phan'}, {code: '\u0E1F', name: 'Thai Character Fo Fan'}, {code: '\u0E20', name: 'Thai Character Pho Samphao'}, {code: '\u0E21', name: 'Thai Character Mo Ma'}, {code: '\u0E22', name: 'Thai Character Yo Yak'}, {code: '\u0E23', name: 'Thai Character Ro Rua'}, {code: '\u0E24', name: 'Thai Character Ru'}, {code: '\u0E25', name: 'Thai Character Lo Ling'}, {code: '\u0E26', name: 'Thai Character Lu'}, {code: '\u0E27', name: 'Thai Character Wo Waen'}, {code: '\u0E28', name: 'Thai Character So Sala'}, {code: '\u0E29', name: 'Thai Character So Rusi'}, {code: '\u0E2A', name: 'Thai Character So Sua'}, {code: '\u0E2B', name: 'Thai Character Ho Hip'}, {code: '\u0E2C', name: 'Thai Character Lo Chula'}, {code: '\u0E2D', name: 'Thai Character O Ang'}, {code: '\u0E2E', name: 'Thai Character Ho Nokhuk'}, {code: '\u0E2F', name: 'Thai Character Paiyannoi'}, {code: '\u0E30', name: 'Thai Character Sara A'}, {code: '\u0E31', name: 'Thai Character Mai Han-akat'}, {code: '\u0E32', name: 'Thai Character Sara Aa'}, {code: '\u0E33', name: 'Thai Character Sara Am'}, {code: '\u0E34', name: 'Thai Character Sara I'}, {code: '\u0E35', name: 'Thai Character Sara Ii'}, {code: '\u0E36', name: 'Thai Character Sara Ue'}, {code: '\u0E37', name: 'Thai Character Sara Uee'}, {code: '\u0E38', name: 'Thai Character Sara U'}, {code: '\u0E39', name: 'Thai Character Sara Uu'}, {code: '\u0E3A', name: 'Thai Character Phinthu'}, {code: '\u0E3F', name: 'Thai Currency Symbol Baht'}, {code: '\u0E40', name: 'Thai Character Sara E'}, {code: '\u0E41', name: 'Thai Character Sara Ae'}, {code: '\u0E42', name: 'Thai Character Sara O'}, {code: '\u0E43', name: 'Thai Character Sara Ai Maimuan'}, {code: '\u0E44', name: 'Thai Character Sara Ai Maimalai'}, {code: '\u0E45', name: 'Thai Character Lakkhangyao'}, {code: '\u0E46', name: 'Thai Character Maiyamok'}, {code: '\u0E47', name: 'Thai Character Maitaikhu'}, {code: '\u0E48', name: 'Thai Character Mai Ek'}, {code: '\u0E49', name: 'Thai Character Mai Tho'}, {code: '\u0E4A', name: 'Thai Character Mai Tri'}, {code: '\u0E4B', name: 'Thai Character Mai Chattawa'}, {code: '\u0E4C', name: 'Thai Character Thanthakhat'}, {code: '\u0E4D', name: 'Thai Character Nikhahit'}, {code: '\u0E4E', name: 'Thai Character Yamakkan'}, {code: '\u0E4F', name: 'Thai Character Fongman'}, {code: '\u0E50', name: 'Thai Digit Zero'}, {code: '\u0E51', name: 'Thai Digit One'}, {code: '\u0E52', name: 'Thai Digit Two'}, {code: '\u0E53', name: 'Thai Digit Three'}, {code: '\u0E54', name: 'Thai Digit Four'}, {code: '\u0E55', name: 'Thai Digit Five'}, {code: '\u0E56', name: 'Thai Digit Six'}, {code: '\u0E57', name: 'Thai Digit Seven'}, {code: '\u0E58', name: 'Thai Digit Eight'}, {code: '\u0E59', name: 'Thai Digit Nine'}, {code: '\u0E5A', name: 'Thai Character Angkhankhu'}, {code: '\u0E5B', name: 'Thai Character Khomut'}]
		},
		{
			category: "Phonetic Extensions",
			chars: [{code: '\u1D00', name: 'Latin Letter Small Capital A'}, {code: '\u1D01', name: 'Latin Letter Small Capital Ae'}, {code: '\u1D02', name: 'Latin Small Letter Turned Ae'}, {code: '\u1D03', name: 'Latin Letter Small Capital Barred B'}, {code: '\u1D04', name: 'Latin Letter Small Capital C'}, {code: '\u1D05', name: 'Latin Letter Small Capital D'}, {code: '\u1D06', name: 'Latin Letter Small Capital Eth'}, {code: '\u1D07', name: 'Latin Letter Small Capital E'}, {code: '\u1D08', name: 'Latin Small Letter Turned Open E'}, {code: '\u1D09', name: 'Latin Small Letter Turned I'}, {code: '\u1D0A', name: 'Latin Letter Small Capital J'}, {code: '\u1D0B', name: 'Latin Letter Small Capital K'}, {code: '\u1D0C', name: 'Latin Letter Small Capital L With Stroke'}, {code: '\u1D0D', name: 'Latin Letter Small Capital M'}, {code: '\u1D0E', name: 'Latin Letter Small Capital Reversed N'}, {code: '\u1D0F', name: 'Latin Letter Small Capital O'}, {code: '\u1D10', name: 'Latin Letter Small Capital Open O'}, {code: '\u1D11', name: 'Latin Small Letter Sideways O'}, {code: '\u1D12', name: 'Latin Small Letter Sideways Open O'}, {code: '\u1D13', name: 'Latin Small Letter Sideways O With Stroke'}, {code: '\u1D14', name: 'Latin Small Letter Turned Oe'}, {code: '\u1D15', name: 'Latin Letter Small Capital Ou'}, {code: '\u1D16', name: 'Latin Small Letter Top Half O'}, {code: '\u1D17', name: 'Latin Small Letter Bottom Half O'}, {code: '\u1D18', name: 'Latin Letter Small Capital P'}, {code: '\u1D19', name: 'Latin Letter Small Capital Reversed R'}, {code: '\u1D1A', name: 'Latin Letter Small Capital Turned R'}, {code: '\u1D1B', name: 'Latin Letter Small Capital T'}, {code: '\u1D1C', name: 'Latin Letter Small Capital U'}, {code: '\u1D1D', name: 'Latin Small Letter Sideways U'}, {code: '\u1D1E', name: 'Latin Small Letter Sideways Diaeresized U'}, {code: '\u1D1F', name: 'Latin Small Letter Sideways Turned M'}, {code: '\u1D20', name: 'Latin Letter Small Capital V'}, {code: '\u1D21', name: 'Latin Letter Small Capital W'}, {code: '\u1D22', name: 'Latin Letter Small Capital Z'}, {code: '\u1D23', name: 'Latin Letter Small Capital Ezh'}, {code: '\u1D24', name: 'Latin Letter Voiced Laryngeal Spirant'}, {code: '\u1D25', name: 'Latin Letter Ain'}, {code: '\u1D26', name: 'Greek Letter Small Capital Gamma'}, {code: '\u1D27', name: 'Greek Letter Small Capital Lamda'}, {code: '\u1D28', name: 'Greek Letter Small Capital Pi'}, {code: '\u1D29', name: 'Greek Letter Small Capital Rho'}, {code: '\u1D2A', name: 'Greek Letter Small Capital Psi'}, {code: '\u1D2B', name: 'Cyrillic Letter Small Capital El'}, {code: '\u1D2C', name: 'Modifier Letter Capital A'}, {code: '\u1D2D', name: 'Modifier Letter Capital Ae'}, {code: '\u1D2E', name: 'Modifier Letter Capital B'}, {code: '\u1D2F', name: 'Modifier Letter Capital Barred B'}, {code: '\u1D30', name: 'Modifier Letter Capital D'}, {code: '\u1D31', name: 'Modifier Letter Capital E'}, {code: '\u1D32', name: 'Modifier Letter Capital Reversed E'}, {code: '\u1D33', name: 'Modifier Letter Capital G'}, {code: '\u1D34', name: 'Modifier Letter Capital H'}, {code: '\u1D35', name: 'Modifier Letter Capital I'}, {code: '\u1D36', name: 'Modifier Letter Capital J'}, {code: '\u1D37', name: 'Modifier Letter Capital K'}, {code: '\u1D38', name: 'Modifier Letter Capital L'}, {code: '\u1D39', name: 'Modifier Letter Capital M'}, {code: '\u1D3A', name: 'Modifier Letter Capital N'}, {code: '\u1D3B', name: 'Modifier Letter Capital Reversed N'}, {code: '\u1D3C', name: 'Modifier Letter Capital O'}, {code: '\u1D3D', name: 'Modifier Letter Capital Ou'}, {code: '\u1D3E', name: 'Modifier Letter Capital P'}, {code: '\u1D3F', name: 'Modifier Letter Capital R'}, {code: '\u1D40', name: 'Modifier Letter Capital T'}, {code: '\u1D41', name: 'Modifier Letter Capital U'}, {code: '\u1D42', name: 'Modifier Letter Capital W'}, {code: '\u1D43', name: 'Modifier Letter Small A'}, {code: '\u1D44', name: 'Modifier Letter Small Turned A'}, {code: '\u1D45', name: 'Modifier Letter Small Alpha'}, {code: '\u1D46', name: 'Modifier Letter Small Turned Ae'}, {code: '\u1D47', name: 'Modifier Letter Small B'}, {code: '\u1D48', name: 'Modifier Letter Small D'}, {code: '\u1D49', name: 'Modifier Letter Small E'}, {code: '\u1D4A', name: 'Modifier Letter Small Schwa'}, {code: '\u1D4B', name: 'Modifier Letter Small Open E'}, {code: '\u1D4C', name: 'Modifier Letter Small Turned Open E'}, {code: '\u1D4D', name: 'Modifier Letter Small G'}, {code: '\u1D4E', name: 'Modifier Letter Small Turned I'}, {code: '\u1D4F', name: 'Modifier Letter Small K'}, {code: '\u1D50', name: 'Modifier Letter Small M'}, {code: '\u1D51', name: 'Modifier Letter Small Eng'}, {code: '\u1D52', name: 'Modifier Letter Small O'}, {code: '\u1D53', name: 'Modifier Letter Small Open O'}, {code: '\u1D54', name: 'Modifier Letter Small Top Half O'}, {code: '\u1D55', name: 'Modifier Letter Small Bottom Half O'}, {code: '\u1D56', name: 'Modifier Letter Small P'}, {code: '\u1D57', name: 'Modifier Letter Small T'}, {code: '\u1D58', name: 'Modifier Letter Small U'}, {code: '\u1D59', name: 'Modifier Letter Small Sideways U'}, {code: '\u1D5A', name: 'Modifier Letter Small Turned M'}, {code: '\u1D5B', name: 'Modifier Letter Small V'}, {code: '\u1D5C', name: 'Modifier Letter Small Ain'}, {code: '\u1D5D', name: 'Modifier Letter Small Beta'}, {code: '\u1D5E', name: 'Modifier Letter Small Greek Gamma'}, {code: '\u1D5F', name: 'Modifier Letter Small Delta'}, {code: '\u1D60', name: 'Modifier Letter Small Greek Phi'}, {code: '\u1D61', name: 'Modifier Letter Small Chi'}, {code: '\u1D62', name: 'Latin Subscript Small Letter I'}, {code: '\u1D63', name: 'Latin Subscript Small Letter R'}, {code: '\u1D64', name: 'Latin Subscript Small Letter U'}, {code: '\u1D65', name: 'Latin Subscript Small Letter V'}, {code: '\u1D66', name: 'Greek Subscript Small Letter Beta'}, {code: '\u1D67', name: 'Greek Subscript Small Letter Gamma'}, {code: '\u1D68', name: 'Greek Subscript Small Letter Rho'}, {code: '\u1D69', name: 'Greek Subscript Small Letter Phi'}, {code: '\u1D6A', name: 'Greek Subscript Small Letter Chi'}, {code: '\u1D6B', name: 'Latin Small Letter Ue'}, {code: '\u1D6C', name: 'Latin Small Letter B With Middle Tilde'}, {code: '\u1D6D', name: 'Latin Small Letter D With Middle Tilde'}, {code: '\u1D6E', name: 'Latin Small Letter F With Middle Tilde'}, {code: '\u1D6F', name: 'Latin Small Letter M With Middle Tilde'}, {code: '\u1D70', name: 'Latin Small Letter N With Middle Tilde'}, {code: '\u1D71', name: 'Latin Small Letter P With Middle Tilde'}, {code: '\u1D72', name: 'Latin Small Letter R With Middle Tilde'}, {code: '\u1D73', name: 'Latin Small Letter R With Fishhook And Middle Tilde'}, {code: '\u1D74', name: 'Latin Small Letter S With Middle Tilde'}, {code: '\u1D75', name: 'Latin Small Letter T With Middle Tilde'}, {code: '\u1D76', name: 'Latin Small Letter Z With Middle Tilde'}, {code: '\u1D77', name: 'Latin Small Letter Turned G'}, {code: '\u1D78', name: 'Modifier Letter Cyrillic En'}, {code: '\u1D79', name: 'Latin Small Letter Insular G'}, {code: '\u1D7A', name: 'Latin Small Letter Th With Strikethrough'}, {code: '\u1D7B', name: 'Latin Small Capital Letter I With Stroke'}, {code: '\u1D7C', name: 'Latin Small Letter Iota With Stroke'}, {code: '\u1D7D', name: 'Latin Small Letter P With Stroke'}, {code: '\u1D7E', name: 'Latin Small Capital Letter U With Stroke'}, {code: '\u1D7F', name: 'Latin Small Letter Upsilon With Stroke'}]
		},
		{
			category: "Phonetic Extensions Supplement",
			chars: [{code: '\u1D80', name: 'Latin Small Letter B With Palatal Hook'}, {code: '\u1D81', name: 'Latin Small Letter D With Palatal Hook'}, {code: '\u1D82', name: 'Latin Small Letter F With Palatal Hook'}, {code: '\u1D83', name: 'Latin Small Letter G With Palatal Hook'}, {code: '\u1D84', name: 'Latin Small Letter K With Palatal Hook'}, {code: '\u1D85', name: 'Latin Small Letter L With Palatal Hook'}, {code: '\u1D86', name: 'Latin Small Letter M With Palatal Hook'}, {code: '\u1D87', name: 'Latin Small Letter N With Palatal Hook'}, {code: '\u1D88', name: 'Latin Small Letter P With Palatal Hook'}, {code: '\u1D89', name: 'Latin Small Letter R With Palatal Hook'}, {code: '\u1D8A', name: 'Latin Small Letter S With Palatal Hook'}, {code: '\u1D8B', name: 'Latin Small Letter Esh With Palatal Hook'}, {code: '\u1D8C', name: 'Latin Small Letter V With Palatal Hook'}, {code: '\u1D8D', name: 'Latin Small Letter X With Palatal Hook'}, {code: '\u1D8E', name: 'Latin Small Letter Z With Palatal Hook'}, {code: '\u1D8F', name: 'Latin Small Letter A With Retroflex Hook'}, {code: '\u1D90', name: 'Latin Small Letter Alpha With Retroflex Hook'}, {code: '\u1D91', name: 'Latin Small Letter D With Hook And Tail'}, {code: '\u1D92', name: 'Latin Small Letter E With Retroflex Hook'}, {code: '\u1D93', name: 'Latin Small Letter Open E With Retroflex Hook'}, {code: '\u1D94', name: 'Latin Small Letter Reversed Open E With Retroflex Hook'}, {code: '\u1D95', name: 'Latin Small Letter Schwa With Retroflex Hook'}, {code: '\u1D96', name: 'Latin Small Letter I With Retroflex Hook'}, {code: '\u1D97', name: 'Latin Small Letter Open O With Retroflex Hook'}, {code: '\u1D98', name: 'Latin Small Letter Esh With Retroflex Hook'}, {code: '\u1D99', name: 'Latin Small Letter U With Retroflex Hook'}, {code: '\u1D9A', name: 'Latin Small Letter Ezh With Retroflex Hook'}, {code: '\u1D9B', name: 'Modifier Letter Small Turned Alpha'}, {code: '\u1D9C', name: 'Modifier Letter Small C'}, {code: '\u1D9D', name: 'Modifier Letter Small C With Curl'}, {code: '\u1D9E', name: 'Modifier Letter Small Eth'}, {code: '\u1D9F', name: 'Modifier Letter Small Reversed Open E'}, {code: '\u1DA0', name: 'Modifier Letter Small F'}, {code: '\u1DA1', name: 'Modifier Letter Small Dotless J With Stroke'}, {code: '\u1DA2', name: 'Modifier Letter Small Script G'}, {code: '\u1DA3', name: 'Modifier Letter Small Turned H'}, {code: '\u1DA4', name: 'Modifier Letter Small I With Stroke'}, {code: '\u1DA5', name: 'Modifier Letter Small Iota'}, {code: '\u1DA6', name: 'Modifier Letter Small Capital I'}, {code: '\u1DA7', name: 'Modifier Letter Small Capital I With Stroke'}, {code: '\u1DA8', name: 'Modifier Letter Small J With Crossed-tail'}, {code: '\u1DA9', name: 'Modifier Letter Small L With Retroflex Hook'}, {code: '\u1DAA', name: 'Modifier Letter Small L With Palatal Hook'}, {code: '\u1DAB', name: 'Modifier Letter Small Capital L'}, {code: '\u1DAC', name: 'Modifier Letter Small M With Hook'}, {code: '\u1DAD', name: 'Modifier Letter Small Turned M With Long Leg'}, {code: '\u1DAE', name: 'Modifier Letter Small N With Left Hook'}, {code: '\u1DAF', name: 'Modifier Letter Small N With Retroflex Hook'}, {code: '\u1DB0', name: 'Modifier Letter Small Capital N'}, {code: '\u1DB1', name: 'Modifier Letter Small Barred O'}, {code: '\u1DB2', name: 'Modifier Letter Small Phi'}, {code: '\u1DB3', name: 'Modifier Letter Small S With Hook'}, {code: '\u1DB4', name: 'Modifier Letter Small Esh'}, {code: '\u1DB5', name: 'Modifier Letter Small T With Palatal Hook'}, {code: '\u1DB6', name: 'Modifier Letter Small U Bar'}, {code: '\u1DB7', name: 'Modifier Letter Small Upsilon'}, {code: '\u1DB8', name: 'Modifier Letter Small Capital U'}, {code: '\u1DB9', name: 'Modifier Letter Small V With Hook'}, {code: '\u1DBA', name: 'Modifier Letter Small Turned V'}, {code: '\u1DBB', name: 'Modifier Letter Small Z'}, {code: '\u1DBC', name: 'Modifier Letter Small Z With Retroflex Hook'}, {code: '\u1DBD', name: 'Modifier Letter Small Z With Curl'}, {code: '\u1DBE', name: 'Modifier Letter Small Ezh'}, {code: '\u1DBF', name: 'Modifier Letter Small Theta'}]
		},
		{
			category: "Combining Diacritical Marks Supplement",
			chars: [{code: '\u1DC0', name: 'Combining Dotted Grave Accent'}, {code: '\u1DC1', name: 'Combining Dotted Acute Accent'}, {code: '\u1DC2', name: 'Combining Snake Below'}, {code: '\u1DC3', name: 'Combining Suspension Mark'}, {code: '\u1DC4', name: 'Combining Macron-acute'}, {code: '\u1DC5', name: 'Combining Grave-macron'}, {code: '\u1DC6', name: 'Combining Macron-grave'}, {code: '\u1DC7', name: 'Combining Acute-macron'}, {code: '\u1DC8', name: 'Combining Grave-acute-grave'}, {code: '\u1DC9', name: 'Combining Acute-grave-acute'}, {code: '\u1DCA', name: 'Combining Latin Small Letter R Below'}, {code: '\u1DCB', name: 'Combining Breve-macron'}, {code: '\u1DCC', name: 'Combining Macron-breve'}, {code: '\u1DCD', name: 'Combining Double Circumflex Above'}, {code: '\u1DCE', name: 'Combining Ogonek Above'}, {code: '\u1DCF', name: 'Combining Zigzag Below'}, {code: '\u1DD0', name: 'Combining Is Below'}, {code: '\u1DD1', name: 'Combining Ur Above'}, {code: '\u1DD2', name: 'Combining Us Above'}, {code: '\u1DD3', name: 'Combining Latin Small Letter Flattened Open A Above'}, {code: '\u1DD4', name: 'Combining Latin Small Letter Ae'}, {code: '\u1DD5', name: 'Combining Latin Small Letter Ao'}, {code: '\u1DD6', name: 'Combining Latin Small Letter Av'}, {code: '\u1DD7', name: 'Combining Latin Small Letter C Cedilla'}, {code: '\u1DD8', name: 'Combining Latin Small Letter Insular D'}, {code: '\u1DD9', name: 'Combining Latin Small Letter Eth'}, {code: '\u1DDA', name: 'Combining Latin Small Letter G'}, {code: '\u1DDB', name: 'Combining Latin Letter Small Capital G'}, {code: '\u1DDC', name: 'Combining Latin Small Letter K'}, {code: '\u1DDD', name: 'Combining Latin Small Letter L'}, {code: '\u1DDE', name: 'Combining Latin Letter Small Capital L'}, {code: '\u1DDF', name: 'Combining Latin Letter Small Capital M'}, {code: '\u1DE0', name: 'Combining Latin Small Letter N'}, {code: '\u1DE1', name: 'Combining Latin Letter Small Capital N'}, {code: '\u1DE2', name: 'Combining Latin Letter Small Capital R'}, {code: '\u1DE3', name: 'Combining Latin Small Letter R Rotunda'}, {code: '\u1DE4', name: 'Combining Latin Small Letter S'}, {code: '\u1DE5', name: 'Combining Latin Small Letter Long S'}, {code: '\u1DE6', name: 'Combining Latin Small Letter Z'}, {code: '\u1DE7', name: 'Combining Latin Small Letter Alpha'}, {code: '\u1DE8', name: 'Combining Latin Small Letter B'}, {code: '\u1DE9', name: 'Combining Latin Small Letter Beta'}, {code: '\u1DEA', name: 'Combining Latin Small Letter Schwa'}, {code: '\u1DEB', name: 'Combining Latin Small Letter F'}, {code: '\u1DEC', name: 'Combining Latin Small Letter L With Double Middle Tilde'}, {code: '\u1DED', name: 'Combining Latin Small Letter O With Light Centralization Stroke'}, {code: '\u1DEE', name: 'Combining Latin Small Letter P'}, {code: '\u1DEF', name: 'Combining Latin Small Letter Esh'}, {code: '\u1DF0', name: 'Combining Latin Small Letter U With Light Centralization Stroke'}, {code: '\u1DF1', name: 'Combining Latin Small Letter W'}, {code: '\u1DF2', name: 'Combining Latin Small Letter A With Diaeresis'}, {code: '\u1DF3', name: 'Combining Latin Small Letter O With Diaeresis'}, {code: '\u1DF4', name: 'Combining Latin Small Letter U With Diaeresis'}, {code: '\u1DF5', name: 'Combining Up Tack Above'}, {code: '\u1DF6', name: 'Combining Kavyka Above Right'}, {code: '\u1DF7', name: 'Combining Kavyka Above Left'}, {code: '\u1DF8', name: 'Combining Dot Above Left'}, {code: '\u1DF9', name: 'Combining Wide Inverted Bridge Below'}, {code: '\u1DFB', name: 'Combining Deletion Mark'}, {code: '\u1DFC', name: 'Combining Double Inverted Breve Below'}, {code: '\u1DFD', name: 'Combining Almost Equal To Below'}, {code: '\u1DFE', name: 'Combining Left Arrowhead Above'}, {code: '\u1DFF', name: 'Combining Right Arrowhead And Down Arrowhead Below'}]
		},
		{
			category: "Latin Extended Additional",
			chars: [{code: '\u1E00', name: 'Latin Capital Letter A With Ring Below'}, {code: '\u1E01', name: 'Latin Small Letter A With Ring Below'}, {code: '\u1E02', name: 'Latin Capital Letter B With Dot Above'}, {code: '\u1E03', name: 'Latin Small Letter B With Dot Above'}, {code: '\u1E04', name: 'Latin Capital Letter B With Dot Below'}, {code: '\u1E05', name: 'Latin Small Letter B With Dot Below'}, {code: '\u1E06', name: 'Latin Capital Letter B With Line Below'}, {code: '\u1E07', name: 'Latin Small Letter B With Line Below'}, {code: '\u1E08', name: 'Latin Capital Letter C With Cedilla And Acute'}, {code: '\u1E09', name: 'Latin Small Letter C With Cedilla And Acute'}, {code: '\u1E0A', name: 'Latin Capital Letter D With Dot Above'}, {code: '\u1E0B', name: 'Latin Small Letter D With Dot Above'}, {code: '\u1E0C', name: 'Latin Capital Letter D With Dot Below'}, {code: '\u1E0D', name: 'Latin Small Letter D With Dot Below'}, {code: '\u1E0E', name: 'Latin Capital Letter D With Line Below'}, {code: '\u1E0F', name: 'Latin Small Letter D With Line Below'}, {code: '\u1E10', name: 'Latin Capital Letter D With Cedilla'}, {code: '\u1E11', name: 'Latin Small Letter D With Cedilla'}, {code: '\u1E12', name: 'Latin Capital Letter D With Circumflex Below'}, {code: '\u1E13', name: 'Latin Small Letter D With Circumflex Below'}, {code: '\u1E14', name: 'Latin Capital Letter E With Macron And Grave'}, {code: '\u1E15', name: 'Latin Small Letter E With Macron And Grave'}, {code: '\u1E16', name: 'Latin Capital Letter E With Macron And Acute'}, {code: '\u1E17', name: 'Latin Small Letter E With Macron And Acute'}, {code: '\u1E18', name: 'Latin Capital Letter E With Circumflex Below'}, {code: '\u1E19', name: 'Latin Small Letter E With Circumflex Below'}, {code: '\u1E1A', name: 'Latin Capital Letter E With Tilde Below'}, {code: '\u1E1B', name: 'Latin Small Letter E With Tilde Below'}, {code: '\u1E1C', name: 'Latin Capital Letter E With Cedilla And Breve'}, {code: '\u1E1D', name: 'Latin Small Letter E With Cedilla And Breve'}, {code: '\u1E1E', name: 'Latin Capital Letter F With Dot Above'}, {code: '\u1E1F', name: 'Latin Small Letter F With Dot Above'}, {code: '\u1E20', name: 'Latin Capital Letter G With Macron'}, {code: '\u1E21', name: 'Latin Small Letter G With Macron'}, {code: '\u1E22', name: 'Latin Capital Letter H With Dot Above'}, {code: '\u1E23', name: 'Latin Small Letter H With Dot Above'}, {code: '\u1E24', name: 'Latin Capital Letter H With Dot Below'}, {code: '\u1E25', name: 'Latin Small Letter H With Dot Below'}, {code: '\u1E26', name: 'Latin Capital Letter H With Diaeresis'}, {code: '\u1E27', name: 'Latin Small Letter H With Diaeresis'}, {code: '\u1E28', name: 'Latin Capital Letter H With Cedilla'}, {code: '\u1E29', name: 'Latin Small Letter H With Cedilla'}, {code: '\u1E2A', name: 'Latin Capital Letter H With Breve Below'}, {code: '\u1E2B', name: 'Latin Small Letter H With Breve Below'}, {code: '\u1E2C', name: 'Latin Capital Letter I With Tilde Below'}, {code: '\u1E2D', name: 'Latin Small Letter I With Tilde Below'}, {code: '\u1E2E', name: 'Latin Capital Letter I With Diaeresis And Acute'}, {code: '\u1E2F', name: 'Latin Small Letter I With Diaeresis And Acute'}, {code: '\u1E30', name: 'Latin Capital Letter K With Acute'}, {code: '\u1E31', name: 'Latin Small Letter K With Acute'}, {code: '\u1E32', name: 'Latin Capital Letter K With Dot Below'}, {code: '\u1E33', name: 'Latin Small Letter K With Dot Below'}, {code: '\u1E34', name: 'Latin Capital Letter K With Line Below'}, {code: '\u1E35', name: 'Latin Small Letter K With Line Below'}, {code: '\u1E36', name: 'Latin Capital Letter L With Dot Below'}, {code: '\u1E37', name: 'Latin Small Letter L With Dot Below'}, {code: '\u1E38', name: 'Latin Capital Letter L With Dot Below And Macron'}, {code: '\u1E39', name: 'Latin Small Letter L With Dot Below And Macron'}, {code: '\u1E3A', name: 'Latin Capital Letter L With Line Below'}, {code: '\u1E3B', name: 'Latin Small Letter L With Line Below'}, {code: '\u1E3C', name: 'Latin Capital Letter L With Circumflex Below'}, {code: '\u1E3D', name: 'Latin Small Letter L With Circumflex Below'}, {code: '\u1E3E', name: 'Latin Capital Letter M With Acute'}, {code: '\u1E3F', name: 'Latin Small Letter M With Acute'}, {code: '\u1E40', name: 'Latin Capital Letter M With Dot Above'}, {code: '\u1E41', name: 'Latin Small Letter M With Dot Above'}, {code: '\u1E42', name: 'Latin Capital Letter M With Dot Below'}, {code: '\u1E43', name: 'Latin Small Letter M With Dot Below'}, {code: '\u1E44', name: 'Latin Capital Letter N With Dot Above'}, {code: '\u1E45', name: 'Latin Small Letter N With Dot Above'}, {code: '\u1E46', name: 'Latin Capital Letter N With Dot Below'}, {code: '\u1E47', name: 'Latin Small Letter N With Dot Below'}, {code: '\u1E48', name: 'Latin Capital Letter N With Line Below'}, {code: '\u1E49', name: 'Latin Small Letter N With Line Below'}, {code: '\u1E4A', name: 'Latin Capital Letter N With Circumflex Below'}, {code: '\u1E4B', name: 'Latin Small Letter N With Circumflex Below'}, {code: '\u1E4C', name: 'Latin Capital Letter O With Tilde And Acute'}, {code: '\u1E4D', name: 'Latin Small Letter O With Tilde And Acute'}, {code: '\u1E4E', name: 'Latin Capital Letter O With Tilde And Diaeresis'}, {code: '\u1E4F', name: 'Latin Small Letter O With Tilde And Diaeresis'}, {code: '\u1E50', name: 'Latin Capital Letter O With Macron And Grave'}, {code: '\u1E51', name: 'Latin Small Letter O With Macron And Grave'}, {code: '\u1E52', name: 'Latin Capital Letter O With Macron And Acute'}, {code: '\u1E53', name: 'Latin Small Letter O With Macron And Acute'}, {code: '\u1E54', name: 'Latin Capital Letter P With Acute'}, {code: '\u1E55', name: 'Latin Small Letter P With Acute'}, {code: '\u1E56', name: 'Latin Capital Letter P With Dot Above'}, {code: '\u1E57', name: 'Latin Small Letter P With Dot Above'}, {code: '\u1E58', name: 'Latin Capital Letter R With Dot Above'}, {code: '\u1E59', name: 'Latin Small Letter R With Dot Above'}, {code: '\u1E5A', name: 'Latin Capital Letter R With Dot Below'}, {code: '\u1E5B', name: 'Latin Small Letter R With Dot Below'}, {code: '\u1E5C', name: 'Latin Capital Letter R With Dot Below And Macron'}, {code: '\u1E5D', name: 'Latin Small Letter R With Dot Below And Macron'}, {code: '\u1E5E', name: 'Latin Capital Letter R With Line Below'}, {code: '\u1E5F', name: 'Latin Small Letter R With Line Below'}, {code: '\u1E60', name: 'Latin Capital Letter S With Dot Above'}, {code: '\u1E61', name: 'Latin Small Letter S With Dot Above'}, {code: '\u1E62', name: 'Latin Capital Letter S With Dot Below'}, {code: '\u1E63', name: 'Latin Small Letter S With Dot Below'}, {code: '\u1E64', name: 'Latin Capital Letter S With Acute And Dot Above'}, {code: '\u1E65', name: 'Latin Small Letter S With Acute And Dot Above'}, {code: '\u1E66', name: 'Latin Capital Letter S With Caron And Dot Above'}, {code: '\u1E67', name: 'Latin Small Letter S With Caron And Dot Above'}, {code: '\u1E68', name: 'Latin Capital Letter S With Dot Below And Dot Above'}, {code: '\u1E69', name: 'Latin Small Letter S With Dot Below And Dot Above'}, {code: '\u1E6A', name: 'Latin Capital Letter T With Dot Above'}, {code: '\u1E6B', name: 'Latin Small Letter T With Dot Above'}, {code: '\u1E6C', name: 'Latin Capital Letter T With Dot Below'}, {code: '\u1E6D', name: 'Latin Small Letter T With Dot Below'}, {code: '\u1E6E', name: 'Latin Capital Letter T With Line Below'}, {code: '\u1E6F', name: 'Latin Small Letter T With Line Below'}, {code: '\u1E70', name: 'Latin Capital Letter T With Circumflex Below'}, {code: '\u1E71', name: 'Latin Small Letter T With Circumflex Below'}, {code: '\u1E72', name: 'Latin Capital Letter U With Diaeresis Below'}, {code: '\u1E73', name: 'Latin Small Letter U With Diaeresis Below'}, {code: '\u1E74', name: 'Latin Capital Letter U With Tilde Below'}, {code: '\u1E75', name: 'Latin Small Letter U With Tilde Below'}, {code: '\u1E76', name: 'Latin Capital Letter U With Circumflex Below'}, {code: '\u1E77', name: 'Latin Small Letter U With Circumflex Below'}, {code: '\u1E78', name: 'Latin Capital Letter U With Tilde And Acute'}, {code: '\u1E79', name: 'Latin Small Letter U With Tilde And Acute'}, {code: '\u1E7A', name: 'Latin Capital Letter U With Macron And Diaeresis'}, {code: '\u1E7B', name: 'Latin Small Letter U With Macron And Diaeresis'}, {code: '\u1E7C', name: 'Latin Capital Letter V With Tilde'}, {code: '\u1E7D', name: 'Latin Small Letter V With Tilde'}, {code: '\u1E7E', name: 'Latin Capital Letter V With Dot Below'}, {code: '\u1E7F', name: 'Latin Small Letter V With Dot Below'}, {code: '\u1E80', name: 'Latin Capital Letter W With Grave'}, {code: '\u1E81', name: 'Latin Small Letter W With Grave'}, {code: '\u1E82', name: 'Latin Capital Letter W With Acute'}, {code: '\u1E83', name: 'Latin Small Letter W With Acute'}, {code: '\u1E84', name: 'Latin Capital Letter W With Diaeresis'}, {code: '\u1E85', name: 'Latin Small Letter W With Diaeresis'}, {code: '\u1E86', name: 'Latin Capital Letter W With Dot Above'}, {code: '\u1E87', name: 'Latin Small Letter W With Dot Above'}, {code: '\u1E88', name: 'Latin Capital Letter W With Dot Below'}, {code: '\u1E89', name: 'Latin Small Letter W With Dot Below'}, {code: '\u1E8A', name: 'Latin Capital Letter X With Dot Above'}, {code: '\u1E8B', name: 'Latin Small Letter X With Dot Above'}, {code: '\u1E8C', name: 'Latin Capital Letter X With Diaeresis'}, {code: '\u1E8D', name: 'Latin Small Letter X With Diaeresis'}, {code: '\u1E8E', name: 'Latin Capital Letter Y With Dot Above'}, {code: '\u1E8F', name: 'Latin Small Letter Y With Dot Above'}, {code: '\u1E90', name: 'Latin Capital Letter Z With Circumflex'}, {code: '\u1E91', name: 'Latin Small Letter Z With Circumflex'}, {code: '\u1E92', name: 'Latin Capital Letter Z With Dot Below'}, {code: '\u1E93', name: 'Latin Small Letter Z With Dot Below'}, {code: '\u1E94', name: 'Latin Capital Letter Z With Line Below'}, {code: '\u1E95', name: 'Latin Small Letter Z With Line Below'}, {code: '\u1E96', name: 'Latin Small Letter H With Line Below'}, {code: '\u1E97', name: 'Latin Small Letter T With Diaeresis'}, {code: '\u1E98', name: 'Latin Small Letter W With Ring Above'}, {code: '\u1E99', name: 'Latin Small Letter Y With Ring Above'}, {code: '\u1E9A', name: 'Latin Small Letter A With Right Half Ring'}, {code: '\u1E9B', name: 'Latin Small Letter Long S With Dot Above'}, {code: '\u1E9C', name: 'Latin Small Letter Long S With Diagonal Stroke'}, {code: '\u1E9D', name: 'Latin Small Letter Long S With High Stroke'}, {code: '\u1E9E', name: 'Latin Capital Letter Sharp S'}, {code: '\u1E9F', name: 'Latin Small Letter Delta'}, {code: '\u1EA0', name: 'Latin Capital Letter A With Dot Below'}, {code: '\u1EA1', name: 'Latin Small Letter A With Dot Below'}, {code: '\u1EA2', name: 'Latin Capital Letter A With Hook Above'}, {code: '\u1EA3', name: 'Latin Small Letter A With Hook Above'}, {code: '\u1EA4', name: 'Latin Capital Letter A With Circumflex And Acute'}, {code: '\u1EA5', name: 'Latin Small Letter A With Circumflex And Acute'}, {code: '\u1EA6', name: 'Latin Capital Letter A With Circumflex And Grave'}, {code: '\u1EA7', name: 'Latin Small Letter A With Circumflex And Grave'}, {code: '\u1EA8', name: 'Latin Capital Letter A With Circumflex And Hook Above'}, {code: '\u1EA9', name: 'Latin Small Letter A With Circumflex And Hook Above'}, {code: '\u1EAA', name: 'Latin Capital Letter A With Circumflex And Tilde'}, {code: '\u1EAB', name: 'Latin Small Letter A With Circumflex And Tilde'}, {code: '\u1EAC', name: 'Latin Capital Letter A With Circumflex And Dot Below'}, {code: '\u1EAD', name: 'Latin Small Letter A With Circumflex And Dot Below'}, {code: '\u1EAE', name: 'Latin Capital Letter A With Breve And Acute'}, {code: '\u1EAF', name: 'Latin Small Letter A With Breve And Acute'}, {code: '\u1EB0', name: 'Latin Capital Letter A With Breve And Grave'}, {code: '\u1EB1', name: 'Latin Small Letter A With Breve And Grave'}, {code: '\u1EB2', name: 'Latin Capital Letter A With Breve And Hook Above'}, {code: '\u1EB3', name: 'Latin Small Letter A With Breve And Hook Above'}, {code: '\u1EB4', name: 'Latin Capital Letter A With Breve And Tilde'}, {code: '\u1EB5', name: 'Latin Small Letter A With Breve And Tilde'}, {code: '\u1EB6', name: 'Latin Capital Letter A With Breve And Dot Below'}, {code: '\u1EB7', name: 'Latin Small Letter A With Breve And Dot Below'}, {code: '\u1EB8', name: 'Latin Capital Letter E With Dot Below'}, {code: '\u1EB9', name: 'Latin Small Letter E With Dot Below'}, {code: '\u1EBA', name: 'Latin Capital Letter E With Hook Above'}, {code: '\u1EBB', name: 'Latin Small Letter E With Hook Above'}, {code: '\u1EBC', name: 'Latin Capital Letter E With Tilde'}, {code: '\u1EBD', name: 'Latin Small Letter E With Tilde'}, {code: '\u1EBE', name: 'Latin Capital Letter E With Circumflex And Acute'}, {code: '\u1EBF', name: 'Latin Small Letter E With Circumflex And Acute'}, {code: '\u1EC0', name: 'Latin Capital Letter E With Circumflex And Grave'}, {code: '\u1EC1', name: 'Latin Small Letter E With Circumflex And Grave'}, {code: '\u1EC2', name: 'Latin Capital Letter E With Circumflex And Hook Above'}, {code: '\u1EC3', name: 'Latin Small Letter E With Circumflex And Hook Above'}, {code: '\u1EC4', name: 'Latin Capital Letter E With Circumflex And Tilde'}, {code: '\u1EC5', name: 'Latin Small Letter E With Circumflex And Tilde'}, {code: '\u1EC6', name: 'Latin Capital Letter E With Circumflex And Dot Below'}, {code: '\u1EC7', name: 'Latin Small Letter E With Circumflex And Dot Below'}, {code: '\u1EC8', name: 'Latin Capital Letter I With Hook Above'}, {code: '\u1EC9', name: 'Latin Small Letter I With Hook Above'}, {code: '\u1ECA', name: 'Latin Capital Letter I With Dot Below'}, {code: '\u1ECB', name: 'Latin Small Letter I With Dot Below'}, {code: '\u1ECC', name: 'Latin Capital Letter O With Dot Below'}, {code: '\u1ECD', name: 'Latin Small Letter O With Dot Below'}, {code: '\u1ECE', name: 'Latin Capital Letter O With Hook Above'}, {code: '\u1ECF', name: 'Latin Small Letter O With Hook Above'}, {code: '\u1ED0', name: 'Latin Capital Letter O With Circumflex And Acute'}, {code: '\u1ED1', name: 'Latin Small Letter O With Circumflex And Acute'}, {code: '\u1ED2', name: 'Latin Capital Letter O With Circumflex And Grave'}, {code: '\u1ED3', name: 'Latin Small Letter O With Circumflex And Grave'}, {code: '\u1ED4', name: 'Latin Capital Letter O With Circumflex And Hook Above'}, {code: '\u1ED5', name: 'Latin Small Letter O With Circumflex And Hook Above'}, {code: '\u1ED6', name: 'Latin Capital Letter O With Circumflex And Tilde'}, {code: '\u1ED7', name: 'Latin Small Letter O With Circumflex And Tilde'}, {code: '\u1ED8', name: 'Latin Capital Letter O With Circumflex And Dot Below'}, {code: '\u1ED9', name: 'Latin Small Letter O With Circumflex And Dot Below'}, {code: '\u1EDA', name: 'Latin Capital Letter O With Horn And Acute'}, {code: '\u1EDB', name: 'Latin Small Letter O With Horn And Acute'}, {code: '\u1EDC', name: 'Latin Capital Letter O With Horn And Grave'}, {code: '\u1EDD', name: 'Latin Small Letter O With Horn And Grave'}, {code: '\u1EDE', name: 'Latin Capital Letter O With Horn And Hook Above'}, {code: '\u1EDF', name: 'Latin Small Letter O With Horn And Hook Above'}, {code: '\u1EE0', name: 'Latin Capital Letter O With Horn And Tilde'}, {code: '\u1EE1', name: 'Latin Small Letter O With Horn And Tilde'}, {code: '\u1EE2', name: 'Latin Capital Letter O With Horn And Dot Below'}, {code: '\u1EE3', name: 'Latin Small Letter O With Horn And Dot Below'}, {code: '\u1EE4', name: 'Latin Capital Letter U With Dot Below'}, {code: '\u1EE5', name: 'Latin Small Letter U With Dot Below'}, {code: '\u1EE6', name: 'Latin Capital Letter U With Hook Above'}, {code: '\u1EE7', name: 'Latin Small Letter U With Hook Above'}, {code: '\u1EE8', name: 'Latin Capital Letter U With Horn And Acute'}, {code: '\u1EE9', name: 'Latin Small Letter U With Horn And Acute'}, {code: '\u1EEA', name: 'Latin Capital Letter U With Horn And Grave'}, {code: '\u1EEB', name: 'Latin Small Letter U With Horn And Grave'}, {code: '\u1EEC', name: 'Latin Capital Letter U With Horn And Hook Above'}, {code: '\u1EED', name: 'Latin Small Letter U With Horn And Hook Above'}, {code: '\u1EEE', name: 'Latin Capital Letter U With Horn And Tilde'}, {code: '\u1EEF', name: 'Latin Small Letter U With Horn And Tilde'}, {code: '\u1EF0', name: 'Latin Capital Letter U With Horn And Dot Below'}, {code: '\u1EF1', name: 'Latin Small Letter U With Horn And Dot Below'}, {code: '\u1EF2', name: 'Latin Capital Letter Y With Grave'}, {code: '\u1EF3', name: 'Latin Small Letter Y With Grave'}, {code: '\u1EF4', name: 'Latin Capital Letter Y With Dot Below'}, {code: '\u1EF5', name: 'Latin Small Letter Y With Dot Below'}, {code: '\u1EF6', name: 'Latin Capital Letter Y With Hook Above'}, {code: '\u1EF7', name: 'Latin Small Letter Y With Hook Above'}, {code: '\u1EF8', name: 'Latin Capital Letter Y With Tilde'}, {code: '\u1EF9', name: 'Latin Small Letter Y With Tilde'}, {code: '\u1EFA', name: 'Latin Capital Letter Middle-welsh Ll'}, {code: '\u1EFB', name: 'Latin Small Letter Middle-welsh Ll'}, {code: '\u1EFC', name: 'Latin Capital Letter Middle-welsh V'}, {code: '\u1EFD', name: 'Latin Small Letter Middle-welsh V'}, {code: '\u1EFE', name: 'Latin Capital Letter Y With Loop'}, {code: '\u1EFF', name: 'Latin Small Letter Y With Loop'}]
		},
		{
			category: "Greek Extended",
			chars: [{code: '\u1F00', name: 'Greek Small Letter Alpha With Psili'}, {code: '\u1F01', name: 'Greek Small Letter Alpha With Dasia'}, {code: '\u1F02', name: 'Greek Small Letter Alpha With Psili And Varia'}, {code: '\u1F03', name: 'Greek Small Letter Alpha With Dasia And Varia'}, {code: '\u1F04', name: 'Greek Small Letter Alpha With Psili And Oxia'}, {code: '\u1F05', name: 'Greek Small Letter Alpha With Dasia And Oxia'}, {code: '\u1F06', name: 'Greek Small Letter Alpha With Psili And Perispomeni'}, {code: '\u1F07', name: 'Greek Small Letter Alpha With Dasia And Perispomeni'}, {code: '\u1F08', name: 'Greek Capital Letter Alpha With Psili'}, {code: '\u1F09', name: 'Greek Capital Letter Alpha With Dasia'}, {code: '\u1F0A', name: 'Greek Capital Letter Alpha With Psili And Varia'}, {code: '\u1F0B', name: 'Greek Capital Letter Alpha With Dasia And Varia'}, {code: '\u1F0C', name: 'Greek Capital Letter Alpha With Psili And Oxia'}, {code: '\u1F0D', name: 'Greek Capital Letter Alpha With Dasia And Oxia'}, {code: '\u1F0E', name: 'Greek Capital Letter Alpha With Psili And Perispomeni'}, {code: '\u1F0F', name: 'Greek Capital Letter Alpha With Dasia And Perispomeni'}, {code: '\u1F10', name: 'Greek Small Letter Epsilon With Psili'}, {code: '\u1F11', name: 'Greek Small Letter Epsilon With Dasia'}, {code: '\u1F12', name: 'Greek Small Letter Epsilon With Psili And Varia'}, {code: '\u1F13', name: 'Greek Small Letter Epsilon With Dasia And Varia'}, {code: '\u1F14', name: 'Greek Small Letter Epsilon With Psili And Oxia'}, {code: '\u1F15', name: 'Greek Small Letter Epsilon With Dasia And Oxia'}, {code: '\u1F18', name: 'Greek Capital Letter Epsilon With Psili'}, {code: '\u1F19', name: 'Greek Capital Letter Epsilon With Dasia'}, {code: '\u1F1A', name: 'Greek Capital Letter Epsilon With Psili And Varia'}, {code: '\u1F1B', name: 'Greek Capital Letter Epsilon With Dasia And Varia'}, {code: '\u1F1C', name: 'Greek Capital Letter Epsilon With Psili And Oxia'}, {code: '\u1F1D', name: 'Greek Capital Letter Epsilon With Dasia And Oxia'}, {code: '\u1F20', name: 'Greek Small Letter Eta With Psili'}, {code: '\u1F21', name: 'Greek Small Letter Eta With Dasia'}, {code: '\u1F22', name: 'Greek Small Letter Eta With Psili And Varia'}, {code: '\u1F23', name: 'Greek Small Letter Eta With Dasia And Varia'}, {code: '\u1F24', name: 'Greek Small Letter Eta With Psili And Oxia'}, {code: '\u1F25', name: 'Greek Small Letter Eta With Dasia And Oxia'}, {code: '\u1F26', name: 'Greek Small Letter Eta With Psili And Perispomeni'}, {code: '\u1F27', name: 'Greek Small Letter Eta With Dasia And Perispomeni'}, {code: '\u1F28', name: 'Greek Capital Letter Eta With Psili'}, {code: '\u1F29', name: 'Greek Capital Letter Eta With Dasia'}, {code: '\u1F2A', name: 'Greek Capital Letter Eta With Psili And Varia'}, {code: '\u1F2B', name: 'Greek Capital Letter Eta With Dasia And Varia'}, {code: '\u1F2C', name: 'Greek Capital Letter Eta With Psili And Oxia'}, {code: '\u1F2D', name: 'Greek Capital Letter Eta With Dasia And Oxia'}, {code: '\u1F2E', name: 'Greek Capital Letter Eta With Psili And Perispomeni'}, {code: '\u1F2F', name: 'Greek Capital Letter Eta With Dasia And Perispomeni'}, {code: '\u1F30', name: 'Greek Small Letter Iota With Psili'}, {code: '\u1F31', name: 'Greek Small Letter Iota With Dasia'}, {code: '\u1F32', name: 'Greek Small Letter Iota With Psili And Varia'}, {code: '\u1F33', name: 'Greek Small Letter Iota With Dasia And Varia'}, {code: '\u1F34', name: 'Greek Small Letter Iota With Psili And Oxia'}, {code: '\u1F35', name: 'Greek Small Letter Iota With Dasia And Oxia'}, {code: '\u1F36', name: 'Greek Small Letter Iota With Psili And Perispomeni'}, {code: '\u1F37', name: 'Greek Small Letter Iota With Dasia And Perispomeni'}, {code: '\u1F38', name: 'Greek Capital Letter Iota With Psili'}, {code: '\u1F39', name: 'Greek Capital Letter Iota With Dasia'}, {code: '\u1F3A', name: 'Greek Capital Letter Iota With Psili And Varia'}, {code: '\u1F3B', name: 'Greek Capital Letter Iota With Dasia And Varia'}, {code: '\u1F3C', name: 'Greek Capital Letter Iota With Psili And Oxia'}, {code: '\u1F3D', name: 'Greek Capital Letter Iota With Dasia And Oxia'}, {code: '\u1F3E', name: 'Greek Capital Letter Iota With Psili And Perispomeni'}, {code: '\u1F3F', name: 'Greek Capital Letter Iota With Dasia And Perispomeni'}, {code: '\u1F40', name: 'Greek Small Letter Omicron With Psili'}, {code: '\u1F41', name: 'Greek Small Letter Omicron With Dasia'}, {code: '\u1F42', name: 'Greek Small Letter Omicron With Psili And Varia'}, {code: '\u1F43', name: 'Greek Small Letter Omicron With Dasia And Varia'}, {code: '\u1F44', name: 'Greek Small Letter Omicron With Psili And Oxia'}, {code: '\u1F45', name: 'Greek Small Letter Omicron With Dasia And Oxia'}, {code: '\u1F48', name: 'Greek Capital Letter Omicron With Psili'}, {code: '\u1F49', name: 'Greek Capital Letter Omicron With Dasia'}, {code: '\u1F4A', name: 'Greek Capital Letter Omicron With Psili And Varia'}, {code: '\u1F4B', name: 'Greek Capital Letter Omicron With Dasia And Varia'}, {code: '\u1F4C', name: 'Greek Capital Letter Omicron With Psili And Oxia'}, {code: '\u1F4D', name: 'Greek Capital Letter Omicron With Dasia And Oxia'}, {code: '\u1F50', name: 'Greek Small Letter Upsilon With Psili'}, {code: '\u1F51', name: 'Greek Small Letter Upsilon With Dasia'}, {code: '\u1F52', name: 'Greek Small Letter Upsilon With Psili And Varia'}, {code: '\u1F53', name: 'Greek Small Letter Upsilon With Dasia And Varia'}, {code: '\u1F54', name: 'Greek Small Letter Upsilon With Psili And Oxia'}, {code: '\u1F55', name: 'Greek Small Letter Upsilon With Dasia And Oxia'}, {code: '\u1F56', name: 'Greek Small Letter Upsilon With Psili And Perispomeni'}, {code: '\u1F57', name: 'Greek Small Letter Upsilon With Dasia And Perispomeni'}, {code: '\u1F59', name: 'Greek Capital Letter Upsilon With Dasia'}, {code: '\u1F5B', name: 'Greek Capital Letter Upsilon With Dasia And Varia'}, {code: '\u1F5D', name: 'Greek Capital Letter Upsilon With Dasia And Oxia'}, {code: '\u1F5F', name: 'Greek Capital Letter Upsilon With Dasia And Perispomeni'}, {code: '\u1F60', name: 'Greek Small Letter Omega With Psili'}, {code: '\u1F61', name: 'Greek Small Letter Omega With Dasia'}, {code: '\u1F62', name: 'Greek Small Letter Omega With Psili And Varia'}, {code: '\u1F63', name: 'Greek Small Letter Omega With Dasia And Varia'}, {code: '\u1F64', name: 'Greek Small Letter Omega With Psili And Oxia'}, {code: '\u1F65', name: 'Greek Small Letter Omega With Dasia And Oxia'}, {code: '\u1F66', name: 'Greek Small Letter Omega With Psili And Perispomeni'}, {code: '\u1F67', name: 'Greek Small Letter Omega With Dasia And Perispomeni'}, {code: '\u1F68', name: 'Greek Capital Letter Omega With Psili'}, {code: '\u1F69', name: 'Greek Capital Letter Omega With Dasia'}, {code: '\u1F6A', name: 'Greek Capital Letter Omega With Psili And Varia'}, {code: '\u1F6B', name: 'Greek Capital Letter Omega With Dasia And Varia'}, {code: '\u1F6C', name: 'Greek Capital Letter Omega With Psili And Oxia'}, {code: '\u1F6D', name: 'Greek Capital Letter Omega With Dasia And Oxia'}, {code: '\u1F6E', name: 'Greek Capital Letter Omega With Psili And Perispomeni'}, {code: '\u1F6F', name: 'Greek Capital Letter Omega With Dasia And Perispomeni'}, {code: '\u1F70', name: 'Greek Small Letter Alpha With Varia'}, {code: '\u1F71', name: 'Greek Small Letter Alpha With Oxia'}, {code: '\u1F72', name: 'Greek Small Letter Epsilon With Varia'}, {code: '\u1F73', name: 'Greek Small Letter Epsilon With Oxia'}, {code: '\u1F74', name: 'Greek Small Letter Eta With Varia'}, {code: '\u1F75', name: 'Greek Small Letter Eta With Oxia'}, {code: '\u1F76', name: 'Greek Small Letter Iota With Varia'}, {code: '\u1F77', name: 'Greek Small Letter Iota With Oxia'}, {code: '\u1F78', name: 'Greek Small Letter Omicron With Varia'}, {code: '\u1F79', name: 'Greek Small Letter Omicron With Oxia'}, {code: '\u1F7A', name: 'Greek Small Letter Upsilon With Varia'}, {code: '\u1F7B', name: 'Greek Small Letter Upsilon With Oxia'}, {code: '\u1F7C', name: 'Greek Small Letter Omega With Varia'}, {code: '\u1F7D', name: 'Greek Small Letter Omega With Oxia'}, {code: '\u1F80', name: 'Greek Small Letter Alpha With Psili And Ypogegrammeni'}, {code: '\u1F81', name: 'Greek Small Letter Alpha With Dasia And Ypogegrammeni'}, {code: '\u1F82', name: 'Greek Small Letter Alpha With Psili And Varia And Ypogegrammeni'}, {code: '\u1F83', name: 'Greek Small Letter Alpha With Dasia And Varia And Ypogegrammeni'}, {code: '\u1F84', name: 'Greek Small Letter Alpha With Psili And Oxia And Ypogegrammeni'}, {code: '\u1F85', name: 'Greek Small Letter Alpha With Dasia And Oxia And Ypogegrammeni'}, {code: '\u1F86', name: 'Greek Small Letter Alpha With Psili And Perispomeni And Ypogegrammeni'}, {code: '\u1F87', name: 'Greek Small Letter Alpha With Dasia And Perispomeni And Ypogegrammeni'}, {code: '\u1F88', name: 'Greek Capital Letter Alpha With Psili And Prosgegrammeni'}, {code: '\u1F89', name: 'Greek Capital Letter Alpha With Dasia And Prosgegrammeni'}, {code: '\u1F8A', name: 'Greek Capital Letter Alpha With Psili And Varia And Prosgegrammeni'}, {code: '\u1F8B', name: 'Greek Capital Letter Alpha With Dasia And Varia And Prosgegrammeni'}, {code: '\u1F8C', name: 'Greek Capital Letter Alpha With Psili And Oxia And Prosgegrammeni'}, {code: '\u1F8D', name: 'Greek Capital Letter Alpha With Dasia And Oxia And Prosgegrammeni'}, {code: '\u1F8E', name: 'Greek Capital Letter Alpha With Psili And Perispomeni And Prosgegrammeni'}, {code: '\u1F8F', name: 'Greek Capital Letter Alpha With Dasia And Perispomeni And Prosgegrammeni'}, {code: '\u1F90', name: 'Greek Small Letter Eta With Psili And Ypogegrammeni'}, {code: '\u1F91', name: 'Greek Small Letter Eta With Dasia And Ypogegrammeni'}, {code: '\u1F92', name: 'Greek Small Letter Eta With Psili And Varia And Ypogegrammeni'}, {code: '\u1F93', name: 'Greek Small Letter Eta With Dasia And Varia And Ypogegrammeni'}, {code: '\u1F94', name: 'Greek Small Letter Eta With Psili And Oxia And Ypogegrammeni'}, {code: '\u1F95', name: 'Greek Small Letter Eta With Dasia And Oxia And Ypogegrammeni'}, {code: '\u1F96', name: 'Greek Small Letter Eta With Psili And Perispomeni And Ypogegrammeni'}, {code: '\u1F97', name: 'Greek Small Letter Eta With Dasia And Perispomeni And Ypogegrammeni'}, {code: '\u1F98', name: 'Greek Capital Letter Eta With Psili And Prosgegrammeni'}, {code: '\u1F99', name: 'Greek Capital Letter Eta With Dasia And Prosgegrammeni'}, {code: '\u1F9A', name: 'Greek Capital Letter Eta With Psili And Varia And Prosgegrammeni'}, {code: '\u1F9B', name: 'Greek Capital Letter Eta With Dasia And Varia And Prosgegrammeni'}, {code: '\u1F9C', name: 'Greek Capital Letter Eta With Psili And Oxia And Prosgegrammeni'}, {code: '\u1F9D', name: 'Greek Capital Letter Eta With Dasia And Oxia And Prosgegrammeni'}, {code: '\u1F9E', name: 'Greek Capital Letter Eta With Psili And Perispomeni And Prosgegrammeni'}, {code: '\u1F9F', name: 'Greek Capital Letter Eta With Dasia And Perispomeni And Prosgegrammeni'}, {code: '\u1FA0', name: 'Greek Small Letter Omega With Psili And Ypogegrammeni'}, {code: '\u1FA1', name: 'Greek Small Letter Omega With Dasia And Ypogegrammeni'}, {code: '\u1FA2', name: 'Greek Small Letter Omega With Psili And Varia And Ypogegrammeni'}, {code: '\u1FA3', name: 'Greek Small Letter Omega With Dasia And Varia And Ypogegrammeni'}, {code: '\u1FA4', name: 'Greek Small Letter Omega With Psili And Oxia And Ypogegrammeni'}, {code: '\u1FA5', name: 'Greek Small Letter Omega With Dasia And Oxia And Ypogegrammeni'}, {code: '\u1FA6', name: 'Greek Small Letter Omega With Psili And Perispomeni And Ypogegrammeni'}, {code: '\u1FA7', name: 'Greek Small Letter Omega With Dasia And Perispomeni And Ypogegrammeni'}, {code: '\u1FA8', name: 'Greek Capital Letter Omega With Psili And Prosgegrammeni'}, {code: '\u1FA9', name: 'Greek Capital Letter Omega With Dasia And Prosgegrammeni'}, {code: '\u1FAA', name: 'Greek Capital Letter Omega With Psili And Varia And Prosgegrammeni'}, {code: '\u1FAB', name: 'Greek Capital Letter Omega With Dasia And Varia And Prosgegrammeni'}, {code: '\u1FAC', name: 'Greek Capital Letter Omega With Psili And Oxia And Prosgegrammeni'}, {code: '\u1FAD', name: 'Greek Capital Letter Omega With Dasia And Oxia And Prosgegrammeni'}, {code: '\u1FAE', name: 'Greek Capital Letter Omega With Psili And Perispomeni And Prosgegrammeni'}, {code: '\u1FAF', name: 'Greek Capital Letter Omega With Dasia And Perispomeni And Prosgegrammeni'}, {code: '\u1FB0', name: 'Greek Small Letter Alpha With Vrachy'}, {code: '\u1FB1', name: 'Greek Small Letter Alpha With Macron'}, {code: '\u1FB2', name: 'Greek Small Letter Alpha With Varia And Ypogegrammeni'}, {code: '\u1FB3', name: 'Greek Small Letter Alpha With Ypogegrammeni'}, {code: '\u1FB4', name: 'Greek Small Letter Alpha With Oxia And Ypogegrammeni'}, {code: '\u1FB6', name: 'Greek Small Letter Alpha With Perispomeni'}, {code: '\u1FB7', name: 'Greek Small Letter Alpha With Perispomeni And Ypogegrammeni'}, {code: '\u1FB8', name: 'Greek Capital Letter Alpha With Vrachy'}, {code: '\u1FB9', name: 'Greek Capital Letter Alpha With Macron'}, {code: '\u1FBA', name: 'Greek Capital Letter Alpha With Varia'}, {code: '\u1FBB', name: 'Greek Capital Letter Alpha With Oxia'}, {code: '\u1FBC', name: 'Greek Capital Letter Alpha With Prosgegrammeni'}, {code: '\u1FBD', name: 'Greek Koronis'}, {code: '\u1FBE', name: 'Greek Prosgegrammeni'}, {code: '\u1FBF', name: 'Greek Psili'}, {code: '\u1FC0', name: 'Greek Perispomeni'}, {code: '\u1FC1', name: 'Greek Dialytika And Perispomeni'}, {code: '\u1FC2', name: 'Greek Small Letter Eta With Varia And Ypogegrammeni'}, {code: '\u1FC3', name: 'Greek Small Letter Eta With Ypogegrammeni'}, {code: '\u1FC4', name: 'Greek Small Letter Eta With Oxia And Ypogegrammeni'}, {code: '\u1FC6', name: 'Greek Small Letter Eta With Perispomeni'}, {code: '\u1FC7', name: 'Greek Small Letter Eta With Perispomeni And Ypogegrammeni'}, {code: '\u1FC8', name: 'Greek Capital Letter Epsilon With Varia'}, {code: '\u1FC9', name: 'Greek Capital Letter Epsilon With Oxia'}, {code: '\u1FCA', name: 'Greek Capital Letter Eta With Varia'}, {code: '\u1FCB', name: 'Greek Capital Letter Eta With Oxia'}, {code: '\u1FCC', name: 'Greek Capital Letter Eta With Prosgegrammeni'}, {code: '\u1FCD', name: 'Greek Psili And Varia'}, {code: '\u1FCE', name: 'Greek Psili And Oxia'}, {code: '\u1FCF', name: 'Greek Psili And Perispomeni'}, {code: '\u1FD0', name: 'Greek Small Letter Iota With Vrachy'}, {code: '\u1FD1', name: 'Greek Small Letter Iota With Macron'}, {code: '\u1FD2', name: 'Greek Small Letter Iota With Dialytika And Varia'}, {code: '\u1FD3', name: 'Greek Small Letter Iota With Dialytika And Oxia'}, {code: '\u1FD6', name: 'Greek Small Letter Iota With Perispomeni'}, {code: '\u1FD7', name: 'Greek Small Letter Iota With Dialytika And Perispomeni'}, {code: '\u1FD8', name: 'Greek Capital Letter Iota With Vrachy'}, {code: '\u1FD9', name: 'Greek Capital Letter Iota With Macron'}, {code: '\u1FDA', name: 'Greek Capital Letter Iota With Varia'}, {code: '\u1FDB', name: 'Greek Capital Letter Iota With Oxia'}, {code: '\u1FDD', name: 'Greek Dasia And Varia'}, {code: '\u1FDE', name: 'Greek Dasia And Oxia'}, {code: '\u1FDF', name: 'Greek Dasia And Perispomeni'}, {code: '\u1FE0', name: 'Greek Small Letter Upsilon With Vrachy'}, {code: '\u1FE1', name: 'Greek Small Letter Upsilon With Macron'}, {code: '\u1FE2', name: 'Greek Small Letter Upsilon With Dialytika And Varia'}, {code: '\u1FE3', name: 'Greek Small Letter Upsilon With Dialytika And Oxia'}, {code: '\u1FE4', name: 'Greek Small Letter Rho With Psili'}, {code: '\u1FE5', name: 'Greek Small Letter Rho With Dasia'}, {code: '\u1FE6', name: 'Greek Small Letter Upsilon With Perispomeni'}, {code: '\u1FE7', name: 'Greek Small Letter Upsilon With Dialytika And Perispomeni'}, {code: '\u1FE8', name: 'Greek Capital Letter Upsilon With Vrachy'}, {code: '\u1FE9', name: 'Greek Capital Letter Upsilon With Macron'}, {code: '\u1FEA', name: 'Greek Capital Letter Upsilon With Varia'}, {code: '\u1FEB', name: 'Greek Capital Letter Upsilon With Oxia'}, {code: '\u1FEC', name: 'Greek Capital Letter Rho With Dasia'}, {code: '\u1FED', name: 'Greek Dialytika And Varia'}, {code: '\u1FEE', name: 'Greek Dialytika And Oxia'}, {code: '\u1FEF', name: 'Greek Varia'}, {code: '\u1FF2', name: 'Greek Small Letter Omega With Varia And Ypogegrammeni'}, {code: '\u1FF3', name: 'Greek Small Letter Omega With Ypogegrammeni'}, {code: '\u1FF4', name: 'Greek Small Letter Omega With Oxia And Ypogegrammeni'}, {code: '\u1FF6', name: 'Greek Small Letter Omega With Perispomeni'}, {code: '\u1FF7', name: 'Greek Small Letter Omega With Perispomeni And Ypogegrammeni'}, {code: '\u1FF8', name: 'Greek Capital Letter Omicron With Varia'}, {code: '\u1FF9', name: 'Greek Capital Letter Omicron With Oxia'}, {code: '\u1FFA', name: 'Greek Capital Letter Omega With Varia'}, {code: '\u1FFB', name: 'Greek Capital Letter Omega With Oxia'}, {code: '\u1FFC', name: 'Greek Capital Letter Omega With Prosgegrammeni'}, {code: '\u1FFD', name: 'Greek Oxia'}, {code: '\u1FFE', name: 'Greek Dasia'}]
		},
		{
			category: "General Punctuation",
			chars: [{code: '\u2000', name: 'En Quad'}, {code: '\u2001', name: 'Em Quad'}, {code: '\u2002', name: 'En Space'}, {code: '\u2003', name: 'Em Space'}, {code: '\u2004', name: 'Three-per-em Space'}, {code: '\u2005', name: 'Four-per-em Space'}, {code: '\u2006', name: 'Six-per-em Space'}, {code: '\u2007', name: 'Figure Space'}, {code: '\u2008', name: 'Punctuation Space'}, {code: '\u2009', name: 'Thin Space'}, {code: '\u200A', name: 'Hair Space'}, {code: '\u200B', name: 'Zero Width Space'}, {code: '\u200C', name: 'Zero Width Non-joiner'}, {code: '\u200D', name: 'Zero Width Joiner'}, {code: '\u200E', name: 'Left-to-right Mark'}, {code: '\u200F', name: 'Right-to-left Mark'}, {code: '\u2010', name: 'Hyphen'}, {code: '\u2011', name: 'Non-breaking Hyphen'}, {code: '\u2012', name: 'Figure Dash'}, {code: '\u2013', name: 'En Dash'}, {code: '\u2014', name: 'Em Dash'}, {code: '\u2015', name: 'Horizontal Bar'}, {code: '\u2016', name: 'Double Vertical Line'}, {code: '\u2017', name: 'Double Low Line'}, {code: '\u2018', name: 'Left Single Quotation Mark'}, {code: '\u2019', name: 'Right Single Quotation Mark'}, {code: '\u201A', name: 'Single Low-9 Quotation Mark'}, {code: '\u201B', name: 'Single High-reversed-9 Quotation Mark'}, {code: '\u201C', name: 'Left Double Quotation Mark'}, {code: '\u201D', name: 'Right Double Quotation Mark'}, {code: '\u201E', name: 'Double Low-9 Quotation Mark'}, {code: '\u201F', name: 'Double High-reversed-9 Quotation Mark'}, {code: '\u2020', name: 'Dagger'}, {code: '\u2021', name: 'Double Dagger'}, {code: '\u2022', name: 'Bullet'}, {code: '\u2023', name: 'Triangular Bullet'}, {code: '\u2024', name: 'One Dot Leader'}, {code: '\u2025', name: 'Two Dot Leader'}, {code: '\u2026', name: 'Horizontal Ellipsis'}, {code: '\u2027', name: 'Hyphenation Point'}, {code: '\u2028', name: 'Line Separator'}, {code: '\u2029', name: 'Paragraph Separator'}, {code: '\u202A', name: 'Left-to-right Embedding'}, {code: '\u202B', name: 'Right-to-left Embedding'}, {code: '\u202C', name: 'Pop Directional Formatting'}, {code: '\u202D', name: 'Left-to-right Override'}, {code: '\u202E', name: 'Right-to-left Override'}, {code: '\u202F', name: 'Narrow No-break Space'}, {code: '\u2030', name: 'Per Mille Sign'}, {code: '\u2031', name: 'Per Ten Thousand Sign'}, {code: '\u2032', name: 'Prime'}, {code: '\u2033', name: 'Double Prime'}, {code: '\u2034', name: 'Triple Prime'}, {code: '\u2035', name: 'Reversed Prime'}, {code: '\u2036', name: 'Reversed Double Prime'}, {code: '\u2037', name: 'Reversed Triple Prime'}, {code: '\u2038', name: 'Caret'}, {code: '\u2039', name: 'Single Left-pointing Angle Quotation Mark'}, {code: '\u203A', name: 'Single Right-pointing Angle Quotation Mark'}, {code: '\u203B', name: 'Reference Mark'}, {code: '\u203C', name: 'Double Exclamation Mark'}, {code: '\u203D', name: 'Interrobang'}, {code: '\u203E', name: 'Overline'}, {code: '\u203F', name: 'Undertie'}, {code: '\u2040', name: 'Character Tie'}, {code: '\u2041', name: 'Caret Insertion Point'}, {code: '\u2042', name: 'Asterism'}, {code: '\u2043', name: 'Hyphen Bullet'}, {code: '\u2044', name: 'Fraction Slash'}, {code: '\u2045', name: 'Left Square Bracket With Quill'}, {code: '\u2046', name: 'Right Square Bracket With Quill'}, {code: '\u2047', name: 'Double Question Mark'}, {code: '\u2048', name: 'Question Exclamation Mark'}, {code: '\u2049', name: 'Exclamation Question Mark'}, {code: '\u204A', name: 'Tironian Sign Et'}, {code: '\u204B', name: 'Reversed Pilcrow Sign'}, {code: '\u204C', name: 'Black Leftwards Bullet'}, {code: '\u204D', name: 'Black Rightwards Bullet'}, {code: '\u204E', name: 'Low Asterisk'}, {code: '\u204F', name: 'Reversed Semicolon'}, {code: '\u2050', name: 'Close Up'}, {code: '\u2051', name: 'Two Asterisks Aligned Vertically'}, {code: '\u2052', name: 'Commercial Minus Sign'}, {code: '\u2053', name: 'Swung Dash'}, {code: '\u2054', name: 'Inverted Undertie'}, {code: '\u2055', name: 'Flower Punctuation Mark'}, {code: '\u2056', name: 'Three Dot Punctuation'}, {code: '\u2057', name: 'Quadruple Prime'}, {code: '\u2058', name: 'Four Dot Punctuation'}, {code: '\u2059', name: 'Five Dot Punctuation'}, {code: '\u205A', name: 'Two Dot Punctuation'}, {code: '\u205B', name: 'Four Dot Mark'}, {code: '\u205C', name: 'Dotted Cross'}, {code: '\u205D', name: 'Tricolon'}, {code: '\u205E', name: 'Vertical Four Dots'}, {code: '\u205F', name: 'Medium Mathematical Space'}, {code: '\u2060', name: 'Word Joiner'}, {code: '\u2061', name: 'Function Application'}, {code: '\u2062', name: 'Invisible Times'}, {code: '\u2063', name: 'Invisible Separator'}, {code: '\u2064', name: 'Invisible Plus'}, {code: '\u2066', name: 'Left-to-right Isolate'}, {code: '\u2067', name: 'Right-to-left Isolate'}, {code: '\u2068', name: 'First Strong Isolate'}, {code: '\u2069', name: 'Pop Directional Isolate'}, {code: '\u206A', name: 'Inhibit Symmetric Swapping'}, {code: '\u206B', name: 'Activate Symmetric Swapping'}, {code: '\u206C', name: 'Inhibit Arabic Form Shaping'}, {code: '\u206D', name: 'Activate Arabic Form Shaping'}, {code: '\u206E', name: 'National Digit Shapes'}, {code: '\u206F', name: 'Nominal Digit Shapes'}]
		},
		{
			category: "Superscripts and Subscripts",
			chars: [{code: '\u2070', name: 'Superscript Zero'}, {code: '\u2071', name: 'Superscript Latin Small Letter I'}, {code: '\u2074', name: 'Superscript Four'}, {code: '\u2075', name: 'Superscript Five'}, {code: '\u2076', name: 'Superscript Six'}, {code: '\u2077', name: 'Superscript Seven'}, {code: '\u2078', name: 'Superscript Eight'}, {code: '\u2079', name: 'Superscript Nine'}, {code: '\u207A', name: 'Superscript Plus Sign'}, {code: '\u207B', name: 'Superscript Minus'}, {code: '\u207C', name: 'Superscript Equals Sign'}, {code: '\u207D', name: 'Superscript Left Parenthesis'}, {code: '\u207E', name: 'Superscript Right Parenthesis'}, {code: '\u207F', name: 'Superscript Latin Small Letter N'}, {code: '\u2080', name: 'Subscript Zero'}, {code: '\u2081', name: 'Subscript One'}, {code: '\u2082', name: 'Subscript Two'}, {code: '\u2083', name: 'Subscript Three'}, {code: '\u2084', name: 'Subscript Four'}, {code: '\u2085', name: 'Subscript Five'}, {code: '\u2086', name: 'Subscript Six'}, {code: '\u2087', name: 'Subscript Seven'}, {code: '\u2088', name: 'Subscript Eight'}, {code: '\u2089', name: 'Subscript Nine'}, {code: '\u208A', name: 'Subscript Plus Sign'}, {code: '\u208B', name: 'Subscript Minus'}, {code: '\u208C', name: 'Subscript Equals Sign'}, {code: '\u208D', name: 'Subscript Left Parenthesis'}, {code: '\u208E', name: 'Subscript Right Parenthesis'}, {code: '\u2090', name: 'Latin Subscript Small Letter A'}, {code: '\u2091', name: 'Latin Subscript Small Letter E'}, {code: '\u2092', name: 'Latin Subscript Small Letter O'}, {code: '\u2093', name: 'Latin Subscript Small Letter X'}, {code: '\u2094', name: 'Latin Subscript Small Letter Schwa'}, {code: '\u2095', name: 'Latin Subscript Small Letter H'}, {code: '\u2096', name: 'Latin Subscript Small Letter K'}, {code: '\u2097', name: 'Latin Subscript Small Letter L'}, {code: '\u2098', name: 'Latin Subscript Small Letter M'}, {code: '\u2099', name: 'Latin Subscript Small Letter N'}, {code: '\u209A', name: 'Latin Subscript Small Letter P'}, {code: '\u209B', name: 'Latin Subscript Small Letter S'}, {code: '\u209C', name: 'Latin Subscript Small Letter T'}]
		},
		{
			category: "Currency Symbols",
			chars: [{code: '\u20A0', name: 'Euro-currency Sign'}, {code: '\u20A1', name: 'Colon Sign'}, {code: '\u20A2', name: 'Cruzeiro Sign'}, {code: '\u20A3', name: 'French Franc Sign'}, {code: '\u20A4', name: 'Lira Sign'}, {code: '\u20A5', name: 'Mill Sign'}, {code: '\u20A6', name: 'Naira Sign'}, {code: '\u20A7', name: 'Peseta Sign'}, {code: '\u20A8', name: 'Rupee Sign'}, {code: '\u20A9', name: 'Won Sign'}, {code: '\u20AA', name: 'New Sheqel Sign'}, {code: '\u20AB', name: 'Dong Sign'}, {code: '\u20AC', name: 'Euro Sign'}, {code: '\u20AD', name: 'Kip Sign'}, {code: '\u20AE', name: 'Tugrik Sign'}, {code: '\u20AF', name: 'Drachma Sign'}, {code: '\u20B0', name: 'German Penny Sign'}, {code: '\u20B1', name: 'Peso Sign'}, {code: '\u20B2', name: 'Guarani Sign'}, {code: '\u20B3', name: 'Austral Sign'}, {code: '\u20B4', name: 'Hryvnia Sign'}, {code: '\u20B5', name: 'Cedi Sign'}, {code: '\u20B6', name: 'Livre Tournois Sign'}, {code: '\u20B7', name: 'Spesmilo Sign'}, {code: '\u20B8', name: 'Tenge Sign'}, {code: '\u20B9', name: 'Indian Rupee Sign'}, {code: '\u20BA', name: 'Turkish Lira Sign'}, {code: '\u20BB', name: 'Nordic Mark Sign'}, {code: '\u20BC', name: 'Manat Sign'}, {code: '\u20BD', name: 'Ruble Sign'}, {code: '\u20BE', name: 'Lari Sign'}, {code: '\u20BF', name: 'Bitcoin Sign'}]
		},
		{
			category: "Combining Diacritical Marks for Symbols",
			chars: [{code: '\u20D0', name: 'Combining Left Harpoon Above'}, {code: '\u20D1', name: 'Combining Right Harpoon Above'}, {code: '\u20D2', name: 'Combining Long Vertical Line Overlay'}, {code: '\u20D3', name: 'Combining Short Vertical Line Overlay'}, {code: '\u20D4', name: 'Combining Anticlockwise Arrow Above'}, {code: '\u20D5', name: 'Combining Clockwise Arrow Above'}, {code: '\u20D6', name: 'Combining Left Arrow Above'}, {code: '\u20D7', name: 'Combining Right Arrow Above'}, {code: '\u20D8', name: 'Combining Ring Overlay'}, {code: '\u20D9', name: 'Combining Clockwise Ring Overlay'}, {code: '\u20DA', name: 'Combining Anticlockwise Ring Overlay'}, {code: '\u20DB', name: 'Combining Three Dots Above'}, {code: '\u20DC', name: 'Combining Four Dots Above'}, {code: '\u20DD', name: 'Combining Enclosing Circle'}, {code: '\u20DE', name: 'Combining Enclosing Square'}, {code: '\u20DF', name: 'Combining Enclosing Diamond'}, {code: '\u20E0', name: 'Combining Enclosing Circle Backslash'}, {code: '\u20E1', name: 'Combining Left Right Arrow Above'}, {code: '\u20E2', name: 'Combining Enclosing Screen'}, {code: '\u20E3', name: 'Combining Enclosing Keycap'}, {code: '\u20E4', name: 'Combining Enclosing Upward Pointing Triangle'}, {code: '\u20E5', name: 'Combining Reverse Solidus Overlay'}, {code: '\u20E6', name: 'Combining Double Vertical Stroke Overlay'}, {code: '\u20E7', name: 'Combining Annuity Symbol'}, {code: '\u20E8', name: 'Combining Triple Underdot'}, {code: '\u20E9', name: 'Combining Wide Bridge Above'}, {code: '\u20EA', name: 'Combining Leftwards Arrow Overlay'}, {code: '\u20EB', name: 'Combining Long Double Solidus Overlay'}, {code: '\u20EC', name: 'Combining Rightwards Harpoon With Barb Downwards'}, {code: '\u20ED', name: 'Combining Leftwards Harpoon With Barb Downwards'}, {code: '\u20EE', name: 'Combining Left Arrow Below'}, {code: '\u20EF', name: 'Combining Right Arrow Below'}, {code: '\u20F0', name: 'Combining Asterisk Above'}]
		},
		{
			category: "Letterlike Symbols",
			chars: [{code: '\u2100', name: 'Account Of'}, {code: '\u2101', name: 'Addressed To The Subject'}, {code: '\u2102', name: 'Double-struck Capital C'}, {code: '\u2103', name: 'Degree Celsius'}, {code: '\u2104', name: 'Centre Line Symbol'}, {code: '\u2105', name: 'Care Of'}, {code: '\u2106', name: 'Cada Una'}, {code: '\u2107', name: 'Euler Constant'}, {code: '\u2108', name: 'Scruple'}, {code: '\u2109', name: 'Degree Fahrenheit'}, {code: '\u210A', name: 'Script Small G'}, {code: '\u210B', name: 'Script Capital H'}, {code: '\u210C', name: 'Black-letter Capital H'}, {code: '\u210D', name: 'Double-struck Capital H'}, {code: '\u210E', name: 'Planck Constant'}, {code: '\u210F', name: 'Planck Constant Over Two Pi'}, {code: '\u2110', name: 'Script Capital I'}, {code: '\u2111', name: 'Black-letter Capital I'}, {code: '\u2112', name: 'Script Capital L'}, {code: '\u2113', name: 'Script Small L'}, {code: '\u2114', name: 'L B Bar Symbol'}, {code: '\u2115', name: 'Double-struck Capital N'}, {code: '\u2116', name: 'Numero Sign'}, {code: '\u2117', name: 'Sound Recording Copyright'}, {code: '\u2118', name: 'Script Capital P'}, {code: '\u2119', name: 'Double-struck Capital P'}, {code: '\u211A', name: 'Double-struck Capital Q'}, {code: '\u211B', name: 'Script Capital R'}, {code: '\u211C', name: 'Black-letter Capital R'}, {code: '\u211D', name: 'Double-struck Capital R'}, {code: '\u211E', name: 'Prescription Take'}, {code: '\u211F', name: 'Response'}, {code: '\u2120', name: 'Service Mark'}, {code: '\u2121', name: 'Telephone Sign'}, {code: '\u2122', name: 'Trade Mark Sign'}, {code: '\u2123', name: 'Versicle'}, {code: '\u2124', name: 'Double-struck Capital Z'}, {code: '\u2125', name: 'Ounce Sign'}, {code: '\u2126', name: 'Ohm Sign'}, {code: '\u2127', name: 'Inverted Ohm Sign'}, {code: '\u2128', name: 'Black-letter Capital Z'}, {code: '\u2129', name: 'Turned Greek Small Letter Iota'}, {code: '\u212A', name: 'Kelvin Sign'}, {code: '\u212B', name: 'Angstrom Sign'}, {code: '\u212C', name: 'Script Capital B'}, {code: '\u212D', name: 'Black-letter Capital C'}, {code: '\u212E', name: 'Estimated Symbol'}, {code: '\u212F', name: 'Script Small E'}, {code: '\u2130', name: 'Script Capital E'}, {code: '\u2131', name: 'Script Capital F'}, {code: '\u2132', name: 'Turned Capital F'}, {code: '\u2133', name: 'Script Capital M'}, {code: '\u2134', name: 'Script Small O'}, {code: '\u2135', name: 'Alef Symbol'}, {code: '\u2136', name: 'Bet Symbol'}, {code: '\u2137', name: 'Gimel Symbol'}, {code: '\u2138', name: 'Dalet Symbol'}, {code: '\u2139', name: 'Information Source'}, {code: '\u213A', name: 'Rotated Capital Q'}, {code: '\u213B', name: 'Facsimile Sign'}, {code: '\u213C', name: 'Double-struck Small Pi'}, {code: '\u213D', name: 'Double-struck Small Gamma'}, {code: '\u213E', name: 'Double-struck Capital Gamma'}, {code: '\u213F', name: 'Double-struck Capital Pi'}, {code: '\u2140', name: 'Double-struck N-ary Summation'}, {code: '\u2141', name: 'Turned Sans-serif Capital G'}, {code: '\u2142', name: 'Turned Sans-serif Capital L'}, {code: '\u2143', name: 'Reversed Sans-serif Capital L'}, {code: '\u2144', name: 'Turned Sans-serif Capital Y'}, {code: '\u2145', name: 'Double-struck Italic Capital D'}, {code: '\u2146', name: 'Double-struck Italic Small D'}, {code: '\u2147', name: 'Double-struck Italic Small E'}, {code: '\u2148', name: 'Double-struck Italic Small I'}, {code: '\u2149', name: 'Double-struck Italic Small J'}, {code: '\u214A', name: 'Property Line'}, {code: '\u214B', name: 'Turned Ampersand'}, {code: '\u214C', name: 'Per Sign'}, {code: '\u214D', name: 'Aktieselskab'}, {code: '\u214E', name: 'Turned Small F'}, {code: '\u214F', name: 'Symbol For Samaritan Source'}]
		},
		{
			category: "Number Forms",
			chars: [{code: '\u2150', name: 'Vulgar Fraction One Seventh'}, {code: '\u2151', name: 'Vulgar Fraction One Ninth'}, {code: '\u2152', name: 'Vulgar Fraction One Tenth'}, {code: '\u2153', name: 'Vulgar Fraction One Third'}, {code: '\u2154', name: 'Vulgar Fraction Two Thirds'}, {code: '\u2155', name: 'Vulgar Fraction One Fifth'}, {code: '\u2156', name: 'Vulgar Fraction Two Fifths'}, {code: '\u2157', name: 'Vulgar Fraction Three Fifths'}, {code: '\u2158', name: 'Vulgar Fraction Four Fifths'}, {code: '\u2159', name: 'Vulgar Fraction One Sixth'}, {code: '\u215A', name: 'Vulgar Fraction Five Sixths'}, {code: '\u215B', name: 'Vulgar Fraction One Eighth'}, {code: '\u215C', name: 'Vulgar Fraction Three Eighths'}, {code: '\u215D', name: 'Vulgar Fraction Five Eighths'}, {code: '\u215E', name: 'Vulgar Fraction Seven Eighths'}, {code: '\u215F', name: 'Fraction Numerator One'}, {code: '\u2160', name: 'Roman Numeral One'}, {code: '\u2161', name: 'Roman Numeral Two'}, {code: '\u2162', name: 'Roman Numeral Three'}, {code: '\u2163', name: 'Roman Numeral Four'}, {code: '\u2164', name: 'Roman Numeral Five'}, {code: '\u2165', name: 'Roman Numeral Six'}, {code: '\u2166', name: 'Roman Numeral Seven'}, {code: '\u2167', name: 'Roman Numeral Eight'}, {code: '\u2168', name: 'Roman Numeral Nine'}, {code: '\u2169', name: 'Roman Numeral Ten'}, {code: '\u216A', name: 'Roman Numeral Eleven'}, {code: '\u216B', name: 'Roman Numeral Twelve'}, {code: '\u216C', name: 'Roman Numeral Fifty'}, {code: '\u216D', name: 'Roman Numeral One Hundred'}, {code: '\u216E', name: 'Roman Numeral Five Hundred'}, {code: '\u216F', name: 'Roman Numeral One Thousand'}, {code: '\u2170', name: 'Small Roman Numeral One'}, {code: '\u2171', name: 'Small Roman Numeral Two'}, {code: '\u2172', name: 'Small Roman Numeral Three'}, {code: '\u2173', name: 'Small Roman Numeral Four'}, {code: '\u2174', name: 'Small Roman Numeral Five'}, {code: '\u2175', name: 'Small Roman Numeral Six'}, {code: '\u2176', name: 'Small Roman Numeral Seven'}, {code: '\u2177', name: 'Small Roman Numeral Eight'}, {code: '\u2178', name: 'Small Roman Numeral Nine'}, {code: '\u2179', name: 'Small Roman Numeral Ten'}, {code: '\u217A', name: 'Small Roman Numeral Eleven'}, {code: '\u217B', name: 'Small Roman Numeral Twelve'}, {code: '\u217C', name: 'Small Roman Numeral Fifty'}, {code: '\u217D', name: 'Small Roman Numeral One Hundred'}, {code: '\u217E', name: 'Small Roman Numeral Five Hundred'}, {code: '\u217F', name: 'Small Roman Numeral One Thousand'}, {code: '\u2180', name: 'Roman Numeral One Thousand C D'}, {code: '\u2181', name: 'Roman Numeral Five Thousand'}, {code: '\u2182', name: 'Roman Numeral Ten Thousand'}, {code: '\u2183', name: 'Roman Numeral Reversed One Hundred'}, {code: '\u2184', name: 'Latin Small Letter Reversed C'}, {code: '\u2185', name: 'Roman Numeral Six Late Form'}, {code: '\u2186', name: 'Roman Numeral Fifty Early Form'}, {code: '\u2187', name: 'Roman Numeral Fifty Thousand'}, {code: '\u2188', name: 'Roman Numeral One Hundred Thousand'}, {code: '\u2189', name: 'Vulgar Fraction Zero Thirds'}, {code: '\u218A', name: 'Turned Digit Two'}, {code: '\u218B', name: 'Turned Digit Three'}]
		},
		{
			category: "Arrows",
			chars: [{code: '\u2190', name: 'Leftwards Arrow'}, {code: '\u2191', name: 'Upwards Arrow'}, {code: '\u2192', name: 'Rightwards Arrow'}, {code: '\u2193', name: 'Downwards Arrow'}, {code: '\u2194', name: 'Left Right Arrow'}, {code: '\u2195', name: 'Up Down Arrow'}, {code: '\u2196', name: 'North West Arrow'}, {code: '\u2197', name: 'North East Arrow'}, {code: '\u2198', name: 'South East Arrow'}, {code: '\u2199', name: 'South West Arrow'}, {code: '\u219A', name: 'Leftwards Arrow With Stroke'}, {code: '\u219B', name: 'Rightwards Arrow With Stroke'}, {code: '\u219C', name: 'Leftwards Wave Arrow'}, {code: '\u219D', name: 'Rightwards Wave Arrow'}, {code: '\u219E', name: 'Leftwards Two Headed Arrow'}, {code: '\u219F', name: 'Upwards Two Headed Arrow'}, {code: '\u21A0', name: 'Rightwards Two Headed Arrow'}, {code: '\u21A1', name: 'Downwards Two Headed Arrow'}, {code: '\u21A2', name: 'Leftwards Arrow With Tail'}, {code: '\u21A3', name: 'Rightwards Arrow With Tail'}, {code: '\u21A4', name: 'Leftwards Arrow From Bar'}, {code: '\u21A5', name: 'Upwards Arrow From Bar'}, {code: '\u21A6', name: 'Rightwards Arrow From Bar'}, {code: '\u21A7', name: 'Downwards Arrow From Bar'}, {code: '\u21A8', name: 'Up Down Arrow With Base'}, {code: '\u21A9', name: 'Leftwards Arrow With Hook'}, {code: '\u21AA', name: 'Rightwards Arrow With Hook'}, {code: '\u21AB', name: 'Leftwards Arrow With Loop'}, {code: '\u21AC', name: 'Rightwards Arrow With Loop'}, {code: '\u21AD', name: 'Left Right Wave Arrow'}, {code: '\u21AE', name: 'Left Right Arrow With Stroke'}, {code: '\u21AF', name: 'Downwards Zigzag Arrow'}, {code: '\u21B0', name: 'Upwards Arrow With Tip Leftwards'}, {code: '\u21B1', name: 'Upwards Arrow With Tip Rightwards'}, {code: '\u21B2', name: 'Downwards Arrow With Tip Leftwards'}, {code: '\u21B3', name: 'Downwards Arrow With Tip Rightwards'}, {code: '\u21B4', name: 'Rightwards Arrow With Corner Downwards'}, {code: '\u21B5', name: 'Downwards Arrow With Corner Leftwards'}, {code: '\u21B6', name: 'Anticlockwise Top Semicircle Arrow'}, {code: '\u21B7', name: 'Clockwise Top Semicircle Arrow'}, {code: '\u21B8', name: 'North West Arrow To Long Bar'}, {code: '\u21B9', name: 'Leftwards Arrow To Bar Over Rightwards Arrow To Bar'}, {code: '\u21BA', name: 'Anticlockwise Open Circle Arrow'}, {code: '\u21BB', name: 'Clockwise Open Circle Arrow'}, {code: '\u21BC', name: 'Leftwards Harpoon With Barb Upwards'}, {code: '\u21BD', name: 'Leftwards Harpoon With Barb Downwards'}, {code: '\u21BE', name: 'Upwards Harpoon With Barb Rightwards'}, {code: '\u21BF', name: 'Upwards Harpoon With Barb Leftwards'}, {code: '\u21C0', name: 'Rightwards Harpoon With Barb Upwards'}, {code: '\u21C1', name: 'Rightwards Harpoon With Barb Downwards'}, {code: '\u21C2', name: 'Downwards Harpoon With Barb Rightwards'}, {code: '\u21C3', name: 'Downwards Harpoon With Barb Leftwards'}, {code: '\u21C4', name: 'Rightwards Arrow Over Leftwards Arrow'}, {code: '\u21C5', name: 'Upwards Arrow Leftwards Of Downwards Arrow'}, {code: '\u21C6', name: 'Leftwards Arrow Over Rightwards Arrow'}, {code: '\u21C7', name: 'Leftwards Paired Arrows'}, {code: '\u21C8', name: 'Upwards Paired Arrows'}, {code: '\u21C9', name: 'Rightwards Paired Arrows'}, {code: '\u21CA', name: 'Downwards Paired Arrows'}, {code: '\u21CB', name: 'Leftwards Harpoon Over Rightwards Harpoon'}, {code: '\u21CC', name: 'Rightwards Harpoon Over Leftwards Harpoon'}, {code: '\u21CD', name: 'Leftwards Double Arrow With Stroke'}, {code: '\u21CE', name: 'Left Right Double Arrow With Stroke'}, {code: '\u21CF', name: 'Rightwards Double Arrow With Stroke'}, {code: '\u21D0', name: 'Leftwards Double Arrow'}, {code: '\u21D1', name: 'Upwards Double Arrow'}, {code: '\u21D2', name: 'Rightwards Double Arrow'}, {code: '\u21D3', name: 'Downwards Double Arrow'}, {code: '\u21D4', name: 'Left Right Double Arrow'}, {code: '\u21D5', name: 'Up Down Double Arrow'}, {code: '\u21D6', name: 'North West Double Arrow'}, {code: '\u21D7', name: 'North East Double Arrow'}, {code: '\u21D8', name: 'South East Double Arrow'}, {code: '\u21D9', name: 'South West Double Arrow'}, {code: '\u21DA', name: 'Leftwards Triple Arrow'}, {code: '\u21DB', name: 'Rightwards Triple Arrow'}, {code: '\u21DC', name: 'Leftwards Squiggle Arrow'}, {code: '\u21DD', name: 'Rightwards Squiggle Arrow'}, {code: '\u21DE', name: 'Upwards Arrow With Double Stroke'}, {code: '\u21DF', name: 'Downwards Arrow With Double Stroke'}, {code: '\u21E0', name: 'Leftwards Dashed Arrow'}, {code: '\u21E1', name: 'Upwards Dashed Arrow'}, {code: '\u21E2', name: 'Rightwards Dashed Arrow'}, {code: '\u21E3', name: 'Downwards Dashed Arrow'}, {code: '\u21E4', name: 'Leftwards Arrow To Bar'}, {code: '\u21E5', name: 'Rightwards Arrow To Bar'}, {code: '\u21E6', name: 'Leftwards White Arrow'}, {code: '\u21E7', name: 'Upwards White Arrow'}, {code: '\u21E8', name: 'Rightwards White Arrow'}, {code: '\u21E9', name: 'Downwards White Arrow'}, {code: '\u21EA', name: 'Upwards White Arrow From Bar'}, {code: '\u21EB', name: 'Upwards White Arrow On Pedestal'}, {code: '\u21EC', name: 'Upwards White Arrow On Pedestal With Horizontal Bar'}, {code: '\u21ED', name: 'Upwards White Arrow On Pedestal With Vertical Bar'}, {code: '\u21EE', name: 'Upwards White Double Arrow'}, {code: '\u21EF', name: 'Upwards White Double Arrow On Pedestal'}, {code: '\u21F0', name: 'Rightwards White Arrow From Wall'}, {code: '\u21F1', name: 'North West Arrow To Corner'}, {code: '\u21F2', name: 'South East Arrow To Corner'}, {code: '\u21F3', name: 'Up Down White Arrow'}, {code: '\u21F4', name: 'Right Arrow With Small Circle'}, {code: '\u21F5', name: 'Downwards Arrow Leftwards Of Upwards Arrow'}, {code: '\u21F6', name: 'Three Rightwards Arrows'}, {code: '\u21F7', name: 'Leftwards Arrow With Vertical Stroke'}, {code: '\u21F8', name: 'Rightwards Arrow With Vertical Stroke'}, {code: '\u21F9', name: 'Left Right Arrow With Vertical Stroke'}, {code: '\u21FA', name: 'Leftwards Arrow With Double Vertical Stroke'}, {code: '\u21FB', name: 'Rightwards Arrow With Double Vertical Stroke'}, {code: '\u21FC', name: 'Left Right Arrow With Double Vertical Stroke'}, {code: '\u21FD', name: 'Leftwards Open-headed Arrow'}, {code: '\u21FE', name: 'Rightwards Open-headed Arrow'}, {code: '\u21FF', name: 'Left Right Open-headed Arrow'}]
		},
		{
			category: "Mathematical Operators",
			chars: [{code: '\u2200', name: 'For All'}, {code: '\u2201', name: 'Complement'}, {code: '\u2202', name: 'Partial Differential'}, {code: '\u2203', name: 'There Exists'}, {code: '\u2204', name: 'There Does Not Exist'}, {code: '\u2205', name: 'Empty Set'}, {code: '\u2206', name: 'Increment'}, {code: '\u2207', name: 'Nabla'}, {code: '\u2208', name: 'Element Of'}, {code: '\u2209', name: 'Not An Element Of'}, {code: '\u220A', name: 'Small Element Of'}, {code: '\u220B', name: 'Contains As Member'}, {code: '\u220C', name: 'Does Not Contain As Member'}, {code: '\u220D', name: 'Small Contains As Member'}, {code: '\u220E', name: 'End Of Proof'}, {code: '\u220F', name: 'N-ary Product'}, {code: '\u2210', name: 'N-ary Coproduct'}, {code: '\u2211', name: 'N-ary Summation'}, {code: '\u2212', name: 'Minus Sign'}, {code: '\u2213', name: 'Minus-or-plus Sign'}, {code: '\u2214', name: 'Dot Plus'}, {code: '\u2215', name: 'Division Slash'}, {code: '\u2216', name: 'Set Minus'}, {code: '\u2217', name: 'Asterisk Operator'}, {code: '\u2218', name: 'Ring Operator'}, {code: '\u2219', name: 'Bullet Operator'}, {code: '\u221A', name: 'Square Root'}, {code: '\u221B', name: 'Cube Root'}, {code: '\u221C', name: 'Fourth Root'}, {code: '\u221D', name: 'Proportional To'}, {code: '\u221E', name: 'Infinity'}, {code: '\u221F', name: 'Right Angle'}, {code: '\u2220', name: 'Angle'}, {code: '\u2221', name: 'Measured Angle'}, {code: '\u2222', name: 'Spherical Angle'}, {code: '\u2223', name: 'Divides'}, {code: '\u2224', name: 'Does Not Divide'}, {code: '\u2225', name: 'Parallel To'}, {code: '\u2226', name: 'Not Parallel To'}, {code: '\u2227', name: 'Logical And'}, {code: '\u2228', name: 'Logical Or'}, {code: '\u2229', name: 'Intersection'}, {code: '\u222A', name: 'Union'}, {code: '\u222B', name: 'Integral'}, {code: '\u222C', name: 'Double Integral'}, {code: '\u222D', name: 'Triple Integral'}, {code: '\u222E', name: 'Contour Integral'}, {code: '\u222F', name: 'Surface Integral'}, {code: '\u2230', name: 'Volume Integral'}, {code: '\u2231', name: 'Clockwise Integral'}, {code: '\u2232', name: 'Clockwise Contour Integral'}, {code: '\u2233', name: 'Anticlockwise Contour Integral'}, {code: '\u2234', name: 'Therefore'}, {code: '\u2235', name: 'Because'}, {code: '\u2236', name: 'Ratio'}, {code: '\u2237', name: 'Proportion'}, {code: '\u2238', name: 'Dot Minus'}, {code: '\u2239', name: 'Excess'}, {code: '\u223A', name: 'Geometric Proportion'}, {code: '\u223B', name: 'Homothetic'}, {code: '\u223C', name: 'Tilde Operator'}, {code: '\u223D', name: 'Reversed Tilde'}, {code: '\u223E', name: 'Inverted Lazy S'}, {code: '\u223F', name: 'Sine Wave'}, {code: '\u2240', name: 'Wreath Product'}, {code: '\u2241', name: 'Not Tilde'}, {code: '\u2242', name: 'Minus Tilde'}, {code: '\u2243', name: 'Asymptotically Equal To'}, {code: '\u2244', name: 'Not Asymptotically Equal To'}, {code: '\u2245', name: 'Approximately Equal To'}, {code: '\u2246', name: 'Approximately But Not Actually Equal To'}, {code: '\u2247', name: 'Neither Approximately Nor Actually Equal To'}, {code: '\u2248', name: 'Almost Equal To'}, {code: '\u2249', name: 'Not Almost Equal To'}, {code: '\u224A', name: 'Almost Equal Or Equal To'}, {code: '\u224B', name: 'Triple Tilde'}, {code: '\u224C', name: 'All Equal To'}, {code: '\u224D', name: 'Equivalent To'}, {code: '\u224E', name: 'Geometrically Equivalent To'}, {code: '\u224F', name: 'Difference Between'}, {code: '\u2250', name: 'Approaches The Limit'}, {code: '\u2251', name: 'Geometrically Equal To'}, {code: '\u2252', name: 'Approximately Equal To Or The Image Of'}, {code: '\u2253', name: 'Image Of Or Approximately Equal To'}, {code: '\u2254', name: 'Colon Equals'}, {code: '\u2255', name: 'Equals Colon'}, {code: '\u2256', name: 'Ring In Equal To'}, {code: '\u2257', name: 'Ring Equal To'}, {code: '\u2258', name: 'Corresponds To'}, {code: '\u2259', name: 'Estimates'}, {code: '\u225A', name: 'Equiangular To'}, {code: '\u225B', name: 'Star Equals'}, {code: '\u225C', name: 'Delta Equal To'}, {code: '\u225D', name: 'Equal To By Definition'}, {code: '\u225E', name: 'Measured By'}, {code: '\u225F', name: 'Questioned Equal To'}, {code: '\u2260', name: 'Not Equal To'}, {code: '\u2261', name: 'Identical To'}, {code: '\u2262', name: 'Not Identical To'}, {code: '\u2263', name: 'Strictly Equivalent To'}, {code: '\u2264', name: 'Less-than Or Equal To'}, {code: '\u2265', name: 'Greater-than Or Equal To'}, {code: '\u2266', name: 'Less-than Over Equal To'}, {code: '\u2267', name: 'Greater-than Over Equal To'}, {code: '\u2268', name: 'Less-than But Not Equal To'}, {code: '\u2269', name: 'Greater-than But Not Equal To'}, {code: '\u226A', name: 'Much Less-than'}, {code: '\u226B', name: 'Much Greater-than'}, {code: '\u226C', name: 'Between'}, {code: '\u226D', name: 'Not Equivalent To'}, {code: '\u226E', name: 'Not Less-than'}, {code: '\u226F', name: 'Not Greater-than'}, {code: '\u2270', name: 'Neither Less-than Nor Equal To'}, {code: '\u2271', name: 'Neither Greater-than Nor Equal To'}, {code: '\u2272', name: 'Less-than Or Equivalent To'}, {code: '\u2273', name: 'Greater-than Or Equivalent To'}, {code: '\u2274', name: 'Neither Less-than Nor Equivalent To'}, {code: '\u2275', name: 'Neither Greater-than Nor Equivalent To'}, {code: '\u2276', name: 'Less-than Or Greater-than'}, {code: '\u2277', name: 'Greater-than Or Less-than'}, {code: '\u2278', name: 'Neither Less-than Nor Greater-than'}, {code: '\u2279', name: 'Neither Greater-than Nor Less-than'}, {code: '\u227A', name: 'Precedes'}, {code: '\u227B', name: 'Succeeds'}, {code: '\u227C', name: 'Precedes Or Equal To'}, {code: '\u227D', name: 'Succeeds Or Equal To'}, {code: '\u227E', name: 'Precedes Or Equivalent To'}, {code: '\u227F', name: 'Succeeds Or Equivalent To'}, {code: '\u2280', name: 'Does Not Precede'}, {code: '\u2281', name: 'Does Not Succeed'}, {code: '\u2282', name: 'Subset Of'}, {code: '\u2283', name: 'Superset Of'}, {code: '\u2284', name: 'Not A Subset Of'}, {code: '\u2285', name: 'Not A Superset Of'}, {code: '\u2286', name: 'Subset Of Or Equal To'}, {code: '\u2287', name: 'Superset Of Or Equal To'}, {code: '\u2288', name: 'Neither A Subset Of Nor Equal To'}, {code: '\u2289', name: 'Neither A Superset Of Nor Equal To'}, {code: '\u228A', name: 'Subset Of With Not Equal To'}, {code: '\u228B', name: 'Superset Of With Not Equal To'}, {code: '\u228C', name: 'Multiset'}, {code: '\u228D', name: 'Multiset Multiplication'}, {code: '\u228E', name: 'Multiset Union'}, {code: '\u228F', name: 'Square Image Of'}, {code: '\u2290', name: 'Square Original Of'}, {code: '\u2291', name: 'Square Image Of Or Equal To'}, {code: '\u2292', name: 'Square Original Of Or Equal To'}, {code: '\u2293', name: 'Square Cap'}, {code: '\u2294', name: 'Square Cup'}, {code: '\u2295', name: 'Circled Plus'}, {code: '\u2296', name: 'Circled Minus'}, {code: '\u2297', name: 'Circled Times'}, {code: '\u2298', name: 'Circled Division Slash'}, {code: '\u2299', name: 'Circled Dot Operator'}, {code: '\u229A', name: 'Circled Ring Operator'}, {code: '\u229B', name: 'Circled Asterisk Operator'}, {code: '\u229C', name: 'Circled Equals'}, {code: '\u229D', name: 'Circled Dash'}, {code: '\u229E', name: 'Squared Plus'}, {code: '\u229F', name: 'Squared Minus'}, {code: '\u22A0', name: 'Squared Times'}, {code: '\u22A1', name: 'Squared Dot Operator'}, {code: '\u22A2', name: 'Right Tack'}, {code: '\u22A3', name: 'Left Tack'}, {code: '\u22A4', name: 'Down Tack'}, {code: '\u22A5', name: 'Up Tack'}, {code: '\u22A6', name: 'Assertion'}, {code: '\u22A7', name: 'Models'}, {code: '\u22A8', name: 'True'}, {code: '\u22A9', name: 'Forces'}, {code: '\u22AA', name: 'Triple Vertical Bar Right Turnstile'}, {code: '\u22AB', name: 'Double Vertical Bar Double Right Turnstile'}, {code: '\u22AC', name: 'Does Not Prove'}, {code: '\u22AD', name: 'Not True'}, {code: '\u22AE', name: 'Does Not Force'}, {code: '\u22AF', name: 'Negated Double Vertical Bar Double Right Turnstile'}, {code: '\u22B0', name: 'Precedes Under Relation'}, {code: '\u22B1', name: 'Succeeds Under Relation'}, {code: '\u22B2', name: 'Normal Subgroup Of'}, {code: '\u22B3', name: 'Contains As Normal Subgroup'}, {code: '\u22B4', name: 'Normal Subgroup Of Or Equal To'}, {code: '\u22B5', name: 'Contains As Normal Subgroup Or Equal To'}, {code: '\u22B6', name: 'Original Of'}, {code: '\u22B7', name: 'Image Of'}, {code: '\u22B8', name: 'Multimap'}, {code: '\u22B9', name: 'Hermitian Conjugate Matrix'}, {code: '\u22BA', name: 'Intercalate'}, {code: '\u22BB', name: 'Xor'}, {code: '\u22BC', name: 'Nand'}, {code: '\u22BD', name: 'Nor'}, {code: '\u22BE', name: 'Right Angle With Arc'}, {code: '\u22BF', name: 'Right Triangle'}, {code: '\u22C0', name: 'N-ary Logical And'}, {code: '\u22C1', name: 'N-ary Logical Or'}, {code: '\u22C2', name: 'N-ary Intersection'}, {code: '\u22C3', name: 'N-ary Union'}, {code: '\u22C4', name: 'Diamond Operator'}, {code: '\u22C5', name: 'Dot Operator'}, {code: '\u22C6', name: 'Star Operator'}, {code: '\u22C7', name: 'Division Times'}, {code: '\u22C8', name: 'Bowtie'}, {code: '\u22C9', name: 'Left Normal Factor Semidirect Product'}, {code: '\u22CA', name: 'Right Normal Factor Semidirect Product'}, {code: '\u22CB', name: 'Left Semidirect Product'}, {code: '\u22CC', name: 'Right Semidirect Product'}, {code: '\u22CD', name: 'Reversed Tilde Equals'}, {code: '\u22CE', name: 'Curly Logical Or'}, {code: '\u22CF', name: 'Curly Logical And'}, {code: '\u22D0', name: 'Double Subset'}, {code: '\u22D1', name: 'Double Superset'}, {code: '\u22D2', name: 'Double Intersection'}, {code: '\u22D3', name: 'Double Union'}, {code: '\u22D4', name: 'Pitchfork'}, {code: '\u22D5', name: 'Equal And Parallel To'}, {code: '\u22D6', name: 'Less-than With Dot'}, {code: '\u22D7', name: 'Greater-than With Dot'}, {code: '\u22D8', name: 'Very Much Less-than'}, {code: '\u22D9', name: 'Very Much Greater-than'}, {code: '\u22DA', name: 'Less-than Equal To Or Greater-than'}, {code: '\u22DB', name: 'Greater-than Equal To Or Less-than'}, {code: '\u22DC', name: 'Equal To Or Less-than'}, {code: '\u22DD', name: 'Equal To Or Greater-than'}, {code: '\u22DE', name: 'Equal To Or Precedes'}, {code: '\u22DF', name: 'Equal To Or Succeeds'}, {code: '\u22E0', name: 'Does Not Precede Or Equal'}, {code: '\u22E1', name: 'Does Not Succeed Or Equal'}, {code: '\u22E2', name: 'Not Square Image Of Or Equal To'}, {code: '\u22E3', name: 'Not Square Original Of Or Equal To'}, {code: '\u22E4', name: 'Square Image Of Or Not Equal To'}, {code: '\u22E5', name: 'Square Original Of Or Not Equal To'}, {code: '\u22E6', name: 'Less-than But Not Equivalent To'}, {code: '\u22E7', name: 'Greater-than But Not Equivalent To'}, {code: '\u22E8', name: 'Precedes But Not Equivalent To'}, {code: '\u22E9', name: 'Succeeds But Not Equivalent To'}, {code: '\u22EA', name: 'Not Normal Subgroup Of'}, {code: '\u22EB', name: 'Does Not Contain As Normal Subgroup'}, {code: '\u22EC', name: 'Not Normal Subgroup Of Or Equal To'}, {code: '\u22ED', name: 'Does Not Contain As Normal Subgroup Or Equal'}, {code: '\u22EE', name: 'Vertical Ellipsis'}, {code: '\u22EF', name: 'Midline Horizontal Ellipsis'}, {code: '\u22F0', name: 'Up Right Diagonal Ellipsis'}, {code: '\u22F1', name: 'Down Right Diagonal Ellipsis'}, {code: '\u22F2', name: 'Element Of With Long Horizontal Stroke'}, {code: '\u22F3', name: 'Element Of With Vertical Bar At End Of Horizontal Stroke'}, {code: '\u22F4', name: 'Small Element Of With Vertical Bar At End Of Horizontal Stroke'}, {code: '\u22F5', name: 'Element Of With Dot Above'}, {code: '\u22F6', name: 'Element Of With Overbar'}, {code: '\u22F7', name: 'Small Element Of With Overbar'}, {code: '\u22F8', name: 'Element Of With Underbar'}, {code: '\u22F9', name: 'Element Of With Two Horizontal Strokes'}, {code: '\u22FA', name: 'Contains With Long Horizontal Stroke'}, {code: '\u22FB', name: 'Contains With Vertical Bar At End Of Horizontal Stroke'}, {code: '\u22FC', name: 'Small Contains With Vertical Bar At End Of Horizontal Stroke'}, {code: '\u22FD', name: 'Contains With Overbar'}, {code: '\u22FE', name: 'Small Contains With Overbar'}, {code: '\u22FF', name: 'Z Notation Bag Membership'}]
		},
		{
			category: "Box Drawing",
			chars: [{code: '\u2500', name: 'Box Drawings Light Horizontal'}, {code: '\u2501', name: 'Box Drawings Heavy Horizontal'}, {code: '\u2502', name: 'Box Drawings Light Vertical'}, {code: '\u2503', name: 'Box Drawings Heavy Vertical'}, {code: '\u2504', name: 'Box Drawings Light Triple Dash Horizontal'}, {code: '\u2505', name: 'Box Drawings Heavy Triple Dash Horizontal'}, {code: '\u2506', name: 'Box Drawings Light Triple Dash Vertical'}, {code: '\u2507', name: 'Box Drawings Heavy Triple Dash Vertical'}, {code: '\u2508', name: 'Box Drawings Light Quadruple Dash Horizontal'}, {code: '\u2509', name: 'Box Drawings Heavy Quadruple Dash Horizontal'}, {code: '\u250A', name: 'Box Drawings Light Quadruple Dash Vertical'}, {code: '\u250B', name: 'Box Drawings Heavy Quadruple Dash Vertical'}, {code: '\u250C', name: 'Box Drawings Light Down And Right'}, {code: '\u250D', name: 'Box Drawings Down Light And Right Heavy'}, {code: '\u250E', name: 'Box Drawings Down Heavy And Right Light'}, {code: '\u250F', name: 'Box Drawings Heavy Down And Right'}, {code: '\u2510', name: 'Box Drawings Light Down And Left'}, {code: '\u2511', name: 'Box Drawings Down Light And Left Heavy'}, {code: '\u2512', name: 'Box Drawings Down Heavy And Left Light'}, {code: '\u2513', name: 'Box Drawings Heavy Down And Left'}, {code: '\u2514', name: 'Box Drawings Light Up And Right'}, {code: '\u2515', name: 'Box Drawings Up Light And Right Heavy'}, {code: '\u2516', name: 'Box Drawings Up Heavy And Right Light'}, {code: '\u2517', name: 'Box Drawings Heavy Up And Right'}, {code: '\u2518', name: 'Box Drawings Light Up And Left'}, {code: '\u2519', name: 'Box Drawings Up Light And Left Heavy'}, {code: '\u251A', name: 'Box Drawings Up Heavy And Left Light'}, {code: '\u251B', name: 'Box Drawings Heavy Up And Left'}, {code: '\u251C', name: 'Box Drawings Light Vertical And Right'}, {code: '\u251D', name: 'Box Drawings Vertical Light And Right Heavy'}, {code: '\u251E', name: 'Box Drawings Up Heavy And Right Down Light'}, {code: '\u251F', name: 'Box Drawings Down Heavy And Right Up Light'}, {code: '\u2520', name: 'Box Drawings Vertical Heavy And Right Light'}, {code: '\u2521', name: 'Box Drawings Down Light And Right Up Heavy'}, {code: '\u2522', name: 'Box Drawings Up Light And Right Down Heavy'}, {code: '\u2523', name: 'Box Drawings Heavy Vertical And Right'}, {code: '\u2524', name: 'Box Drawings Light Vertical And Left'}, {code: '\u2525', name: 'Box Drawings Vertical Light And Left Heavy'}, {code: '\u2526', name: 'Box Drawings Up Heavy And Left Down Light'}, {code: '\u2527', name: 'Box Drawings Down Heavy And Left Up Light'}, {code: '\u2528', name: 'Box Drawings Vertical Heavy And Left Light'}, {code: '\u2529', name: 'Box Drawings Down Light And Left Up Heavy'}, {code: '\u252A', name: 'Box Drawings Up Light And Left Down Heavy'}, {code: '\u252B', name: 'Box Drawings Heavy Vertical And Left'}, {code: '\u252C', name: 'Box Drawings Light Down And Horizontal'}, {code: '\u252D', name: 'Box Drawings Left Heavy And Right Down Light'}, {code: '\u252E', name: 'Box Drawings Right Heavy And Left Down Light'}, {code: '\u252F', name: 'Box Drawings Down Light And Horizontal Heavy'}, {code: '\u2530', name: 'Box Drawings Down Heavy And Horizontal Light'}, {code: '\u2531', name: 'Box Drawings Right Light And Left Down Heavy'}, {code: '\u2532', name: 'Box Drawings Left Light And Right Down Heavy'}, {code: '\u2533', name: 'Box Drawings Heavy Down And Horizontal'}, {code: '\u2534', name: 'Box Drawings Light Up And Horizontal'}, {code: '\u2535', name: 'Box Drawings Left Heavy And Right Up Light'}, {code: '\u2536', name: 'Box Drawings Right Heavy And Left Up Light'}, {code: '\u2537', name: 'Box Drawings Up Light And Horizontal Heavy'}, {code: '\u2538', name: 'Box Drawings Up Heavy And Horizontal Light'}, {code: '\u2539', name: 'Box Drawings Right Light And Left Up Heavy'}, {code: '\u253A', name: 'Box Drawings Left Light And Right Up Heavy'}, {code: '\u253B', name: 'Box Drawings Heavy Up And Horizontal'}, {code: '\u253C', name: 'Box Drawings Light Vertical And Horizontal'}, {code: '\u253D', name: 'Box Drawings Left Heavy And Right Vertical Light'}, {code: '\u253E', name: 'Box Drawings Right Heavy And Left Vertical Light'}, {code: '\u253F', name: 'Box Drawings Vertical Light And Horizontal Heavy'}, {code: '\u2540', name: 'Box Drawings Up Heavy And Down Horizontal Light'}, {code: '\u2541', name: 'Box Drawings Down Heavy And Up Horizontal Light'}, {code: '\u2542', name: 'Box Drawings Vertical Heavy And Horizontal Light'}, {code: '\u2543', name: 'Box Drawings Left Up Heavy And Right Down Light'}, {code: '\u2544', name: 'Box Drawings Right Up Heavy And Left Down Light'}, {code: '\u2545', name: 'Box Drawings Left Down Heavy And Right Up Light'}, {code: '\u2546', name: 'Box Drawings Right Down Heavy And Left Up Light'}, {code: '\u2547', name: 'Box Drawings Down Light And Up Horizontal Heavy'}, {code: '\u2548', name: 'Box Drawings Up Light And Down Horizontal Heavy'}, {code: '\u2549', name: 'Box Drawings Right Light And Left Vertical Heavy'}, {code: '\u254A', name: 'Box Drawings Left Light And Right Vertical Heavy'}, {code: '\u254B', name: 'Box Drawings Heavy Vertical And Horizontal'}, {code: '\u254C', name: 'Box Drawings Light Double Dash Horizontal'}, {code: '\u254D', name: 'Box Drawings Heavy Double Dash Horizontal'}, {code: '\u254E', name: 'Box Drawings Light Double Dash Vertical'}, {code: '\u254F', name: 'Box Drawings Heavy Double Dash Vertical'}, {code: '\u2550', name: 'Box Drawings Double Horizontal'}, {code: '\u2551', name: 'Box Drawings Double Vertical'}, {code: '\u2552', name: 'Box Drawings Down Single And Right Double'}, {code: '\u2553', name: 'Box Drawings Down Double And Right Single'}, {code: '\u2554', name: 'Box Drawings Double Down And Right'}, {code: '\u2555', name: 'Box Drawings Down Single And Left Double'}, {code: '\u2556', name: 'Box Drawings Down Double And Left Single'}, {code: '\u2557', name: 'Box Drawings Double Down And Left'}, {code: '\u2558', name: 'Box Drawings Up Single And Right Double'}, {code: '\u2559', name: 'Box Drawings Up Double And Right Single'}, {code: '\u255A', name: 'Box Drawings Double Up And Right'}, {code: '\u255B', name: 'Box Drawings Up Single And Left Double'}, {code: '\u255C', name: 'Box Drawings Up Double And Left Single'}, {code: '\u255D', name: 'Box Drawings Double Up And Left'}, {code: '\u255E', name: 'Box Drawings Vertical Single And Right Double'}, {code: '\u255F', name: 'Box Drawings Vertical Double And Right Single'}, {code: '\u2560', name: 'Box Drawings Double Vertical And Right'}, {code: '\u2561', name: 'Box Drawings Vertical Single And Left Double'}, {code: '\u2562', name: 'Box Drawings Vertical Double And Left Single'}, {code: '\u2563', name: 'Box Drawings Double Vertical And Left'}, {code: '\u2564', name: 'Box Drawings Down Single And Horizontal Double'}, {code: '\u2565', name: 'Box Drawings Down Double And Horizontal Single'}, {code: '\u2566', name: 'Box Drawings Double Down And Horizontal'}, {code: '\u2567', name: 'Box Drawings Up Single And Horizontal Double'}, {code: '\u2568', name: 'Box Drawings Up Double And Horizontal Single'}, {code: '\u2569', name: 'Box Drawings Double Up And Horizontal'}, {code: '\u256A', name: 'Box Drawings Vertical Single And Horizontal Double'}, {code: '\u256B', name: 'Box Drawings Vertical Double And Horizontal Single'}, {code: '\u256C', name: 'Box Drawings Double Vertical And Horizontal'}, {code: '\u256D', name: 'Box Drawings Light Arc Down And Right'}, {code: '\u256E', name: 'Box Drawings Light Arc Down And Left'}, {code: '\u256F', name: 'Box Drawings Light Arc Up And Left'}, {code: '\u2570', name: 'Box Drawings Light Arc Up And Right'}, {code: '\u2571', name: 'Box Drawings Light Diagonal Upper Right To Lower Left'}, {code: '\u2572', name: 'Box Drawings Light Diagonal Upper Left To Lower Right'}, {code: '\u2573', name: 'Box Drawings Light Diagonal Cross'}, {code: '\u2574', name: 'Box Drawings Light Left'}, {code: '\u2575', name: 'Box Drawings Light Up'}, {code: '\u2576', name: 'Box Drawings Light Right'}, {code: '\u2577', name: 'Box Drawings Light Down'}, {code: '\u2578', name: 'Box Drawings Heavy Left'}, {code: '\u2579', name: 'Box Drawings Heavy Up'}, {code: '\u257A', name: 'Box Drawings Heavy Right'}, {code: '\u257B', name: 'Box Drawings Heavy Down'}, {code: '\u257C', name: 'Box Drawings Light Left And Heavy Right'}, {code: '\u257D', name: 'Box Drawings Light Up And Heavy Down'}, {code: '\u257E', name: 'Box Drawings Heavy Left And Light Right'}, {code: '\u257F', name: 'Box Drawings Heavy Up And Light Down'}]
		},
		{
			category: "Geometric Shapes",
			chars: [{code: '\u25A0', name: 'Black Square'}, {code: '\u25A1', name: 'White Square'}, {code: '\u25A2', name: 'White Square With Rounded Corners'}, {code: '\u25A3', name: 'White Square Containing Black Small Square'}, {code: '\u25A4', name: 'Square With Horizontal Fill'}, {code: '\u25A5', name: 'Square With Vertical Fill'}, {code: '\u25A6', name: 'Square With Orthogonal Crosshatch Fill'}, {code: '\u25A7', name: 'Square With Upper Left To Lower Right Fill'}, {code: '\u25A8', name: 'Square With Upper Right To Lower Left Fill'}, {code: '\u25A9', name: 'Square With Diagonal Crosshatch Fill'}, {code: '\u25AA', name: 'Black Small Square'}, {code: '\u25AB', name: 'White Small Square'}, {code: '\u25AC', name: 'Black Rectangle'}, {code: '\u25AD', name: 'White Rectangle'}, {code: '\u25AE', name: 'Black Vertical Rectangle'}, {code: '\u25AF', name: 'White Vertical Rectangle'}, {code: '\u25B0', name: 'Black Parallelogram'}, {code: '\u25B1', name: 'White Parallelogram'}, {code: '\u25B2', name: 'Black Up-pointing Triangle'}, {code: '\u25B3', name: 'White Up-pointing Triangle'}, {code: '\u25B4', name: 'Black Up-pointing Small Triangle'}, {code: '\u25B5', name: 'White Up-pointing Small Triangle'}, {code: '\u25B6', name: 'Black Right-pointing Triangle'}, {code: '\u25B7', name: 'White Right-pointing Triangle'}, {code: '\u25B8', name: 'Black Right-pointing Small Triangle'}, {code: '\u25B9', name: 'White Right-pointing Small Triangle'}, {code: '\u25BA', name: 'Black Right-pointing Pointer'}, {code: '\u25BB', name: 'White Right-pointing Pointer'}, {code: '\u25BC', name: 'Black Down-pointing Triangle'}, {code: '\u25BD', name: 'White Down-pointing Triangle'}, {code: '\u25BE', name: 'Black Down-pointing Small Triangle'}, {code: '\u25BF', name: 'White Down-pointing Small Triangle'}, {code: '\u25C0', name: 'Black Left-pointing Triangle'}, {code: '\u25C1', name: 'White Left-pointing Triangle'}, {code: '\u25C2', name: 'Black Left-pointing Small Triangle'}, {code: '\u25C3', name: 'White Left-pointing Small Triangle'}, {code: '\u25C4', name: 'Black Left-pointing Pointer'}, {code: '\u25C5', name: 'White Left-pointing Pointer'}, {code: '\u25C6', name: 'Black Diamond'}, {code: '\u25C7', name: 'White Diamond'}, {code: '\u25C8', name: 'White Diamond Containing Black Small Diamond'}, {code: '\u25C9', name: 'Fisheye'}, {code: '\u25CA', name: 'Lozenge'}, {code: '\u25CB', name: 'White Circle'}, {code: '\u25CC', name: 'Dotted Circle'}, {code: '\u25CD', name: 'Circle With Vertical Fill'}, {code: '\u25CE', name: 'Bullseye'}, {code: '\u25CF', name: 'Black Circle'}, {code: '\u25D0', name: 'Circle With Left Half Black'}, {code: '\u25D1', name: 'Circle With Right Half Black'}, {code: '\u25D2', name: 'Circle With Lower Half Black'}, {code: '\u25D3', name: 'Circle With Upper Half Black'}, {code: '\u25D4', name: 'Circle With Upper Right Quadrant Black'}, {code: '\u25D5', name: 'Circle With All But Upper Left Quadrant Black'}, {code: '\u25D6', name: 'Left Half Black Circle'}, {code: '\u25D7', name: 'Right Half Black Circle'}, {code: '\u25D8', name: 'Inverse Bullet'}, {code: '\u25D9', name: 'Inverse White Circle'}, {code: '\u25DA', name: 'Upper Half Inverse White Circle'}, {code: '\u25DB', name: 'Lower Half Inverse White Circle'}, {code: '\u25DC', name: 'Upper Left Quadrant Circular Arc'}, {code: '\u25DD', name: 'Upper Right Quadrant Circular Arc'}, {code: '\u25DE', name: 'Lower Right Quadrant Circular Arc'}, {code: '\u25DF', name: 'Lower Left Quadrant Circular Arc'}, {code: '\u25E0', name: 'Upper Half Circle'}, {code: '\u25E1', name: 'Lower Half Circle'}, {code: '\u25E2', name: 'Black Lower Right Triangle'}, {code: '\u25E3', name: 'Black Lower Left Triangle'}, {code: '\u25E4', name: 'Black Upper Left Triangle'}, {code: '\u25E5', name: 'Black Upper Right Triangle'}, {code: '\u25E6', name: 'White Bullet'}, {code: '\u25E7', name: 'Square With Left Half Black'}, {code: '\u25E8', name: 'Square With Right Half Black'}, {code: '\u25E9', name: 'Square With Upper Left Diagonal Half Black'}, {code: '\u25EA', name: 'Square With Lower Right Diagonal Half Black'}, {code: '\u25EB', name: 'White Square With Vertical Bisecting Line'}, {code: '\u25EC', name: 'White Up-pointing Triangle With Dot'}, {code: '\u25ED', name: 'Up-pointing Triangle With Left Half Black'}, {code: '\u25EE', name: 'Up-pointing Triangle With Right Half Black'}, {code: '\u25EF', name: 'Large Circle'}, {code: '\u25F0', name: 'White Square With Upper Left Quadrant'}, {code: '\u25F1', name: 'White Square With Lower Left Quadrant'}, {code: '\u25F2', name: 'White Square With Lower Right Quadrant'}, {code: '\u25F3', name: 'White Square With Upper Right Quadrant'}, {code: '\u25F4', name: 'White Circle With Upper Left Quadrant'}, {code: '\u25F5', name: 'White Circle With Lower Left Quadrant'}, {code: '\u25F6', name: 'White Circle With Lower Right Quadrant'}, {code: '\u25F7', name: 'White Circle With Upper Right Quadrant'}, {code: '\u25F8', name: 'Upper Left Triangle'}, {code: '\u25F9', name: 'Upper Right Triangle'}, {code: '\u25FA', name: 'Lower Left Triangle'}, {code: '\u25FB', name: 'White Medium Square'}, {code: '\u25FC', name: 'Black Medium Square'}, {code: '\u25FD', name: 'White Medium Small Square'}, {code: '\u25FE', name: 'Black Medium Small Square'}, {code: '\u25FF', name: 'Lower Right Triangle'}]
		},
		{
			category: "Dingbats",
			chars: [{code: '\u2700', name: 'Black Safety Scissors'}, {code: '\u2701', name: 'Upper Blade Scissors'}, {code: '\u2702', name: 'Black Scissors'}, {code: '\u2703', name: 'Lower Blade Scissors'}, {code: '\u2704', name: 'White Scissors'}, {code: '\u2705', name: 'White Heavy Check Mark'}, {code: '\u2706', name: 'Telephone Location Sign'}, {code: '\u2707', name: 'Tape Drive'}, {code: '\u2708', name: 'Airplane'}, {code: '\u2709', name: 'Envelope'}, {code: '\u270A', name: 'Raised Fist'}, {code: '\u270B', name: 'Raised Hand'}, {code: '\u270C', name: 'Victory Hand'}, {code: '\u270D', name: 'Writing Hand'}, {code: '\u270E', name: 'Lower Right Pencil'}, {code: '\u270F', name: 'Pencil'}, {code: '\u2710', name: 'Upper Right Pencil'}, {code: '\u2711', name: 'White Nib'}, {code: '\u2712', name: 'Black Nib'}, {code: '\u2713', name: 'Check Mark'}, {code: '\u2714', name: 'Heavy Check Mark'}, {code: '\u2715', name: 'Multiplication X'}, {code: '\u2716', name: 'Heavy Multiplication X'}, {code: '\u2717', name: 'Ballot X'}, {code: '\u2718', name: 'Heavy Ballot X'}, {code: '\u2719', name: 'Outlined Greek Cross'}, {code: '\u271A', name: 'Heavy Greek Cross'}, {code: '\u271B', name: 'Open Centre Cross'}, {code: '\u271C', name: 'Heavy Open Centre Cross'}, {code: '\u271D', name: 'Latin Cross'}, {code: '\u271E', name: 'Shadowed White Latin Cross'}, {code: '\u271F', name: 'Outlined Latin Cross'}, {code: '\u2720', name: 'Maltese Cross'}, {code: '\u2721', name: 'Star Of David'}, {code: '\u2722', name: 'Four Teardrop-spoked Asterisk'}, {code: '\u2723', name: 'Four Balloon-spoked Asterisk'}, {code: '\u2724', name: 'Heavy Four Balloon-spoked Asterisk'}, {code: '\u2725', name: 'Four Club-spoked Asterisk'}, {code: '\u2726', name: 'Black Four Pointed Star'}, {code: '\u2727', name: 'White Four Pointed Star'}, {code: '\u2728', name: 'Sparkles'}, {code: '\u2729', name: 'Stress Outlined White Star'}, {code: '\u272A', name: 'Circled White Star'}, {code: '\u272B', name: 'Open Centre Black Star'}, {code: '\u272C', name: 'Black Centre White Star'}, {code: '\u272D', name: 'Outlined Black Star'}, {code: '\u272E', name: 'Heavy Outlined Black Star'}, {code: '\u272F', name: 'Pinwheel Star'}, {code: '\u2730', name: 'Shadowed White Star'}, {code: '\u2731', name: 'Heavy Asterisk'}, {code: '\u2732', name: 'Open Centre Asterisk'}, {code: '\u2733', name: 'Eight Spoked Asterisk'}, {code: '\u2734', name: 'Eight Pointed Black Star'}, {code: '\u2735', name: 'Eight Pointed Pinwheel Star'}, {code: '\u2736', name: 'Six Pointed Black Star'}, {code: '\u2737', name: 'Eight Pointed Rectilinear Black Star'}, {code: '\u2738', name: 'Heavy Eight Pointed Rectilinear Black Star'}, {code: '\u2739', name: 'Twelve Pointed Black Star'}, {code: '\u273A', name: 'Sixteen Pointed Asterisk'}, {code: '\u273B', name: 'Teardrop-spoked Asterisk'}, {code: '\u273C', name: 'Open Centre Teardrop-spoked Asterisk'}, {code: '\u273D', name: 'Heavy Teardrop-spoked Asterisk'}, {code: '\u273E', name: 'Six Petalled Black And White Florette'}, {code: '\u273F', name: 'Black Florette'}, {code: '\u2740', name: 'White Florette'}, {code: '\u2741', name: 'Eight Petalled Outlined Black Florette'}, {code: '\u2742', name: 'Circled Open Centre Eight Pointed Star'}, {code: '\u2743', name: 'Heavy Teardrop-spoked Pinwheel Asterisk'}, {code: '\u2744', name: 'Snowflake'}, {code: '\u2745', name: 'Tight Trifoliate Snowflake'}, {code: '\u2746', name: 'Heavy Chevron Snowflake'}, {code: '\u2747', name: 'Sparkle'}, {code: '\u2748', name: 'Heavy Sparkle'}, {code: '\u2749', name: 'Balloon-spoked Asterisk'}, {code: '\u274A', name: 'Eight Teardrop-spoked Propeller Asterisk'}, {code: '\u274B', name: 'Heavy Eight Teardrop-spoked Propeller Asterisk'}, {code: '\u274C', name: 'Cross Mark'}, {code: '\u274D', name: 'Shadowed White Circle'}, {code: '\u274E', name: 'Negative Squared Cross Mark'}, {code: '\u274F', name: 'Lower Right Drop-shadowed White Square'}, {code: '\u2750', name: 'Upper Right Drop-shadowed White Square'}, {code: '\u2751', name: 'Lower Right Shadowed White Square'}, {code: '\u2752', name: 'Upper Right Shadowed White Square'}, {code: '\u2753', name: 'Black Question Mark Ornament'}, {code: '\u2754', name: 'White Question Mark Ornament'}, {code: '\u2755', name: 'White Exclamation Mark Ornament'}, {code: '\u2756', name: 'Black Diamond Minus White X'}, {code: '\u2757', name: 'Heavy Exclamation Mark Symbol'}, {code: '\u2758', name: 'Light Vertical Bar'}, {code: '\u2759', name: 'Medium Vertical Bar'}, {code: '\u275A', name: 'Heavy Vertical Bar'}, {code: '\u275B', name: 'Heavy Single Turned Comma Quotation Mark Ornament'}, {code: '\u275C', name: 'Heavy Single Comma Quotation Mark Ornament'}, {code: '\u275D', name: 'Heavy Double Turned Comma Quotation Mark Ornament'}, {code: '\u275E', name: 'Heavy Double Comma Quotation Mark Ornament'}, {code: '\u275F', name: 'Heavy Low Single Comma Quotation Mark Ornament'}, {code: '\u2760', name: 'Heavy Low Double Comma Quotation Mark Ornament'}, {code: '\u2761', name: 'Curved Stem Paragraph Sign Ornament'}, {code: '\u2762', name: 'Heavy Exclamation Mark Ornament'}, {code: '\u2763', name: 'Heavy Heart Exclamation Mark Ornament'}, {code: '\u2764', name: 'Heavy Black Heart'}, {code: '\u2765', name: 'Rotated Heavy Black Heart Bullet'}, {code: '\u2766', name: 'Floral Heart'}, {code: '\u2767', name: 'Rotated Floral Heart Bullet'}, {code: '\u2768', name: 'Medium Left Parenthesis Ornament'}, {code: '\u2769', name: 'Medium Right Parenthesis Ornament'}, {code: '\u276A', name: 'Medium Flattened Left Parenthesis Ornament'}, {code: '\u276B', name: 'Medium Flattened Right Parenthesis Ornament'}, {code: '\u276C', name: 'Medium Left-pointing Angle Bracket Ornament'}, {code: '\u276D', name: 'Medium Right-pointing Angle Bracket Ornament'}, {code: '\u276E', name: 'Heavy Left-pointing Angle Quotation Mark Ornament'}, {code: '\u276F', name: 'Heavy Right-pointing Angle Quotation Mark Ornament'}, {code: '\u2770', name: 'Heavy Left-pointing Angle Bracket Ornament'}, {code: '\u2771', name: 'Heavy Right-pointing Angle Bracket Ornament'}, {code: '\u2772', name: 'Light Left Tortoise Shell Bracket Ornament'}, {code: '\u2773', name: 'Light Right Tortoise Shell Bracket Ornament'}, {code: '\u2774', name: 'Medium Left Curly Bracket Ornament'}, {code: '\u2775', name: 'Medium Right Curly Bracket Ornament'}, {code: '\u2776', name: 'Dingbat Negative Circled Digit One'}, {code: '\u2777', name: 'Dingbat Negative Circled Digit Two'}, {code: '\u2778', name: 'Dingbat Negative Circled Digit Three'}, {code: '\u2779', name: 'Dingbat Negative Circled Digit Four'}, {code: '\u277A', name: 'Dingbat Negative Circled Digit Five'}, {code: '\u277B', name: 'Dingbat Negative Circled Digit Six'}, {code: '\u277C', name: 'Dingbat Negative Circled Digit Seven'}, {code: '\u277D', name: 'Dingbat Negative Circled Digit Eight'}, {code: '\u277E', name: 'Dingbat Negative Circled Digit Nine'}, {code: '\u277F', name: 'Dingbat Negative Circled Number Ten'}, {code: '\u2780', name: 'Dingbat Circled Sans-serif Digit One'}, {code: '\u2781', name: 'Dingbat Circled Sans-serif Digit Two'}, {code: '\u2782', name: 'Dingbat Circled Sans-serif Digit Three'}, {code: '\u2783', name: 'Dingbat Circled Sans-serif Digit Four'}, {code: '\u2784', name: 'Dingbat Circled Sans-serif Digit Five'}, {code: '\u2785', name: 'Dingbat Circled Sans-serif Digit Six'}, {code: '\u2786', name: 'Dingbat Circled Sans-serif Digit Seven'}, {code: '\u2787', name: 'Dingbat Circled Sans-serif Digit Eight'}, {code: '\u2788', name: 'Dingbat Circled Sans-serif Digit Nine'}, {code: '\u2789', name: 'Dingbat Circled Sans-serif Number Ten'}, {code: '\u278A', name: 'Dingbat Negative Circled Sans-serif Digit One'}, {code: '\u278B', name: 'Dingbat Negative Circled Sans-serif Digit Two'}, {code: '\u278C', name: 'Dingbat Negative Circled Sans-serif Digit Three'}, {code: '\u278D', name: 'Dingbat Negative Circled Sans-serif Digit Four'}, {code: '\u278E', name: 'Dingbat Negative Circled Sans-serif Digit Five'}, {code: '\u278F', name: 'Dingbat Negative Circled Sans-serif Digit Six'}, {code: '\u2790', name: 'Dingbat Negative Circled Sans-serif Digit Seven'}, {code: '\u2791', name: 'Dingbat Negative Circled Sans-serif Digit Eight'}, {code: '\u2792', name: 'Dingbat Negative Circled Sans-serif Digit Nine'}, {code: '\u2793', name: 'Dingbat Negative Circled Sans-serif Number Ten'}, {code: '\u2794', name: 'Heavy Wide-headed Rightwards Arrow'}, {code: '\u2795', name: 'Heavy Plus Sign'}, {code: '\u2796', name: 'Heavy Minus Sign'}, {code: '\u2797', name: 'Heavy Division Sign'}, {code: '\u2798', name: 'Heavy South East Arrow'}, {code: '\u2799', name: 'Heavy Rightwards Arrow'}, {code: '\u279A', name: 'Heavy North East Arrow'}, {code: '\u279B', name: 'Drafting Point Rightwards Arrow'}, {code: '\u279C', name: 'Heavy Round-tipped Rightwards Arrow'}, {code: '\u279D', name: 'Triangle-headed Rightwards Arrow'}, {code: '\u279E', name: 'Heavy Triangle-headed Rightwards Arrow'}, {code: '\u279F', name: 'Dashed Triangle-headed Rightwards Arrow'}, {code: '\u27A0', name: 'Heavy Dashed Triangle-headed Rightwards Arrow'}, {code: '\u27A1', name: 'Black Rightwards Arrow'}, {code: '\u27A2', name: 'Three-d Top-lighted Rightwards Arrowhead'}, {code: '\u27A3', name: 'Three-d Bottom-lighted Rightwards Arrowhead'}, {code: '\u27A4', name: 'Black Rightwards Arrowhead'}, {code: '\u27A5', name: 'Heavy Black Curved Downwards And Rightwards Arrow'}, {code: '\u27A6', name: 'Heavy Black Curved Upwards And Rightwards Arrow'}, {code: '\u27A7', name: 'Squat Black Rightwards Arrow'}, {code: '\u27A8', name: 'Heavy Concave-pointed Black Rightwards Arrow'}, {code: '\u27A9', name: 'Right-shaded White Rightwards Arrow'}, {code: '\u27AA', name: 'Left-shaded White Rightwards Arrow'}, {code: '\u27AB', name: 'Back-tilted Shadowed White Rightwards Arrow'}, {code: '\u27AC', name: 'Front-tilted Shadowed White Rightwards Arrow'}, {code: '\u27AD', name: 'Heavy Lower Right-shadowed White Rightwards Arrow'}, {code: '\u27AE', name: 'Heavy Upper Right-shadowed White Rightwards Arrow'}, {code: '\u27AF', name: 'Notched Lower Right-shadowed White Rightwards Arrow'}, {code: '\u27B0', name: 'Curly Loop'}, {code: '\u27B1', name: 'Notched Upper Right-shadowed White Rightwards Arrow'}, {code: '\u27B2', name: 'Circled Heavy White Rightwards Arrow'}, {code: '\u27B3', name: 'White-feathered Rightwards Arrow'}, {code: '\u27B4', name: 'Black-feathered South East Arrow'}, {code: '\u27B5', name: 'Black-feathered Rightwards Arrow'}, {code: '\u27B6', name: 'Black-feathered North East Arrow'}, {code: '\u27B7', name: 'Heavy Black-feathered South East Arrow'}, {code: '\u27B8', name: 'Heavy Black-feathered Rightwards Arrow'}, {code: '\u27B9', name: 'Heavy Black-feathered North East Arrow'}, {code: '\u27BA', name: 'Teardrop-barbed Rightwards Arrow'}, {code: '\u27BB', name: 'Heavy Teardrop-shanked Rightwards Arrow'}, {code: '\u27BC', name: 'Wedge-tailed Rightwards Arrow'}, {code: '\u27BD', name: 'Heavy Wedge-tailed Rightwards Arrow'}, {code: '\u27BE', name: 'Open-outlined Rightwards Arrow'}, {code: '\u27BF', name: 'Double Curly Loop'}]
		},
		{
			category: "Glagolitic",
			chars: [{code: '\u2C00', name: 'Glagolitic Capital Letter Azu'}, {code: '\u2C01', name: 'Glagolitic Capital Letter Buky'}, {code: '\u2C02', name: 'Glagolitic Capital Letter Vede'}, {code: '\u2C03', name: 'Glagolitic Capital Letter Glagoli'}, {code: '\u2C04', name: 'Glagolitic Capital Letter Dobro'}, {code: '\u2C05', name: 'Glagolitic Capital Letter Yestu'}, {code: '\u2C06', name: 'Glagolitic Capital Letter Zhivete'}, {code: '\u2C07', name: 'Glagolitic Capital Letter Dzelo'}, {code: '\u2C08', name: 'Glagolitic Capital Letter Zemlja'}, {code: '\u2C09', name: 'Glagolitic Capital Letter Izhe'}, {code: '\u2C0A', name: 'Glagolitic Capital Letter Initial Izhe'}, {code: '\u2C0B', name: 'Glagolitic Capital Letter I'}, {code: '\u2C0C', name: 'Glagolitic Capital Letter Djervi'}, {code: '\u2C0D', name: 'Glagolitic Capital Letter Kako'}, {code: '\u2C0E', name: 'Glagolitic Capital Letter Ljudije'}, {code: '\u2C0F', name: 'Glagolitic Capital Letter Myslite'}, {code: '\u2C10', name: 'Glagolitic Capital Letter Nashi'}, {code: '\u2C11', name: 'Glagolitic Capital Letter Onu'}, {code: '\u2C12', name: 'Glagolitic Capital Letter Pokoji'}, {code: '\u2C13', name: 'Glagolitic Capital Letter Ritsi'}, {code: '\u2C14', name: 'Glagolitic Capital Letter Slovo'}, {code: '\u2C15', name: 'Glagolitic Capital Letter Tvrido'}, {code: '\u2C16', name: 'Glagolitic Capital Letter Uku'}, {code: '\u2C17', name: 'Glagolitic Capital Letter Fritu'}, {code: '\u2C18', name: 'Glagolitic Capital Letter Heru'}, {code: '\u2C19', name: 'Glagolitic Capital Letter Otu'}, {code: '\u2C1A', name: 'Glagolitic Capital Letter Pe'}, {code: '\u2C1B', name: 'Glagolitic Capital Letter Shta'}, {code: '\u2C1C', name: 'Glagolitic Capital Letter Tsi'}, {code: '\u2C1D', name: 'Glagolitic Capital Letter Chrivi'}, {code: '\u2C1E', name: 'Glagolitic Capital Letter Sha'}, {code: '\u2C1F', name: 'Glagolitic Capital Letter Yeru'}, {code: '\u2C20', name: 'Glagolitic Capital Letter Yeri'}, {code: '\u2C21', name: 'Glagolitic Capital Letter Yati'}, {code: '\u2C22', name: 'Glagolitic Capital Letter Spidery Ha'}, {code: '\u2C23', name: 'Glagolitic Capital Letter Yu'}, {code: '\u2C24', name: 'Glagolitic Capital Letter Small Yus'}, {code: '\u2C25', name: 'Glagolitic Capital Letter Small Yus With Tail'}, {code: '\u2C26', name: 'Glagolitic Capital Letter Yo'}, {code: '\u2C27', name: 'Glagolitic Capital Letter Iotated Small Yus'}, {code: '\u2C28', name: 'Glagolitic Capital Letter Big Yus'}, {code: '\u2C29', name: 'Glagolitic Capital Letter Iotated Big Yus'}, {code: '\u2C2A', name: 'Glagolitic Capital Letter Fita'}, {code: '\u2C2B', name: 'Glagolitic Capital Letter Izhitsa'}, {code: '\u2C2C', name: 'Glagolitic Capital Letter Shtapic'}, {code: '\u2C2D', name: 'Glagolitic Capital Letter Trokutasti A'}, {code: '\u2C2E', name: 'Glagolitic Capital Letter Latinate Myslite'}, {code: '\u2C30', name: 'Glagolitic Small Letter Azu'}, {code: '\u2C31', name: 'Glagolitic Small Letter Buky'}, {code: '\u2C32', name: 'Glagolitic Small Letter Vede'}, {code: '\u2C33', name: 'Glagolitic Small Letter Glagoli'}, {code: '\u2C34', name: 'Glagolitic Small Letter Dobro'}, {code: '\u2C35', name: 'Glagolitic Small Letter Yestu'}, {code: '\u2C36', name: 'Glagolitic Small Letter Zhivete'}, {code: '\u2C37', name: 'Glagolitic Small Letter Dzelo'}, {code: '\u2C38', name: 'Glagolitic Small Letter Zemlja'}, {code: '\u2C39', name: 'Glagolitic Small Letter Izhe'}, {code: '\u2C3A', name: 'Glagolitic Small Letter Initial Izhe'}, {code: '\u2C3B', name: 'Glagolitic Small Letter I'}, {code: '\u2C3C', name: 'Glagolitic Small Letter Djervi'}, {code: '\u2C3D', name: 'Glagolitic Small Letter Kako'}, {code: '\u2C3E', name: 'Glagolitic Small Letter Ljudije'}, {code: '\u2C3F', name: 'Glagolitic Small Letter Myslite'}, {code: '\u2C40', name: 'Glagolitic Small Letter Nashi'}, {code: '\u2C41', name: 'Glagolitic Small Letter Onu'}, {code: '\u2C42', name: 'Glagolitic Small Letter Pokoji'}, {code: '\u2C43', name: 'Glagolitic Small Letter Ritsi'}, {code: '\u2C44', name: 'Glagolitic Small Letter Slovo'}, {code: '\u2C45', name: 'Glagolitic Small Letter Tvrido'}, {code: '\u2C46', name: 'Glagolitic Small Letter Uku'}, {code: '\u2C47', name: 'Glagolitic Small Letter Fritu'}, {code: '\u2C48', name: 'Glagolitic Small Letter Heru'}, {code: '\u2C49', name: 'Glagolitic Small Letter Otu'}, {code: '\u2C4A', name: 'Glagolitic Small Letter Pe'}, {code: '\u2C4B', name: 'Glagolitic Small Letter Shta'}, {code: '\u2C4C', name: 'Glagolitic Small Letter Tsi'}, {code: '\u2C4D', name: 'Glagolitic Small Letter Chrivi'}, {code: '\u2C4E', name: 'Glagolitic Small Letter Sha'}, {code: '\u2C4F', name: 'Glagolitic Small Letter Yeru'}, {code: '\u2C50', name: 'Glagolitic Small Letter Yeri'}, {code: '\u2C51', name: 'Glagolitic Small Letter Yati'}, {code: '\u2C52', name: 'Glagolitic Small Letter Spidery Ha'}, {code: '\u2C53', name: 'Glagolitic Small Letter Yu'}, {code: '\u2C54', name: 'Glagolitic Small Letter Small Yus'}, {code: '\u2C55', name: 'Glagolitic Small Letter Small Yus With Tail'}, {code: '\u2C56', name: 'Glagolitic Small Letter Yo'}, {code: '\u2C57', name: 'Glagolitic Small Letter Iotated Small Yus'}, {code: '\u2C58', name: 'Glagolitic Small Letter Big Yus'}, {code: '\u2C59', name: 'Glagolitic Small Letter Iotated Big Yus'}, {code: '\u2C5A', name: 'Glagolitic Small Letter Fita'}, {code: '\u2C5B', name: 'Glagolitic Small Letter Izhitsa'}, {code: '\u2C5C', name: 'Glagolitic Small Letter Shtapic'}, {code: '\u2C5D', name: 'Glagolitic Small Letter Trokutasti A'}, {code: '\u2C5E', name: 'Glagolitic Small Letter Latinate Myslite'}]
		},
		{
			category: "Supplemental Punctuation",
			chars: [{code: '\u2E00', name: 'Right Angle Substitution Marker'}, {code: '\u2E01', name: 'Right Angle Dotted Substitution Marker'}, {code: '\u2E02', name: 'Left Substitution Bracket'}, {code: '\u2E03', name: 'Right Substitution Bracket'}, {code: '\u2E04', name: 'Left Dotted Substitution Bracket'}, {code: '\u2E05', name: 'Right Dotted Substitution Bracket'}, {code: '\u2E06', name: 'Raised Interpolation Marker'}, {code: '\u2E07', name: 'Raised Dotted Interpolation Marker'}, {code: '\u2E08', name: 'Dotted Transposition Marker'}, {code: '\u2E09', name: 'Left Transposition Bracket'}, {code: '\u2E0A', name: 'Right Transposition Bracket'}, {code: '\u2E0B', name: 'Raised Square'}, {code: '\u2E0C', name: 'Left Raised Omission Bracket'}, {code: '\u2E0D', name: 'Right Raised Omission Bracket'}, {code: '\u2E0E', name: 'Editorial Coronis'}, {code: '\u2E0F', name: 'Paragraphos'}, {code: '\u2E10', name: 'Forked Paragraphos'}, {code: '\u2E11', name: 'Reversed Forked Paragraphos'}, {code: '\u2E12', name: 'Hypodiastole'}, {code: '\u2E13', name: 'Dotted Obelos'}, {code: '\u2E14', name: 'Downwards Ancora'}, {code: '\u2E15', name: 'Upwards Ancora'}, {code: '\u2E16', name: 'Dotted Right-pointing Angle'}, {code: '\u2E17', name: 'Double Oblique Hyphen'}, {code: '\u2E18', name: 'Inverted Interrobang'}, {code: '\u2E19', name: 'Palm Branch'}, {code: '\u2E1A', name: 'Hyphen With Diaeresis'}, {code: '\u2E1B', name: 'Tilde With Ring Above'}, {code: '\u2E1C', name: 'Left Low Paraphrase Bracket'}, {code: '\u2E1D', name: 'Right Low Paraphrase Bracket'}, {code: '\u2E1E', name: 'Tilde With Dot Above'}, {code: '\u2E1F', name: 'Tilde With Dot Below'}, {code: '\u2E20', name: 'Left Vertical Bar With Quill'}, {code: '\u2E21', name: 'Right Vertical Bar With Quill'}, {code: '\u2E22', name: 'Top Left Half Bracket'}, {code: '\u2E23', name: 'Top Right Half Bracket'}, {code: '\u2E24', name: 'Bottom Left Half Bracket'}, {code: '\u2E25', name: 'Bottom Right Half Bracket'}, {code: '\u2E26', name: 'Left Sideways U Bracket'}, {code: '\u2E27', name: 'Right Sideways U Bracket'}, {code: '\u2E28', name: 'Left Double Parenthesis'}, {code: '\u2E29', name: 'Right Double Parenthesis'}, {code: '\u2E2A', name: 'Two Dots Over One Dot Punctuation'}, {code: '\u2E2B', name: 'One Dot Over Two Dots Punctuation'}, {code: '\u2E2C', name: 'Squared Four Dot Punctuation'}, {code: '\u2E2D', name: 'Five Dot Mark'}, {code: '\u2E2E', name: 'Reversed Question Mark'}, {code: '\u2E2F', name: 'Vertical Tilde'}, {code: '\u2E30', name: 'Ring Point'}, {code: '\u2E31', name: 'Word Separator Middle Dot'}, {code: '\u2E32', name: 'Turned Comma'}, {code: '\u2E33', name: 'Raised Dot'}, {code: '\u2E34', name: 'Raised Comma'}, {code: '\u2E35', name: 'Turned Semicolon'}, {code: '\u2E36', name: 'Dagger With Left Guard'}, {code: '\u2E37', name: 'Dagger With Right Guard'}, {code: '\u2E38', name: 'Turned Dagger'}, {code: '\u2E39', name: 'Top Half Section Sign'}, {code: '\u2E3A', name: 'Two-em Dash'}, {code: '\u2E3B', name: 'Three-em Dash'}, {code: '\u2E3C', name: 'Stenographic Full Stop'}, {code: '\u2E3D', name: 'Vertical Six Dots'}, {code: '\u2E3E', name: 'Wiggly Vertical Line'}, {code: '\u2E3F', name: 'Capitulum'}, {code: '\u2E40', name: 'Double Hyphen'}, {code: '\u2E41', name: 'Reversed Comma'}, {code: '\u2E42', name: 'Double Low-reversed-9 Quotation Mark'}, {code: '\u2E43', name: 'Dash With Left Upturn'}, {code: '\u2E44', name: 'Double Suspension Mark'}, {code: '\u2E45', name: 'Inverted Low Kavyka'}, {code: '\u2E46', name: 'Inverted Low Kavyka With Kavyka Above'}, {code: '\u2E47', name: 'Low Kavyka'}, {code: '\u2E48', name: 'Low Kavyka With Dot'}, {code: '\u2E49', name: 'Double Stacked Comma'}, {code: '\u2E4A', name: 'Dotted Solidus'}, {code: '\u2E4B', name: 'Triple Dagger'}, {code: '\u2E4C', name: 'Medieval Comma'}, {code: '\u2E4D', name: 'Paragraphus Mark'}, {code: '\u2E4E', name: 'Punctus Elevatus Mark'}]
		},
		{
			category: "Lisu",
			chars: [{code: '\uA4D0', name: 'Lisu Letter Ba'}, {code: '\uA4D1', name: 'Lisu Letter Pa'}, {code: '\uA4D2', name: 'Lisu Letter Pha'}, {code: '\uA4D3', name: 'Lisu Letter Da'}, {code: '\uA4D4', name: 'Lisu Letter Ta'}, {code: '\uA4D5', name: 'Lisu Letter Tha'}, {code: '\uA4D6', name: 'Lisu Letter Ga'}, {code: '\uA4D7', name: 'Lisu Letter Ka'}, {code: '\uA4D8', name: 'Lisu Letter Kha'}, {code: '\uA4D9', name: 'Lisu Letter Ja'}, {code: '\uA4DA', name: 'Lisu Letter Ca'}, {code: '\uA4DB', name: 'Lisu Letter Cha'}, {code: '\uA4DC', name: 'Lisu Letter Dza'}, {code: '\uA4DD', name: 'Lisu Letter Tsa'}, {code: '\uA4DE', name: 'Lisu Letter Tsha'}, {code: '\uA4DF', name: 'Lisu Letter Ma'}, {code: '\uA4E0', name: 'Lisu Letter Na'}, {code: '\uA4E1', name: 'Lisu Letter La'}, {code: '\uA4E2', name: 'Lisu Letter Sa'}, {code: '\uA4E3', name: 'Lisu Letter Zha'}, {code: '\uA4E4', name: 'Lisu Letter Za'}, {code: '\uA4E5', name: 'Lisu Letter Nga'}, {code: '\uA4E6', name: 'Lisu Letter Ha'}, {code: '\uA4E7', name: 'Lisu Letter Xa'}, {code: '\uA4E8', name: 'Lisu Letter Hha'}, {code: '\uA4E9', name: 'Lisu Letter Fa'}, {code: '\uA4EA', name: 'Lisu Letter Wa'}, {code: '\uA4EB', name: 'Lisu Letter Sha'}, {code: '\uA4EC', name: 'Lisu Letter Ya'}, {code: '\uA4ED', name: 'Lisu Letter Gha'}, {code: '\uA4EE', name: 'Lisu Letter A'}, {code: '\uA4EF', name: 'Lisu Letter Ae'}, {code: '\uA4F0', name: 'Lisu Letter E'}, {code: '\uA4F1', name: 'Lisu Letter Eu'}, {code: '\uA4F2', name: 'Lisu Letter I'}, {code: '\uA4F3', name: 'Lisu Letter O'}, {code: '\uA4F4', name: 'Lisu Letter U'}, {code: '\uA4F5', name: 'Lisu Letter Ue'}, {code: '\uA4F6', name: 'Lisu Letter Uh'}, {code: '\uA4F7', name: 'Lisu Letter Oe'}, {code: '\uA4F8', name: 'Lisu Letter Tone Mya Ti'}, {code: '\uA4F9', name: 'Lisu Letter Tone Na Po'}, {code: '\uA4FA', name: 'Lisu Letter Tone Mya Cya'}, {code: '\uA4FB', name: 'Lisu Letter Tone Mya Bo'}, {code: '\uA4FC', name: 'Lisu Letter Tone Mya Na'}, {code: '\uA4FD', name: 'Lisu Letter Tone Mya Jeu'}, {code: '\uA4FE', name: 'Lisu Punctuation Comma'}, {code: '\uA4FF', name: 'Lisu Punctuation Full Stop'}]
		},
		{
			category: "Cyrillic Extended-B",
			chars: [{code: '\uA640', name: 'Cyrillic Capital Letter Zemlya'}, {code: '\uA641', name: 'Cyrillic Small Letter Zemlya'}, {code: '\uA642', name: 'Cyrillic Capital Letter Dzelo'}, {code: '\uA643', name: 'Cyrillic Small Letter Dzelo'}, {code: '\uA644', name: 'Cyrillic Capital Letter Reversed Dze'}, {code: '\uA645', name: 'Cyrillic Small Letter Reversed Dze'}, {code: '\uA646', name: 'Cyrillic Capital Letter Iota'}, {code: '\uA647', name: 'Cyrillic Small Letter Iota'}, {code: '\uA648', name: 'Cyrillic Capital Letter Djerv'}, {code: '\uA649', name: 'Cyrillic Small Letter Djerv'}, {code: '\uA64A', name: 'Cyrillic Capital Letter Monograph Uk'}, {code: '\uA64B', name: 'Cyrillic Small Letter Monograph Uk'}, {code: '\uA64C', name: 'Cyrillic Capital Letter Broad Omega'}, {code: '\uA64D', name: 'Cyrillic Small Letter Broad Omega'}, {code: '\uA64E', name: 'Cyrillic Capital Letter Neutral Yer'}, {code: '\uA64F', name: 'Cyrillic Small Letter Neutral Yer'}, {code: '\uA650', name: 'Cyrillic Capital Letter Yeru With Back Yer'}, {code: '\uA651', name: 'Cyrillic Small Letter Yeru With Back Yer'}, {code: '\uA652', name: 'Cyrillic Capital Letter Iotified Yat'}, {code: '\uA653', name: 'Cyrillic Small Letter Iotified Yat'}, {code: '\uA654', name: 'Cyrillic Capital Letter Reversed Yu'}, {code: '\uA655', name: 'Cyrillic Small Letter Reversed Yu'}, {code: '\uA656', name: 'Cyrillic Capital Letter Iotified A'}, {code: '\uA657', name: 'Cyrillic Small Letter Iotified A'}, {code: '\uA658', name: 'Cyrillic Capital Letter Closed Little Yus'}, {code: '\uA659', name: 'Cyrillic Small Letter Closed Little Yus'}, {code: '\uA65A', name: 'Cyrillic Capital Letter Blended Yus'}, {code: '\uA65B', name: 'Cyrillic Small Letter Blended Yus'}, {code: '\uA65C', name: 'Cyrillic Capital Letter Iotified Closed Little Yus'}, {code: '\uA65D', name: 'Cyrillic Small Letter Iotified Closed Little Yus'}, {code: '\uA65E', name: 'Cyrillic Capital Letter Yn'}, {code: '\uA65F', name: 'Cyrillic Small Letter Yn'}, {code: '\uA660', name: 'Cyrillic Capital Letter Reversed Tse'}, {code: '\uA661', name: 'Cyrillic Small Letter Reversed Tse'}, {code: '\uA662', name: 'Cyrillic Capital Letter Soft De'}, {code: '\uA663', name: 'Cyrillic Small Letter Soft De'}, {code: '\uA664', name: 'Cyrillic Capital Letter Soft El'}, {code: '\uA665', name: 'Cyrillic Small Letter Soft El'}, {code: '\uA666', name: 'Cyrillic Capital Letter Soft Em'}, {code: '\uA667', name: 'Cyrillic Small Letter Soft Em'}, {code: '\uA668', name: 'Cyrillic Capital Letter Monocular O'}, {code: '\uA669', name: 'Cyrillic Small Letter Monocular O'}, {code: '\uA66A', name: 'Cyrillic Capital Letter Binocular O'}, {code: '\uA66B', name: 'Cyrillic Small Letter Binocular O'}, {code: '\uA66C', name: 'Cyrillic Capital Letter Double Monocular O'}, {code: '\uA66D', name: 'Cyrillic Small Letter Double Monocular O'}, {code: '\uA66E', name: 'Cyrillic Letter Multiocular O'}, {code: '\uA66F', name: 'Combining Cyrillic Vzmet'}, {code: '\uA670', name: 'Combining Cyrillic Ten Millions Sign'}, {code: '\uA671', name: 'Combining Cyrillic Hundred Millions Sign'}, {code: '\uA672', name: 'Combining Cyrillic Thousand Millions Sign'}, {code: '\uA673', name: 'Slavonic Asterisk'}, {code: '\uA674', name: 'Combining Cyrillic Letter Ukrainian Ie'}, {code: '\uA675', name: 'Combining Cyrillic Letter I'}, {code: '\uA676', name: 'Combining Cyrillic Letter Yi'}, {code: '\uA677', name: 'Combining Cyrillic Letter U'}, {code: '\uA678', name: 'Combining Cyrillic Letter Hard Sign'}, {code: '\uA679', name: 'Combining Cyrillic Letter Yeru'}, {code: '\uA67A', name: 'Combining Cyrillic Letter Soft Sign'}, {code: '\uA67B', name: 'Combining Cyrillic Letter Omega'}, {code: '\uA67C', name: 'Combining Cyrillic Kavyka'}, {code: '\uA67D', name: 'Combining Cyrillic Payerok'}, {code: '\uA67E', name: 'Cyrillic Kavyka'}, {code: '\uA67F', name: 'Cyrillic Payerok'}, {code: '\uA680', name: 'Cyrillic Capital Letter Dwe'}, {code: '\uA681', name: 'Cyrillic Small Letter Dwe'}, {code: '\uA682', name: 'Cyrillic Capital Letter Dzwe'}, {code: '\uA683', name: 'Cyrillic Small Letter Dzwe'}, {code: '\uA684', name: 'Cyrillic Capital Letter Zhwe'}, {code: '\uA685', name: 'Cyrillic Small Letter Zhwe'}, {code: '\uA686', name: 'Cyrillic Capital Letter Cche'}, {code: '\uA687', name: 'Cyrillic Small Letter Cche'}, {code: '\uA688', name: 'Cyrillic Capital Letter Dzze'}, {code: '\uA689', name: 'Cyrillic Small Letter Dzze'}, {code: '\uA68A', name: 'Cyrillic Capital Letter Te With Middle Hook'}, {code: '\uA68B', name: 'Cyrillic Small Letter Te With Middle Hook'}, {code: '\uA68C', name: 'Cyrillic Capital Letter Twe'}, {code: '\uA68D', name: 'Cyrillic Small Letter Twe'}, {code: '\uA68E', name: 'Cyrillic Capital Letter Tswe'}, {code: '\uA68F', name: 'Cyrillic Small Letter Tswe'}, {code: '\uA690', name: 'Cyrillic Capital Letter Tsse'}, {code: '\uA691', name: 'Cyrillic Small Letter Tsse'}, {code: '\uA692', name: 'Cyrillic Capital Letter Tche'}, {code: '\uA693', name: 'Cyrillic Small Letter Tche'}, {code: '\uA694', name: 'Cyrillic Capital Letter Hwe'}, {code: '\uA695', name: 'Cyrillic Small Letter Hwe'}, {code: '\uA696', name: 'Cyrillic Capital Letter Shwe'}, {code: '\uA697', name: 'Cyrillic Small Letter Shwe'}, {code: '\uA698', name: 'Cyrillic Capital Letter Double O'}, {code: '\uA699', name: 'Cyrillic Small Letter Double O'}, {code: '\uA69A', name: 'Cyrillic Capital Letter Crossed O'}, {code: '\uA69B', name: 'Cyrillic Small Letter Crossed O'}, {code: '\uA69C', name: 'Modifier Letter Cyrillic Hard Sign'}, {code: '\uA69D', name: 'Modifier Letter Cyrillic Soft Sign'}, {code: '\uA69E', name: 'Combining Cyrillic Letter Ef'}, {code: '\uA69F', name: 'Combining Cyrillic Letter Iotified E'}]
		},
		{
			category: "Modifier Tone Letters",
			chars: [{code: '\uA700', name: 'Modifier Letter Chinese Tone Yin Ping'}, {code: '\uA701', name: 'Modifier Letter Chinese Tone Yang Ping'}, {code: '\uA702', name: 'Modifier Letter Chinese Tone Yin Shang'}, {code: '\uA703', name: 'Modifier Letter Chinese Tone Yang Shang'}, {code: '\uA704', name: 'Modifier Letter Chinese Tone Yin Qu'}, {code: '\uA705', name: 'Modifier Letter Chinese Tone Yang Qu'}, {code: '\uA706', name: 'Modifier Letter Chinese Tone Yin Ru'}, {code: '\uA707', name: 'Modifier Letter Chinese Tone Yang Ru'}, {code: '\uA708', name: 'Modifier Letter Extra-high Dotted Tone Bar'}, {code: '\uA709', name: 'Modifier Letter High Dotted Tone Bar'}, {code: '\uA70A', name: 'Modifier Letter Mid Dotted Tone Bar'}, {code: '\uA70B', name: 'Modifier Letter Low Dotted Tone Bar'}, {code: '\uA70C', name: 'Modifier Letter Extra-low Dotted Tone Bar'}, {code: '\uA70D', name: 'Modifier Letter Extra-high Dotted Left-stem Tone Bar'}, {code: '\uA70E', name: 'Modifier Letter High Dotted Left-stem Tone Bar'}, {code: '\uA70F', name: 'Modifier Letter Mid Dotted Left-stem Tone Bar'}, {code: '\uA710', name: 'Modifier Letter Low Dotted Left-stem Tone Bar'}, {code: '\uA711', name: 'Modifier Letter Extra-low Dotted Left-stem Tone Bar'}, {code: '\uA712', name: 'Modifier Letter Extra-high Left-stem Tone Bar'}, {code: '\uA713', name: 'Modifier Letter High Left-stem Tone Bar'}, {code: '\uA714', name: 'Modifier Letter Mid Left-stem Tone Bar'}, {code: '\uA715', name: 'Modifier Letter Low Left-stem Tone Bar'}, {code: '\uA716', name: 'Modifier Letter Extra-low Left-stem Tone Bar'}, {code: '\uA717', name: 'Modifier Letter Dot Vertical Bar'}, {code: '\uA718', name: 'Modifier Letter Dot Slash'}, {code: '\uA719', name: 'Modifier Letter Dot Horizontal Bar'}, {code: '\uA71A', name: 'Modifier Letter Lower Right Corner Angle'}, {code: '\uA71B', name: 'Modifier Letter Raised Up Arrow'}, {code: '\uA71C', name: 'Modifier Letter Raised Down Arrow'}, {code: '\uA71D', name: 'Modifier Letter Raised Exclamation Mark'}, {code: '\uA71E', name: 'Modifier Letter Raised Inverted Exclamation Mark'}, {code: '\uA71F', name: 'Modifier Letter Low Inverted Exclamation Mark'}]
		},
		{
			category: "Phags-pa",
			chars: [{code: '\uA840', name: 'Phags-pa Letter Ka'}, {code: '\uA841', name: 'Phags-pa Letter Kha'}, {code: '\uA842', name: 'Phags-pa Letter Ga'}, {code: '\uA843', name: 'Phags-pa Letter Nga'}, {code: '\uA844', name: 'Phags-pa Letter Ca'}, {code: '\uA845', name: 'Phags-pa Letter Cha'}, {code: '\uA846', name: 'Phags-pa Letter Ja'}, {code: '\uA847', name: 'Phags-pa Letter Nya'}, {code: '\uA848', name: 'Phags-pa Letter Ta'}, {code: '\uA849', name: 'Phags-pa Letter Tha'}, {code: '\uA84A', name: 'Phags-pa Letter Da'}, {code: '\uA84B', name: 'Phags-pa Letter Na'}, {code: '\uA84C', name: 'Phags-pa Letter Pa'}, {code: '\uA84D', name: 'Phags-pa Letter Pha'}, {code: '\uA84E', name: 'Phags-pa Letter Ba'}, {code: '\uA84F', name: 'Phags-pa Letter Ma'}, {code: '\uA850', name: 'Phags-pa Letter Tsa'}, {code: '\uA851', name: 'Phags-pa Letter Tsha'}, {code: '\uA852', name: 'Phags-pa Letter Dza'}, {code: '\uA853', name: 'Phags-pa Letter Wa'}, {code: '\uA854', name: 'Phags-pa Letter Zha'}, {code: '\uA855', name: 'Phags-pa Letter Za'}, {code: '\uA856', name: 'Phags-pa Letter Small A'}, {code: '\uA857', name: 'Phags-pa Letter Ya'}, {code: '\uA858', name: 'Phags-pa Letter Ra'}, {code: '\uA859', name: 'Phags-pa Letter La'}, {code: '\uA85A', name: 'Phags-pa Letter Sha'}, {code: '\uA85B', name: 'Phags-pa Letter Sa'}, {code: '\uA85C', name: 'Phags-pa Letter Ha'}, {code: '\uA85D', name: 'Phags-pa Letter A'}, {code: '\uA85E', name: 'Phags-pa Letter I'}, {code: '\uA85F', name: 'Phags-pa Letter U'}, {code: '\uA860', name: 'Phags-pa Letter E'}, {code: '\uA861', name: 'Phags-pa Letter O'}, {code: '\uA862', name: 'Phags-pa Letter Qa'}, {code: '\uA863', name: 'Phags-pa Letter Xa'}, {code: '\uA864', name: 'Phags-pa Letter Fa'}, {code: '\uA865', name: 'Phags-pa Letter Gga'}, {code: '\uA866', name: 'Phags-pa Letter Ee'}, {code: '\uA867', name: 'Phags-pa Subjoined Letter Wa'}, {code: '\uA868', name: 'Phags-pa Subjoined Letter Ya'}, {code: '\uA869', name: 'Phags-pa Letter Tta'}, {code: '\uA86A', name: 'Phags-pa Letter Ttha'}, {code: '\uA86B', name: 'Phags-pa Letter Dda'}, {code: '\uA86C', name: 'Phags-pa Letter Nna'}, {code: '\uA86D', name: 'Phags-pa Letter Alternate Ya'}, {code: '\uA86E', name: 'Phags-pa Letter Voiceless Sha'}, {code: '\uA86F', name: 'Phags-pa Letter Voiced Ha'}, {code: '\uA870', name: 'Phags-pa Letter Aspirated Fa'}, {code: '\uA871', name: 'Phags-pa Subjoined Letter Ra'}, {code: '\uA872', name: 'Phags-pa Superfixed Letter Ra'}, {code: '\uA873', name: 'Phags-pa Letter Candrabindu'}, {code: '\uA874', name: 'Phags-pa Single Head Mark'}, {code: '\uA875', name: 'Phags-pa Double Head Mark'}, {code: '\uA876', name: 'Phags-pa Mark Shad'}, {code: '\uA877', name: 'Phags-pa Mark Double Shad'}]
		},
		{
			category: "Alphabetic Presentation Forms",
			chars: [{code: '\uFB00', name: 'Latin Small Ligature Ff'}, {code: '\uFB01', name: 'Latin Small Ligature Fi'}, {code: '\uFB02', name: 'Latin Small Ligature Fl'}, {code: '\uFB03', name: 'Latin Small Ligature Ffi'}, {code: '\uFB04', name: 'Latin Small Ligature Ffl'}, {code: '\uFB05', name: 'Latin Small Ligature Long S T'}, {code: '\uFB06', name: 'Latin Small Ligature St'}, {code: '\uFB13', name: 'Armenian Small Ligature Men Now'}, {code: '\uFB14', name: 'Armenian Small Ligature Men Ech'}, {code: '\uFB15', name: 'Armenian Small Ligature Men Ini'}, {code: '\uFB16', name: 'Armenian Small Ligature Vew Now'}, {code: '\uFB17', name: 'Armenian Small Ligature Men Xeh'}, {code: '\uFB1D', name: 'Hebrew Letter Yod With Hiriq'}, {code: '\uFB1E', name: 'Hebrew Point Judeo-spanish Varika'}, {code: '\uFB1F', name: 'Hebrew Ligature Yiddish Yod Yod Patah'}, {code: '\uFB20', name: 'Hebrew Letter Alternative Ayin'}, {code: '\uFB21', name: 'Hebrew Letter Wide Alef'}, {code: '\uFB22', name: 'Hebrew Letter Wide Dalet'}, {code: '\uFB23', name: 'Hebrew Letter Wide He'}, {code: '\uFB24', name: 'Hebrew Letter Wide Kaf'}, {code: '\uFB25', name: 'Hebrew Letter Wide Lamed'}, {code: '\uFB26', name: 'Hebrew Letter Wide Final Mem'}, {code: '\uFB27', name: 'Hebrew Letter Wide Resh'}, {code: '\uFB28', name: 'Hebrew Letter Wide Tav'}, {code: '\uFB29', name: 'Hebrew Letter Alternative Plus Sign'}, {code: '\uFB2A', name: 'Hebrew Letter Shin With Shin Dot'}, {code: '\uFB2B', name: 'Hebrew Letter Shin With Sin Dot'}, {code: '\uFB2C', name: 'Hebrew Letter Shin With Dagesh And Shin Dot'}, {code: '\uFB2D', name: 'Hebrew Letter Shin With Dagesh And Sin Dot'}, {code: '\uFB2E', name: 'Hebrew Letter Alef With Patah'}, {code: '\uFB2F', name: 'Hebrew Letter Alef With Qamats'}, {code: '\uFB30', name: 'Hebrew Letter Alef With Mapiq'}, {code: '\uFB31', name: 'Hebrew Letter Bet With Dagesh'}, {code: '\uFB32', name: 'Hebrew Letter Gimel With Dagesh'}, {code: '\uFB33', name: 'Hebrew Letter Dalet With Dagesh'}, {code: '\uFB34', name: 'Hebrew Letter He With Mapiq'}, {code: '\uFB35', name: 'Hebrew Letter Vav With Dagesh'}, {code: '\uFB36', name: 'Hebrew Letter Zayin With Dagesh'}, {code: '\uFB38', name: 'Hebrew Letter Tet With Dagesh'}, {code: '\uFB39', name: 'Hebrew Letter Yod With Dagesh'}, {code: '\uFB3A', name: 'Hebrew Letter Final Kaf With Dagesh'}, {code: '\uFB3B', name: 'Hebrew Letter Kaf With Dagesh'}, {code: '\uFB3C', name: 'Hebrew Letter Lamed With Dagesh'}, {code: '\uFB3E', name: 'Hebrew Letter Mem With Dagesh'}, {code: '\uFB40', name: 'Hebrew Letter Nun With Dagesh'}, {code: '\uFB41', name: 'Hebrew Letter Samekh With Dagesh'}, {code: '\uFB43', name: 'Hebrew Letter Final Pe With Dagesh'}, {code: '\uFB44', name: 'Hebrew Letter Pe With Dagesh'}, {code: '\uFB46', name: 'Hebrew Letter Tsadi With Dagesh'}, {code: '\uFB47', name: 'Hebrew Letter Qof With Dagesh'}, {code: '\uFB48', name: 'Hebrew Letter Resh With Dagesh'}, {code: '\uFB49', name: 'Hebrew Letter Shin With Dagesh'}, {code: '\uFB4A', name: 'Hebrew Letter Tav With Dagesh'}, {code: '\uFB4B', name: 'Hebrew Letter Vav With Holam'}, {code: '\uFB4C', name: 'Hebrew Letter Bet With Rafe'}, {code: '\uFB4D', name: 'Hebrew Letter Kaf With Rafe'}, {code: '\uFB4E', name: 'Hebrew Letter Pe With Rafe'}, {code: '\uFB4F', name: 'Hebrew Ligature Alef Lamed'}]
		},
		{
			category: "Arabic Presentation Forms-A",
			chars: [{code: '\uFB50', name: 'Arabic Letter Alef Wasla Isolated Form'}, {code: '\uFB51', name: 'Arabic Letter Alef Wasla Final Form'}, {code: '\uFB52', name: 'Arabic Letter Beeh Isolated Form'}, {code: '\uFB53', name: 'Arabic Letter Beeh Final Form'}, {code: '\uFB54', name: 'Arabic Letter Beeh Initial Form'}, {code: '\uFB55', name: 'Arabic Letter Beeh Medial Form'}, {code: '\uFB56', name: 'Arabic Letter Peh Isolated Form'}, {code: '\uFB57', name: 'Arabic Letter Peh Final Form'}, {code: '\uFB58', name: 'Arabic Letter Peh Initial Form'}, {code: '\uFB59', name: 'Arabic Letter Peh Medial Form'}, {code: '\uFB5A', name: 'Arabic Letter Beheh Isolated Form'}, {code: '\uFB5B', name: 'Arabic Letter Beheh Final Form'}, {code: '\uFB5C', name: 'Arabic Letter Beheh Initial Form'}, {code: '\uFB5D', name: 'Arabic Letter Beheh Medial Form'}, {code: '\uFB5E', name: 'Arabic Letter Tteheh Isolated Form'}, {code: '\uFB5F', name: 'Arabic Letter Tteheh Final Form'}, {code: '\uFB60', name: 'Arabic Letter Tteheh Initial Form'}, {code: '\uFB61', name: 'Arabic Letter Tteheh Medial Form'}, {code: '\uFB62', name: 'Arabic Letter Teheh Isolated Form'}, {code: '\uFB63', name: 'Arabic Letter Teheh Final Form'}, {code: '\uFB64', name: 'Arabic Letter Teheh Initial Form'}, {code: '\uFB65', name: 'Arabic Letter Teheh Medial Form'}, {code: '\uFB66', name: 'Arabic Letter Tteh Isolated Form'}, {code: '\uFB67', name: 'Arabic Letter Tteh Final Form'}, {code: '\uFB68', name: 'Arabic Letter Tteh Initial Form'}, {code: '\uFB69', name: 'Arabic Letter Tteh Medial Form'}, {code: '\uFB6A', name: 'Arabic Letter Veh Isolated Form'}, {code: '\uFB6B', name: 'Arabic Letter Veh Final Form'}, {code: '\uFB6C', name: 'Arabic Letter Veh Initial Form'}, {code: '\uFB6D', name: 'Arabic Letter Veh Medial Form'}, {code: '\uFB6E', name: 'Arabic Letter Peheh Isolated Form'}, {code: '\uFB6F', name: 'Arabic Letter Peheh Final Form'}, {code: '\uFB70', name: 'Arabic Letter Peheh Initial Form'}, {code: '\uFB71', name: 'Arabic Letter Peheh Medial Form'}, {code: '\uFB72', name: 'Arabic Letter Dyeh Isolated Form'}, {code: '\uFB73', name: 'Arabic Letter Dyeh Final Form'}, {code: '\uFB74', name: 'Arabic Letter Dyeh Initial Form'}, {code: '\uFB75', name: 'Arabic Letter Dyeh Medial Form'}, {code: '\uFB76', name: 'Arabic Letter Nyeh Isolated Form'}, {code: '\uFB77', name: 'Arabic Letter Nyeh Final Form'}, {code: '\uFB78', name: 'Arabic Letter Nyeh Initial Form'}, {code: '\uFB79', name: 'Arabic Letter Nyeh Medial Form'}, {code: '\uFB7A', name: 'Arabic Letter Tcheh Isolated Form'}, {code: '\uFB7B', name: 'Arabic Letter Tcheh Final Form'}, {code: '\uFB7C', name: 'Arabic Letter Tcheh Initial Form'}, {code: '\uFB7D', name: 'Arabic Letter Tcheh Medial Form'}, {code: '\uFB7E', name: 'Arabic Letter Tcheheh Isolated Form'}, {code: '\uFB7F', name: 'Arabic Letter Tcheheh Final Form'}, {code: '\uFB80', name: 'Arabic Letter Tcheheh Initial Form'}, {code: '\uFB81', name: 'Arabic Letter Tcheheh Medial Form'}, {code: '\uFB82', name: 'Arabic Letter Ddahal Isolated Form'}, {code: '\uFB83', name: 'Arabic Letter Ddahal Final Form'}, {code: '\uFB84', name: 'Arabic Letter Dahal Isolated Form'}, {code: '\uFB85', name: 'Arabic Letter Dahal Final Form'}, {code: '\uFB86', name: 'Arabic Letter Dul Isolated Form'}, {code: '\uFB87', name: 'Arabic Letter Dul Final Form'}, {code: '\uFB88', name: 'Arabic Letter Ddal Isolated Form'}, {code: '\uFB89', name: 'Arabic Letter Ddal Final Form'}, {code: '\uFB8A', name: 'Arabic Letter Jeh Isolated Form'}, {code: '\uFB8B', name: 'Arabic Letter Jeh Final Form'}, {code: '\uFB8C', name: 'Arabic Letter Rreh Isolated Form'}, {code: '\uFB8D', name: 'Arabic Letter Rreh Final Form'}, {code: '\uFB8E', name: 'Arabic Letter Keheh Isolated Form'}, {code: '\uFB8F', name: 'Arabic Letter Keheh Final Form'}, {code: '\uFB90', name: 'Arabic Letter Keheh Initial Form'}, {code: '\uFB91', name: 'Arabic Letter Keheh Medial Form'}, {code: '\uFB92', name: 'Arabic Letter Gaf Isolated Form'}, {code: '\uFB93', name: 'Arabic Letter Gaf Final Form'}, {code: '\uFB94', name: 'Arabic Letter Gaf Initial Form'}, {code: '\uFB95', name: 'Arabic Letter Gaf Medial Form'}, {code: '\uFB96', name: 'Arabic Letter Gueh Isolated Form'}, {code: '\uFB97', name: 'Arabic Letter Gueh Final Form'}, {code: '\uFB98', name: 'Arabic Letter Gueh Initial Form'}, {code: '\uFB99', name: 'Arabic Letter Gueh Medial Form'}, {code: '\uFB9A', name: 'Arabic Letter Ngoeh Isolated Form'}, {code: '\uFB9B', name: 'Arabic Letter Ngoeh Final Form'}, {code: '\uFB9C', name: 'Arabic Letter Ngoeh Initial Form'}, {code: '\uFB9D', name: 'Arabic Letter Ngoeh Medial Form'}, {code: '\uFB9E', name: 'Arabic Letter Noon Ghunna Isolated Form'}, {code: '\uFB9F', name: 'Arabic Letter Noon Ghunna Final Form'}, {code: '\uFBA0', name: 'Arabic Letter Rnoon Isolated Form'}, {code: '\uFBA1', name: 'Arabic Letter Rnoon Final Form'}, {code: '\uFBA2', name: 'Arabic Letter Rnoon Initial Form'}, {code: '\uFBA3', name: 'Arabic Letter Rnoon Medial Form'}, {code: '\uFBA4', name: 'Arabic Letter Heh With Yeh Above Isolated Form'}, {code: '\uFBA5', name: 'Arabic Letter Heh With Yeh Above Final Form'}, {code: '\uFBA6', name: 'Arabic Letter Heh Goal Isolated Form'}, {code: '\uFBA7', name: 'Arabic Letter Heh Goal Final Form'}, {code: '\uFBA8', name: 'Arabic Letter Heh Goal Initial Form'}, {code: '\uFBA9', name: 'Arabic Letter Heh Goal Medial Form'}, {code: '\uFBAA', name: 'Arabic Letter Heh Doachashmee Isolated Form'}, {code: '\uFBAB', name: 'Arabic Letter Heh Doachashmee Final Form'}, {code: '\uFBAC', name: 'Arabic Letter Heh Doachashmee Initial Form'}, {code: '\uFBAD', name: 'Arabic Letter Heh Doachashmee Medial Form'}, {code: '\uFBAE', name: 'Arabic Letter Yeh Barree Isolated Form'}, {code: '\uFBAF', name: 'Arabic Letter Yeh Barree Final Form'}, {code: '\uFBB0', name: 'Arabic Letter Yeh Barree With Hamza Above Isolated Form'}, {code: '\uFBB1', name: 'Arabic Letter Yeh Barree With Hamza Above Final Form'}, {code: '\uFBB2', name: 'Arabic Symbol Dot Above'}, {code: '\uFBB3', name: 'Arabic Symbol Dot Below'}, {code: '\uFBB4', name: 'Arabic Symbol Two Dots Above'}, {code: '\uFBB5', name: 'Arabic Symbol Two Dots Below'}, {code: '\uFBB6', name: 'Arabic Symbol Three Dots Above'}, {code: '\uFBB7', name: 'Arabic Symbol Three Dots Below'}, {code: '\uFBB8', name: 'Arabic Symbol Three Dots Pointing Downwards Above'}, {code: '\uFBB9', name: 'Arabic Symbol Three Dots Pointing Downwards Below'}, {code: '\uFBBA', name: 'Arabic Symbol Four Dots Above'}, {code: '\uFBBB', name: 'Arabic Symbol Four Dots Below'}, {code: '\uFBBC', name: 'Arabic Symbol Double Vertical Bar Below'}, {code: '\uFBBD', name: 'Arabic Symbol Two Dots Vertically Above'}, {code: '\uFBBE', name: 'Arabic Symbol Two Dots Vertically Below'}, {code: '\uFBBF', name: 'Arabic Symbol Ring'}, {code: '\uFBC0', name: 'Arabic Symbol Small Tah Above'}, {code: '\uFBC1', name: 'Arabic Symbol Small Tah Below'}, {code: '\uFBD3', name: 'Arabic Letter Ng Isolated Form'}, {code: '\uFBD4', name: 'Arabic Letter Ng Final Form'}, {code: '\uFBD5', name: 'Arabic Letter Ng Initial Form'}, {code: '\uFBD6', name: 'Arabic Letter Ng Medial Form'}, {code: '\uFBD7', name: 'Arabic Letter U Isolated Form'}, {code: '\uFBD8', name: 'Arabic Letter U Final Form'}, {code: '\uFBD9', name: 'Arabic Letter Oe Isolated Form'}, {code: '\uFBDA', name: 'Arabic Letter Oe Final Form'}, {code: '\uFBDB', name: 'Arabic Letter Yu Isolated Form'}, {code: '\uFBDC', name: 'Arabic Letter Yu Final Form'}, {code: '\uFBDD', name: 'Arabic Letter U With Hamza Above Isolated Form'}, {code: '\uFBDE', name: 'Arabic Letter Ve Isolated Form'}, {code: '\uFBDF', name: 'Arabic Letter Ve Final Form'}, {code: '\uFBE0', name: 'Arabic Letter Kirghiz Oe Isolated Form'}, {code: '\uFBE1', name: 'Arabic Letter Kirghiz Oe Final Form'}, {code: '\uFBE2', name: 'Arabic Letter Kirghiz Yu Isolated Form'}, {code: '\uFBE3', name: 'Arabic Letter Kirghiz Yu Final Form'}, {code: '\uFBE4', name: 'Arabic Letter E Isolated Form'}, {code: '\uFBE5', name: 'Arabic Letter E Final Form'}, {code: '\uFBE6', name: 'Arabic Letter E Initial Form'}, {code: '\uFBE7', name: 'Arabic Letter E Medial Form'}, {code: '\uFBE8', name: 'Arabic Letter Uighur Kazakh Kirghiz Alef Maksura Initial Form'}, {code: '\uFBE9', name: 'Arabic Letter Uighur Kazakh Kirghiz Alef Maksura Medial Form'}, {code: '\uFBEA', name: 'Arabic Ligature Yeh With Hamza Above With Alef Isolated Form'}, {code: '\uFBEB', name: 'Arabic Ligature Yeh With Hamza Above With Alef Final Form'}, {code: '\uFBEC', name: 'Arabic Ligature Yeh With Hamza Above With Ae Isolated Form'}, {code: '\uFBED', name: 'Arabic Ligature Yeh With Hamza Above With Ae Final Form'}, {code: '\uFBEE', name: 'Arabic Ligature Yeh With Hamza Above With Waw Isolated Form'}, {code: '\uFBEF', name: 'Arabic Ligature Yeh With Hamza Above With Waw Final Form'}, {code: '\uFBF0', name: 'Arabic Ligature Yeh With Hamza Above With U Isolated Form'}, {code: '\uFBF1', name: 'Arabic Ligature Yeh With Hamza Above With U Final Form'}, {code: '\uFBF2', name: 'Arabic Ligature Yeh With Hamza Above With Oe Isolated Form'}, {code: '\uFBF3', name: 'Arabic Ligature Yeh With Hamza Above With Oe Final Form'}, {code: '\uFBF4', name: 'Arabic Ligature Yeh With Hamza Above With Yu Isolated Form'}, {code: '\uFBF5', name: 'Arabic Ligature Yeh With Hamza Above With Yu Final Form'}, {code: '\uFBF6', name: 'Arabic Ligature Yeh With Hamza Above With E Isolated Form'}, {code: '\uFBF7', name: 'Arabic Ligature Yeh With Hamza Above With E Final Form'}, {code: '\uFBF8', name: 'Arabic Ligature Yeh With Hamza Above With E Initial Form'}, {code: '\uFBF9', name: 'Arabic Ligature Uighur Kirghiz Yeh With Hamza Above With Alef Maksura Isolated Form'}, {code: '\uFBFA', name: 'Arabic Ligature Uighur Kirghiz Yeh With Hamza Above With Alef Maksura Final Form'}, {code: '\uFBFB', name: 'Arabic Ligature Uighur Kirghiz Yeh With Hamza Above With Alef Maksura Initial Form'}, {code: '\uFBFC', name: 'Arabic Letter Farsi Yeh Isolated Form'}, {code: '\uFBFD', name: 'Arabic Letter Farsi Yeh Final Form'}, {code: '\uFBFE', name: 'Arabic Letter Farsi Yeh Initial Form'}, {code: '\uFBFF', name: 'Arabic Letter Farsi Yeh Medial Form'}, {code: '\uFC00', name: 'Arabic Ligature Yeh With Hamza Above With Jeem Isolated Form'}, {code: '\uFC01', name: 'Arabic Ligature Yeh With Hamza Above With Hah Isolated Form'}, {code: '\uFC02', name: 'Arabic Ligature Yeh With Hamza Above With Meem Isolated Form'}, {code: '\uFC03', name: 'Arabic Ligature Yeh With Hamza Above With Alef Maksura Isolated Form'}, {code: '\uFC04', name: 'Arabic Ligature Yeh With Hamza Above With Yeh Isolated Form'}, {code: '\uFC05', name: 'Arabic Ligature Beh With Jeem Isolated Form'}, {code: '\uFC06', name: 'Arabic Ligature Beh With Hah Isolated Form'}, {code: '\uFC07', name: 'Arabic Ligature Beh With Khah Isolated Form'}, {code: '\uFC08', name: 'Arabic Ligature Beh With Meem Isolated Form'}, {code: '\uFC09', name: 'Arabic Ligature Beh With Alef Maksura Isolated Form'}, {code: '\uFC0A', name: 'Arabic Ligature Beh With Yeh Isolated Form'}, {code: '\uFC0B', name: 'Arabic Ligature Teh With Jeem Isolated Form'}, {code: '\uFC0C', name: 'Arabic Ligature Teh With Hah Isolated Form'}, {code: '\uFC0D', name: 'Arabic Ligature Teh With Khah Isolated Form'}, {code: '\uFC0E', name: 'Arabic Ligature Teh With Meem Isolated Form'}, {code: '\uFC0F', name: 'Arabic Ligature Teh With Alef Maksura Isolated Form'}, {code: '\uFC10', name: 'Arabic Ligature Teh With Yeh Isolated Form'}, {code: '\uFC11', name: 'Arabic Ligature Theh With Jeem Isolated Form'}, {code: '\uFC12', name: 'Arabic Ligature Theh With Meem Isolated Form'}, {code: '\uFC13', name: 'Arabic Ligature Theh With Alef Maksura Isolated Form'}, {code: '\uFC14', name: 'Arabic Ligature Theh With Yeh Isolated Form'}, {code: '\uFC15', name: 'Arabic Ligature Jeem With Hah Isolated Form'}, {code: '\uFC16', name: 'Arabic Ligature Jeem With Meem Isolated Form'}, {code: '\uFC17', name: 'Arabic Ligature Hah With Jeem Isolated Form'}, {code: '\uFC18', name: 'Arabic Ligature Hah With Meem Isolated Form'}, {code: '\uFC19', name: 'Arabic Ligature Khah With Jeem Isolated Form'}, {code: '\uFC1A', name: 'Arabic Ligature Khah With Hah Isolated Form'}, {code: '\uFC1B', name: 'Arabic Ligature Khah With Meem Isolated Form'}, {code: '\uFC1C', name: 'Arabic Ligature Seen With Jeem Isolated Form'}, {code: '\uFC1D', name: 'Arabic Ligature Seen With Hah Isolated Form'}, {code: '\uFC1E', name: 'Arabic Ligature Seen With Khah Isolated Form'}, {code: '\uFC1F', name: 'Arabic Ligature Seen With Meem Isolated Form'}, {code: '\uFC20', name: 'Arabic Ligature Sad With Hah Isolated Form'}, {code: '\uFC21', name: 'Arabic Ligature Sad With Meem Isolated Form'}, {code: '\uFC22', name: 'Arabic Ligature Dad With Jeem Isolated Form'}, {code: '\uFC23', name: 'Arabic Ligature Dad With Hah Isolated Form'}, {code: '\uFC24', name: 'Arabic Ligature Dad With Khah Isolated Form'}, {code: '\uFC25', name: 'Arabic Ligature Dad With Meem Isolated Form'}, {code: '\uFC26', name: 'Arabic Ligature Tah With Hah Isolated Form'}, {code: '\uFC27', name: 'Arabic Ligature Tah With Meem Isolated Form'}, {code: '\uFC28', name: 'Arabic Ligature Zah With Meem Isolated Form'}, {code: '\uFC29', name: 'Arabic Ligature Ain With Jeem Isolated Form'}, {code: '\uFC2A', name: 'Arabic Ligature Ain With Meem Isolated Form'}, {code: '\uFC2B', name: 'Arabic Ligature Ghain With Jeem Isolated Form'}, {code: '\uFC2C', name: 'Arabic Ligature Ghain With Meem Isolated Form'}, {code: '\uFC2D', name: 'Arabic Ligature Feh With Jeem Isolated Form'}, {code: '\uFC2E', name: 'Arabic Ligature Feh With Hah Isolated Form'}, {code: '\uFC2F', name: 'Arabic Ligature Feh With Khah Isolated Form'}, {code: '\uFC30', name: 'Arabic Ligature Feh With Meem Isolated Form'}, {code: '\uFC31', name: 'Arabic Ligature Feh With Alef Maksura Isolated Form'}, {code: '\uFC32', name: 'Arabic Ligature Feh With Yeh Isolated Form'}, {code: '\uFC33', name: 'Arabic Ligature Qaf With Hah Isolated Form'}, {code: '\uFC34', name: 'Arabic Ligature Qaf With Meem Isolated Form'}, {code: '\uFC35', name: 'Arabic Ligature Qaf With Alef Maksura Isolated Form'}, {code: '\uFC36', name: 'Arabic Ligature Qaf With Yeh Isolated Form'}, {code: '\uFC37', name: 'Arabic Ligature Kaf With Alef Isolated Form'}, {code: '\uFC38', name: 'Arabic Ligature Kaf With Jeem Isolated Form'}, {code: '\uFC39', name: 'Arabic Ligature Kaf With Hah Isolated Form'}, {code: '\uFC3A', name: 'Arabic Ligature Kaf With Khah Isolated Form'}, {code: '\uFC3B', name: 'Arabic Ligature Kaf With Lam Isolated Form'}, {code: '\uFC3C', name: 'Arabic Ligature Kaf With Meem Isolated Form'}, {code: '\uFC3D', name: 'Arabic Ligature Kaf With Alef Maksura Isolated Form'}, {code: '\uFC3E', name: 'Arabic Ligature Kaf With Yeh Isolated Form'}, {code: '\uFC3F', name: 'Arabic Ligature Lam With Jeem Isolated Form'}, {code: '\uFC40', name: 'Arabic Ligature Lam With Hah Isolated Form'}, {code: '\uFC41', name: 'Arabic Ligature Lam With Khah Isolated Form'}, {code: '\uFC42', name: 'Arabic Ligature Lam With Meem Isolated Form'}, {code: '\uFC43', name: 'Arabic Ligature Lam With Alef Maksura Isolated Form'}, {code: '\uFC44', name: 'Arabic Ligature Lam With Yeh Isolated Form'}, {code: '\uFC45', name: 'Arabic Ligature Meem With Jeem Isolated Form'}, {code: '\uFC46', name: 'Arabic Ligature Meem With Hah Isolated Form'}, {code: '\uFC47', name: 'Arabic Ligature Meem With Khah Isolated Form'}, {code: '\uFC48', name: 'Arabic Ligature Meem With Meem Isolated Form'}, {code: '\uFC49', name: 'Arabic Ligature Meem With Alef Maksura Isolated Form'}, {code: '\uFC4A', name: 'Arabic Ligature Meem With Yeh Isolated Form'}, {code: '\uFC4B', name: 'Arabic Ligature Noon With Jeem Isolated Form'}, {code: '\uFC4C', name: 'Arabic Ligature Noon With Hah Isolated Form'}, {code: '\uFC4D', name: 'Arabic Ligature Noon With Khah Isolated Form'}, {code: '\uFC4E', name: 'Arabic Ligature Noon With Meem Isolated Form'}, {code: '\uFC4F', name: 'Arabic Ligature Noon With Alef Maksura Isolated Form'}, {code: '\uFC50', name: 'Arabic Ligature Noon With Yeh Isolated Form'}, {code: '\uFC51', name: 'Arabic Ligature Heh With Jeem Isolated Form'}, {code: '\uFC52', name: 'Arabic Ligature Heh With Meem Isolated Form'}, {code: '\uFC53', name: 'Arabic Ligature Heh With Alef Maksura Isolated Form'}, {code: '\uFC54', name: 'Arabic Ligature Heh With Yeh Isolated Form'}, {code: '\uFC55', name: 'Arabic Ligature Yeh With Jeem Isolated Form'}, {code: '\uFC56', name: 'Arabic Ligature Yeh With Hah Isolated Form'}, {code: '\uFC57', name: 'Arabic Ligature Yeh With Khah Isolated Form'}, {code: '\uFC58', name: 'Arabic Ligature Yeh With Meem Isolated Form'}, {code: '\uFC59', name: 'Arabic Ligature Yeh With Alef Maksura Isolated Form'}, {code: '\uFC5A', name: 'Arabic Ligature Yeh With Yeh Isolated Form'}, {code: '\uFC5B', name: 'Arabic Ligature Thal With Superscript Alef Isolated Form'}, {code: '\uFC5C', name: 'Arabic Ligature Reh With Superscript Alef Isolated Form'}, {code: '\uFC5D', name: 'Arabic Ligature Alef Maksura With Superscript Alef Isolated Form'}, {code: '\uFC5E', name: 'Arabic Ligature Shadda With Dammatan Isolated Form'}, {code: '\uFC5F', name: 'Arabic Ligature Shadda With Kasratan Isolated Form'}, {code: '\uFC60', name: 'Arabic Ligature Shadda With Fatha Isolated Form'}, {code: '\uFC61', name: 'Arabic Ligature Shadda With Damma Isolated Form'}, {code: '\uFC62', name: 'Arabic Ligature Shadda With Kasra Isolated Form'}, {code: '\uFC63', name: 'Arabic Ligature Shadda With Superscript Alef Isolated Form'}, {code: '\uFC64', name: 'Arabic Ligature Yeh With Hamza Above With Reh Final Form'}, {code: '\uFC65', name: 'Arabic Ligature Yeh With Hamza Above With Zain Final Form'}, {code: '\uFC66', name: 'Arabic Ligature Yeh With Hamza Above With Meem Final Form'}, {code: '\uFC67', name: 'Arabic Ligature Yeh With Hamza Above With Noon Final Form'}, {code: '\uFC68', name: 'Arabic Ligature Yeh With Hamza Above With Alef Maksura Final Form'}, {code: '\uFC69', name: 'Arabic Ligature Yeh With Hamza Above With Yeh Final Form'}, {code: '\uFC6A', name: 'Arabic Ligature Beh With Reh Final Form'}, {code: '\uFC6B', name: 'Arabic Ligature Beh With Zain Final Form'}, {code: '\uFC6C', name: 'Arabic Ligature Beh With Meem Final Form'}, {code: '\uFC6D', name: 'Arabic Ligature Beh With Noon Final Form'}, {code: '\uFC6E', name: 'Arabic Ligature Beh With Alef Maksura Final Form'}, {code: '\uFC6F', name: 'Arabic Ligature Beh With Yeh Final Form'}, {code: '\uFC70', name: 'Arabic Ligature Teh With Reh Final Form'}, {code: '\uFC71', name: 'Arabic Ligature Teh With Zain Final Form'}, {code: '\uFC72', name: 'Arabic Ligature Teh With Meem Final Form'}, {code: '\uFC73', name: 'Arabic Ligature Teh With Noon Final Form'}, {code: '\uFC74', name: 'Arabic Ligature Teh With Alef Maksura Final Form'}, {code: '\uFC75', name: 'Arabic Ligature Teh With Yeh Final Form'}, {code: '\uFC76', name: 'Arabic Ligature Theh With Reh Final Form'}, {code: '\uFC77', name: 'Arabic Ligature Theh With Zain Final Form'}, {code: '\uFC78', name: 'Arabic Ligature Theh With Meem Final Form'}, {code: '\uFC79', name: 'Arabic Ligature Theh With Noon Final Form'}, {code: '\uFC7A', name: 'Arabic Ligature Theh With Alef Maksura Final Form'}, {code: '\uFC7B', name: 'Arabic Ligature Theh With Yeh Final Form'}, {code: '\uFC7C', name: 'Arabic Ligature Feh With Alef Maksura Final Form'}, {code: '\uFC7D', name: 'Arabic Ligature Feh With Yeh Final Form'}, {code: '\uFC7E', name: 'Arabic Ligature Qaf With Alef Maksura Final Form'}, {code: '\uFC7F', name: 'Arabic Ligature Qaf With Yeh Final Form'}, {code: '\uFC80', name: 'Arabic Ligature Kaf With Alef Final Form'}, {code: '\uFC81', name: 'Arabic Ligature Kaf With Lam Final Form'}, {code: '\uFC82', name: 'Arabic Ligature Kaf With Meem Final Form'}, {code: '\uFC83', name: 'Arabic Ligature Kaf With Alef Maksura Final Form'}, {code: '\uFC84', name: 'Arabic Ligature Kaf With Yeh Final Form'}, {code: '\uFC85', name: 'Arabic Ligature Lam With Meem Final Form'}, {code: '\uFC86', name: 'Arabic Ligature Lam With Alef Maksura Final Form'}, {code: '\uFC87', name: 'Arabic Ligature Lam With Yeh Final Form'}, {code: '\uFC88', name: 'Arabic Ligature Meem With Alef Final Form'}, {code: '\uFC89', name: 'Arabic Ligature Meem With Meem Final Form'}, {code: '\uFC8A', name: 'Arabic Ligature Noon With Reh Final Form'}, {code: '\uFC8B', name: 'Arabic Ligature Noon With Zain Final Form'}, {code: '\uFC8C', name: 'Arabic Ligature Noon With Meem Final Form'}, {code: '\uFC8D', name: 'Arabic Ligature Noon With Noon Final Form'}, {code: '\uFC8E', name: 'Arabic Ligature Noon With Alef Maksura Final Form'}, {code: '\uFC8F', name: 'Arabic Ligature Noon With Yeh Final Form'}, {code: '\uFC90', name: 'Arabic Ligature Alef Maksura With Superscript Alef Final Form'}, {code: '\uFC91', name: 'Arabic Ligature Yeh With Reh Final Form'}, {code: '\uFC92', name: 'Arabic Ligature Yeh With Zain Final Form'}, {code: '\uFC93', name: 'Arabic Ligature Yeh With Meem Final Form'}, {code: '\uFC94', name: 'Arabic Ligature Yeh With Noon Final Form'}, {code: '\uFC95', name: 'Arabic Ligature Yeh With Alef Maksura Final Form'}, {code: '\uFC96', name: 'Arabic Ligature Yeh With Yeh Final Form'}, {code: '\uFC97', name: 'Arabic Ligature Yeh With Hamza Above With Jeem Initial Form'}, {code: '\uFC98', name: 'Arabic Ligature Yeh With Hamza Above With Hah Initial Form'}, {code: '\uFC99', name: 'Arabic Ligature Yeh With Hamza Above With Khah Initial Form'}, {code: '\uFC9A', name: 'Arabic Ligature Yeh With Hamza Above With Meem Initial Form'}, {code: '\uFC9B', name: 'Arabic Ligature Yeh With Hamza Above With Heh Initial Form'}, {code: '\uFC9C', name: 'Arabic Ligature Beh With Jeem Initial Form'}, {code: '\uFC9D', name: 'Arabic Ligature Beh With Hah Initial Form'}, {code: '\uFC9E', name: 'Arabic Ligature Beh With Khah Initial Form'}, {code: '\uFC9F', name: 'Arabic Ligature Beh With Meem Initial Form'}, {code: '\uFCA0', name: 'Arabic Ligature Beh With Heh Initial Form'}, {code: '\uFCA1', name: 'Arabic Ligature Teh With Jeem Initial Form'}, {code: '\uFCA2', name: 'Arabic Ligature Teh With Hah Initial Form'}, {code: '\uFCA3', name: 'Arabic Ligature Teh With Khah Initial Form'}, {code: '\uFCA4', name: 'Arabic Ligature Teh With Meem Initial Form'}, {code: '\uFCA5', name: 'Arabic Ligature Teh With Heh Initial Form'}, {code: '\uFCA6', name: 'Arabic Ligature Theh With Meem Initial Form'}, {code: '\uFCA7', name: 'Arabic Ligature Jeem With Hah Initial Form'}, {code: '\uFCA8', name: 'Arabic Ligature Jeem With Meem Initial Form'}, {code: '\uFCA9', name: 'Arabic Ligature Hah With Jeem Initial Form'}, {code: '\uFCAA', name: 'Arabic Ligature Hah With Meem Initial Form'}, {code: '\uFCAB', name: 'Arabic Ligature Khah With Jeem Initial Form'}, {code: '\uFCAC', name: 'Arabic Ligature Khah With Meem Initial Form'}, {code: '\uFCAD', name: 'Arabic Ligature Seen With Jeem Initial Form'}, {code: '\uFCAE', name: 'Arabic Ligature Seen With Hah Initial Form'}, {code: '\uFCAF', name: 'Arabic Ligature Seen With Khah Initial Form'}, {code: '\uFCB0', name: 'Arabic Ligature Seen With Meem Initial Form'}, {code: '\uFCB1', name: 'Arabic Ligature Sad With Hah Initial Form'}, {code: '\uFCB2', name: 'Arabic Ligature Sad With Khah Initial Form'}, {code: '\uFCB3', name: 'Arabic Ligature Sad With Meem Initial Form'}, {code: '\uFCB4', name: 'Arabic Ligature Dad With Jeem Initial Form'}, {code: '\uFCB5', name: 'Arabic Ligature Dad With Hah Initial Form'}, {code: '\uFCB6', name: 'Arabic Ligature Dad With Khah Initial Form'}, {code: '\uFCB7', name: 'Arabic Ligature Dad With Meem Initial Form'}, {code: '\uFCB8', name: 'Arabic Ligature Tah With Hah Initial Form'}, {code: '\uFCB9', name: 'Arabic Ligature Zah With Meem Initial Form'}, {code: '\uFCBA', name: 'Arabic Ligature Ain With Jeem Initial Form'}, {code: '\uFCBB', name: 'Arabic Ligature Ain With Meem Initial Form'}, {code: '\uFCBC', name: 'Arabic Ligature Ghain With Jeem Initial Form'}, {code: '\uFCBD', name: 'Arabic Ligature Ghain With Meem Initial Form'}, {code: '\uFCBE', name: 'Arabic Ligature Feh With Jeem Initial Form'}, {code: '\uFCBF', name: 'Arabic Ligature Feh With Hah Initial Form'}, {code: '\uFCC0', name: 'Arabic Ligature Feh With Khah Initial Form'}, {code: '\uFCC1', name: 'Arabic Ligature Feh With Meem Initial Form'}, {code: '\uFCC2', name: 'Arabic Ligature Qaf With Hah Initial Form'}, {code: '\uFCC3', name: 'Arabic Ligature Qaf With Meem Initial Form'}, {code: '\uFCC4', name: 'Arabic Ligature Kaf With Jeem Initial Form'}, {code: '\uFCC5', name: 'Arabic Ligature Kaf With Hah Initial Form'}, {code: '\uFCC6', name: 'Arabic Ligature Kaf With Khah Initial Form'}, {code: '\uFCC7', name: 'Arabic Ligature Kaf With Lam Initial Form'}, {code: '\uFCC8', name: 'Arabic Ligature Kaf With Meem Initial Form'}, {code: '\uFCC9', name: 'Arabic Ligature Lam With Jeem Initial Form'}, {code: '\uFCCA', name: 'Arabic Ligature Lam With Hah Initial Form'}, {code: '\uFCCB', name: 'Arabic Ligature Lam With Khah Initial Form'}, {code: '\uFCCC', name: 'Arabic Ligature Lam With Meem Initial Form'}, {code: '\uFCCD', name: 'Arabic Ligature Lam With Heh Initial Form'}, {code: '\uFCCE', name: 'Arabic Ligature Meem With Jeem Initial Form'}, {code: '\uFCCF', name: 'Arabic Ligature Meem With Hah Initial Form'}, {code: '\uFCD0', name: 'Arabic Ligature Meem With Khah Initial Form'}, {code: '\uFCD1', name: 'Arabic Ligature Meem With Meem Initial Form'}, {code: '\uFCD2', name: 'Arabic Ligature Noon With Jeem Initial Form'}, {code: '\uFCD3', name: 'Arabic Ligature Noon With Hah Initial Form'}, {code: '\uFCD4', name: 'Arabic Ligature Noon With Khah Initial Form'}, {code: '\uFCD5', name: 'Arabic Ligature Noon With Meem Initial Form'}, {code: '\uFCD6', name: 'Arabic Ligature Noon With Heh Initial Form'}, {code: '\uFCD7', name: 'Arabic Ligature Heh With Jeem Initial Form'}, {code: '\uFCD8', name: 'Arabic Ligature Heh With Meem Initial Form'}, {code: '\uFCD9', name: 'Arabic Ligature Heh With Superscript Alef Initial Form'}, {code: '\uFCDA', name: 'Arabic Ligature Yeh With Jeem Initial Form'}, {code: '\uFCDB', name: 'Arabic Ligature Yeh With Hah Initial Form'}, {code: '\uFCDC', name: 'Arabic Ligature Yeh With Khah Initial Form'}, {code: '\uFCDD', name: 'Arabic Ligature Yeh With Meem Initial Form'}, {code: '\uFCDE', name: 'Arabic Ligature Yeh With Heh Initial Form'}, {code: '\uFCDF', name: 'Arabic Ligature Yeh With Hamza Above With Meem Medial Form'}, {code: '\uFCE0', name: 'Arabic Ligature Yeh With Hamza Above With Heh Medial Form'}, {code: '\uFCE1', name: 'Arabic Ligature Beh With Meem Medial Form'}, {code: '\uFCE2', name: 'Arabic Ligature Beh With Heh Medial Form'}, {code: '\uFCE3', name: 'Arabic Ligature Teh With Meem Medial Form'}, {code: '\uFCE4', name: 'Arabic Ligature Teh With Heh Medial Form'}, {code: '\uFCE5', name: 'Arabic Ligature Theh With Meem Medial Form'}, {code: '\uFCE6', name: 'Arabic Ligature Theh With Heh Medial Form'}, {code: '\uFCE7', name: 'Arabic Ligature Seen With Meem Medial Form'}, {code: '\uFCE8', name: 'Arabic Ligature Seen With Heh Medial Form'}, {code: '\uFCE9', name: 'Arabic Ligature Sheen With Meem Medial Form'}, {code: '\uFCEA', name: 'Arabic Ligature Sheen With Heh Medial Form'}, {code: '\uFCEB', name: 'Arabic Ligature Kaf With Lam Medial Form'}, {code: '\uFCEC', name: 'Arabic Ligature Kaf With Meem Medial Form'}, {code: '\uFCED', name: 'Arabic Ligature Lam With Meem Medial Form'}, {code: '\uFCEE', name: 'Arabic Ligature Noon With Meem Medial Form'}, {code: '\uFCEF', name: 'Arabic Ligature Noon With Heh Medial Form'}, {code: '\uFCF0', name: 'Arabic Ligature Yeh With Meem Medial Form'}, {code: '\uFCF1', name: 'Arabic Ligature Yeh With Heh Medial Form'}, {code: '\uFCF2', name: 'Arabic Ligature Shadda With Fatha Medial Form'}, {code: '\uFCF3', name: 'Arabic Ligature Shadda With Damma Medial Form'}, {code: '\uFCF4', name: 'Arabic Ligature Shadda With Kasra Medial Form'}, {code: '\uFCF5', name: 'Arabic Ligature Tah With Alef Maksura Isolated Form'}, {code: '\uFCF6', name: 'Arabic Ligature Tah With Yeh Isolated Form'}, {code: '\uFCF7', name: 'Arabic Ligature Ain With Alef Maksura Isolated Form'}, {code: '\uFCF8', name: 'Arabic Ligature Ain With Yeh Isolated Form'}, {code: '\uFCF9', name: 'Arabic Ligature Ghain With Alef Maksura Isolated Form'}, {code: '\uFCFA', name: 'Arabic Ligature Ghain With Yeh Isolated Form'}, {code: '\uFCFB', name: 'Arabic Ligature Seen With Alef Maksura Isolated Form'}, {code: '\uFCFC', name: 'Arabic Ligature Seen With Yeh Isolated Form'}, {code: '\uFCFD', name: 'Arabic Ligature Sheen With Alef Maksura Isolated Form'}, {code: '\uFCFE', name: 'Arabic Ligature Sheen With Yeh Isolated Form'}, {code: '\uFCFF', name: 'Arabic Ligature Hah With Alef Maksura Isolated Form'}, {code: '\uFD00', name: 'Arabic Ligature Hah With Yeh Isolated Form'}, {code: '\uFD01', name: 'Arabic Ligature Jeem With Alef Maksura Isolated Form'}, {code: '\uFD02', name: 'Arabic Ligature Jeem With Yeh Isolated Form'}, {code: '\uFD03', name: 'Arabic Ligature Khah With Alef Maksura Isolated Form'}, {code: '\uFD04', name: 'Arabic Ligature Khah With Yeh Isolated Form'}, {code: '\uFD05', name: 'Arabic Ligature Sad With Alef Maksura Isolated Form'}, {code: '\uFD06', name: 'Arabic Ligature Sad With Yeh Isolated Form'}, {code: '\uFD07', name: 'Arabic Ligature Dad With Alef Maksura Isolated Form'}, {code: '\uFD08', name: 'Arabic Ligature Dad With Yeh Isolated Form'}, {code: '\uFD09', name: 'Arabic Ligature Sheen With Jeem Isolated Form'}, {code: '\uFD0A', name: 'Arabic Ligature Sheen With Hah Isolated Form'}, {code: '\uFD0B', name: 'Arabic Ligature Sheen With Khah Isolated Form'}, {code: '\uFD0C', name: 'Arabic Ligature Sheen With Meem Isolated Form'}, {code: '\uFD0D', name: 'Arabic Ligature Sheen With Reh Isolated Form'}, {code: '\uFD0E', name: 'Arabic Ligature Seen With Reh Isolated Form'}, {code: '\uFD0F', name: 'Arabic Ligature Sad With Reh Isolated Form'}, {code: '\uFD10', name: 'Arabic Ligature Dad With Reh Isolated Form'}, {code: '\uFD11', name: 'Arabic Ligature Tah With Alef Maksura Final Form'}, {code: '\uFD12', name: 'Arabic Ligature Tah With Yeh Final Form'}, {code: '\uFD13', name: 'Arabic Ligature Ain With Alef Maksura Final Form'}, {code: '\uFD14', name: 'Arabic Ligature Ain With Yeh Final Form'}, {code: '\uFD15', name: 'Arabic Ligature Ghain With Alef Maksura Final Form'}, {code: '\uFD16', name: 'Arabic Ligature Ghain With Yeh Final Form'}, {code: '\uFD17', name: 'Arabic Ligature Seen With Alef Maksura Final Form'}, {code: '\uFD18', name: 'Arabic Ligature Seen With Yeh Final Form'}, {code: '\uFD19', name: 'Arabic Ligature Sheen With Alef Maksura Final Form'}, {code: '\uFD1A', name: 'Arabic Ligature Sheen With Yeh Final Form'}, {code: '\uFD1B', name: 'Arabic Ligature Hah With Alef Maksura Final Form'}, {code: '\uFD1C', name: 'Arabic Ligature Hah With Yeh Final Form'}, {code: '\uFD1D', name: 'Arabic Ligature Jeem With Alef Maksura Final Form'}, {code: '\uFD1E', name: 'Arabic Ligature Jeem With Yeh Final Form'}, {code: '\uFD1F', name: 'Arabic Ligature Khah With Alef Maksura Final Form'}, {code: '\uFD20', name: 'Arabic Ligature Khah With Yeh Final Form'}, {code: '\uFD21', name: 'Arabic Ligature Sad With Alef Maksura Final Form'}, {code: '\uFD22', name: 'Arabic Ligature Sad With Yeh Final Form'}, {code: '\uFD23', name: 'Arabic Ligature Dad With Alef Maksura Final Form'}, {code: '\uFD24', name: 'Arabic Ligature Dad With Yeh Final Form'}, {code: '\uFD25', name: 'Arabic Ligature Sheen With Jeem Final Form'}, {code: '\uFD26', name: 'Arabic Ligature Sheen With Hah Final Form'}, {code: '\uFD27', name: 'Arabic Ligature Sheen With Khah Final Form'}, {code: '\uFD28', name: 'Arabic Ligature Sheen With Meem Final Form'}, {code: '\uFD29', name: 'Arabic Ligature Sheen With Reh Final Form'}, {code: '\uFD2A', name: 'Arabic Ligature Seen With Reh Final Form'}, {code: '\uFD2B', name: 'Arabic Ligature Sad With Reh Final Form'}, {code: '\uFD2C', name: 'Arabic Ligature Dad With Reh Final Form'}, {code: '\uFD2D', name: 'Arabic Ligature Sheen With Jeem Initial Form'}, {code: '\uFD2E', name: 'Arabic Ligature Sheen With Hah Initial Form'}, {code: '\uFD2F', name: 'Arabic Ligature Sheen With Khah Initial Form'}, {code: '\uFD30', name: 'Arabic Ligature Sheen With Meem Initial Form'}, {code: '\uFD31', name: 'Arabic Ligature Seen With Heh Initial Form'}, {code: '\uFD32', name: 'Arabic Ligature Sheen With Heh Initial Form'}, {code: '\uFD33', name: 'Arabic Ligature Tah With Meem Initial Form'}, {code: '\uFD34', name: 'Arabic Ligature Seen With Jeem Medial Form'}, {code: '\uFD35', name: 'Arabic Ligature Seen With Hah Medial Form'}, {code: '\uFD36', name: 'Arabic Ligature Seen With Khah Medial Form'}, {code: '\uFD37', name: 'Arabic Ligature Sheen With Jeem Medial Form'}, {code: '\uFD38', name: 'Arabic Ligature Sheen With Hah Medial Form'}, {code: '\uFD39', name: 'Arabic Ligature Sheen With Khah Medial Form'}, {code: '\uFD3A', name: 'Arabic Ligature Tah With Meem Medial Form'}, {code: '\uFD3B', name: 'Arabic Ligature Zah With Meem Medial Form'}, {code: '\uFD3C', name: 'Arabic Ligature Alef With Fathatan Final Form'}, {code: '\uFD3D', name: 'Arabic Ligature Alef With Fathatan Isolated Form'}, {code: '\uFD3E', name: 'Ornate Left Parenthesis'}, {code: '\uFD3F', name: 'Ornate Right Parenthesis'}, {code: '\uFD50', name: 'Arabic Ligature Teh With Jeem With Meem Initial Form'}, {code: '\uFD51', name: 'Arabic Ligature Teh With Hah With Jeem Final Form'}, {code: '\uFD52', name: 'Arabic Ligature Teh With Hah With Jeem Initial Form'}, {code: '\uFD53', name: 'Arabic Ligature Teh With Hah With Meem Initial Form'}, {code: '\uFD54', name: 'Arabic Ligature Teh With Khah With Meem Initial Form'}, {code: '\uFD55', name: 'Arabic Ligature Teh With Meem With Jeem Initial Form'}, {code: '\uFD56', name: 'Arabic Ligature Teh With Meem With Hah Initial Form'}, {code: '\uFD57', name: 'Arabic Ligature Teh With Meem With Khah Initial Form'}, {code: '\uFD58', name: 'Arabic Ligature Jeem With Meem With Hah Final Form'}, {code: '\uFD59', name: 'Arabic Ligature Jeem With Meem With Hah Initial Form'}, {code: '\uFD5A', name: 'Arabic Ligature Hah With Meem With Yeh Final Form'}, {code: '\uFD5B', name: 'Arabic Ligature Hah With Meem With Alef Maksura Final Form'}, {code: '\uFD5C', name: 'Arabic Ligature Seen With Hah With Jeem Initial Form'}, {code: '\uFD5D', name: 'Arabic Ligature Seen With Jeem With Hah Initial Form'}, {code: '\uFD5E', name: 'Arabic Ligature Seen With Jeem With Alef Maksura Final Form'}, {code: '\uFD5F', name: 'Arabic Ligature Seen With Meem With Hah Final Form'}, {code: '\uFD60', name: 'Arabic Ligature Seen With Meem With Hah Initial Form'}, {code: '\uFD61', name: 'Arabic Ligature Seen With Meem With Jeem Initial Form'}, {code: '\uFD62', name: 'Arabic Ligature Seen With Meem With Meem Final Form'}, {code: '\uFD63', name: 'Arabic Ligature Seen With Meem With Meem Initial Form'}, {code: '\uFD64', name: 'Arabic Ligature Sad With Hah With Hah Final Form'}, {code: '\uFD65', name: 'Arabic Ligature Sad With Hah With Hah Initial Form'}, {code: '\uFD66', name: 'Arabic Ligature Sad With Meem With Meem Final Form'}, {code: '\uFD67', name: 'Arabic Ligature Sheen With Hah With Meem Final Form'}, {code: '\uFD68', name: 'Arabic Ligature Sheen With Hah With Meem Initial Form'}, {code: '\uFD69', name: 'Arabic Ligature Sheen With Jeem With Yeh Final Form'}, {code: '\uFD6A', name: 'Arabic Ligature Sheen With Meem With Khah Final Form'}, {code: '\uFD6B', name: 'Arabic Ligature Sheen With Meem With Khah Initial Form'}, {code: '\uFD6C', name: 'Arabic Ligature Sheen With Meem With Meem Final Form'}, {code: '\uFD6D', name: 'Arabic Ligature Sheen With Meem With Meem Initial Form'}, {code: '\uFD6E', name: 'Arabic Ligature Dad With Hah With Alef Maksura Final Form'}, {code: '\uFD6F', name: 'Arabic Ligature Dad With Khah With Meem Final Form'}, {code: '\uFD70', name: 'Arabic Ligature Dad With Khah With Meem Initial Form'}, {code: '\uFD71', name: 'Arabic Ligature Tah With Meem With Hah Final Form'}, {code: '\uFD72', name: 'Arabic Ligature Tah With Meem With Hah Initial Form'}, {code: '\uFD73', name: 'Arabic Ligature Tah With Meem With Meem Initial Form'}, {code: '\uFD74', name: 'Arabic Ligature Tah With Meem With Yeh Final Form'}, {code: '\uFD75', name: 'Arabic Ligature Ain With Jeem With Meem Final Form'}, {code: '\uFD76', name: 'Arabic Ligature Ain With Meem With Meem Final Form'}, {code: '\uFD77', name: 'Arabic Ligature Ain With Meem With Meem Initial Form'}, {code: '\uFD78', name: 'Arabic Ligature Ain With Meem With Alef Maksura Final Form'}, {code: '\uFD79', name: 'Arabic Ligature Ghain With Meem With Meem Final Form'}, {code: '\uFD7A', name: 'Arabic Ligature Ghain With Meem With Yeh Final Form'}, {code: '\uFD7B', name: 'Arabic Ligature Ghain With Meem With Alef Maksura Final Form'}, {code: '\uFD7C', name: 'Arabic Ligature Feh With Khah With Meem Final Form'}, {code: '\uFD7D', name: 'Arabic Ligature Feh With Khah With Meem Initial Form'}, {code: '\uFD7E', name: 'Arabic Ligature Qaf With Meem With Hah Final Form'}, {code: '\uFD7F', name: 'Arabic Ligature Qaf With Meem With Meem Final Form'}, {code: '\uFD80', name: 'Arabic Ligature Lam With Hah With Meem Final Form'}, {code: '\uFD81', name: 'Arabic Ligature Lam With Hah With Yeh Final Form'}, {code: '\uFD82', name: 'Arabic Ligature Lam With Hah With Alef Maksura Final Form'}, {code: '\uFD83', name: 'Arabic Ligature Lam With Jeem With Jeem Initial Form'}, {code: '\uFD84', name: 'Arabic Ligature Lam With Jeem With Jeem Final Form'}, {code: '\uFD85', name: 'Arabic Ligature Lam With Khah With Meem Final Form'}, {code: '\uFD86', name: 'Arabic Ligature Lam With Khah With Meem Initial Form'}, {code: '\uFD87', name: 'Arabic Ligature Lam With Meem With Hah Final Form'}, {code: '\uFD88', name: 'Arabic Ligature Lam With Meem With Hah Initial Form'}, {code: '\uFD89', name: 'Arabic Ligature Meem With Hah With Jeem Initial Form'}, {code: '\uFD8A', name: 'Arabic Ligature Meem With Hah With Meem Initial Form'}, {code: '\uFD8B', name: 'Arabic Ligature Meem With Hah With Yeh Final Form'}, {code: '\uFD8C', name: 'Arabic Ligature Meem With Jeem With Hah Initial Form'}, {code: '\uFD8D', name: 'Arabic Ligature Meem With Jeem With Meem Initial Form'}, {code: '\uFD8E', name: 'Arabic Ligature Meem With Khah With Jeem Initial Form'}, {code: '\uFD8F', name: 'Arabic Ligature Meem With Khah With Meem Initial Form'}, {code: '\uFD92', name: 'Arabic Ligature Meem With Jeem With Khah Initial Form'}, {code: '\uFD93', name: 'Arabic Ligature Heh With Meem With Jeem Initial Form'}, {code: '\uFD94', name: 'Arabic Ligature Heh With Meem With Meem Initial Form'}, {code: '\uFD95', name: 'Arabic Ligature Noon With Hah With Meem Initial Form'}, {code: '\uFD96', name: 'Arabic Ligature Noon With Hah With Alef Maksura Final Form'}, {code: '\uFD97', name: 'Arabic Ligature Noon With Jeem With Meem Final Form'}, {code: '\uFD98', name: 'Arabic Ligature Noon With Jeem With Meem Initial Form'}, {code: '\uFD99', name: 'Arabic Ligature Noon With Jeem With Alef Maksura Final Form'}, {code: '\uFD9A', name: 'Arabic Ligature Noon With Meem With Yeh Final Form'}, {code: '\uFD9B', name: 'Arabic Ligature Noon With Meem With Alef Maksura Final Form'}, {code: '\uFD9C', name: 'Arabic Ligature Yeh With Meem With Meem Final Form'}, {code: '\uFD9D', name: 'Arabic Ligature Yeh With Meem With Meem Initial Form'}, {code: '\uFD9E', name: 'Arabic Ligature Beh With Khah With Yeh Final Form'}, {code: '\uFD9F', name: 'Arabic Ligature Teh With Jeem With Yeh Final Form'}, {code: '\uFDA0', name: 'Arabic Ligature Teh With Jeem With Alef Maksura Final Form'}, {code: '\uFDA1', name: 'Arabic Ligature Teh With Khah With Yeh Final Form'}, {code: '\uFDA2', name: 'Arabic Ligature Teh With Khah With Alef Maksura Final Form'}, {code: '\uFDA3', name: 'Arabic Ligature Teh With Meem With Yeh Final Form'}, {code: '\uFDA4', name: 'Arabic Ligature Teh With Meem With Alef Maksura Final Form'}, {code: '\uFDA5', name: 'Arabic Ligature Jeem With Meem With Yeh Final Form'}, {code: '\uFDA6', name: 'Arabic Ligature Jeem With Hah With Alef Maksura Final Form'}, {code: '\uFDA7', name: 'Arabic Ligature Jeem With Meem With Alef Maksura Final Form'}, {code: '\uFDA8', name: 'Arabic Ligature Seen With Khah With Alef Maksura Final Form'}, {code: '\uFDA9', name: 'Arabic Ligature Sad With Hah With Yeh Final Form'}, {code: '\uFDAA', name: 'Arabic Ligature Sheen With Hah With Yeh Final Form'}, {code: '\uFDAB', name: 'Arabic Ligature Dad With Hah With Yeh Final Form'}, {code: '\uFDAC', name: 'Arabic Ligature Lam With Jeem With Yeh Final Form'}, {code: '\uFDAD', name: 'Arabic Ligature Lam With Meem With Yeh Final Form'}, {code: '\uFDAE', name: 'Arabic Ligature Yeh With Hah With Yeh Final Form'}, {code: '\uFDAF', name: 'Arabic Ligature Yeh With Jeem With Yeh Final Form'}, {code: '\uFDB0', name: 'Arabic Ligature Yeh With Meem With Yeh Final Form'}, {code: '\uFDB1', name: 'Arabic Ligature Meem With Meem With Yeh Final Form'}, {code: '\uFDB2', name: 'Arabic Ligature Qaf With Meem With Yeh Final Form'}, {code: '\uFDB3', name: 'Arabic Ligature Noon With Hah With Yeh Final Form'}, {code: '\uFDB4', name: 'Arabic Ligature Qaf With Meem With Hah Initial Form'}, {code: '\uFDB5', name: 'Arabic Ligature Lam With Hah With Meem Initial Form'}, {code: '\uFDB6', name: 'Arabic Ligature Ain With Meem With Yeh Final Form'}, {code: '\uFDB7', name: 'Arabic Ligature Kaf With Meem With Yeh Final Form'}, {code: '\uFDB8', name: 'Arabic Ligature Noon With Jeem With Hah Initial Form'}, {code: '\uFDB9', name: 'Arabic Ligature Meem With Khah With Yeh Final Form'}, {code: '\uFDBA', name: 'Arabic Ligature Lam With Jeem With Meem Initial Form'}, {code: '\uFDBB', name: 'Arabic Ligature Kaf With Meem With Meem Final Form'}, {code: '\uFDBC', name: 'Arabic Ligature Lam With Jeem With Meem Final Form'}, {code: '\uFDBD', name: 'Arabic Ligature Noon With Jeem With Hah Final Form'}, {code: '\uFDBE', name: 'Arabic Ligature Jeem With Hah With Yeh Final Form'}, {code: '\uFDBF', name: 'Arabic Ligature Hah With Jeem With Yeh Final Form'}, {code: '\uFDC0', name: 'Arabic Ligature Meem With Jeem With Yeh Final Form'}, {code: '\uFDC1', name: 'Arabic Ligature Feh With Meem With Yeh Final Form'}, {code: '\uFDC2', name: 'Arabic Ligature Beh With Hah With Yeh Final Form'}, {code: '\uFDC3', name: 'Arabic Ligature Kaf With Meem With Meem Initial Form'}, {code: '\uFDC4', name: 'Arabic Ligature Ain With Jeem With Meem Initial Form'}, {code: '\uFDC5', name: 'Arabic Ligature Sad With Meem With Meem Initial Form'}, {code: '\uFDC6', name: 'Arabic Ligature Seen With Khah With Yeh Final Form'}, {code: '\uFDC7', name: 'Arabic Ligature Noon With Jeem With Yeh Final Form'}, {code: '\uFDF0', name: 'Arabic Ligature Salla Used As Koranic Stop Sign Isolated Form'}, {code: '\uFDF1', name: 'Arabic Ligature Qala Used As Koranic Stop Sign Isolated Form'}, {code: '\uFDF2', name: 'Arabic Ligature Allah Isolated Form'}, {code: '\uFDF3', name: 'Arabic Ligature Akbar Isolated Form'}, {code: '\uFDF4', name: 'Arabic Ligature Mohammad Isolated Form'}, {code: '\uFDF5', name: 'Arabic Ligature Salam Isolated Form'}, {code: '\uFDF6', name: 'Arabic Ligature Rasoul Isolated Form'}, {code: '\uFDF7', name: 'Arabic Ligature Alayhe Isolated Form'}, {code: '\uFDF8', name: 'Arabic Ligature Wasallam Isolated Form'}, {code: '\uFDF9', name: 'Arabic Ligature Salla Isolated Form'}, {code: '\uFDFA', name: 'Arabic Ligature Sallallahou Alayhe Wasallam'}, {code: '\uFDFB', name: 'Arabic Ligature Jallajalalouhou'}, {code: '\uFDFC', name: 'Rial Sign'}, {code: '\uFDFD', name: 'Arabic Ligature Bismillah Ar-rahman Ar-raheem'}]
		},
		{
			category: "Combining Half Marks",
			chars: [{code: '\uFE20', name: 'Combining Ligature Left Half'}, {code: '\uFE21', name: 'Combining Ligature Right Half'}, {code: '\uFE22', name: 'Combining Double Tilde Left Half'}, {code: '\uFE23', name: 'Combining Double Tilde Right Half'}, {code: '\uFE24', name: 'Combining Macron Left Half'}, {code: '\uFE25', name: 'Combining Macron Right Half'}, {code: '\uFE26', name: 'Combining Conjoining Macron'}, {code: '\uFE27', name: 'Combining Ligature Left Half Below'}, {code: '\uFE28', name: 'Combining Ligature Right Half Below'}, {code: '\uFE29', name: 'Combining Tilde Left Half Below'}, {code: '\uFE2A', name: 'Combining Tilde Right Half Below'}, {code: '\uFE2B', name: 'Combining Macron Left Half Below'}, {code: '\uFE2C', name: 'Combining Macron Right Half Below'}, {code: '\uFE2D', name: 'Combining Conjoining Macron Below'}, {code: '\uFE2E', name: 'Combining Cyrillic Titlo Left Half'}, {code: '\uFE2F', name: 'Combining Cyrillic Titlo Right Half'}]
		},
		{
			category: "Arabic Presentation Forms-B",
			chars: [{code: '\uFE70', name: 'Arabic Fathatan Isolated Form'}, {code: '\uFE71', name: 'Arabic Tatweel With Fathatan Above'}, {code: '\uFE72', name: 'Arabic Dammatan Isolated Form'}, {code: '\uFE73', name: 'Arabic Tail Fragment'}, {code: '\uFE74', name: 'Arabic Kasratan Isolated Form'}, {code: '\uFE76', name: 'Arabic Fatha Isolated Form'}, {code: '\uFE77', name: 'Arabic Fatha Medial Form'}, {code: '\uFE78', name: 'Arabic Damma Isolated Form'}, {code: '\uFE79', name: 'Arabic Damma Medial Form'}, {code: '\uFE7A', name: 'Arabic Kasra Isolated Form'}, {code: '\uFE7B', name: 'Arabic Kasra Medial Form'}, {code: '\uFE7C', name: 'Arabic Shadda Isolated Form'}, {code: '\uFE7D', name: 'Arabic Shadda Medial Form'}, {code: '\uFE7E', name: 'Arabic Sukun Isolated Form'}, {code: '\uFE7F', name: 'Arabic Sukun Medial Form'}, {code: '\uFE80', name: 'Arabic Letter Hamza Isolated Form'}, {code: '\uFE81', name: 'Arabic Letter Alef With Madda Above Isolated Form'}, {code: '\uFE82', name: 'Arabic Letter Alef With Madda Above Final Form'}, {code: '\uFE83', name: 'Arabic Letter Alef With Hamza Above Isolated Form'}, {code: '\uFE84', name: 'Arabic Letter Alef With Hamza Above Final Form'}, {code: '\uFE85', name: 'Arabic Letter Waw With Hamza Above Isolated Form'}, {code: '\uFE86', name: 'Arabic Letter Waw With Hamza Above Final Form'}, {code: '\uFE87', name: 'Arabic Letter Alef With Hamza Below Isolated Form'}, {code: '\uFE88', name: 'Arabic Letter Alef With Hamza Below Final Form'}, {code: '\uFE89', name: 'Arabic Letter Yeh With Hamza Above Isolated Form'}, {code: '\uFE8A', name: 'Arabic Letter Yeh With Hamza Above Final Form'}, {code: '\uFE8B', name: 'Arabic Letter Yeh With Hamza Above Initial Form'}, {code: '\uFE8C', name: 'Arabic Letter Yeh With Hamza Above Medial Form'}, {code: '\uFE8D', name: 'Arabic Letter Alef Isolated Form'}, {code: '\uFE8E', name: 'Arabic Letter Alef Final Form'}, {code: '\uFE8F', name: 'Arabic Letter Beh Isolated Form'}, {code: '\uFE90', name: 'Arabic Letter Beh Final Form'}, {code: '\uFE91', name: 'Arabic Letter Beh Initial Form'}, {code: '\uFE92', name: 'Arabic Letter Beh Medial Form'}, {code: '\uFE93', name: 'Arabic Letter Teh Marbuta Isolated Form'}, {code: '\uFE94', name: 'Arabic Letter Teh Marbuta Final Form'}, {code: '\uFE95', name: 'Arabic Letter Teh Isolated Form'}, {code: '\uFE96', name: 'Arabic Letter Teh Final Form'}, {code: '\uFE97', name: 'Arabic Letter Teh Initial Form'}, {code: '\uFE98', name: 'Arabic Letter Teh Medial Form'}, {code: '\uFE99', name: 'Arabic Letter Theh Isolated Form'}, {code: '\uFE9A', name: 'Arabic Letter Theh Final Form'}, {code: '\uFE9B', name: 'Arabic Letter Theh Initial Form'}, {code: '\uFE9C', name: 'Arabic Letter Theh Medial Form'}, {code: '\uFE9D', name: 'Arabic Letter Jeem Isolated Form'}, {code: '\uFE9E', name: 'Arabic Letter Jeem Final Form'}, {code: '\uFE9F', name: 'Arabic Letter Jeem Initial Form'}, {code: '\uFEA0', name: 'Arabic Letter Jeem Medial Form'}, {code: '\uFEA1', name: 'Arabic Letter Hah Isolated Form'}, {code: '\uFEA2', name: 'Arabic Letter Hah Final Form'}, {code: '\uFEA3', name: 'Arabic Letter Hah Initial Form'}, {code: '\uFEA4', name: 'Arabic Letter Hah Medial Form'}, {code: '\uFEA5', name: 'Arabic Letter Khah Isolated Form'}, {code: '\uFEA6', name: 'Arabic Letter Khah Final Form'}, {code: '\uFEA7', name: 'Arabic Letter Khah Initial Form'}, {code: '\uFEA8', name: 'Arabic Letter Khah Medial Form'}, {code: '\uFEA9', name: 'Arabic Letter Dal Isolated Form'}, {code: '\uFEAA', name: 'Arabic Letter Dal Final Form'}, {code: '\uFEAB', name: 'Arabic Letter Thal Isolated Form'}, {code: '\uFEAC', name: 'Arabic Letter Thal Final Form'}, {code: '\uFEAD', name: 'Arabic Letter Reh Isolated Form'}, {code: '\uFEAE', name: 'Arabic Letter Reh Final Form'}, {code: '\uFEAF', name: 'Arabic Letter Zain Isolated Form'}, {code: '\uFEB0', name: 'Arabic Letter Zain Final Form'}, {code: '\uFEB1', name: 'Arabic Letter Seen Isolated Form'}, {code: '\uFEB2', name: 'Arabic Letter Seen Final Form'}, {code: '\uFEB3', name: 'Arabic Letter Seen Initial Form'}, {code: '\uFEB4', name: 'Arabic Letter Seen Medial Form'}, {code: '\uFEB5', name: 'Arabic Letter Sheen Isolated Form'}, {code: '\uFEB6', name: 'Arabic Letter Sheen Final Form'}, {code: '\uFEB7', name: 'Arabic Letter Sheen Initial Form'}, {code: '\uFEB8', name: 'Arabic Letter Sheen Medial Form'}, {code: '\uFEB9', name: 'Arabic Letter Sad Isolated Form'}, {code: '\uFEBA', name: 'Arabic Letter Sad Final Form'}, {code: '\uFEBB', name: 'Arabic Letter Sad Initial Form'}, {code: '\uFEBC', name: 'Arabic Letter Sad Medial Form'}, {code: '\uFEBD', name: 'Arabic Letter Dad Isolated Form'}, {code: '\uFEBE', name: 'Arabic Letter Dad Final Form'}, {code: '\uFEBF', name: 'Arabic Letter Dad Initial Form'}, {code: '\uFEC0', name: 'Arabic Letter Dad Medial Form'}, {code: '\uFEC1', name: 'Arabic Letter Tah Isolated Form'}, {code: '\uFEC2', name: 'Arabic Letter Tah Final Form'}, {code: '\uFEC3', name: 'Arabic Letter Tah Initial Form'}, {code: '\uFEC4', name: 'Arabic Letter Tah Medial Form'}, {code: '\uFEC5', name: 'Arabic Letter Zah Isolated Form'}, {code: '\uFEC6', name: 'Arabic Letter Zah Final Form'}, {code: '\uFEC7', name: 'Arabic Letter Zah Initial Form'}, {code: '\uFEC8', name: 'Arabic Letter Zah Medial Form'}, {code: '\uFEC9', name: 'Arabic Letter Ain Isolated Form'}, {code: '\uFECA', name: 'Arabic Letter Ain Final Form'}, {code: '\uFECB', name: 'Arabic Letter Ain Initial Form'}, {code: '\uFECC', name: 'Arabic Letter Ain Medial Form'}, {code: '\uFECD', name: 'Arabic Letter Ghain Isolated Form'}, {code: '\uFECE', name: 'Arabic Letter Ghain Final Form'}, {code: '\uFECF', name: 'Arabic Letter Ghain Initial Form'}, {code: '\uFED0', name: 'Arabic Letter Ghain Medial Form'}, {code: '\uFED1', name: 'Arabic Letter Feh Isolated Form'}, {code: '\uFED2', name: 'Arabic Letter Feh Final Form'}, {code: '\uFED3', name: 'Arabic Letter Feh Initial Form'}, {code: '\uFED4', name: 'Arabic Letter Feh Medial Form'}, {code: '\uFED5', name: 'Arabic Letter Qaf Isolated Form'}, {code: '\uFED6', name: 'Arabic Letter Qaf Final Form'}, {code: '\uFED7', name: 'Arabic Letter Qaf Initial Form'}, {code: '\uFED8', name: 'Arabic Letter Qaf Medial Form'}, {code: '\uFED9', name: 'Arabic Letter Kaf Isolated Form'}, {code: '\uFEDA', name: 'Arabic Letter Kaf Final Form'}, {code: '\uFEDB', name: 'Arabic Letter Kaf Initial Form'}, {code: '\uFEDC', name: 'Arabic Letter Kaf Medial Form'}, {code: '\uFEDD', name: 'Arabic Letter Lam Isolated Form'}, {code: '\uFEDE', name: 'Arabic Letter Lam Final Form'}, {code: '\uFEDF', name: 'Arabic Letter Lam Initial Form'}, {code: '\uFEE0', name: 'Arabic Letter Lam Medial Form'}, {code: '\uFEE1', name: 'Arabic Letter Meem Isolated Form'}, {code: '\uFEE2', name: 'Arabic Letter Meem Final Form'}, {code: '\uFEE3', name: 'Arabic Letter Meem Initial Form'}, {code: '\uFEE4', name: 'Arabic Letter Meem Medial Form'}, {code: '\uFEE5', name: 'Arabic Letter Noon Isolated Form'}, {code: '\uFEE6', name: 'Arabic Letter Noon Final Form'}, {code: '\uFEE7', name: 'Arabic Letter Noon Initial Form'}, {code: '\uFEE8', name: 'Arabic Letter Noon Medial Form'}, {code: '\uFEE9', name: 'Arabic Letter Heh Isolated Form'}, {code: '\uFEEA', name: 'Arabic Letter Heh Final Form'}, {code: '\uFEEB', name: 'Arabic Letter Heh Initial Form'}, {code: '\uFEEC', name: 'Arabic Letter Heh Medial Form'}, {code: '\uFEED', name: 'Arabic Letter Waw Isolated Form'}, {code: '\uFEEE', name: 'Arabic Letter Waw Final Form'}, {code: '\uFEEF', name: 'Arabic Letter Alef Maksura Isolated Form'}, {code: '\uFEF0', name: 'Arabic Letter Alef Maksura Final Form'}, {code: '\uFEF1', name: 'Arabic Letter Yeh Isolated Form'}, {code: '\uFEF2', name: 'Arabic Letter Yeh Final Form'}, {code: '\uFEF3', name: 'Arabic Letter Yeh Initial Form'}, {code: '\uFEF4', name: 'Arabic Letter Yeh Medial Form'}, {code: '\uFEF5', name: 'Arabic Ligature Lam With Alef With Madda Above Isolated Form'}, {code: '\uFEF6', name: 'Arabic Ligature Lam With Alef With Madda Above Final Form'}, {code: '\uFEF7', name: 'Arabic Ligature Lam With Alef With Hamza Above Isolated Form'}, {code: '\uFEF8', name: 'Arabic Ligature Lam With Alef With Hamza Above Final Form'}, {code: '\uFEF9', name: 'Arabic Ligature Lam With Alef With Hamza Below Isolated Form'}, {code: '\uFEFA', name: 'Arabic Ligature Lam With Alef With Hamza Below Final Form'}, {code: '\uFEFB', name: 'Arabic Ligature Lam With Alef Isolated Form'}, {code: '\uFEFC', name: 'Arabic Ligature Lam With Alef Final Form'}, {code: '\uFEFF', name: 'Zero Width No-break Space'}]
		}
	];

	for (let i = 0; i < charData.length; i++) {
		charData[i].dataCategory = charData[i].category.replace(/ /g, '_');
	}

	var storedRange = editor.getRange();
	var specialCharPopupWindow = $('#specialCharWindow')
	.kendoWindow({
		modal: true,
		width: 600,
		resizable: false,
		title: "Insert Special Characters",
		visible: false,
		close: clearChars
		//activate: SpecialCharWindowActivated
	}).data("kendoWindow")
	.center();
	specialCharPopupWindow.open();

	// insert the character and close the window
	function addEvent(elementContainer) {
		elementContainer.find(".special-character").click(function(e) {
			editor.exec("inserthtml", {value: e.target.innerHTML});
			// close the popup and clear the char data
			specialCharPopupWindow.close();
		});
	}

	function clearChars() {
		specialCharPopupWindow.element.find("#charList").html("");
	}

	specialCharPopupWindow.element.find("#charCategory").kendoDropDownList({
		dataTextField: "category",
		dataValueField: "chars",
		dataSource: charData,
		change: charDropDownChange
	})

	showCategory(charData[0].category); // initialize with the first character set shown

	function charDropDownChange(e) {
		var category = this.dataItem(e.item).category;
		showCategory(category);
	}

	function showCategory(category) {
		for (let i = 0; i < charData.length; i++) {
			if (charData[i].category == category) {
				// find id charList. search for data-category. add if not there. hide everything else
				var charList = specialCharPopupWindow.element.find("#charList")
				var categoryElement = charList.find('[data-category="' + charData[i].dataCategory + '"]');
				if (categoryElement[0]) {
					categoryElement.show();
				}
				else {
					//create category
					var newCategory = $(document.createElement('span')).attr('data-category', charData[i].dataCategory);
					for (let char = 0; char < charData[i].chars.length; char++) {
						var newChar = $(document.createElement('span'))
							.addClass("special-character")
							.attr("title", charData[i].chars[char].name)
							.html(charData[i].chars[char].code);
						newCategory.append(newChar)
					}
					charList.append(newCategory);
					addEvent(newCategory);
				}
			}
			else {
				var categoryElement = specialCharPopupWindow.element.find('[data-category="' + charData[i].dataCategory + '"]');
				if (categoryElement[0]) {
					categoryElement.hide();
				}
			}
		}
	}
}